Добро пожаловать SQL Manager for SQL Server!

SQL Manager for SQL Server
  • В начало
  • Вперед »

Добро пожаловать в SQL Manager for SQL Server!

SQL Manager for SQL Server – это высокопроизводительная программа для разработки и администрирования баз данных сервера Microsoft SQL. SQL Manager работает со всеми версиями SQL Server, начиная с 2000, и поддерживает все новейшие возможности SQL Server, включая таблицы оптимизированные для памяти, шифрование резервных копий, FileTables, индексы columnstore и многое другое. Программа включает в себя множество инструментов, таких как Визуальный конструктор баз данных, который позволяет быстро разрабатывать базы данных SQL Server, Визуальный конструктор запросов для построения сложных запросов к SQL Server и множество других полезных инструментов для эффективного администрирования SQL Server. Современный, графический интерфейс и оптимальная система мастеров настроек будут понятны даже новичку.

Ключевые особенности

  • Поддержка SQL Server до версии 2019 включительно, а также Azure SQL Database
  • Элементарное управление всеми объектами SQL Server
  • Великолепные графические и текстовые инструменты для построения запросов
  • Мощный визуальный конструктор баз данных
  • Мощный отладчик Transact-SQL для трассировки процедур, функций и SQL скриптов
  • Сравнение и синхронизация структур баз данных
  • Простое добавление базы данных в систему управления исходным кодом
  • Быстрая навигация и управление базами данных
  • Впечатляющие возможности импорта и экспорта данных
  • Эффективные инструменты управления данными
  • Эффективное управление параметрами безопасности
  • Простые и удобные мастера для выполнения задач по обслуживанию SQL Server
  • Конструктор отчетов с понятным мастером создания отчетов

Посетите наш сайт: https://www.sqlmanager.ru/

Информация по продукту

Домашняя страница: | https://www.sqlmanager.ru/products/mssql/manager
Служба поддержки: | https://www.sqlmanager.ru/support
Регистрация: | https://www.sqlmanager.ru/products/mssql/manager/buy


Новости

Версия | Дата выпуска
SQL Manager for SQL Server 5.2.1 | 26.12.2024

Что нового в SQL Manager for SQL Server 5.2.1?

  • Добавлена поддержка редактирования индексов для табличных типов.
  • Исправлена работа опции Show data types.
  • Исправлена ошибка, возникавшая при переключении опции Sort by aliases при наличии подключенных БД.
  • Исправлена ошибка "Неправильно определен объект Parameter. Предоставлены несогласованные или неполные сведения" при запуске процедуры с параметром типа VARCHAR.
  • Исправлено аварийное закрытие программы при сортировке данных в некоторых случаях.
  • При выборе провайдера OLE DB используется OLE DB 19 драйвер для подключения, если он установлен.
  • Улучшено определение параметров в тексте SQL.
  • Исправлена ошибка при изменении порядка столбцов таблицы.
  • При переключении на LITE версию в проводнике иногда не отображались БД. Исправлено.
  • Другие исправления и улучшения.

Желаем приятной работы с нашими программами!

Смотрите также:

Предыдущие версии


Системные требования

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Server 2019, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Microsoft Windows 11 ARM
  • 512 Мб RAM (рекомендуется 1024 Мб или более)
  • 100 Мб свободного пространства на жестком диске для установки программы
  • Microsoft Data Access Components (MDAC) или SQL Server Native Client
  • Возможность соединения с локальным или удаленным сервером Microsoft SQL
  • Поддержка версий Microsoft SQL Server: с 2000 по 2022 (мы не поддерживаем SQL Server Compact Edition), Azure SQL Database и Amazon RDS for Microsoft SQL Server


Сравнительная таблица характеристик

Бесплатная Lite версия SQL Manager for SQL Server не включает все особенности Full версии и имеет ограничение числа баз данных, которые могут быть зарегистрированы. Некоторые функции и инструменты в Lite версии недоступны.

Полная сравнительная таблица характеристик представлена ниже.

Важно: Если у вас установлена Lite версия программы, то Вы можете активировать все возможности Full версии. Эти возможности будут доступны для работы в течение тридцати дней.

Для получения более подробной информации об активации смотрите на странице Активация режима полной версии.

 | Полная версия | Lite-версия
Поддержка SQL Server c 2000 до последних версий, а также Azure SQL Database, включая новейшие возможности
Поддержка таблиц, оптимизированных для памяти | + | +
Поддержка шифрования резервных копий | + | +
Поддержка резервного копирования на Windows Azure | + | +
Быстрая навигация и управление базами данных
Соединение с несколькими серверами/базами данных одновременно | + | +
Настройка и управление параметрами сервера | + | -
Настройка и управление параметрами баз данных | + | +
Возможность регистрации баз данных для работы только с требуемыми базами | + | +
Создание "избранных объектов" для работы только с выбранными объектами базы данных | + | +
Создание пользовательских закладок быстрого доступа для любого узла дерева базы данных | + | +
Одновременная работа с несколькими выбранными объектами | + | -
Группировка/разгруппировка зарегистрированных баз данных по принадлежности к серверу | + | -
Работа с запросами и SQL скриптами в дереве Проводника Баз данных по принципу работы с объектами базы данных | + | +
Простое добавление базы данных в систему управления исходным кодом | + | -
Простое и понятное управление всеми объектами SQL Server
Создание/удаление баз данных и схем | + | +
Управление таблицами и их подобъектами: полями, индексами, триггерами, правилами и внешними ключами | + | +
Управление представлениями, процедурами и задаваемыми пользователем функциями | + | +
Управление сборками, DDL-триггерами, агрегатами, синонимами, умолчаниями, правилами и т.д. | + | +
Копирование любых объектов баз данных | + | +
Возможность просмотра зависимостей между объектами базы данных | + | -
Мощный отладчик Transact-SQL для отслеживания процедур, функций и SQL скриптов | + | -
Эффективные инструменты управления данными
Мощный редактор BLOB-полей с различными режимами просмотра данных | + | -
Целый набор эффективных инструментов, например, для группировки, суммирования, быстрого поиска и фильтрации данных | + | +
Отображение данных и работа с двумя связанными таблицами одновременно | + | -
Отображение таблиц и карточек в удобном для пользователя виде | + | -
Возможность копировать и вставлять выбранные записи | + | -
Улучшенная система распечатки данных | + | -
Экспорт данных в сценарии SQL в виде выражения INSERT | + | -
Эффективное управление параметрами безопасности
Эффективный менеджер для учета и администрирования авторизаций на сервере | + | +
Управление записями пользователей базы данных и их ролями | + | +
Менеджер настроек прав пользователей для управления любыми объектами базы данных | + | +
Великолепные графические и текстовые инструменты для построения запросов
Мощный Визуальный конструктор для построения сложных SQL запросов даже без знаний синтаксиса | + | -
Многооконный редактор SQL с функцией автозавершения кода и подсветкой синтаксиса | + | +
Исполнение больших сценариев SQL (с помощью редактора сценариев SQL) | + | +
Возможность просмотра плана запроса в виде диаграммы | + | -
Доступ к форматтеру SQL из контекстного меню редактора SQL | + | -
Впечатляющие возможности импорта и экспорта данных
Экспорт данных в наиболее популярные форматы: MS Excel, MS Word, HTML, PDF, TXT, CSV, DBF, XML и т.д. | + | -
Возможность экспорта данных в MS Access | + | -
Импорт данных из файлов MS Excel, DBF, TXT и CSV и т.д. | + | -
Возможность импорта данных из файлов MS Access | + | -
Мастер пакетной загрузки данных | + | -
Мощный визуальный конструктор баз данных
Создание диаграммы существующей базы данных, используя Инструмент обратного проектирования | + | -
Деление диаграммы на различные объектные области, расположенные на разных страницах | + | -
Навигация по диаграммам с помощью инструмента предпросмотра диаграмм | + | -
Создание/редактирование/удаление таблиц и полей, а также визуальное создание связей между ними | + | -
Возможности создания, редактирования и удаления представлений, процедур и функций, определяемых пользователем | + | -
Вывод диаграммы на печать или сохранение ее в виде изображения | + | -
Два типа аннотаций для диаграмм (IDEF1x и IE) | + | -
Широкие возможности настройки внешнего вида конструктора | + | -
Простые и удобные мастера для выполнения административных задач SQL Server
Присоединение баз данных | + | +
Отсоединение баз данных | + | +
Резервное копирование базы данных | + | +
Восстановление базы данных | + | +
Управление устройствами резервного копирования | + | +
Управление задачами, оповещениями и операторами | + | -
Другие необходимые инструменты для того, чтобы сделать Вашу работу с SQL Server простой и удобной
Извлечение метаданных в текстовые файлы или в редактор сценариев SQL | + | -
Мощный модуль печати метаданных для создания настраиваемых отчетов о метаданных | + | -
HTML-генератор отчетов для быстрого создания подробных отчетов о Вашей базе данных | + | -
Монитор SQL | + | +
Быстрый поиск по метаданным базы данных | + | -
Сравнение и синхронизация структур баз данных | + | -
Конструктор отчетов с понятным мастером создания отчетов
Новый мастер создания отчетов позволяет создавать отчеты всего за пару шагов | + | -
Управление отчетами аналогично управлению объектами базы данных: доступ к отчетам осуществляется напрямую из дерева Проводника БД | + | -
Мощный и простой в использовании графический интерфейс пользователя
Настройки внешнего вида программы в стиле Office 11 или Windows XP | + | +
Возможность работы в многооконном режиме или в режиме плавающих окон | + | +
Удобный проводник баз данных для легкого обращения с объектами SQL Server | + | +
Настраиваемые панели инструментов для всех окон приложения | + | +
Полностью настраиваемый интерфейс программы | + | +
Мощный модуль настройки внешнего вида системы | + | +
Возможность сохранения всех параметров программы | + | +
Локализуемый интерфейс пользователя | + | +
Другие функциональные особенности
Шаблоны клавиатуры | + | +
Список запланированных действий "To-do" | + | +
Менеджер внешних инструментов | + | +


Установка

Установка программы SQL Manager for SQL Server

  • загрузите установочный файл программы со страницы загрузки,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • откройте файл MsManagerFull.msi и следуйте инструкциям мастера установки,
  • после завершения процесса установки найдите ярлыки программы в Пуск -> Программы -> EMS.

Часто задаваемые вопросы по установке ПО

Обновление программы

  • загрузите установочный файл программы со страницы загрузки сайта,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • закройте программу SQL Manager for SQL Server, если она запущена,
  • откройте файл MsManagerFull.msi и следуйте инструкциям мастера обновления.

Вы можете обновить версию программы, используя SQL Direct.

Смотрите также:

Часто задаваемые вопросы


Приобретение

Для приобретения наших продуктов на территории Российской Федерации вы можете использовать форму он-лайн оплаты платежной картой либо запросить счёт для безналичной оплаты путем банковского перевода.

Выбор типа лицензии, количества лет Сопровождения и способа оплаты происходит на странице покупки продукта.

Пожалуйста, учтите, что все наши программные продукты доставляются только электронными средствами (Electronic Software Delivery).

После приобретения мы отправим вам регистрационный ключ электронной почтой. Регистрационная информация будет так же доступна зарегистрированным пользователям на нашем сайте.

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО.

Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО.

Подробнее об услуге сопровождения читайте на странице https://www.sqlmanager.ru/support/faq#maintenance.

Если у вас остались вопросы - вы можете найти ответы на них в разделе FAQ или обратиться в службу поддержки по адресу sales@sqlmanager.ru.


Регистрация

Если Вы не зарегистрировали свою копию программы SQL Manager for SQL Server, то Вы можете сделать это, нажав кнопку Register Now в окне, открывающемся при выборе пункта главного меню программы Help | About.

Welcome to SQL Manager - About

В появившемся окне укажите регистрационное имя - в поле Registration name, и ключ - в поле Registration Key.

Welcome to SQL Manager - Register product

Чтобы зарегистрировать только что приобретенную копию программы необходимо выполнить следующие действия:

  • получить уведомительное письмо с регистрационной информацией из Digital River
  • ввести Registration Name и Registration Key из этого письма.
  • убедиться, что регистрация прошла успешно. Для этого необходимо открыть окно About SQL Manager for SQL Server, выбрав пункт главного меню Help | About. В этом окне должны отображаться введенные вами Registration Name и Registration Key.

После введения правильного регистрационного ключа появляется информационное окно, сообщающее о том, что Вы теперь имеете право пользоваться программой.

Смотрите также:

Приобретение


Предыдущие версии

Версия | Дата выпуска
SQL Manager for SQL Server 5.2 | 21.05.2024
SQL Manager for SQL Server 5.1.1 | 27.12.2023
SQL Manager for SQL Server 5.1 | 05.05.2023
SQL Manager for SQL Server 5.0.6 | 17.08.2022
SQL Manager for SQL Server 5.0.5 | 18.01.2022
SQL Manager for SQL Server 5.0.4 | 18.12.2020
SQL Manager for SQL Server 5.0.3 | 06.12.2019
SQL Manager for SQL Server 5.0.2 | 13.09.2019
SQL Manager for SQL Server 5.0.1 | 04.10.2018
SQL Manager for SQL Server 5.0 | 08.09.2018
SQL Manager for SQL Server 4.4.1 | 05.07.2017
SQL Manager for SQL Server 4.4 | 07.03.2017
SQL Manager for SQL Server 4.3 | 07.09.2016
SQL Manager for SQL Server 4.2.2 | 28.06.2016
SQL Manager for SQL Server 4.2 | 26.05.2016
SQL Manager for SQL Server 4.1.1 | 09.06.2015
SQL Manager for SQL Server 4.1 | 23.03.2015
SQL Manager for SQL Server 4.0 | 15.07.2014
SQL Manager for SQL Server 3.9.0.1 | 27.08.2013
SQL Manager for SQL Server 3.8.0.1 | 16.04.2012
SQL Manager 2011 for SQL Server 3.7.0.1 | 11.07.2011
SQL Manager 2010 for SQL Server вер. 3.6.0.1 | 21.06.2010
SQL Manager for SQL Server вер. 3.5.0.1 | 09.11.2009
SQL Manager for SQL Server вер. 3.4.0.1 | 19.05.2009
SQL Manager for SQL Server вер. 3.3.0.1 | 29.09.2008
SQL Manager for SQL Server вер. 3.2.0.1 | 10.04.2008
SQL Manager for SQL Server вер. 3.1.0.1 | 22.01.2008
SQL Manager for SQL Server вер. 2.7 | 13.06.2007
SQL Manager 2005 for SQL Server 2.6 | 23.01.2007
SQL Manager 2005 for SQL Server 2.5.0.1 | 25.09.2006
SQL Manager 2005 for SQL Server 2.4.0.1 | 07.06.2006
SQL Manager 2005 for SQL Server 2.3.0.1 | 17.04.2006
SQL Manager 2005 for SQL Server 2.2.0.1 | 07.02.2006
SQL Manager 2005 for SQL Server 2.1.0.1 | 16.11.2005
SQL Manager 2005 for SQL Server 2.0.5.1 | 26.11.2005
SQL Manager 2005 for SQL Server 2.0.0.1 | 14.10.2005
SQL Server Manager 1.8.5.1 | 27.06.2005
SQL Server Manager 1.8.0.1 | 14.12.2004
SQL Server Manager 1.7.0.1 | 09.09.2004
SQL Server Manager 1.6.0.1 | 31.05.2004

Версия 5.2

1. Выпущена 64-битная версия программы.

2. Добавлена возможность задавать псевдонимы серверов.

3. Улучшен алгоритм получения зависимостей объектов при отсутствии прав.

4. Улучшения в работе Монитора активности сервера.

5. Список автозавершения кода показывает поля при использовании синонимов.

6. Оптимизировано открытие Редактора запросов при большом числе открытых вкладок.

7. Исправления в генерации SUID-запросов для представлений.

8. Исправлены ошибки в экспорте списков из редакторов объектов.

9. Исправлено открытие редактора коллекции XML при использовании некоторых провайдеров.

10. Исправлена работа опций печати в редакторе последовательностей.

11. Теперь при закрытии менеджера выдаются запросы на сохранение и компиляцию объектов открытых редакторов, в которых есть изменения.

12. Исправлено создание кластеризованных индексов COLUMNSTORE.

13. Улучшения в поддержке темной темы оформления.

14. Множество других исправлений и улучшений.

Версия 5.1.1

1. При приведении данных к типу DATE теперь корректно применяется маска формата.

2. При изменении таблицы скрипт на обновление зависящих от неё представлений учитывает имя схемы.

3. Теперь в окне поиска или замены при открытом списке по нажатию ESC закрывается он, а не всё окно.

4. В сервисах исправлено подключение к базам данных с юникодным именем.

5. В вычисляемые поля типа GEOGRAPHY не делается попытка записать данные при редактировании таблицы.

6. Исправлено появление пустых панелей инструментов при обновлении программы.

7. Другие исправления и небольшие улучшения.

Версия 5.1

1. Добавлен уровень совместимости БД для SQL Server 2022.

2. Исправлены проблемы подключения к Azure Managed Instance.

3. Ускорена загрузка дерева зависимостей.

4. Исправлено отображение зависимостей для коллекций схем XML.

5. Улучшена работа редактора BLOB.

6. Шаблоны мастеров теперь сохраняются в файлы в формате UTF8.

7. Оптимизировано масштабирование объектов в Дизайнере БД.

8. Исправлено отображение параметров таблиц с именами, содержащими символы юникод.

9. В редакторе копирования объекта не всегда подставлялось имя новой схемы. Исправлено.

10. При импорте данных по умолчанию фиксирование записей теперь происходит после всех записей.

11. Доработана поддержка юникодных строк в свойствах базы данных.

12. При возврате к первому шагу не сбрасываются выбранные данные в мастерах обновления статистики и управления индексами.

13. Исправлена работа команд группы "On All" на вкладке управления правами в редакторах объектов.

14. Множество других исправлений и улучшений.

Версия 5.0.6

1. Реализована возможность подключения к серверу без проверки сертификата сервера.

2. В Проводник БД добавлена возможность пересборки представлений.

3. В редактор таблиц добавлена возможность пересборки зависимых представлений.

4. Исправлены ошибки при импорте данных из некоторых XML-файлов.

5. Не заполнялись данные из файлов XML при построении пути в Мастере импорта данных. Исправлено.

6. Для синонимов роли неверно отображались зависимые объекты в Дереве зависимостей. Исправлено.

7. Прочие изменения и улучшения.

Версия 5.0.5

1. Добавлена возможность выбора цвета для базы данных и вкладок ее инструментов.

2. Улучшена работа с Деревом зависимостей при большом количестве объектов.

3. Вместо копирования ячейки со значением Null в данных таблицы копировались все выделенные записи. Исправлено.

4. При дублировании таблицы в случае совпадения имени таблицы и поля изменялось имя поля. Исправлено.

5. В редакторе поля значение параметра Seed свойства Identity по умолчанию устанавливалось равным 0 вместо 1. Исправлено.

6. Исправлены ошибки экспорта данных типа BIGINT в форматы XLS и XLSX.

7. Другие небольшие исправления и улучшения.

Версия 5.0.4

1. Добавлена поддержка уровня 15 совместимости баз данных.

2. Исправлена проблема сброса пользовательских панелей инструментов.

3. Исправлена ошибка при повторном просмотре плана запроса в конструкторе запросов.

4. Не полностью отображались параметры Memory-optimized таблиц. Исправлено.

5. Другие небольшие исправления и улучшения интерфейса.

Версия 5.0.3

1. Исправлена ошибка при восстановлении открытых вкладок БД при наличии в имени сервера нелатинского символа.

2. Исправлена ошибка List index out of bounds при попытке фильтрации в момент разрыва соединения.

3. При выборе определенных локализаций пропадало главное меню. Исправлено.

4. Теперь установка дефолтных значений на клиенте при вставке новой строки происходит корректно.

5. Имя по умолчанию для новой таблицы генерировалось без учета текущей схемы. Исправлено.

6. При закрытии всех редакторов не выдавался запрос на подтверждение. Исправлено.

7. Исправлена ошибка Invalid variant type при редактировании полей datetime2 в SQL Azure.

8. Исправлено отображение количества загруженных записей в режиме Load visible rows.

9. Другие небольшие исправления.

Версия 5.0.2

1. Не работали сочетания клавиш для показа некоторых объектов. Исправлено.

2. Неверно генерируется опция DATA_COMPRESSION. Исправлено.

3. Мастер восстановления БД не сохраняет путь к последнему добавленному файлу. Исправлено.

4. В случае отсутствия необходимых привилегий для запуска отладчика теперь отображаются соответствующие уведомления.

5. При редактировании дат в венгерской локали появлялась ошибка “Could not convert variant” . Исправлено.

6. В Ассистенте SQL не отображались даты только что созданных объектов. Исправлено.

7. Исправлена ошибка квотирования при дублировании объекта.

8. Некорректно форматировался код в случае использования оператора WHEN большого уровня вложенности. Исправлено.

9. В случае, когда код SQL начинался с комментария, неверно подсвечивалась строка ошибки. Исправлено.

10. Не отображалось тело процедуры, созданной на основе сборки. Исправлено.

11. Исправлено зависание редактора скрипта в случае переноса файла из проводника Windows мышью и последующего запуска.

12. Исправлена ошибка Access Violation при экспорте настроек в папку доступ к которой ограничен. Исправлено.

13. Другие небольшие исправления.

Версия 5.0.1

1. Не менялся порядок открытых окон. Исправлено.

2. Исправлена ошибка Access Violation при настройке панели дерева объектов.

3. Исправлена ошибка в отображении данных типа sql_variant.

4. Исправлены ошибки обновления таблиц в SQL Server 2000.

5. Не работала опция автоподбора ширины столбцов. Исправлено.

6. Исправлено повторное закрытие транзакции при создании хранимой процедуры.

7. Объект не выделялся в свернутом узле при использовании Ctrl+O. Исправлено.

8. Оптимизированы цвета переменных в темной схеме.

9. Не отображалось значение Fragmentation для индексов. Исправлено.

10. Множество других исправлений и улучшений.

Версия 5.0

1. Добавлена поддержка темной темы и обновлен интерфейс программы.

Whats new - dark schema

2. Добавлена поддержка новых объектов SQL Server 2017, Azure SQL и Azure Datawarehouse:

  • Внешняя таблица
  • Учетные данные БД
  • Внешний источник данных
  • Формат внешнего файла
  • Таблица графов

3. Добавлена поддержка Amazon RDS for SQL Server.

4. Реализована поддержка нового провайдера MS OLE DB for SQL Server.

5. Реализована поддержка юникодных метаданных.

6. Улучшена поддержка мониторов с высоким разрешением и систем с увеличенным размером шрифта.

7. Добавлена возможность добавления объектов в Избранные при помощи контекстного меню.

8. Обновлены алгоритмы шифрования для симметричных и асимметричных ключей.

9. Добавлена возможность быстрого просмотра даты создания и модификации объектов, а также их сортировка по данным параметрам.

10. Улучшено автодополнение кода.

11. Не применялся формат отображения заданный в Color & Formats. Исправлено.

12. Множество других исправлений и улучшений.

Версия 4.4.1

  1. Просмотрщик данных. Появилась возможность быстрого добавления значений в фильтр данных: при нажатии кнопки Shift новые значения быстрого фильтра будут добавляться к текущим, а не заменять их.
  2. Отладчик TSQL. Оптимизирована и ускорена работа отладчика при работе с объемными хранимыми процедурами.
  3. Просмотрщик данных. При добавлении новой строки вместо вывода значений по умолчанию выводились пустые строки. Исправлено.
  4. Редактор SQL. При указании значения строкового параметра Null выполнение запроса завершалось ошибкой. Исправлено.
  5. В определенных случаях объекты на вкладке зависимостей попадали на отдельные узлы схем вместо добавления в уже существующие. Исправлено.
  6. Дизайнер запросов. При добавлении связи типа Left Outer Join направление стрелки на диаграмме рисовалось неверным. Исправлено.
  7. Дизайнер запросов. При перемещении поля в списке Selection оно покидало видимые границы списка, список при этом не прокручивался. Исправлено.
  8. При нажатии Ctrl+O не происходила фокусировка объекта в дереве в случае, если объект находился за пределами видимой части дерева. Исправлено.
  9. Опция “Online” в редакторе полей, которая устанавливалась по умолчанию, теперь доступна только для редакции сервера “Enterprise”.
  10. Добавлена возможность сортировать или фильтровать данные, возвращаемые хранимой процедурой.
  11. При запуске программы на компьютере с Бретонскими региональными установками происходила ошибка. Исправлено.
  12. Запрос на сохранение объекта в случае закрытия программы отображался дважды. Исправлено.
  13. В некоторых случаях переставало отображаться имя таблицы в редакторах подобъектов. Исправлено.
  14. При автонастройке ширины колонки в случае, если данные имели меньшую ширину чем заголовок, часть заголовка обрезалась. Исправлено.
  15. Исправлены ошибки подсветки и выполнения кода с вложенными (nested) комментариями.
  16. После изменения порядка столбцов таблицы происходила ошибка открытия индексов этой таблицы. Исправлено.
  17. Множество других улучшений и исправлений.

Версия 4.4

  1. Просмотрщик данных. Появилась возможность быстрого добавления значений в фильтр данных: при нажатии кнопки Shift новые значения быстрого фильтра будут добавляться к текущим, а не заменять их.
  2. Отладчик TSQL. Оптимизирована и ускорена работа отладчика при работе с объемными хранимыми процедурами.
  3. Просмотрщик данных. При добавлении новой строки вместо вывода значений по умолчанию выводились пустые строки. Исправлено.
  4. Редактор SQL. При указании значения строкового параметра Null выполнение запроса завершалось ошибкой. Исправлено.
  5. В определенных случаях объекты на вкладке зависимостей попадали на отдельные узлы схем вместо добавления в уже существующие. Исправлено.
  6. Дизайнер запросов. При добавлении связи типа Left Outer Join направление стрелки на диаграмме рисовалось неверным. Исправлено.
  7. Дизайнер запросов. При перемещении поля в списке Selection оно покидало видимые границы списка, список при этом не прокручивался. Исправлено.
  8. При нажатии Ctrl+O не происходила фокусировка объекта в дереве в случае, если объект находился за пределами видимой части дерева. Исправлено.
  9. Опция “Online” в редакторе полей, которая устанавливалась по умолчанию, теперь доступна только для редакции сервера “Enterprise”.
  10. Добавлена возможность сортировать или фильтровать данные, возвращаемые хранимой процедурой.
  11. При запуске программы на компьютере с Бретонскими региональными установками происходила ошибка. Исправлено.
  12. Запрос на сохранение объекта в случае закрытия программы отображался дважды. Исправлено.
  13. В некоторых случаях переставало отображаться имя таблицы в редакторах подобъектов. Исправлено.
  14. При автонастройке ширины колонки в случае, если данные имели меньшую ширину чем заголовок, часть заголовка обрезалась. Исправлено.
  15. Исправлены ошибки подсветки и выполнения кода с вложенными (nested) комментариями.
  16. После изменения порядка столбцов таблицы происходила ошибка открытия индексов этой таблицы. Исправлено.
  17. Множество других улучшений и исправлений.

Версия 4.3

1. Поддержка новых возможностей SQL Server 2016:

- возможность усечения секций;

- возможность редактирования полей с опцией ONLINE ON.

- поддержка опции ‘Maximum degree of parallelism’ в мастере Проверки базы данных;

- поддержка DROP IF EXISTS в мастере Извлечения баз данных.

2. В редакторе BLOB добавлена поддержка просмотра PDF.

3. Оптимизирован алгоритм формирования списка Code Completion. Теперь он отображается в зависимости от контекста, в котором вызывается.

4. В случае выдачи информационных сообщений и сообщений об ошибках в диалоговых окнах, их содержимое теперь можно скопировать в буфер обмена с помощью Ctrl+C.

5. Опция Отображения схем для объектов теперь применяется без установки повторного соединения.

6. SQL Editor. Если в запрашиваемом наборе полей нет ключевых, то результат запроса становился нередактируемым. Исправлено.

7. В отладчик добавлена возможность перемещения триггеров для расстановки точек останова.

8. Исправлена ошибка ‘Out of memory’ в мастере Извлечения баз данных.

9. Ранее было невозможно прервать выполнение запроса при включенных режимах Open server cursor и Asynchronous query execution. Исправлено.

10. Исправлена ошибка загрузки полей VARBINARY.

11. Исправлена ошибка в Конструкторе запросов, возникавшая при использовании пробелов в имени поля.

12. При нажатии Compile в редакторе индексов генерировались лишние операторы. Исправлено.

13. Список Code Completion не появлялся после функций и процедур, если перед именем объекта указывалось имя БД. Исправлено.

14. Множество других исправлений и улучшений.

Версия 4.2.2

1. Устранены некоторые проблемы с производительностью: долгое подключение и запуск служб на некоторых клиентских конфигурациях.

2. Окно данных. При вставке новой строки вместо значений по умолчанию подставлялись пустые строки. Исправлено.

3. В генерируемом DDL таблиц обрезались значения Defaults и определения вычислимых полей. Исправлено.

4. Окно данных. Исправлено неверное применение сортировок и фильтров в случае частичной загрузки данных.

5. Не отображались Favourite Queries при подключении через ODBC. Исправлено.

6. При запуске процедур из редактора процедур они выполнялись дважды. Исправлено.

7. Другие исправления и улучшения.

Версия 4.2

1. Добавлена возможность подключения через ODBC драйвер для обеспечения максимальной совместимости с некоторыми версиями SQL серверов.

2. Добавлена возможность редактирования привилегий для Routes, Message Types, Services, Service Bindings и Queues.

3. Добавлена поддержка новых свойств полнотекстовых индексов.

4. При отмене регистрации БД очищаются соответствующие опции и запросы в реестре.

5. Исправлена ошибка применения Quick Filter для полей типа Decimal.

6. Добавлена комбинация клавиш Ctrl+O для быстрого перехода к редактируемому объекту в Дереве БД.

7. Редакторы объектов теперь можно открыть из Grant Manager.

8. Множество других улучшений и исправлений.

Версия 4.1.1

  1. При синхронизации БД не генериовались операторы на удаление объектов. Исправлено.
  2. В редакторе не отображалось окно автозавершения для ключевых слов: INSERTED, DELETED. Исправлено.
  3. Не всегда корректно отображались значения типа BIGINT. Исправлено.
  4. Возникала ошибка 'Floating point: division by zero' при редактировании значений типа FLOAT. Исправлено.
  5. Исправлена некорректная генерация скриптов синхронизации представлений.
  6. Множество других улучшений и исправлений.

Версия 4.1

  1. Поддержка Azure SQL Database.
  2. Теперь при изменении объекта строка окна отмечается (*). То же касается файлов, открытых в форме SQL Script, диаграмм конструктора базы данных и т.п.
  3. Проводник БД.
    • Для полей теперь прямо в дереве отображается тип поля и допустимость нулевого значения.
    • Избранные запросы и скрипты можно добавить в папки Избранных объектов.
  4. Data Grid. Теперь возможно выделять группы ячеек и копировать их в клипборд. Для этого нужно в Настройках окружения на вкладке Grid включить опции 'Cell selection' и 'Row/cell multi-selection'.
  5. Дерево зависимостей, вкладка Зависимости в редакторах объекта. Добавлен показ зависимостей от внешних и удаленных объектов (для SQL Server 2008 и выше).
  6. Экспорт данных в SQL скрипт. Извлечение базы данных. Теперь в поле Script destination | File charset подставляется последняя использованная при сохранении файла кодировка символов.
  7. Мастер восстановления базы данных. В заголовке формы теперь выводится имя восстанавливаемой базы данных.
  8. Редактор DDL триггеров. Редактор серверных триггеров. Теперь события сортируются по алфавиту.
  9. SQL Монитор. Теперь в лог также выводятся значения параметров, используемые при выполнении запроса/процедуры.
  10. Data Grid.
    • Если точность значения времени в поле datetime2 превышало три знака после запятой, при открытии данных возникала ошибка. Исправлено.
    • При добавлении новой записи значения по умолчанию для типов datetime подставлялись неправильно. Теперь эта ошибка устранена.
    • Большие значения типа bigint отображались в научной нотации. Исправлено.
    • Не сортировались данные по полю типа tinyint в режиме 'Load Visible Rows'. Исправлено.
  11. Редактор логинов. Обновление не работало на вкладке User Mapping. Исправлено.
  12. Редактор запросов. При выполнении запроса и отключении опции 'Show actual execution plan on query execution' после этого, при последующих выполнениях в результатах появлялся лишний набор записей. Исправлено.
  13. Мастер присоединения базы данных, мастер отсоединения базы данных. Некоторые пароли неверно кодировались при записи в шаблон. Исправлено.
  14. Проводник БД. При включении опции 'Sort by aliases' также сортировались поля таблиц. Исправлено.
  15. При открытии диалогового окна свойств базы данных для неподключенной базы данных, значение владельца базы данных не отображалось. Исправлено.
  16. Редактор SQL скриптов. При сохранении скрипт прокручивался в начало. Исправлено.
  17. Множество улучшений и исправлений.

Версия 4.0

  1. В SQL Редакторе реализована возможность отладки Transact-SQL кода. Отладчик позволяет находить ошибки в SQL скриптах, хранимых процедурах, функциях, определяемых пользователем, основываясь на поведении времени выполнения. Имеется возможность переходить в тела хранимых процедур и функций, просматривать значения локальных и глобальных переменных, устанавливать точки останова и т.д.
  2. Добавлен инструмент сравнения баз данных (Database Comparer), который позволяет получить скрипт для синхронизации структур баз данных.
  3. Добавлена поддержка возможностей нового SQL Server 2014:
    • Поддержка таблиц, оптимизированных для памяти.
    • Поддержка шифрования резервных копий.
    • Поддержка резервного копирования на Windows Azure.
  4. Реализован быстрый поиск по всем метаданным базы данных. Инструмент позволяет задавать различные условия поиска и просмотра результатов.
  5. Добавлена возможность легкого создания процедур SELECT/INSERT/UPDATE/DELETE из таблиц и представлений.
  6. Визуальный конструктор баз данных.
    • Добавлены команды отмены (Undo) и повтора (Redo).
    • Добавлены инструменты визуального форматирования объектов диаграммы: установка шрифтов, цветов и т.д.
    • Теперь представления, процедуры и функции можно добавить в схему.
    • Добавлена возможность отображать свойства атрибута (функциональные необязательности, ключи и т.д.) в скобках после названия и типа атрибута.
    • Настройки печати диаграммы сохраняются в файле диаграммы.
    • Добавлена возможность отображения границ страницы печати на диаграмме.
    • Добавлена возможность перетаскивания схем в диаграмму.
  7. Проводник баз данных.
    • В дереве базы данных теперь появилась ветвь скриптов (Scripts) для быстрого доступа к SQL файлам из определенной папки (задается в Database Registration Info dialog) и ее подпапок.
    • Добавлена возможность копирования объектов в другие базы данных с помощью перетаскивания.
    • Восстановление открытых в предыдущей сессии редакторов объектов при подключении к базе данных стало осуществляться быстрее – исключены многие повторные запросы к серверу.
  8. HTML отчет.
    • Теперь можно задавать стиль оформления отчета.
    • Триггеры, индексы, внешние ключи, ограничения проверки теперь также выводятся отдельным общим списком.
    • Теперь не обязательно подключаться к базе, чтобы создать отчет только для серверных объектов.
  9. Добавлен инструмент Instance Manager (менеджер экземпляров), позволяющий проверять состояние SQL Server и запускать/останавливать их.
  10. Добавлен менеджер регистрирования баз данных (Database Registration Manager), позволяющий быстро добавлять и удалять зарегистрированные базы.
  11. Окно шаблонов новых объектов позволяет предустановить значения свойств для новых объектов: полей, индексов, триггеров, представлений, процедур и функций. Кроме того, можно задать шаблоны имён для новых объектов баз данных и сервера.
  12. Настройка окружения.
    • Добавлена возможность задавать комбинации клавиш для некоторых команд Проводника баз данных, SQL Редактора, SQL Скрипта и других инструментов (Global Shortcuts – общие комбинации клавиш).
    • Теперь можно задать стиль отображения имен объектов: в виде schema.name или name (schema).
    • Шрифт для сетки данных теперь можно задать отдельно.
    • Добавлена возможность устанавливать, какую базу данных необходимо выбрать во вновь открытом редакторе или инструменте: базу данных, выбранную в данный момент в Проводнике баз данных, или базу данных, выбранную в текущем открытом редакторе/инструменте.
  13. Дерево зависимостей.
    • Добавлена возможность перемещать дерево в области отображения с помощью удержания левой кнопки мыши.
    • Изменено оформление выбранного и рекурсивного объектов, что позволяет лучше их различать.
    • Добавлены различные режимы отображения дерева зависимостей: показать все объекты, показать объекты, зависящие от выбранного объекта, или только объекты, от которых зависит выбранный объект.
    • Выбранный объект автоматически помещается в область отображения, в случае если дерево зависимостей слишком велико.
  14. Windows panel (панель окон).
    • Переключение между окнами теперь возможно с помощью комбинации клавиш Ctrl+Tab.
    • Добавлена возможность передвигать с помощью мышки вкладки открытых окон.
    • Теперь можно закрывать окна нажатием средней клавиши мыши.
  15. Редактор таблиц. Data tab (вкладка данных).
    • Теперь появилась возможность автоматического создания подчиненных уровней данных для таблиц, связанных с данной посредством внешних ключей.
    • Значения geometry и geography типов теперь отображаются в текстовом виде. Есть возможность их редактирования.
  16. Теперь названия объектов в DDL не берутся в кавычки, если в этом нет необходимости.
  17. Экспорт/Импорт данных. Теперь в большинстве случаев экспортируемые данные повторно не запрашиваются с сервера.
  18. Редакторы процедур и функций. Появилась возможность задавать использование значений параметров по умолчанию при выполнении процедур/функций.
  19. Теперь Форматтер SQL позволяет форматирование инструкций DDL.
  20. SQL Редактор. Теперь время выполнения запросов отображается более точно без дополнительных затрат на выполнение программы.
  21. Мастера Управления индексами, Обновления статистики, Сжатия базы данных и Проверки базы данных теперь являются немодальными, операции выполняются в потоке.
  22. Настройки внешнего вида. Добавлена возможность установить значение свойства тип наклона для страницы управления.
  23. SQL Редактор, Редактор процедур. Полностью переработан процесс выполнения запросов, исключены повторные выполнения запроса для отображения результатов однонаправленного (forward-only) курсора или для получения информационных сообщений (info messages).
  24. Некоторые формы не масштабировались в режиме Control Panel\Display | Size of All Items - Medium. Исправлено.
  25. Множество других улучшений и исправлений.

Версия 3.9

  1. Добавлена возможность записывать определения объектов в файлы для использования с системами контроля версий (меню Tools | DDL to Files).
  2. SQL Редактор. Быстрый код.
  • Список полей таблиц текущего SELECT запроса теперь показывается в "Автозавершении кода" (Code Completion) даже без указания псевдонима таблицы.
  • Контекстно зависимые элементы: псевдонимы таблиц текущего SQL запроса, локальные переменные, поля таблиц запроса теперь расположены в "Автозавершении кода" в начале списка.
  • Добавлена поддержка функций с табличным значением, определяемых пользователем, для получения списка полей в "Автозавершении кода".
  • Значение в "Автозавершении кода" теперь можно выбирать по клавише Пробел. (Опция в Options | Editor Options | Display | Quick Code.)
  • Code Parameters («Параметры кода») не работали, если имя функций, определяемых пользователем, взято в кавычки. Исправлено.
  3. Мастер копирования объекта. При дублировании таблицы в базу данных на том же сервере копирование данных теперь производится с помощью SQL команды INSERT FROM … SELECT. А при дублировании на другой сервер команды копирования данных не записываются в основной скрипт, а выполняются отдельно, что требует меньше оперативной памяти.
  4. Редактор ограничений Check. Теперь значение свойства «Check existing data» берется из системного каталога, а также включается в определения ограничений.
  5. SQL Редактор. Для большего удобства информация о времени выполнения запроса выводится в той же строке, что и количество возвращенных записей.
  6. Монитор процессов. Фильтр теперь не сбрасывается при нажатии на Refresh ("Обновить").
  7. История заданий. Значения времени теперь форматируются для более удобного сравнения.
  8. Задания. При открытии формы данные не обновлялись: иногда показывались только имена заданий, а остальная информация была не заполнена. Исправлено.
  9. Форма Новой таблицы. Для списка полей не открывалось контекстное меню. Исправлено.
  10. Редактор Триггеров DDL. После компиляции отключенный триггер включался. Исправлено.
  11. UDT Редактор. При сохранении изменений для ограничений табличного типа иногда генерировался неверный скрипт. Исправлено.
  12. Мастер сохранения настроек. Не сохранялись проекты базы данных для серверов с именованным экземпляром. Исправлено.
  13. Настройки окружения. Правила присвоения имен подобъектам. Не сохранялось значение типа индекса тэга для XML индексов. Исправлено.
  14. Диалоговое окно выбора объекта. В разделе Пользователи также показывались роли, а в Роли - пользователи. Исправлено.
  15. Редактор Учетных записей. Если поля "Пароль" и "Подтвердить пароль" содержали различающиеся значения, при компиляции показывалось два сообщения об ошибке. Исправлено.
  16. Диалоговое окно настроек окружения. Для вкладки Tools | Object Editor открывалась неверная страница справки. Исправлено.
  17. Множество улучшений и исправлений.

Версия 3.8

  1. Добавлена поддержка новых возможностей SQL Server 2012:
    • Поддержка последовательностей.
    • Поддержка пользовательских серверных ролей.
    • Поддержка индексов columnstore.
    • Поддержка FileTables.
    • Поддержка автономных баз данных.
  2. Добавлена поддержка пространственных индексов (SQL Server 2008 и выше).
  3. Редактор логинов. Добавлена возможность задавать разрешения на имена входа и серверные роли.
  4. Редактор ролей.
    • Теперь можно переименовывать роль и задавать ее описание (SQL Server 2005 и выше).
    • При редактировании роли приложения теперь доступны поля «Подтвердить пароль» и «Схема по умолчанию».
    • Определение теперь представляется в виде оператора CREATE ROLE, а скрипт на изменение в виде ALTER ROLE (SQL Server 2005 и выше).
  5. Проводник баз данных. Теперь при нажатии клавиши "влево" сначала сворачиваются подузлы текущего узла, а при повторном нажатии фокусируется родительский узел.
  6. Регистрационная информация базы данных. OLE DB Provider. Добавлена возможность выбора SQL Native Client 2008 для подключения к серверу. Также добавлена опция «по умолчанию», при выборе которой подключение осуществляется тем клиентом, который соответствует версии сервера.
  7. Просмотр в виде BLOB. Добавлена поддержка изображений формата png.
  8. DDL таблицы. Добавлена опция «Показывать сортировку в DDL таблице, только если она отличается от сортировки базы данных» (закладка «Инструменты» в диалоге «Настройки окружения»).
  9. Свойства базы данных. Появилась возможность изменять следующие опции базы данных: Нетранзакционный доступ к данным FILESTREAM, Имя каталога для данных FileTable, Вложение (все до SQL Server 2012).
  10. Свойства сервера. Появилась возможность изменять следующие опции сервера: Уровень доступа к данным типа Filestream (SQL Server 2008 и выше), Вложение баз данных (SQL Server 2012), Сжатие резервных копий по умолчанию (SQL Server 2008 и выше), Максимальное количество блокировок, Ожидание запроса.
  11. Настройки редакторов. Quick Code. Теперь при нажатии клавиши пробела список автозавершения кода может закрываться со вставкой выбранного элемента.
  12. Вкладка «Зависимости». Теперь перед отображением зависимостей процедур, функций и представлений обновление зависимостей на сервере производится с помощью процедуры sp_refreshsqlmodule.
  13. Редактор таблиц.
    • При создании и удалении таблицы теперь можно задавать настройки FileTable.
    • Вкладка «Данные». Теперь после обновления соответствующей кнопки в Навигаторе базы данных текущая запись не меняется.
  14. В меню Help добавлен пункт «Скачать руководство пользователя и язык».
  15. Теперь файл Справки запускается на языке локализации программы.
  16. Конструктор запросов.
  • Запросы, имеющие выражение в условии присоединения, при разборе выдавали ошибку. Исправлено.
  • При вызове «Создать представление» изменения, внесенные на вкладке «Редактировать», не попадали в описание представления. Исправлено.
  17. Редактор представлений. При изменении индексированного представления, содержащего несколько индексов, порядок создания индексов в генерируемом скрипте мог быть неверным. Исправлено.
  18. При создании SQL логина значение опции «Внедрение политики паролей» не сохранялось. Исправлено.
  19. Если при восстановлении полнотекстового каталога имя каталога требовало квотирования, возникала ошибка. Исправлено.
  20. Редактор внешних ключей. Если имя внешнего ключа создавалось сервером автоматически, то после сохранения изменений возникала ошибка «Внешний ключ не найден в базе данных». Исправлено.
  21. SQL Редактор. При выполнении запроса SELECT с использованием SQL Native Client, если перед секцией WHERE был однострочный комментарий, возвращался пустой набор данных. Исправлено.
  22. UDT Редактор. Допускался ввод отрицательных и очень больших положительных значений в поля «Размер/точность» и «Масштаб». Исправлено.
  23. Прочие изменения и исправления.

Версия 3.7

  1. Добавлена поддержка опций ANSI_NULLS и QUOTED_IDENTIFIER для процедур, функций, представлений, а также для триггеров таблиц, триггеров баз данных и триггеров серверов.
  2. Редактор агрегатов. Добавлена возможность создания/редактирования агрегатов с несколькими параметрами (SQL Server 2008).
  3. Редактор полнотекстного (full-text) каталога. Добавлена возможность создавать полнотекстные индексы для индексированных представлений.
  4. Проводник БД.
  • Теперь поиск через панель инструментов “Поиск” возможен по развернутым и завернутым узлам дерева.
  • В скрипте, получаемом с помощью команды “Скрипт в …”, для хранимой процедуры добавлены декларации переменных для получения возвращаемого значения и значений параметров вывода.
  5. Настройки редактора. Увеличено максимально допустимое значение для поля “Положение правой границы”.
  6. SQL Редактор.
  • Не вводились некоторые национальные символы. Исправлено.
  • После выполнения замены с помощью диалога “Заменить текст”, в некоторых случаях нельзя было закрыть сообщение об окончании операции. Исправлено.
  • В SQL Server 2000 при открытии опции “Автозавершение кода” (Code Completion) для текста ‘<имя базы данных>.<имя схемы>.’ возникала ошибка “Invalid object name 'sys.schemas'”. Исправлено.
  7. Просмотр данных.
  • При наличии подуровней в некоторых случаях возникала ошибка “Компонент с именем XXX уже существует». Исправлено.
  • В поле “Найти” не вводились некоторые национальные символы. Исправлено.
  • При наличии национального символа в заголовке столбца, данные этого столбца отображались как null. Исправлено.
  • Если активным представлением является подуровень, то при изменении значения “Предел записи” (Record Limit) возникала ошибка AV. Исправлено.
  8. Роли сервера. После открытия формы значительно повышалась загрузка ЦП программы. Исправлено.
  9. Экспорт/Импорт данных. В некоторых случаях возникали ошибки при экспорте/импорте данных в/из файлов xlsx, docx в Windows 7. Исправлено.
  10. Экспорт данных в SQL-скрипт. Теперь при создании скрипта для SQL Server добавляются определения ограничений таблицы в результирующий скрипт в DDL таблицы.
  11. Редактор UDF.
  • На вкладке Параметры не отображались параметры табличного типа. Исправлено.
  • В DDL не отображался размер возвращаемого значения функции. Исправлено.
  12. Редактор процедур. На вкладке “Параметры” не показывались значения по умолчанию параметров для SQL процедур. Исправлено.
  13. Если полю таблицы назначен объект по умолчанию, в DDL таблицы в команде EXEC sp_bindefault не указывалась схема таблицы. Исправлено.
  14. Свойства сервера. Если при открытии формы возникала ошибка, то вместо сообщения об ошибке возникала ошибка AV. Исправлено.
  15. Редактор очереди. При редактировании/удалении очереди, созданной в схеме отличной от выбранной (выделенной), в скрипт не добавлялось имя схемы и возникала ошибка. Исправлено.
  16. Редактор полей. Для типа TIME (SQL Server 2008) нельзя было задать “точность 0”. Исправлено.
  17. Мастер копирования объекта. При дублировании значения в другую схему, в некоторых случаях в скрипт не подставлялось имя схемы. Исправлено.
  18. Редактор агрегата. Если параметром или возвращаемым типом агрегата являлся UDT, то при открытии агрегата, соответствующее поле в редакторе было пустым. Исправлено.
  19. В момент отключения от базы данных при появлении запроса на сохранение данных в какой-либо открытой форме программы, нажатие кнопки Отмена приводило к ошибке AV. Исправлено.
  20. Если текущая Windows locale использует многобайтовую кодировку (например, китайскую), то при использовании национальных символов в именах объектов при сохранении

Версия 3.6

  1. Редактор SQL.
  • Теперь количество обработанных записей выводится для каждого оператора. Раньше выводилось только для первого.
  • Для запросов, возвращающих несколько наборов записей, теперь выводится количество записей в каждом наборе.
  • Неправильно показывались данные FOR XML запросов, если данные представлены как элементы. Исправлено.
  • Метки в процедурах при выполнении воспринимались как параметры. Исправлено.
  • Для определенного вида запросов, возвращающих несколько наборов записей, неправильно работал экспорт второго и последующих наборов.
  • Неправильно сортировались данные varchar и text полей, содержащие национальные символы. Исправлено.
  • На SQL Server 2000 в некоторых случаях при повторном выполнении не показывались info messages. Исправлено.
  • По окончании выполнения иногда не останавливался таймер времени выполнения. Исправлено.
  2. Просмотрщик данных. Теперь редактирование значений новых полей, имеющих тип данных datetime, возможно с помощью маски ввода и выпадающего календаря.
  3. Редактор таблиц вкладка Data.
  • При просмотре в виде формы увеличена ширина полей типа uniqueidentifier.
  • При работе в Windows 7 после изменения размеров сетка данных некорректно отображался. Исправлено.
  • Если добавить дополнительный уровень и затем обновить, добавленный уровень исчезал. Исправлено
  • Для полей varchar(max) не работала команда Set to Empty String. Исправлено.
  • В таблицах с большим количеством записей по нажатию Fetch All записи загружались медленно. Исправлено.
  4. Извлечение базы данных
  • При извлечении таблицы с полем filestream генерировался неверный скрипт: данные вставлялись до создания уникального ключа, что вызывало ошибку. Исправлено.
  • В некоторых случаях в результирующем скрипте дублировались команды создания индексов. Исправлено.
  5. Монитор процессов. В диалоговом окне, в котором отображается SQL текст процесса текст теперь подсвечивается.
  6. В просмотрщике данных и редакторе SQL при вводе текста некоторые национальные символы заменялись символами знака вопроса. Исправлено.
  7. Визуальный конструктор запросов. Запрос, содержащий оператор или значение в скобках в операторе TOP не обрабатывался. Исправлено.
  8. Панель работы с окнами. Если открыть много форм, так, что часть из них не отображается на панели окон, то нажатие мышкой по значку этих окон не приводил к переключению окна, требовалось повторное нажатие. Исправлено.
  9. Если переименовать процедуру без перекомпиляции ее тела, то в DDL выводилось старое имя. Исправлено.
  10. В некоторых случаях неправильно отрезались лишние скобки в значениях по умолчанию полей. Исправлено.
  11. В некоторых случаях в DDL таблицы показывались автоматически сгенерированные сервером имена ограничений. Исправлено.
  12. Редактор процедур. Если выполнить процедуру, возвращающую набор записей, и вызвать экспорт данных, возникала ошибка Missing SQL property. Исправлено.
  13. На вкладке Permissions редакторов объектов теперь можно менять ширину столбцов.
  14. В DDL таблицы опция filestream поля находилась после определения ограничения поля, что приводило к ошибке при выполнении этого SQL.
  15. Работа с индексами. При работе с SQL Server 2000, если выбранная таблица содержит объекты статистики, в списке индексов появлялись пустые строки. Исправлено.
  16. Редактор таблиц. На SQL Server 2000 в списке индексов показывались объекты статистики. Исправлено.
  17. Другие небольшие улучшения и исправления.

11 ноября 2009 выпущен SQL Manager for SQL Server вер. 3.5.0.1

1. Свойства баз данных. При работе с SQL Server 2008 добавилась опция Transparent data encryption.

2. Форма Jobs стала открываться быстрее.

3. Редакторы SQL.

  • Добавилась возможность загрузить содержимое файла в SQL редактор перетаскиванием файла из Windows Explorer в поле редактора.
  • В диалоге открытия/сохранения файла выбранная кодировка файла теперь сохраняется и подставляется при последующих открытиях/сохранениях файлов в программе.
  • При использовании комментариев типа /** ... **/ текст после блока подсвечивался как комментарий. Исправлено.

4. Редактор SQL.

  • При отображении имени файла и пути в заголовке окна теперь при необходимости обрезается не имя файла, а его путь.
  • Иногда не выводились значения XML полей при подключении с использованием Native Client. Исправлено.
  • Если последняя строка выполняемого запроса содержала комментарий, запрос не возвращал данные. Исправлено.
  • Для команды Show Results on Edit Tab добавлено сочетание клавиш Ctrl+D.
  • При определенной комбинации настроек для всех запросов показывалось 0 records fetched. Исправлено.

5. Сценарий SQL. При отображении имени файла и пути в заголовке окна теперь при необходимости обрезается не имя файла, а его путь.

6. Теперь возможно подключение к базе, если у пользователя нет прав для получения списка сортировок.

7. Мастер копирования объекта. Теперь можно менять размер формы.

8. Соответствия клавиш. Добавлен запрос подтверждения удаления схемы и сочетаний клавиш.

9. Извлечение базы данных.

  • Появилась возможность извлечения системных объектов.
  • Теперь при создании сценария учитывается зависимость между сертификатами и пользователями по свойству Authorization.

10. Редактор сертификатов. Параметры Start Date и End Date теперь имеют выпадающий календарь для ввода даты.

11. Монитор активности. Иногда при открытии формы для SQL Server 2008 возникала ошибка Overflow while converting variant of type (Int64) into type (Integer). Исправлено.

12. Просмотр данных. Из-за ошибки в Windows Vista при увеличении размера формы размер сетки данных не менялся. Исправлено.

13. Конструктор запросов. Возникала ошибка при обратном проектировании запроса, в котором имена объектов были заключены в кавычки. Исправлено.

14. Редактор процедур. После выполнения процедуры, возвращающей набор данных, переставали работать сочетания клавиш Ctrl+Ins и Shift+Ins на закладке редактора текста процедуры. Исправлено.

15. Редактор UDF. При запуске UDF ее имя не бралось в кавычки – возникала ошибка, если имя содержало недопустимые для идентификаторов символы. Исправлено.

16. Экспорт данных, экспорт в сценарии SQL. Для запросов, возвращающих несколько наборов данных, нельзя было экспортировать второй и последующие наборы данных.

17. Редактор логинов.

  • При отзыве разрешения для базы данных возникала ошибка. Исправлено.
  • Нельзя было создать логин с пустым паролем. Исправлено.

18. Нельзя было открыть редактор объекта, если его имя имело вид ‘text (text)’. Исправлено.

19. Редактор таблиц. Если использовалась не английская локализация, то при переходе на вкладку зависимостей иногда возникала ошибка Floating point divizion by zero. Исправлено.

20. Редактор полей. В случае привязки к полю объекта по умолчанию возникала ошибка при сохранении - создавался неправильный сценарий. Исправлено.

21. Редактор индексов. После выбора схемы секционирования в качестве пространства данных индекса, список Partitioning column не заполнялся.

22. Экспорт в сценарии SQL. Значения полей numeric c большой точностью выводились как значения nvarchar.

23. При наличии подключения к базе данных с регистрозависимыми параметрами сортировки невозможно было открыть редактор задач (Job Editor) - возникала ошибка. Исправлено.

24. Другие улучшения и исправления.

19 мая 2009 выпущен SQL Manager for SQL Server вер. 3.4.0.1

  1. Теперь поддерживаются следующие функции SQL Server 2008:
  • Регулятор ресурсов (Resource Governor)
  • Поддержка условия "FOR XML" в запросах для вывода результатов в формате XML вместо стандартного набора строк (rowset)
  • В редакторе SQL запросов и в редакторе SQL скриптов теперь поддерживаются макросы.
  2. Просмотр данных | Редактор данных типа BLOB: добавлена вкладка Редактировать как XML, позволяющая просматривать XML данные в виде дерева.
  3. Внедрена поддержка UNICODE в текстах процедур, функций, представлений, триггеров, ограничений, описаний объектов, значений полей по умолчанию и ряде других свойств объектов.
  4. Управление правами:
  • Добавлена поддержка разрешений на БД при работе с SQL Server 2005 и выше
  • Разделены роли и пользователи в списке привилегий
  • Разрешения столбцов показывались не всегда верно: не учитывались разрешения объекта верхнего уровня. Исправлено
  5. Регистрационная информация базы данных:
  • Большинство опций из секции "Параметры сетки | Настройки данных" диалогового окна "Настройки окружения" теперь могут быть заданы отдельно для каждой зарегистрированной БД в диалоговом окне "Регистрация Баз Данных". Значения опций, заданные на странице "Сетка | Настройки данных" будут применяться по умолчанию для новых регистрируемых баз банных
  • Добавлена возможность выбора OLE DB провайдера: OLE DB Provider for SQL Server или SQL Native Client
  • Метаданные и журналы редактора SQL теперь могут быть сохранены в UNICODE или ANSI
  6. Редактор SQL:
  • После выполнения Transact-SQL оператора USE в статусной строке редактора отображается имя текущей базы данных
  • Исправлено несколько ошибок, связанных с подсветкой синтаксиса
  • Исправлено несколько ошибок, связанных с неверным синтаксическим разбором псевдонимов таблиц в запросах
  • Не работало сочетание Ctrl+Alt+C для отображения списка полей таблицы, имя которой скопировано в буфер обмена. Исправлено
  • Не всегда правильно отображалось количество записей, затронутых операцией. Исправлено
  7. Проводник БД
  • Улучшено диалоговое окно "Найти объект"
  • Добавлена возможность выполнения процедур и пользовательских функций, с помощью контекстного меню объекта.
  • Теперь программа сохраняет информацию о последней открытой базе данных перед выходом. При следующем запуске программы, эта база данных автоматически выбирается в дереве Проводника БД
  • В панель поиска добавлена кнопка переключения режима поиска
  • Двойной щелчок по группе объектов раскрывает и скрывает ветвь дерева
  • При добавлении серверного объекта в дереве показывался только этот новый объект, в случае если ветвь дерева еще не была обновлена. Исправлено
  8. Извлечение базы данных:
  • Теперь скрипт генерируется непосредственно в выбранной кодировке, что сокращает время генерации скрипта
  • При включенной опции "Генерировать операторы DROP" генерировались лишние операторы удаления объектов таблицы. Исправлено
  9. Экспортировать как SQL-скрипт: теперь скрипт генерируется непосредственно в выбранной кодировке, что сокращает время генерации скрипта
  10. Визуальный конструктор баз данных:
  • Теперь таблицы после обратного проектирования (reverse engineering) расположены более компактно
  • Если диаграмма была загружена из файла, то функция выравнивания не работала. Исправлено
  11. Опции SQL Manager: возможность применения настроек по умолчанию (для всех или только для отдельной категории опций) доступна для всех диалоговых окон с опциями
  12. Список окон: добавлена команда "Закрыть все окна баз данных"
  13. Просмотр в виде таблицы:
  • изменен метод работы в асинхронном режиме – отдельное соединение для каждой Сетки данных позволяет одновременно проводить выборку без потери возможности использовать другие функции программы
  • в выбранных записях данных отображаются изменения при переключении с сетки
  14. Редактор шагов задания: Добавлена поддержка опции "Записывать журнал в таблицу", а также новых подсистем SQL Server 2008
  15. В историю изменений метаданных теперь также записываются изменения, которые производятся пересозданием таблицы: изменение названия поля, переупорядочивание полей
  16. Мастер сохранения настроек: теперь, при сохранении настроек в существующем файле, программа предлагает заменить файл или создать новый уникальный файл с добавление текущей даты и времени в имя файла
  17. Настройки окружения | Инструменты | Руководство по SQL Server: добавлена функция для SQL Server 2008 Books Online
  18. Редактор полнотекстовых каталогов
  • Значение "тип данных" поля полнотекстового индекса не применялось при сохранении объекта. Исправлено
  • Во время сохранения изменений при нажатии "Отмена" в окне "Изменения метаданных" изменения в редакторе терялись. Исправлено
  19. В DDL Определенных пользователем функций, определяемых пользователем, отсутствовали комментарии полей возвращаемой таблицы. Исправлено
  20. Связанные серверы. Не отображалось содержимое связанного сервера, если провайдер не поддерживает информацию в каталоге. Исправлено
  21. Редактор функций секционирования. Не отображались миллисекунды в граничных значениях типа date/time. Исправлено
  22. Экспорт данных. При экспорте данных типа decimal с точностью менее 15 знаков числа округлялись до 4 десятичных разрядов. Исправлено
  23. Конструктор запросов. Неправильно подбиралась ширина диалогового окна "Свойства ссылки" при работе в Windows Vista. Исправлено
  24. Нельзя было изменить описание объекта, если объект имел описание в виде пустой строки. Исправлено
  25. Редактор ролей. На вкладке "Член роли" не работала команда "Обновить". Исправлено
  26. Редактор полей. Не отключалась опция "Разреженный" для NOT NULL полей (при работе с Sql Server 2008). Исправлено
  27. Предупреждение об уровне совместимости (compatibility level) базы данных при соединении нельзя было отключить – значение опции "Больше не спрашивать об этом" не сохранялось после закрытия программы
  28. Другие небольшие изменения и устраненные ошибки.

29 сентября 2008 Выпущен SQL Manager for SQL Server вер. 3.3.0.1

Что нового в SQL Manager for SQL Server версии 3.3.0.1?

  1. При работе с SQL Server 2008 добавлена поддержка:
  • Сжатых таблиц и индексов.
  • Filestream полей и filestream файловых групп.
  • Filtered Indexes
  • Разреженных столбцов (Sparse Columns).
  2. Визуальный конструктор запросов:
  • При добавлении таблицы, имеющей связи, установленные с помощью внешних ключей, с другими таблицами, в запрос добавляются соответствующие JOIN выражения, а сами связи отображаются автоматически в окне диаграммы.
  • В некоторых случаях при переименовании таблиц и переходе на вкладку SQL возникала ошибка Cannot bind JOIN expression. Исправлено.
  3. Проводник баз данных.
  • Добавлена возможность менять порядок серверов в списке с помощью перетаскивания.
  • Роли приложения теперь определены уникальным значком.
  • При выделении нескольких серверных объектов по команде Edit Object открывался редактор только одного из них. Исправлено.
  • Предупреждение при подключении к базе данных, что у базы данных установлен не максимальное значение опции Compatibility level, теперь можно отключить.
  • SQL ассистент. Для серверных объектов не работала команда Edit objects. Исправлено.
  4. Регистрационная информация баз данных. На вкладку Options добавлена опция Schema-organized database tree, при отключении которой для данной базы в проводнике строится дерево без разбивки объектов по схемам.
  5. Свойства базы данных. Добавлена информация о владельце базы данных.
  6. Добавлена возможность правки результатов запросов из связанных таблиц.
  7. Для идентификационных полей теперь можно установить отрицательное начальное значение и отрицательный шаг.
  8. Резервное копирование базы данных. Шаг Установка дополнительных опций виден только при резервном сохранении базы данных, хранящейся на SQL Server 2008.
  9. Восстановление базы данных. Добавлена возможность на последнем шаге отключения всех пользователей, при восстановлении существующей базы данных.
  10. Мастер создания HTML отчетов. Добавлена возможность изменения размера шрифта в разделе DDL.
  11. Окно изменения метаданных теперь можно закрыть клавишей Esc.
  12. При удалении Пользовательского типа данных иногда возникала ошибка Access Violation. Исправлено.
  13. Очереди. Если при редактировании очереди отменить изменения в Окне изменения метаданных с помощью Rollback, сделанные в редакторе изменения пропадали. Исправлено.
  14. Неверно отображались комментарии объектов для баз данных со значением свойства отличным от значения языка по умолчанию клиентского компьютера, и если при этом текст комментариев содержал национальные символы. Исправлено.
  15. Мастер извлечения баз данных. Исправлено несколько ошибок, связанных с неверным порядком выражений, неполным определением некоторых объектов и т.п.
  16. Окно Code Completion. Некоторые системные функции дублировались в списке. Исправлено.
  17. Code Parameters. Список доступных параметров не открывался, если имя объекта было заключено в квадратные скобки. Исправлено.
  18. Визуальный конструктор баз данных. На некоторых принтерах не печатались иконки полей и таблиц. Исправлено.
  19. Редактор таблиц. Не работала команда Refresh на вкладке Properties.
  20. При подключении к базе данных со значением Compatibility level 8 на SQL Server 2005 появлялось сообщение об ошибке и не обновлялись Контракты и Маршруты.
  21. Если в Windows, на Панели управления в окне "Язык и региональные стандарты" на вкладках "Региональные параметры" и "Дополнительно" установлены разные языки и для них заданы разные дробные разделители, то при открытии данных таблиц с полями типа NUMERIC возникала ошибка. Исправлено.
  22. Просмотрщик данных. При использовании формата даты с текстовым месяцем (например: dd-MMM-yyyy) при редактировании даты возникала ошибка.
  23. Редактор SQL. Для некоторых команд из группы контекстного меню Quick Code неправильно указывались сочетания клавиш. Исправлено.
  24. Прочие улучшения и доработки.

10.04.2008 Выпущен SQL Manager for SQL Server вер. 3.2.0.1

  1. Поддержка Service Broker. Теперь поддерживаются все объекты Service Broker: типы сообщений, контракты, службы, маршруты, привязки удаленных служб, очереди.
  2. Поддержка SQL Server 2008.
  • Добавлена поддержка новых типов данных: date, datetime2, datetimeoffset, time, hierarchyid, geometry, geography.
  • Добавлена поддержка табличных типов. Табличные типы отображаются в Проводнике БД в ветке UDTs.
  • Мастер резервного копирования теперь поддерживает новые параметры резервного копирования: сжатие, число буферов, максимальный объем передачи.
  • Добавлена поддержка триггеров входа (logon triggers). Триггеры входа создаются через редактор серверных DDL триггеров. Также добавлена поддержка новых событий триггеров DDL.
  3. Для Редактора SQL добавлена опция «Одни и те же запросы для всех баз данных», при активации которой Редактор SQL сохраняет все запросы в одном репозитории и переключение баз данных не вызывает загрузку запросов этой БД. Изменение опции не затрагивает текущие открытые копии Редактора SQL. Значение опции можно свободно изменять, это не приводит к потере содержимого репозитория запросов.
  4. Редакторы SQL.
  • Некоторые функции стали работать быстрее
  • Теперь возможно изменять размер списка «Автозавершение кода»
  • Функция «Искать дальше» теперь работает, даже если диалоговое окно поиска было открыто для другого редактора SQL.
  5. История заданий. Теперь задачи можно редактировать, запускать, останавливать и удалять прямо из данной формы.
  6. Просмотр журналов сервера. Время в поле даты теперь отображается с миллисекундами.
  7. Теперь при подключении к базе проверяется ее уровень совместимости и при необходимости выдается предупреждение с запросом изменить его.
  8. При вводе дат возникала ошибка «Invalid date», если на первой и последней закладках диалогового окна Язык и региональные стандарты (Панель управления) были установлены разные языки.
  9. Иногда при выполнении запросов, содержащих XML поля, возникала ошибка «Multiple-step operation generated errors». Исправлено.
  10. Монитор процессов. После обновления содержимого формы сбрасывались настройки фильтрации. Исправлено.
  11. Вкладка «Зависимости». Для типов и процедур не всегда корректно показывались зависимости. Исправлено.
  12. Не сохранялось положение панелей инструментов главной формы программы. Исправлено.
  13. Печать метаданных. Не отображались комментарии к полям таблицы. Исправлено.
  14. Визуальный конструктор БД. Настройки диаграммы по умолчанию не применялись к первой вкладке диаграммы. Исправлено.
  15. Экспорт данных. Теперь возможно экспортировать все результаты запроса с несколькими возвращаемыми наборами данных.
  16. Редактор BLOB оставался доступным даже для изменения данных уровней «Только для чтения». Исправлено.
  17. Если для подключения к базе данных использовался SQL Server логин с паролем, содержащим некоторые знаки пунктуации, при подключении возникала ошибка. Исправлено.
  18. Прочие улучшения и доработки.

22.01.2008 Выпущен SQL Manager for SQL Server вер. 3.1.0.1

Что нового в SQL Manager for SQL Server версии 3.1.0.1?

  1. Мастер извлечения баз данных, Печать метаданных, Мастер копирования объектов, Новый объект, Редактор SQL скриптов, Проводник баз данных теперь поддерживают серверные объекты.
  2. Управление правами. Добавлена возможность показа действительных (effective) разрешений на объект.
  3. Редактор SQL:
  • Многие функции стали работать быстрее.
  • Исправлено несколько ошибок, связанных с неверной работой code folding, возникновением List index is out of bounds и Access violation ошибок, не верным распознаванием алиасов таблиц в запросах, не применением цвета фона.
  • При вводе параметров параметризованных запросов не поддерживался Unicode текст. Исправлено.
  • Не всегда корректно сохранялись избранные запросы при работе с несколькими копиями SQL Editor.
  • При разрыве соединения с сервером в некоторых случаях не производилась попытка восстановить соединение.
  • Шаблоны клавиатуры теперь не срабатывают в комментариях.
  4. Регистрационная информация баз данных Добавлена опция Always use client cursor to get data. Это опцию следует включать при удаленном соединении с сервером, например, при соединении через Internet.
  5. Печать метаданных. Добавлена возможность прервать построение отчета.
  6. Просмотрщик данных:
  • Подуровни, основанные на SQL запросе, теперь могут редактироваться и в режиме Load All Rows, но только, если запрос построен по одной таблице и содержит ключевые поля.
  • При вставке текста в ячейку таблицы по нажатию Shift-Ins появлялось диалоговое окно дублирования поля. Исправлено.
  7. Редактор представлений. Добавлена возможность редактирования запроса в визуальном конструкторе запросов.
  8. Редактор заданий. Добавлены команды запуска и остановки задачи, просмотра результатов ее выполнения.
  9. Управление индексами. Появилась возможность выделять сразу несколько индексов и задавать параметры сразу для них всех.
  10. При дублировании полнотекстовых каталогов возникала ошибка, что запрос не может быть выполнен в транзакции.
  11. Редактор SQL скриптов. При сохранении файла иногда возникала ошибка Cannot create file. Исправлено.
  12. Мастер извлечения баз данных. В выражение CREATE DATABASE не добавлялись операторы создания файлов и групп файлов.
  13. Просмотр журнала сервера. Иногда при открытии лога возникала ошибка Field Date is not found.
  14. Восстановление базы данных. При сохранении опций мастера в шаблон в некоторых случаях в не записывались имена файлов базы данных.
  15. Шаблоны клавиатуры. При использовании команды Paste в теле шаблона при применении шаблона вместо вставки всего текста из буфера обмена вставлялось только первое слово.
  16. Дерево зависимостей. Если прервать построение дерева, при последующем выборе объекта не запрашивалось повторное его построение.
  17. Некоторые другие улучшения и исправления.

13.06.2007 Выпущен SQL Manager for SQL Server вер. 2.7

Что нового в SQL Manager for SQL Server версии 2.7?

  1. Свойства баз данных.
  • Показывается информация о базе: размер всей базы, данных, индексов, журнал транзакций и т.п.; дата создания последних резервных копий базы данных: полной, дифференциальной и журнала транзакций.
  • Теперь можно переименовывать базу данных.
  • Теперь можно открывать это окно для неподключенных баз данных и для баз, находящихся в режиме офлайн.
  • Появилась возможность менять имя и расположения файлов базы данных (расположение – только при работе с SQL Server 2005).
  2. Проводник БД. Для таблиц в Ассистенте SQL теперь можно отобразить краткую информацию.
  3. В редакторах объектов теперь можно менять схему/владельца объектов.
  4. Во многих списках объектов появилась опция инкрементного поиска.
  5. Отображение данных в виде формы. Для строковых полей с длиной 80 и более символов создается редактор, как для полей text. Также добавлена опция Word wrap in string fields.
  6. Редактор таблиц | Закладка “Поля”. В колонке “Тип данных” для определенных пользователем типов данных в скобках указывается базовый тип, на основе которого создан данный тип.
  7. Редактор SQL. При использовании нескольких копий Редактора SQL при сохранении содержимого учитывается, было ли изменено содержимое в другой копии.
  8. Функция “Экспортировать как SQL-скрипт”. Теперь при экспорте в файл в случае, если файл уже существует, пользователю выдается соответствующее предупреждение.
  9. Отчеты HTML. При построении отчета для пользователей на SQL Server 2000 выдавалась ошибка Invalid object name 'sys.schemas’. Исправлено.
  10. В немецкой локализации при переходе на второй шаг в Мастере экспорта данных выдавалась ошибка “List index out of bounds”.
  11. При добавлении поля IDENTITY в существующую таблицу возникала ошибка. Исправлено.
  12. Нельзя было подключиться к серверу при работе под Vista, если установлен Native Client и используется аутентификация SQL сервера. Исправлено.
  13. Редактор триггеров. Для зашифрованных триггеров нельзя было изменить свойство Enabled из редактора. Исправлено.
  14. В редакторе SQL имя объекта из [dbo] схемы не отмечалось как ссылка, если схема по умолчанию для текущего пользователя была не [dbo], и имя объекта было без схемы.
  15. Восстановление базы данных. В форме выбора резервной копии при выборе резервной копии из файла (в режиме создания копии) возникала ошибка. Исправлено.
  16. Извлечение базы данных. При построении скрипта не учитывались зависимости между представлениями и определенными пользователями функциями. Исправлено.
  17. Сетка данных. В режиме “Загрузить видимые записи” не работали фильтры Blank и Non Blank.
  18. После упорядочивания окон, например, по вертикали, если в редакторе объекта выбрать в списке другой объект, положение и размер формы изменялись. Исправлено.
  19. Визуальный конструктор баз данных. Для таблиц не отображались первичные ключи, созданные по нескольким полям. Исправлено.
  20. Некоторые другие улучшения и исправления.

23.01.2007 Выпущен SQL Manager 2005 for SQL Server вер. 2.6

  1. SQL Скрипт. Добавлена возможность выполнения выбранных операторов и операторов под курсором.
  2. Добавлена возможность изменять признак identity для столбцов.
  3. Порядок полей. Может быть изменен, даже если от таблицы зависят другие объекты.
  4. Редактор таблиц:
  • При отключенном Проводнике объектов редактор таблиц стал открываться быстрее. Проводник объектов отключается на вкладке Редакторы объектов в диалоговом окне Настройки окружения.
  • Вкладка Поля. Добавлена колонка Identity.
  5. Извлечение базы данных. Триггеры представлений выгружались пустыми. Исправлено.
  6. Редактор SQL, Конструктор запросов, Редактор процедур. Во время асинхронного выполнения запроса загрузка процессора достигала 100%. Исправлено.
  7. DDL сборок теперь представлено в двоичном виде.
  8. Дерево зависимостей:
  • При включенной опции «Показывать подобъекты» зависимости показывались не совсем корректно. Исправлено.
  • Иконки объектов не выводились на печать.
  9. SQL Скрипт:
  • При отключении от базы данных форма теперь не закрывается.
  • Не очищался список ошибок при загрузке файла. Исправлено.
  10. Опции Редактора. Добавлена возможность сброса цветов в значения по умолчанию.
  11. Редактор индексов. При создании индекса теперь не нужно выбирать dataspace, по умолчанию используется dataspace таблицы.
  12. Редактор SQL. При переключении между запросами не сохранялись позиции курсора и прокрутки в окне. Исправлено.
  13. Редактор DDL триггеров. Нельзя было отключить/активировать существующий триггер - генерировался неверный сценарий. Исправлено.
  14. Сетка Данных. При выбранном виде «Форма» теперь работает прокрутка колесом мыши.
  15. Опции Отображения. Добавлена опция «Показывать недавние команды».
  16. Опции Окружения, вкладка Проводник БД. Добавлена опция «Обновлять объекты при отображении в Ассистенте SQL».
  17. Мастер создания уровня сетки. При включении опции «Отображать только таблицы связанные по внешнему ключу» загрузка таблиц занимала значительное время на SQL Server 2005. Исправлено.
  18. Нельзя было создать timestamp поле с ограничением NOT NULL. Исправлено.
  19. Список Дел. При попытке выбрать в списке баз данных базу, к которой отсутствует подключение, возникала ошибка «Invalid authorization specification». Исправлено.
  20. При одновременном выполнении нескольких запросов в асинхронном режиме иногда возникала ошибка Access Violation. Исправлено.
  21. Проводник БД. Вновь созданный объект не попадал в список «Недавние Объекты».
  22. Редактор представлений, вкладка Триггеры. Если для представления создано более одного триггера, у второго и последующих триггеров неверно отображался тип. Исправлено.
  23. Визуальный Редактор БД. В определенных случаях при открытии диаграммы возникала ошибка «Could not convert variant of type (OleStr) into (Double)». Исправлено.
  24. Экспорт в SQL Скрипт. Для полей типа SQL_VARIANT значения типов DATETIME, BINARY возвращались некорректно. Исправлено.
  25. Импорт Данных. При импорте из формата DBF требуемыми значениями для полей типа boolean по умолчанию были False, True, вместо F и T, что приводило к необходимости менять эти значения для импорта DBF файлов с boolean полями. Исправлено.
  26. Изменение метаданных. Диалоговое окно теперь можно закрыть по клавише Esc с отменой изменений.
  27. Настройки Окружения, вкладка Окна. Не работала опция «Ограничение одновременно открытых окон». Исправлено.
  28. Прочие улучшения и доработки.

SQL Manager 2005 for SQL Server 2.5.0.1

  1. В формах регистрации баз данных добавлена опция, позволяющая не загружать объекты при соединении с базой данных (опция Refresh objects on connection). Рекомендуется отключать эту опцию, если база данных содержит большое количество объектов или если соединение с базой медленное.
  2. Редактор SQL, SQL-скрипт, Редактор процедур. Информационные сообщения теперь показываются корректно. (Для этого должны быть установлены соответствующие опции на закладках Инструменты и SQL-скрипт окна Настроек окружения.)
  3. Добавлена французская локализация.
  4. Сетка данных.
  • В контекстное меню добавлены команды для переключения закладки сетки данных.
  • Для видов "главный-подчиненный", связанных по полю decimal или money в режиме "Загрузить все записи" записи подчиненного уровня иногда не показывались. Исправлено.
  • Фильтрация данных типа datetime в режиме SQL-фильтр работала некорректно. Исправлено.
  • Добавлена опция "Перенос слов в редакторе текста" на закладке Сетка > Расширенный Настроек окружения.
  • Форматы (Сетка > Форматы и палитра цветов) не применялись к записям подчиненного уровня.
  5. 5.Связанные серверы. Для SQL Server 7.0 данная функция не работала. Исправлено.
  6. Мастер экспорта в SQL скрипт.
  • Из операторов INSERT в результирующем скрипте не исключались вычисляемые поля.
  • Данные типа sql_variant в результирующем скрипте всегда были представлены как строки. Исправлено.
  7. Некоторые CLR пользовательские типы данных не показывались в дереве Проводника баз данных.
  8. При дублировании таблицы с данными c одной БД на другую данные типа TEXT и NTEXT не копировались. Исправлено.
  9. При дублировании процедуры имя процедуры не менялось на новое. Исправлено.
  10. Проводник баз данных. Если для проекта создана вкладка, то после добавления в проект объекта на вкладке объект не появлялся. Исправлено.
  11. Редактор триггеров. В DDL триггера не показывались комментарии, предшествующие оператору CREATE TRIGGER. Исправлено.
  12. Редактор SQL. Для запросов, возвращающих несколько наборов данных, при переключении закладок сетки данных теперь меняется значение извлеченных данных в статусной строке.
  13. При выполнении процедуры значения datetime параметров, имеющих часть времени, не сохранялись между выполнениями.
  14. Визуальный конструктор баз данных. Если выполнить команду Reset all Toolbars and menus, а затем открыть Визуальный конструктор баз данных, на форме отсутствовала панель инструментов. Исправлено.
  15. Команда Reset all Toolbars and menus не работала для панели инструментов Проводника баз данных.
  16. Теперь возможно изменять размер формы редактирования элемента списка дел.
  17. Дерево зависимостей. Кнопка «Сохранить как рисунок» отсутствовала в навигационной панели. Исправлено.
  18. При создании таблицы, если для поля первичного ключа не указать опцию Not Null, автоматически эта опция не подставлялась и, соответственно, возникала ошибка при выполнении скрипта создания таблицы.
  19. Множество других улучшений и исправлений.

SQL Manager 2005 for SQL Server 2.4.0.1

  2. Export as SQL Script. Теперь можно выбирать, для какого DBMS сервера генерировать сценарий.
  3. BLOB Editor теперь поддерживает работу с полями типов BINARY и VARBINARY.
  4. Linked Servers. Теперь можно посмотреть, какие таблицы и представления содержит связанный сервер.
  5. Extract Database. Представления и процедуры теперь располагаются в генерируемом сценарии в соответствии с зависимостями между объектами.
  6. DB Explorer.
  • Добавлена команда 'Add to Projects'. Теперь объекты в проекты можно добавлять не только перетаскиванием, но и посредством выбора в открывающейся по этой команде форме.
  • При дублировании объекта в другую схему в некоторых случаях получаемое определение объекта было некорректным.
  7. Grid.
  • Добавлены пункты контекстного меню Expand All и Collapse All.
  • Добавлена опция 'Save column sorting' для режима 'Save and restore layout'.
  8. Grant Manager. Теперь можно вызвать редакторы пользователей и ролей непосредственно из Grant Manager.
  9. Naming Rules. Добавлена поддержка индексов XML.
  10. Уменьшена загрузка CPU при работе с программой.
  11. В определении таблицы для полей, допускающих значения NULL, теперь явно указывается признак NULL.
  12. SQL Editor.
  • Добавлена возможность импортировать данные в запрос, если он поддерживает вставку данных.
  • Автозавершение кода не вызывалось автоматически.
  • В некоторых случаях не показывалась закладка Results.
  • Иногда при выполнении запросов в SQL Editor возникала ошибка Range Check Error.
  • Открытие редактора объекта по Ctrl+Enter не учитывало схему объекта.
  • Поиск объекта в DB Explorer по Ctrl+Shift+Enter не работал. А
  • Автозавершение кода не всегда корректно работало при использовании символов "[" и "]".
  • После переноса объектов из DB Explorer в редактор, команда Undo иногда отрабатывала некорректно.
  • Команда 'Select All' некорректно работала с очень длинными строками (более чем 4096 символов).

Эти ошибки устранены.

  1. Restore Database. Не позволялось работать с логическими устройствами резервного копирования, имеющими пробелы в названии. Исправлено.
  2. Job schedule, Daily frequency. Минуты воспринимались как часы, а часы, как минуты. Исправлено.
  3. При создании новой Partition Function нельзя было задать размер и точность для типа входящего параметра. Исправлено.
  4. Table Editor, Data tab. В режиме 'SQL filter' не корректно работал фильтр по BIT полям. Исправлено.
  5. Для коллекций XML schema не показывались зависимости. Исправлено.
  6. При создании поля, имя коллекции XML schema не заключалось в кавычки, что могло вызвать ошибку сценария.
  7. Data Import wizard. При настройке соответствия столбцов для импорта из Excel, при выборе нового столбца курсор в таблице перемещался на первый столбец.
  8. Database Registration Info. При сохранении не проверялась уникальность псевдонимов БД.
  9. Visual Database Designer. Стиль контекстного меню не менялся в соответствии с текущей визуальной схемой.
  10. Множество других улучшений и исправлений.

Подробную информацию по более ранним версиям смотрите на сайте.

Смотрите также:

Новости


Часто задаваемые вопросы

Вопросы

  1. Что такое EMS SQL Manager for SQL Server?
  2. Чем отличаются стандартная и бесплатная версии SQL Manager for SQL Server?
  3. Что мне необходимо для начала работы с SQL Manager for SQL Server?
  4. Почему я не могу подключиться к SQL Server?
  5. Как соединиться с именованным экземпляром SQL Server 2000 с помощью SQL Manager for SQL Server?
  6. Я получаю доступ к своему серверу через альтернативный порт. Я пытался найти в SQL Manager for SQL Server опцию, чтобы изменить порт для соединения, но безрезультатно. Как я могу изменить порт?
  7. Чем отличаются функции Импорт/Экспорт в SQL Manager for SQL Server от утилит Data Export/Import for SQL Server?
  8. В чем различие между модулем Конструктора Запросов в SQL Manager for SQL Server и утилитой SQL Query for SQL Server?
  9. Не могу модифицировать DDL. Почему?
  10. Как мне настроить форматы данных в решетке?
  11. При создании объектов базы данных, символы в их именах автоматически заменяются на символы нижнего регистра. Как мне это исправить?
  12. Как повысить скорость работы с большими таблицами?
  13. Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке Data занимает слишком много времени.
  14. Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for SQL Server для этого есть специальные инструменты?
  15. Чем отличаются функции “Extract Database” и “Export As SQL Script”?
  16. Я пытаюсь экспортировать таблицу, но поля TEXT не экспортируются.
  17. Как мне изменить директорию, в которую будут сохраняться экспортированные данные?
  18. Я постоянно получаю сообщение об ошибке 'Timeout expired' при попытки выполнения запроса в "Редакторе SQL", а также в результате выполнения некоторых других операций с объектами базы данных.
  19. При попытке запустить отладчик я получаю ошибку "Debugger interface not registered on client".

Ответы

В:

Что такое EMS SQL Manager for SQL Server?

О:

EMS SQL Manager for SQL Server - это мощный инструмент для администрирования и разработки сервера Microsoft SQL Server. SQL Manager for SQL Server позволяет легко и просто создавать и редактировать объекты базы данных, выполнять сценарии SQL, управлять пользователями и их привилегиями, визуально создавать запросы SQL, искать, извлекать, распечатывать метаданные, экспортировать данные в 14 наиболее популярных форматов, просматривать и редактировать BLOB-поля и многое другое.

В:

Чем отличаются стандартная и бесплатная версии SQL Manager for SQL Server?

О:

Эти версии отличаются своей функциональностью. Поскольку SQL Manager Freeware – это бесплатное приложение, оно имеет ряд функциональных ограничений, например, максимальное количество зарегистрированных баз данных не может превышать 5, а также некоторые другие. Подробный список отличий вы можете найти на нашем сайте в Таблице характеристик программы.

В:

Что мне необходимо для начала работы с SQL Manager for SQL Server?

О:

Во-первых, Вы должны иметь возможность подключиться к локальному или удаленному серверу SQL Server с 2000 до самых последних версий (мы не поддерживаем SQL Server Compact Edition), Azure SQL Database или Amazon RDS for Microsoft SQL Server. Во-вторых, Вам нужен компьютер, работающий под управлением ОС Windows.

В:

Почему я не могу подключиться к SQL Server?

О:

1. Если ваш сервер установлен в качестве именованного экземпляра, то необходимо вводить имя сервера в виде <имя_компьютера><имя_экземпляра>. По умолчанию именованный экземпляр сервера SQL Server 2005 Express Editor имеет имя SQLEXPRESS.

2. При подключении к удаленному серверу убедитесь, что соединение не блокируется файерволом. Чтобы открыть необходимые порты, обратитесь к вашему системному администратору.

3. Убедитесь, что SQL Server запущен, и вы используете корректный логин/пароль для доступа к нему.

4. Убедитесь, что у вас правильно настроены клиентские протоколы. Используйте SQL Server Configuration Manager для подключения к SQL Server 2005 (он устанавливается с помощью Native Client) или SQL Server Client Network Utility (system32 cliconfg.exe) для подключения к более ранним версиям сервера.

5. Убедитесь, что опция удаленного подключения включена, и протоколы сервера настроены корректно. Используйте SQL Server Surface Area Configuration для подключения к SQL Server 2005 и SQL Server Network Utility (Program Files Microsoft SQL Server80ToolsBinnsvrnetcn.exe) для подключения к более ранним версиям сервера.

6. Если вы используете именованный экземпляр сервера с динамически назначаемым портом TCP/IP, убедитесь, что служба SQL Browser запущена.

7. При удаленном подключении используйте IP адрес сервера вместо имени для обеспечения корректной работы DNS.

В:

Как соединиться с именованным экземпляром SQL Server 2000 с помощью SQL Manager for SQL Server?

О:

Если у вас возникли трудности при соединении с именованным экземпляром SQL Server 2000, выполните следующие действия:

- Запустить SQL Server Client Network Utility (system32cliconfg.exe) на клиентском компьютере, где установлен EMS SQL Manager for SQL Server.

- Перейти на вторую закладку (Alias).

- Добавить новый псевдоним с именем сервера в виде и TCP/IP в качестве сетевой библиотеки.

- Использовать имя псевдонима в качестве имени хоста в диалоге Database Registration Info.

В:

Я получаю доступ к своему серверу через альтернативный порт. Я пытался найти в SQL Manager for SQL Server опцию, чтобы изменить порт для соединения, но безрезультатно. Как я могу изменить порт?

О:

Для соединения с SQL Server 2005 с помощью альтернативного порта, выполните следующее:

- Запустите SQL Server Configuration Manager (он устанавливается с помощью Native Client) на клиентском компьютере, где установлен SQL Manager.

- Выберите секцию Aliases в окне SQL Native Client Configuration.

- Добавьте новый псевдоним, задайте номер порта, TCP/IP в качестве протокола и имя сервера.

- Используйте имя псевдонима в качестве имени хоста в диалоге Database Registration Info.

Для соединения с SQL Server 2000 с помощью альтернативного порта, выполните следующее:

- Запустите SQL Server Client Network Utility (system32cliconfg.exe) на клиентском компьютере, где установлен SQL Manager.

- Выберите вторую закладку (Alias).

- Добавьте новый псевдоним и задайте его имя, номер порта и TCP/IP в качестве сетевой библиотеки.

- Используйте имя псевдонима в качестве имени хоста в диалоге Database Registration Info.

В:

Чем отличаются функции Импорт/Экспорт в SQL Manager for SQL Server от утилит Data Export/Import for SQL Server?

О:

Утилиты Data Export/Import for SQL Server включают в себя несколько дополнительных возможностей, не поддерживаемых SQL Manager for SQL Server, например:

экспорт/импорт данных из/в нескольких таблиц сразу;

экспорт/импорт данных из/в таблиц, выбранных из различных баз данных на одном хосте;

консольная утилита для экспорта/импорта с использованием файла конфигурации, содержащего все настройки.

В:

В чем различие между модулем Конструктора Запросов в SQL Manager for SQL Server и утилитой SQL Query for SQL Server?

О:

Во-первых, EMS SQL Query for SQL Server работает гораздо быстрее, так как это отдельное приложение. Кроме того, SQL Query for SQL Server предлагает дополнительные функции для построения запросов, например:

хранение истории запросов, позволяющей совершить "откат" к любому отредактированному запросу;

различные улучшения интерфейса программы для более продуктивной и удобной работы.

В:

Не могу модифицировать DDL. Почему?

О:

Закладки DDL в "Редакторе таблиц" предназначены только чтения. Они отображают определения таблиц, то есть SQL-текст операций, необходимый для создания таблицы. Чтобы модифицировать этот текст, необходимо скопировать его в буфер обмена, а затем изменять его, используя SQL Редактор.

В:

Как мне настроить форматы данных в решетке?

О:

Настроить все отображаемые форматы (integer, float, date, time и date/time) можно в окне Environment Options | Grid | Color & Formats.

В:

При создании объектов базы данных, символы в их именах автоматически заменяются на символы нижнего регистра. Как мне это исправить?

О:

Вам нужно отключить параметр “Convert created object's names to lower case” на закладке Tools | Object Editors диалога Environment Options.

В:

Как повысить скорость работы с большими таблицами?

О:

В целях повышения скорости работы и удобства Сетка Данных позволяет производить гибкую настройку многих параметров отображения данных. Ниже приведены наиболее важные из них (пункт меню "Options | Environment Options"): На вкладке Grid:

  • Ограничения в редакторах. При включении опции “Select all records of a table” вы будете иметь возможность видеть все записи таблицы без дополнительных запросов к серверу, однако для больших таблиц или при низкоскоростном канале связи возможны значительные задержки при получении данных, также входящий трафик может быть большим. Режим рекомендуется при работе с базами данных, расположенными локально либо в частной сети.
  • Режим “Выбирать только” ограничивает максимальное число записей, возвращаемых в результате запроса. Режим обусловлен тем, что человек не способен осмысленно просмотреть огромный объем информации за один раз. Для запроса и отображения следующей порции данных служит кнопка "Далее" на панели инструментов "Сетки Данных". Данный режим значительно ускоряет просмотр данных таблицы, предотвращает зависание и разрыв соединения при таймауте. Рекомендуется для работы с большими таблицами, при низкоскоростных каналах связи и когда объем трафика имеет значение.
  • Режим сетки по умолчанию. Данная опция определяет, будут ли все строки запроса загружаться в Сетку сразу ("Load All Rows"), либо по мере необходимости ("Load visible rows"), т.е. когда пользователь пролистывает данные в таблице. Первый режим увеличивает время открытия результата запроса, но уменьшает задержки при пролистывании. При втором режиме время открытия результата запроса минимально, но возникают задержки при навигации по сетке.
  • Выбирать только – Включено
  • Загружать все строки – Включено

В:

Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке Data занимает слишком много времени.

О:

Вам нужно установить параметр Grid Mode для таблицы в значение Load Visible Rows. Нажмите правой клавишей мыши на табличной решетке и выберите пункт меню Grid Mode Load Visible Rows.

В:

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for SQL Server для этого есть специальные инструменты?

О:

Диалог Database Registration Info содержит закладку Протокол/Log, в которой Вы можете разрешить протоколирование всех изменений метаданных в базе данных, а также протоколирование выражений SQL, выполняемых в редакторе SQL.

В:

Чем отличаются функции “Extract Database” и “Export As SQL Script”?

О:

Функция “Export As SQL Script” предназначена для экспорта табличных данных, которые будут вставлены в другую базу данных, отличную от сервера MS SQL. Функция “Extract Database” используется для копирования данных в таблицы сервера MS SQL.

В:

Я пытаюсь экспортировать таблицу, но поля TEXT не экспортируются.

О:

Поля типов TEXT, BINARY, IMAGE и другие не экспортируются по умолчанию. Вам нужно выбрать их вручную в закладке "Поля/Columns".

В:

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

О:

Вам необходимо сделать следующее:

- Нажмите правой клавишей мыши на нужную Вам базу данных и выберите в контекстном меню пункт "Database Registration Info..." (также этот пункт можно найти в главном меню "Database"). Раскроется форма The Database Properties.

- Нажмите левой клавишей мыши на закладку Save Options.

- В секции "Default Directory for Export Data" выберите нужную Вам папку для экспорта файла.

В:

Я постоянно получаю сообщение об ошибке 'Timeout expired' при попытки выполнения запроса в "Редакторе SQL", а также в результате выполнения некоторых других операций с объектами базы данных.

О:

Вам нужно увеличить значения задержек в закладке Tools/Timeouts диалога Environment Options или просто сделать их неограниченными (значение равно 0).

В:

При попытке запустить отладчик я получаю ошибку "Debugger interface not registered on client".

О:

Для того, чтобы иметь возможность отладки кода на удаленном сервере, клиентская машина должна быть сконфигурирована как описано тут http://msdn.microsoft.com/en-us/library/cc646024.aspx.


Сопутствующие продукты

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for MySQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for MySQL EMS SQL Manager for MySQL – это мощный графический инструмент для разработки и администрирования серверов баз данных MySQL. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать объекты баз данных MySQL, визуально проектировать сами базы данных, выполнять сценарии MySQL и использовать другие службы, которые сделают Вашу работу с MySQL приятной и легкой.
dataexport | Data Export for MySQL EMS Data Export for MySQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных MySQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for MySQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for MySQL EMS Data Import for MySQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных MySQL.
datapump | Data Pump for MySQL EMS Data Pump™ for MySQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных MySQL®. Теперь перенос данных при помощи Data Pump for MySQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных MySQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом
dbcomparer | DB Comparer for MySQL EMS DB Comparer™ for MySQL – это мощное приложение, предназначенное для сравнения баз данных MySQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for MySQL EMS DB Extract™ for MySQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for MySQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for MySQL EMS SQL Query for MySQL - это утилита для быстрого и простого построения SQL запросов к базам данных MySQL®. Используйте визуальное построение запросов вкупе с непосредственным редактированием текста запросов. Простой и удобный графический интерфейс позволяет соединяться с базами данных, выбирать таблицы и поля запроса, устанавливать критерии отбора и группировки и многое другое.
datacomparer | Data Comparer for MySQL EMS Data Comparer™ for MySQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for MySQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Microsoft SQL Server

 | SQL Management Studio for SQL Server SQL Management Studio - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for SQL Server объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for SQL Server EMS SQL Backup for SQL Server - это простой в использовании и одновременно мощный инструмент для выполнения задач резервного копирования и восстановления на всем множестве SQL серверов Вашего предприятия. EMS SQL Backup может выполнять и другие задачи по регулярному обслуживанию SQL сервера, такие как обновление статистики, реиндексация, усечение БД, проверка целостности БД и др.
sqladmin | SQL Administrator for SQL Server EMS SQL Administrator for SQL Server - это набор инструментов для эффективного администрирования SQL Server. Продукт содержит почти полный набор средств, необходимых для администрирования SQL Server. Программа предназначена для работы администраторов баз данных и позволяет выполнять задачи по администрированию максимально просто, быстро и эффективно.
 | SQL Manager for SQL Server EMS SQL Manager for SQL Server – это мощный инструмент для разработки и администрирования Microsoft SQL Server и MSDE. При помощи EMS SQL Manager for SQL Server Вы можете быстро и очень просто создавать и редактировать объекты баз данных, запускать сценарии SQL, управлять настройками пользователей, создавать визуальные SQL-запросы, а также эффективно работать с метаданными и выполнять многое другое.
dataexport | Data Export for SQL Server EMS Data Export for SQL Server – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Microsoft SQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for SQL Server располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for SQL Server EMS Data Import for SQL Server - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных SQL Server.
datapump | Data Pump for SQL Server EMS Data Pump™ for SQL Server – это мощное приложение для переноса баз данных и импортирования таблиц из любых ADO-совместимых источников (например, MS Access или любая другая ADO-совместимая база данных) в базы данных Microsoft™ SQL. Теперь перенос данных при помощи Data Pump for SQL Server стал настолько прост, насколько это возможно!
datagenerator | Data Generator for SQL Server EMS Data Generator™ for SQL Server – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for SQL Server EMS DB Comparer™ for SQL Server – это мощное приложение, предназначенное для сравнения баз данных Microsoft® SQL, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for SQL Server EMS DB Extract™ for SQL Server – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for SQL Server позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for SQL Server EMS SQL Query™ for SQL Server – это специализированная утилита для простого и быстрого создания запросов к базам данных Microsoft® SQL. SQL Query™ for SQL Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for SQL Server EMS Data Comparer™ for SQL Server – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for SQL Server Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматически сравниваемый сценарий для их устранения.
 | Наверх

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for PostgreSQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for PostgreSQL EMS SQL Backup for PostgreSQL — это простой в использовании визуальный инструмент для создания резервных копий для нескольких серверов PostgreSQL из единой консоли. Вы можете создавать автоматизированные задачи резервного копирования на основе расписаний и хранить их в локальных или удаленных папках или облачных хранилищах.
 | SQL Manager for PostgreSQL EMS PostgreSQL Manager™ – это мощный графический инструмент для разработки и администрирования серверов баз данных PostgreSQL. PostgreSQL Manager позволяет быстро и легко создавать и редактировать объекты баз данных PostgreSQL, выполнять сценарии SQL, визуально проектировать базы данных, создавать запросы SQL, искать, извлекать и распечатывать метаданные, а также многое другое.
dataexport | Data Export for PostgreSQL EMS Data Export for PostgreSQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных PostgreSQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for PostgreSQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for PostgreSQL EMS Data Import for PostgreSQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных PostgreSQL.
datapump | Data Pump for PostgreSQL EMS Data Pump™ for PostgreSQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных PostgreSQL®. Теперь перенос данных при помощи Data Pump for PostgreSQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for PostgreSQL EMS Data Generator™ for PostgreSQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for PostgreSQL EMS DB Comparer™ for PostgreSQL – это мощное приложение, предназначенное для сравнения баз данных PostgreSQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for PostgreSQL EMS DB Extract™ for PostgreSQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for PostgreSQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for PostgreSQL EMS SQL Query™ for PostgreSQL – это специализированная утилита для простого и быстрого создания запросов к базам данных PostgreSQL®. SQL Query for PostgreSQL позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for PostgreSQL EMS Data Comparer™ for PostgreSQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for PostgreSQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for InterBase/Firebird EMS SQL Manager™ for InterBase/Firebird – это мощный графический инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с объектами базы данных, позволяет управлять данными, создавать запросы SQL. Богатый инструментарий пакета включает в себя такие приложения как Visual Database Designer, Stored Procedure Debugger, Graphical Plan Analyzer. А Export Data и Import Data позволяют быстро выполнять функции импорта/экспорта в большинство популярных офисных форматов.
dataexport | Data Export for InterBase/Firebird EMS Data Export for InterBase/Firebird – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Interbase/Firebird в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for InterBase/Firebird располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for InterBase/Firebird EMS Data Import for InterBase/Firebird - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных InterBase/Firebird.
datapump | Data Pump for InterBase/Firebird EMS Data Pump™ for InterBase/Firebird – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных InterBase/Firebird®. Теперь перенос данных при помощи Data Pump for InterBase/Firebird стал настолько прост, насколько это возможно!
datagenerator | Data Generator for InterBase/Firebird EMS Data Generator™ for InterBase/Firebird – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных InterBase/Firebird ®. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for InterBase/Firebird EMS DB Comparer™ for InterBase/Firebird – это мощное приложение, предназначенное для сравнения баз данных InterBase/Firebird®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий. Полностью настраиваемые параметры сравнения баз данных и другие полезные функции сделают Вашу работу с нашим продуктом максимально комфортной.
extract | DB Extract for InterBase/Firebird EMS DB Extract for InterBase/Firebird – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for InterBase/Firebird позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for InterBase/Firebird EMS SQL Query for InterBase/Firebird™ – это специализированная утилита для простого и быстрого создания запросов к базам данных InterBase/Firebird®. SQL Query for InterBase/Firebird позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for InterBase/Firebird EMS Data Comparer™ for InterBase/Firebird – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for InterBase/Firebird Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for Oracle объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for Oracle EMS SQL Manager™ for Oracle – это мощный графический инструмент для разработки и администрирования серверов баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и легко создавать и редактировать объекты баз данных Oracle, визуально проектировать сами базы данных, выполнять сценарии Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.
dataexport | Data Export for Oracle EMS Data Export for Oracle – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Oracle в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for Oracle располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for Oracle EMS Data Import 2007 for Oracle - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных Oracle.
datapump | Data Pump for Oracle EMS Data Pump™ for Oracle – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных Oracle®. Теперь перенос данных при помощи Data Pump for Oracle стал настолько прост, насколько это возможно!
datagenerator | Data Generator for Oracle EMS Data Generator™ for Oracle – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Oracle. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for Oracle EMS DB Comparer for Oracle – это мощное приложение, предназначенное для сравнения баз данных Oracle, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for Oracle EMS DB Extract for Oracle – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for Oracle позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for Oracle EMS SQL Query™ for Oracle – это специализированная утилита для простого и быстрого создания запросов к базам данных Oracle. SQL Query™ for Oracle Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for Oracle EMS Data Comparer for Oracle – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer for Oracle Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

IBM DB2

 | SQL Manager for DB2 EMS SQL Manager 2007 for DB2 – это мощнейший инструмент для разработки и администрирования серверов баз данных DB2. Простой и дружественный графический интерфейс позволяет легко создавать и редактировать объекты DB2, визуально разрабатывать базы данных, запускать скрипты SQL. Многочисленные инструменты, доступные в программе, значительно облегчат вашу работу с базами данных DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных DB2 в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for DB2 располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for DB2 EMS Data Import 2007 for DB2 - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных DB2.
datapump | Data Pump for DB2 EMS Data Pump™ for DB2 – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных IBM®DB2. Теперь перенос данных при помощи Data Pump™ for DB2 стал настолько прост, насколько это возможно!
datagenerator | Data Generator for DB2 EMS Data Generator™ for DB2– это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных DB2. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
extract | DB Extract for DB2 EMS DB Extract for DB2 – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for DB2 EMS SQL Query™ for DB2 – это специализированная утилита для простого и быстрого создания запросов к базам данных IBM®DB2. SQL Query™ for DB2 Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
 | Наверх

Tools & components

advancedexport | Advanced Data Export Advanced Data Export VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), Open XML Format, Open Document Format (ODF), HTML, XML, PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET - это набор компонентов для Microsoft Visual Studio .NET позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedimport | Advanced Data Import Advanced Data Import VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий импортировать данные из большинства популярных офисных форматов напрямую в базу данных. Теперь Вы можете импортировать данные из MS Access, MS Excel, HTML, XML, PDF, TXT, DBF, CSV и ODF. Больше не нужно тратить свое время на утомительный процесс импорта данных, Advanced Data Import быстро выполнит все задачи и предоставит результат в требуемом Вам формате.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator - это набор компонентов, позволяющих предельно просто и быстро создавать PDF-документы из Ваших приложений, написанных на Delphi и C++ Builder. Теперь даже не нужно знать специфику формата PDF, Advanced PDF Generator автоматически создает требуемый документ. Причем Advanced PDF Generator разбивает таблицы на несколько частей для каждой из страниц документа, поддерживает вложенные таблицы, позволяет вставлять изображения в создаваемый PDF-документ и многое другое!
querybuilder | Advanced Query Builder Advanced Query Builder™ – это набор компонентов для Borland® Delphi® и C++ Builder®, специально предназначенный для визуального построения запросов SQL для функций SELECT, INSERT, UPDATE и DELETE. Теперь Вы можете визуально создавать новые запросы к Вашим приложениям либо графически представить уже существующие. В комплект поставки входят компоненты для работы со стандартами SQL, InterBase/Firebird, MySQL, PostgreSQL и другими. Пользователи Query Builder могут создавать объемные и сложные по своей структуре запросы для разных серверов даже без знания синтаксиса SQL.
excelreport | Advanced Excel Report Advanced Excel Report™ - это мощный генератор отчетов в формате MS Excel для Delphi®. Excel Report основан на секционном принципе создания отчетов с использованием шаблонов. Простые и удобные редакторы свойств Advanced Excel Report позволяют моментально создавать подробные отчеты в формате MS Excel. Теперь созданные отчеты могут быть отредактированы, сохранены и просмотрены практически на любом компьютере. Excel Report поддерживает Borland® Delphi® 5-7, 2005-2007 а также MS Office 97 SR-1, 2000-2007.
advancedlocalizer | Advanced Localizer Advanced Localizer™ - это незаменимый пакет компонентов для Borland® Delphi®, позволяющий добавлять языковую поддержку Вашим Delphi® приложениям. Широкие возможности пакета Advanced Localizer позволяют быстро и просто локализовать свойства компонентов каждой формы, создавать языковые файлы с текущими значениями свойств компонентов, управлять файлами локализаций, а также назначать компоненты и их свойства, подлежащие локализации. Язык приложений, использующих Advanced Localizer, может быть переключен на другой непосредственно во время работы без последующего перезапуска приложения. Advanced Localizer также предусматривает возможность написания приложений-потомков, использующих языковые файлы, заданные пользователем.
 | Наверх


Начало работы

Первое что нужно сделать для того, чтобы начать работать с SQL Server с помощью программы SQL Manager for SQL Server, это зарегистрировать одну или несколько баз данных. Для этого существует специальный инструмент Register Database Wizard. Если баз данных для регистрации нет, то их можно создать с помощью Create Database Wizard. Только после этого можно работать с базой данных – редактировать данные, администрировать и т.д.

Краткая информация по основным операциям, которые можно выполнить в программе приведена в разделе Как....

Перед началом выполнения этих операций прочитайте инструкцию.

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Контекстное меню сервера

Контекстное меню базы данных

Контекстное меню объекта

Работа с окнами

Получайте удовольствие от работы с SQL Manager for SQL Server!

Смотрите также:

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Выбор стиля окружения и языка программы

При первом запуске SQL Manager for SQL Server Вы должны выбрать стиль окружения и язык программы. Эти настройки позже можно поменять с помощью пункта главного меню программы Options | Environment Options | Windows для смены стиля и Options | Select Program Language для смены языка.

Getting started - Selecting style and language

Environment style

Элемент управления, позволяющий задать, будет ли вид программы:

RadioButton MDI environment (like in Microsoft Office applications) - программа будет иметь MDI форму (как в приложениях MS Office),

RadioButton Floating windows environment (like Borland Delphi IDE) - программа будет иметь вид плавающих окон (приложения Borland).

Bar style for child forms

Выбор стиля отображения панелей.

RadioButton Navigation bar - навигационная панель (слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (сверху от основного окна редактора),

RadioButton Both - навигационная панель и панель инструментов.

Program Language

Позволяет выбрать язык интерфейса из списка доступных. Язык по умолчанию – английский.

(список доступных языков формируется на основе языковых файлов (*.lng), которые находятся в каталоге, в который установлена программа в папке Languages).

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Первый запуск программы

Так выглядит SQL Manager for SQL Server при первом запуске.

Getting started - First time started

В контекстном меню сервера или базы данных или на панели рабочего стола выберите Create new database для создания новой базы данных. Инструмент для создания - Create Database Wizard.

Для того, чтобы начать работать с уже существующей базой, необходимо её зарегистрировать.

(Новая, создаваемая с помощью Create Database Wizard, база регистрируется автоматически)

Нажмите Manage existing database(s), чтобы зарегистрировать базу данных с помощью Register Database Wizard.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование панели рабочего стола

Desktop Panel видна тогда, когда не открыто ни одно дочернее окно. На неё вынесены элементы управления, необходимые для начала работы.

Getting started - Using Desktop Panel

Начало работы:

  • Create new database - создает и регистрирует новую базу данных с помощью Create Database Wizard.
  • Manage existing database(s) – регистрирует существующую.
  • Create new table - Создает таблицу в активной базе используя инструмент New table. Эта команда доступна, когда есть соединение хотя бы с одной базой данных.
  • Create new database object – создает новый объект базы данных в активной базе. Соответственно, если нет активных соединений, то команда недоступна.

Инструменты базы данных

  • Execute Script – открывает редактор SQL скрипта Execute Script.
  • Manage logins – управляет учетными записями пользователей в Login Manager.
  • Execute query – выполняет запрос в редакторе SQL.
  • Manage permissions – управляет правами пользователей. Предоставляет пользователям права выполнения какого-либо действия с объектом базы данных.

Справочные материалы

  • SQL Manager help system - открывает этот файл справки.
  • SQL Server reference - открывает справку по SQL Server. У SQL Server 2000 и SQL Server 2005 справочная система имеет различия, поэтому пути и файлы будут отличаться. При первом запуске необходимо будет указать путь доступа к этой справке. Если путь указан неверно, то исправить его можно только с помощью Options | Environment Options | Tools | SQL Server Reference.

Ресурсы в сети Интернет

  • SQL Manager for SQL Server home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и.т.д
  • SQL Manager for SQL Server on-line documentation - документация по SQL Manager for SQL Server на сайте компании. Дублирует справку, прилагающуюся к программе.
  • Support Center – позволяет пользователю получить on-line консультацию по любому интересующему вопросу с помощью системы Support Ticket System. Для получения такой поддержки необходимо зарегистрироваться на сайте.
  • SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с базами данных

После того, как база зарегистрирована, она появляется в Проводнике баз данных, который располагается в левой части окна.

Getting started - Database navigation

В нем отображаются все зарегистрированные базы данных. Те базы, с которыми в данный момент нет соединения, выделены серым цветом.

Getting started - Database navigation - Disconnected DB

В нижнем окне проводника, которое называется SQL ассистент, отображается содержимое активного элемента.

DB Explorer - SQL Assistant - Object details

Если в проводнике Вы выделили объект, то в SQL Assistant появятся те детали, которые указаны в Environment Options | Tools | DB Explorer |SQL Assistant или в контекстном меню.

Если активна опция Show Hosts, то представление баз данных имеет иерархическую структуру серверов и баз данных. Если эту опцию отключить, то в окне будет отображаться только список баз данных.

Включить опцию Show Hosts можно двумя способами. В Options | Environment Options | DB Explorer | нажать Show Hosts in DB Explorer, или в контекстном меню проводника, открывающемся по нажатию правой кнопки мыши в Проводнике баз данных, выбрать пункт Show Hosts.

Эта функция присутствует и в контекстном меню проводника.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с объектами баз данных

Проводник баз данных позволяет получить доступ к любому объекту зарегистрированной базы данных, с которой в данный момент есть соединение.

Двойной щелчок на объекте открывает его в соответствующем редакторе, правой кнопкой вызывается контекстное меню со списком доступных для этого объекта операций. Обновить содержимое соответствующего поддерева можно нажатием клавиши F5 на клавиатуре, или выбрав соответствующий пункт контекстного меню. Таким образом, можно обновлять как всю базу целиком, так и некоторые объекты.

Getting started - Working with database objects

Если Вы хотите использовать проводник для работы с подобъектами (полями, индексами и.т.д.) то выберите Show Table Subobjects в Environment Options | DB Explorer. Вы также можете включить эту функцию с помощью пункта меню Проводника баз данных View Mode.

Getting started - Working with database objects - View Mode

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование контекстных меню

Контекстное меню - это меню, отрывающееся при нажатии правой кнопкой мыши на объекте. Эти меню позволяют упростить работу с базами данных и с их объектами, обеспечивая быстрый доступ к наиболее часто используемым операциям.

Контекстные меню, открывающиеся в проводнике баз данных:

  • Контекстное меню сервера
  • Контекстное меню базы данных
  • Контекстное меню объекта

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Работа с окнами


Контекстное меню сервера

Контекстное меню сервера - это список действий, который можно открыть, нажав правой кнопкой мыши на сервере в проводнике баз данных.

Using context menus - Host context menu

  • открыть подменю Tasks,
  • открыть окно задания параметров подключения сервера - Server Properties,
  • создать базу данных - Create Database,
  • зарегистрировать новую базу с помощью Register Database Wizard - Register Database,
  • зарегистрировать хост - Register Host,
  • удалить регистрацию хоста - Unregister Host,
  • включить опцию Show Hosts,
  • отсортировать базы данных по именам Sort by Aliases (По умолчанию, они расположены в порядке регистрации),
  • Hide Disconnected Databases - эта функция применяется для того, что бы скрыть неподключенные базы данных,
  • Refresh Server Objects - обновить список серверных объектов,
  • New Tab from Here - создать новую вкладку,
  • Rename Current Tab - переименовать активную вкладку,
  • Delete Current Tab - удалить активную вкладку,
  • Find Item - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов.

Подменю Tasks:

  • Logins - логины,
  • Server Roles - серверные роли,
  • Linked Servers - связанные серверы,
  • Backup Devices - устройства для резервного копирования,
  • DTS Packages - пакеты DTS,
  • Snapshots - моментальные снимки базы данных,
  • Jobs - задания,
  • Job History - история заданий,
  • Alerts - предупреждения,
  • Operators - операторы,
  • Shared Schedules - общие расписания,
  • Proxies - учетные записи-посредники,
  • Target Servers - целевые сервера,
  • Server Log Viewer - журнал сервера,
  • Activity Monitor - монитор процессов,

Смотрите также:

Контекстное меню базы данных

Контекстное меню объекта


Контекстное меню базы данных

Контекстное меню баз данных открывается при нажатии в проводнике на базе данных правой кнопкой мыши.

  • подключиться к выбранной базе данных - Connect to Database (для неподключенной базы),
  • отключиться от выбранной базы данных - Disconnect from Database (для подключенной базы),
  • открыть подменю Tasks,
  • открыть Свойства базы данных - Database Properties,
  • свойства сервера - Server Properties,
  • создать базу данных - Create Database,
  • удалить базу данных - Drop Database,
  • зарегистрировать новую базу с помощью Register Database Wizard - Register Database,
  • удалить регистрацию базы данных - Unregister Database,
  • редактировать регистрационную информацию - Database Registration Info,
  • зарегистрировать новый хост с помощью мастера Register Database Wizard - Register Host,
  • удалить регистрацию хоста и всех зарегистрированных на нем баз данных - Unregister Host,
  • открыть скрипт базы данных в редакторе SQL - Script to Query Data,
  • копировать скрипт базы данных в буфер обмена - Script to Clipboard,
  • включить опцию Show Hosts,
  • отсортировать базы данных по именам - Sort by Aliases,
  • скрыть неподключенные базы данных - Hide Disconnected Databases,
  • обновить базу данных - Refresh Database,
  • проверить соединение (переподключиться) - Test Connection (Reconnect),
  • создать новую вкладку - New Tab from Here,
  • переименовать активную вкладку - Rename Current Tab,
  • удалить активную вкладку - Delete Current Tab,
  • Find Item - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов.

Using context menus - Database context menu

Подменю Tasks:

  • Backup Database - создать резервную копию базы данных,
  • Restore database - восстановить базу данных из резервной копии,
  • Detach Database - отсоединение базы данных,
  • Shrink Database - сжатие базы данных,
  • Indices Management - управление индексами,
  • Update Statistics - обновление статистики,
  • Check Database - проверка базы данных,
  • Grant Manager - управление правами,
  • Extract Database - извлечь базу данных,
  • Print metadata - печать метаданных,
  • HTML Report - создать HTML отчет,
  • To-Do List - открыть список задач,

Смотрите также:

Контекстное меню сервера

Контекстное меню объекта


Контекстное меню объекта

Контекстное меню объекта базы данных

Using context menus - Object context menu

Это меню открывается при нажатии на любом объекте базы данных правой кнопкой мыши. С его помощью можно:

  • создать новый объект базы данных - New <объект>,
  • открыть выбранный объект в редакторе - Edit <имя объекта>,
  • переименовать выбранный объект - Rename <имя объекта>,
  • удалить выбранный объект - Drop <имя объекта>,
  • копировать объект с помощью Мастера копирования объектов - Duplicate <"имя объекта">,
  • Tasks - выполнить одно из заданий для таблицы или представления (Для всех остальных открывается дерево зависимостей),
  • Data Manipulation - выбрать одну из операций импорта/экспорта,
  • Add to Favorite Objects - добавить объект в избранные,
  • просмотреть свойства таблицы - Table poperties,
  • управлять правами пользователей - Grants for <имя объекта>,
  • Script to Query Data - копировать скрипт объекта в редактор SQL,
  • Script to Clipboard - копировать скрипт объекта в буфер обмена,
  • открыть дерево зависимостей для этого объекта - Dependency Tree,
  • обновить информацию об объекте - Refresh <имя объекта>,
  • редактировать регистрационную информацию базы данных - Database Registration Info,
  • создать новую вкладку - New Tab from Here,
  • переименовать активную вкладку - Rename Current Tab,
  • удалить активную вкладку - Delete Current Tab,
  • найти элемент базы данных - Find Item.

Смотрите также:

Контекстное меню сервера

Контекстное меню базы данных


Работа с окнами

Переключение между открытыми окнами в SQL Manager for SQL Server организовано так же, как и в ОС Windows. По нажатию правой кнопки мыши на значке окна на панели задач программы появляется контекстное меню.

Getting started - Switching windows

Для перехода от одного окна к другому достаточно щелкнуть мышкой на нужном окне.

С помощью Environment Options | Windows | Number of open editors is restricted можно задать максимальное число открытых редакторов объектов баз данных. Если количество открытых редакторов превысит заданное число, то программа автоматически будет закрывать ранее открытые редакторы.

Для упрощения работы с окнами, в SQL Manager for SQL Server существует специальный пункт в главном меню программы - Windows.

С помощью этого меню можно:

  • Windows List - просмотреть список открытых окон,

Appendix - Window List

  • Cascade - расположить открытые окна каскадом,

Getting started - Windows - Cascade

  • Minimize All - свернуть все окна,
  • Tile Horizontal - расположить все окна одно над другим,

Getting started - Windows - Tile Horizontal

  • Tile Vertical - расположить все окна в один ряд,

Getting started - Windows - Tile Vertical

  • Set Defaults to All Windows - вернуть всем окнам первоначальный размер,
  • Reset All Toolbars and Menus - вернуть настройки всех панелей инструментов и меню к настройкам по умолчанию,
  • Close All - закрыть все окна,
  • из подменю пункта Close выберите тип объектов, которые в данный момент хотите закрыть, (например, если выберите таблицы, то закроются все открытые редакторы таблиц),
  • Previous Window - перейти к следующему окну,
  • Next Window - перейти к предыдущему окну.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Проводник баз данных

Проводник баз данных (Database Explorer или DB Explorer) основное навигационное окно для работы с базами данных и объектами баз данных. Имеет иерархическую структуру. Состоит из нескольких окон. Позволяет быстро выполнять, практически, все операции с базами данных.

Чтобы свернуть/развернуть узел, используйте кнопки "-"/"+" перед именем узла, или просто дважды щелкните по узлу. Также для этого вы можете использовать клавиши клавиатуры "Влево"/"Вправо": при нажатии клавиши "влево" сначала сворачиваются подузлы текущего узла, а при повторном нажатии фокусируется родительский узел; при нажатии клавиши "Вправо" разворачивается список подузлов текущего узла.

Все объекты баз данных разделены по типам и доступны из соответствующих узлов. Для каждого типа отображается количество объектов.

Вы можете менять порядок отображения серверов в проводнике, перетаскивая их мышью на другое место.

В проводнике объект, имеющий статус Enabled/Disabled показывается разными значками.

Чтобы показать/скрыть окно проводника используйте команду View | DB Explorer в главном меню или нажмите клавишу F11.

DB Explorer - View

Для того чтобы быстро свернуть содержимое базы данных используйте сочетание клавиш Ctrl+Shift+С.

Смотрите также:

Начало работы

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Подключение к базе данных

Команда Connect to database неактивна, если установлено подключение с выбранной базой.

Подключить базу данных можно следующим образом:

  • В контекстном меню неподключенной базы данных выбрать пункт Connect to database

DB Explorer - Connecting to databases

  • На панели инструментов проводника выбрать пункт Connect to database

DB Explorer - Connecting to databases - Toolbar

  • выбрать Database | Connect to database в главном меню программы.

  • В проводнике баз данных два раза щелкнуть мышкой по псевдониму базы данных.
  • Использовать сочетание клавиш Ctrl+Shift+С.

Смотрите также:

Регистрация базы данных

Регистрационная информация баз данных

Свойства базы данных


Основные операции над объектами

Проводник баз данных позволяет получить доступ к основным действиям над объектом базы данных с помощью контекстного меню.

Важно: Для каждого типа объектов свое меню.

Основные операции, присутствующие в каждом контекстном меню, это:

DB Explorer - Operations with database objects

  • создание - New <объект>,
  • редактирование - Edit <"имя объекта">,
  • удаление - Drop <"имя объекта">,
  • переименование - Rename <"имя объекта">,
  • копирование объекта - Duplicate <"имя объекта">,
  • открытие списка действий, которые можно выполнять с активным объектом - Tasks,
  • открыть SQL скрипт объекта в редакторе SQL - Script to Query Data,
  • копировать скрипт объекта в буфер обмена - Script to Clipboard,
  • обновить объект - Refresh,
  • просмотреть регистрационную информацию базы данных - Database Registration Info.

Чтобы открыть объект в соответствующем редакторе, достаточно двойного щелчка мыши на нем в проводнике баз данных.

При наведении курсора на базу данных в проводнике баз данных отображается всплывающая подсказка с краткой информацией о базе данных.

С помощью операции drag-and-drop Вы можете добавить объекты в Редактор SQL, Конструктор запросов или в Редактор выполнения скриптов.

DB Explorer - Insert to Editor

Смотрите также:

Управление объектами базы данных и сервера

Редактор SQL

Выбор нескольких объектов


Работа с избранными объектами

При работе с несколькими объектами из большой базы, к которым Вы постоянно обращаетесь, удобно использовать инструмент группировки избранных объектов - Favorite objects.

Для избранных объектов предусмотрена специальная папка в дереве Проводника баз данных. Самостоятельно её создавать не нужно.

Добавление объектов в избранные

Для того чтобы поместить объекты в избранные объекты необходимо создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.

DB Explorer - Managing projects - New Subfolder

В появившемся окне указать имя папки.

В эту папку уже можно помещать объекты. Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно. Данная операция выполняется с помощью пункта контекстного меню Add Object.

DB Explorer - Managing projects - Adding objects

Далее будет предложено выбрать из имеющихся объектов тот, который необходимо поместить в Избранные объекты.

Объекты разделены по типам, что очень удобно, если база данных большая.

Чтобы поместить объекты в Избранные, можно перетащить его в папку с объектами из дерева.

В Favorite objects помещаются не сами объекты, а их ярлыки, то есть, удалив объект из избранных или даже папку с объектами целиком, информацию Вы не потеряете.

Объект, находящийся в избранных, нельзя переименовать.

Удаление избранных объектов

Объекты можно удалить из Избранных, используя пункт контекстного меню Remove <имя объекта> from Favorite objects.

Также, можно удалять созданные в Favorite objects папки, вместе со всем содержимым.

Смотрите также:

Использование вкладок

Управление объектами базы данных и сервера


Использование вкладок

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Управление объектами баз данных с использованием вкладок

Чтобы сделать Вашу работу как можно более удобной, в SQL Manager for SQL Server существует специальный сервис вкладок (Tab). Используйте вкладки, если хотите обеспечить быстрый доступ к определенной группе объектов проводника. Это может быть определенный сервер или база данных, или группа объектов базы данных. Например, Вы можете вынести папку с представлениями на отдельную вкладку или создать несколько вкладок на каждой из которых будет только одна база данных.

Поместить объект на отдельную вкладку можно с помощью пункта контекстного меню New Tab from Here, который присутствует в контекстном меню каждого объекта. Если объект является узлом дерева, то эта опция доступна.

Например, если отключить опцию отображения подобъектов таблицы на панели инструментов проводника, то New Tab from Here будет неактивен, так как таблица не является узлом дерева.

DB Explorer - Using tabs - New tab

Если же эта опция включена, (кнопка View Mode | Show Table Subobjects), то пункт меню New Tab from Here становится активным.

В окне проводника баз данных можно отображать вкладки двух видов:

  • иконки на нижней панели проводника

DB Explorer - Using tabs - View as icons

  • закладки

DB Explorer - Using tabs - View as tabs

Для перехода от одного вида к другому достаточно потянуть разделитель вверх или вниз.

DB Explorer - Splitter for tabs

Для этой же цели используются пункты Show more Buttons и Show Fewer Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons .

Для переключения между вкладками достаточно щелкнуть мышью или на иконке или на закладке.

Для этой же цели используются сочетания клавиш:

  • Ctrl+Shift+N - переход на следующую вкладку,
  • Ctrl+Shift+P - переход на предыдущую вкладку.

Переименование вкладок

Если хотите переименовать вкладку, то нужно перейти на неё и выбрать пункт контекстного меню Rename Current Tab.

Удаление вкладок

Для удаления вкладки необходимо перейти на неё и выбрать пункт контекстного меню Delete Current Tab или воспользоваться пунктом Add or Remove Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons.

DB Explorer - Using tabs - Add or remove buttons

Смотрите также:

Работа с избранными объектами

Управление объектами базы данных и сервера


Выбор нескольких объектов

Иногда необходимо удалить, копировать или перенести большое количество объектов. Для каждого применять соответствующую операцию неудобно. Для таких случаев предусмотрена возможность выделения нескольких объектов одновременно.

Для того, чтобы выделить несколько объектов одновременно, надо выделять их левой кнопкой мыши, при этом удерживая клавишу Ctrl.

DB Explorer - Selecting multiple objects

Выделенные таким образом объекты можно:

  • редактировать - Edit <n> Selected Objects (n - количество выделенных объектов),
  • удалять - Drop Database Objects,
  • помещать в Projects. Для этого действия пункта меню нет, поэтому объекты в проект перетаскиваются мышью.

Примечание. Если в Projects нет вложенных папок, то поместить туда объекты невозможно.

Смотрите также:

Основные операции над объектами

Управление объектами базы данных и сервера

Работа с избранными объектами


Недавно использовавшиеся объекты

Простой доступ к недавно использовавшимся объектам обеспечивает кнопка Recent Objects на панели инструментов проводника. Нажатие на неё открывает список последних, открывавшихся в пределах одной сессии, объектов. То есть, при закрытии SQL Manager for SQL Server этот список очищается.

DB Explorer - Recently opened objects

Количество элементов в этом списке можно менять с помощью Options | Environment Options | Tools | DB Explorer | Recent objects count.

Смотрите также:

Управление объектами базы данных и сервера

Настройки окружения


Поиск объектов

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Поиск объектов баз данных

SQL Manager for SQL Server позволяет найти в проводнике баз данных объект по его названию. Эта опция используется, если в проводнике отображено большое количество объектов и найти определенный объект достаточно сложно.

Пунктом Find Item контекстного меню проводника или сочетанием клавиш Ctrl + F вызывается стандартное окно поиска, в котором указывается искомое слово.

DB Explorer - Find Object

Также, поиск можно осуществлять с помощью Панели поиска.

Использование панели поиска

Первые символы искомого слова введите в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Найденных объектов может быть несколько. С помощью кнопок [image] [image] Вы сможете перемещаться между найденными объектами.

DB Explorer - Search Panel

По умолчанию, Search Panel находится в верхней части проводника баз данных. Чтобы отобразить панель, выберите в контекстном меню панели проводника баз данных пункт Search Panel.

DB Explorer - Search Panel - Activate

С помощью кнопки [image] Вы можете переключать режимы поиска - Искать внутри одной категории/Искать везде.

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Окно поиска


SQL ассистент

В этом окне отображена более подробная информация о выделенном в проводнике баз данных объекте.

DB Explorer - SQL Assistant

Из SQL Assistant можно открывать для редактирования объекты, так же как и из проводника - двойным щелчком мыши на нужном объекте.

Для таблиц и представлений SQL Assistant можно настроить. Вы можете выбрать, что будет отображаться в SQL Assistant, когда в проводнике будет выбрана таблица:

  • поля таблицы,- Show Columns,
  • внешние ключи - Show foreign Keys,
  • ограничения CHECK - Show Checks,
  • индексы - Show Indices,
  • триггеры - Show Triggers,
  • DDL - Show DDL,
  • описание - Show Description.

Если выбрано представление (View):

  • поля - Show Columns,
  • индексы - Show Indices,
  • триггеры - Show Triggers,
  • DDL - Show DDL,
  • описание - Show Description.

Вид настраивается с помощью кнопки btnViewMode View Mode на панели инструментов проводника.

Выберите пункт Tables' Details и в открывшемся меню укажите, что именно будет отображаться в SQL Assistant.

DB Explorer - SQL Assistant - Object details

В контекстном меню SQL Assistant выберите пункт Tables' Details.

С помощью той же кнопки и пункта меню изменяется, отображаемая в SQL Assistant, дополнительная информация о представлениях, процедурах и UDF, а также других объектах.

Смотрите также:

Управление объектами базы данных и сервера


Настройка проводника баз данных

Панели инструментов проводника баз данных

Это набор инструментов над окном проводника баз данных. На эту панель вынесены кнопки управления базами данных и настройки проводника.

DB Explorer - Configuring DB Explorer - Toolbar

Панель инструментов можно настраивать по своему усмотрению, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

По умолчанию, на панели инструментов располагаются следующие кнопки:

  • Create - создать объект,
  • Refresh Database - обновить базу данных,
  • Connect to Database - подключиться к базе данных,
  • Disconnect from Database - отсоединить базу данных,
  • Properties - открыть свойства выделенного объекта,
  • View Mode - настройка проводника,
  • Resent - список недавно использовавшихся объектов,
  • Quick Jump To Database - быстрый переход к базе данных.

Все команды, кроме View Mode, предназначены для работы с базами данных. View Mode отвечает за настройку самого проводника и SQL Assistant.

View Mode позволяет:

  • показать подобъекты таблиц в проводнике баз данных - Show Table Subobjects,
  • показать подобъекты представлений в проводнике баз данных Show View Subobjects,
  • показать хосты Show Hosts,
  • сортировать базы данных по именам (по умолчанию базы отсортированы внутри сервера по времени подключения) - Sort by Aliases,
  • скрывать неподключенные базы данных Hide Disconnected Databases,
  • настраивать Tables' Details в SQL Assistant,
  • настраивать View Details в SQL Assistant,
  • настраивать Procedures' and UDF's Details в SQL Assistant,
  • настраивать Other Objects' Details в SQL Assistant.

DB Explorer - Configuring DB Explorer - View Mode

Используйте Options | Environment Options... | DB Explorer для доступа к дополнительным настройкам проводника баз данных.

Панель поиска

Кроме панели инструментов имеется панель поиска - Search Panel.

DB Explorer - Search Panel - Customize

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Настройка панелей инструментов

Настройки окружения


Избранные запросы

SQL Manager for SQL Server позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries.

DB Explorer - Managing Favorite queries

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку iconFavoriteQueries Favorite Query, при этом откроется редактор избранных запросов.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе SQL.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе SQL.

Смотрите также:

Использование вкладок

Редактор избранных запросов


Управление скриптами

С помощью раздела Scripts в проводнике баз данных можно управлять файлами SQL скриптов, хранящимися локально на сервере.

DB Explorer - Managing scripts

Для создания нового файла скрипта выберите пункт iconNewScript New Script в контекстном меню соответствующей ветви в дереве проводника баз данных. Имя скрипта необходимо задать в появившемся диалоговом окне New Script. После задания имени скрипта, он будет добавлен в раздел Scripts и автоматически откроется в Редакторе выполнения скриптов.

Local Script - Setting script name

Любой скрипт, сохраненный из Редактора выполнения скриптов в директорию, заданную по умолчанию для хранения SQL скриптов, появится в разделе Scripts автоматически.

В разделе Scripts можно создавать подпапки. Для этого необходимо в контекстном меню группы скриптов выбрать пункт iconNewSubFolder New Script Folder. Такие директории могут быть директориями, используемыми по умолчанию для скриптов, которые задаются в DB Registration info | Directories. Если на момент задания директории, в ней уже присутствовали скрипты, то они будут добавлены в дерево автоматически.

Изменить директорию, в которой хранятся скрипты, можно в диалоге выбора директории, которая открывается при выборе пункта контекстного меню Select Directory раздела Scripts. Также, директорию можно задать в поле Default directory for Scripts на вкладке Directories в Регистрационной информации базы данных.

С помощью контекстного меню скрипта Вы можете:

iconOpenScript - открыть скрипт в Редакторе выполнения скриптов,

переименовать файл скрипта,

iconDropScript - удалить файл скрипта.

Смотрите также:

Редактор выполнения скриптов

Проводник баз данных

Регистрационная информация баз данных


Управление базами данных

SQL Manager for SQL Server предоставляет пользователю все необходимые инструменты для создания и управления базами данных.

Вы не сможете работать с базой данных в SQL Manager for SQL Server, если не зарегистрируете её.

Удаление регистрации сервера

Если Вы не используете сервер, то Вы можете его удалить, воспользовавшись функцией btnUnregisterHost Unregister Host. Незарегистрированный сервер не отображается в проводнике баз данных.

Для удаления регистрации вам необходимо проделать следующие операции:

  • в проводнике баз данных выбрать сервер, регистрацию которого хотите удалить,
  • выбрать пункт Database | btnUnregisterHost Unregister Host в главном меню программы или в контекстном меню сервера,
  • подтвердить удаление регистрации в появившемся окне.

Создание базы данных

Для упрощения процедуры создания базы данных в SQL Manager for SQL Server существует специальный инструмент - Мастер создания баз данных btnCreateDB Create Database Wizard. С его помощью пользователь пошагово создает базу данных

Для создания базы данных необходимо выполнить следующие операции:

  • выбрать пункт Database | btnCreateDB Create Database главного меню программы,
  • задать имя базы, имя сервера, тип авторизации,
  • задать свойства файлов,
  • указать файлы журнала событий,
  • включить опцию "регистрация после создания" Register After Creating для вызова Register Database Wizard

Регистрация базы данных

Для начала работы в SQL Manager for SQL Server с уже существующей базой данных Вам необходимо её зарегистрировать. Для этого существует специальный инструмент Register Database Wizard. Для запуска мастера выберите пункт Database | btnRegisterDB Register Database главного меню программы.

С помощью этого инструмента Вы можете выбрать сервер, выбрать базу на этом сервере и для неё задать параметры подключения, параметры авторизации и другие опции регистрации.

Для регистрации нескольких баз, находящихся на одном сервере, нужно на шаге задания параметров сервера отключить функцию Register a single database, тогда на следующем шаге сможете выбрать несколько баз для регистрации и зарегистрировать их все одновременно.

Удаление регистрации базы данных

Если Вы не используете базу данных, то Вы можете воспользоваться функцией Unregister Database - Удалить регистрацию базы данных. Незарегистрированная база не отображается в SQL Manager for SQL Server.

Для удаления регистрации вам необходимо проделать следующие операции:

  • выбрать базу, регистрацию которой хотите удалить, (щелкнуть на ней мышкой в проводнике баз данных),
  • выбрать пункт Database | btnUnregisterDB Unregister Database главного меню программы,
  • подтвердить удаление регистрации в появившемся окне.

Удаление базы данных

При удалении базы данных она удаляется с сервера полностью. В этом случае восстановить её можно только из резервных копий, созданных пользователем в процессе работы.

Для удаления базы данных нужно:

  • выбрать базу, которую хотите удалить, (щелкнуть на ней мышкой в проводнике баз данных),
  • выбрать пункт Database | Drop Database главного меню программы (в контекстном меню базы данных этого пункта нет),
  • подтвердить удаление базы данных в появившемся окне.

Удалять можно как подключенные, так и неподключенные базы данных. Если соединение с сервером отсутствует, то удалить базу не удастся.

Подключение к базе данных

Команду Connect to Database можно найти в:

  • главном меню программы - Database | btnConnectToDB Connect to Database,
  • контекстном меню базы данных.

Для подключения базы данных также можно использовать сочетание клавиш Ctrl+Shift+C или двойной щелчок мыши на имени нужной базы в проводнике.

Отключение от базы данных.

Если сеанс работы с базой данных завершен, то Вы можете отключиться от неё.

Команда btnDisconnectFromDB Disconnect from Database присутствует везде, где есть Connect to Database. Отключиться от базы данных можно также с помощью сочетания клавиш Ctrl+Shift+D.

Смотрите также:

Начало работы

Проводник баз данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Мастер создания баз данных

Мастер создания баз данных Create Database Wizard автоматически генерирует SQL скрипт для создания новой базы данных и выполняет его на Microsoft® SQL Server™.

Create Database Wizard - Setting database name

Вызывается мастер командой Create Database..., которая присутствует в:

  • главном меню программы - Database | Create Database,
  • на панели инструментов SQL Manager for SQL Server,
  • на панели инструментов проводника,
  • на панели рабочего стола.

Если для создания базы Вы используете команду Create Database..., то создание будет проходить только с использованием мастера.

Если же Вы не хотите использовать мастер, или у Вас есть готовый SQL скрипт, то можете воспользоваться редактором SQL скриптов Execute Script.

Мастер состоит из следующих шагов:

  • Specify the name for a new database - Присвоение имени новой базе данных,
  • Установка параметров подключения к новой базе данных - Set connection properties and collation for a new database,
  • Задание свойств физических файлов базы данных (размер, максимальный размер и т.д.). Define Database files for a new database.
  • Define transaction log files for a new database. Задание файлов журнала транзакций.
  • Просмотр получившегося в результате SQL скрипта - Result SQL statement.

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Свойства базы данных


Присвоение имени

В поле Database name укажите имя базы данных. Если на сервере уже существует база с таким же именем, программа Вас об этом предупредит. Переименовать созданную базу данных можно с помощью окна свойств базы данных, на вкладке Information.

CheckBox Register after creating

Если хотите автоматически зарегистрировать базу сразу после создания, то установите флажок Register after creating. в этом случае после завершения создания базы откроется окно Database Registration Info

Create Database Wizard - Setting database name

Следующий шаг


Установка параметров соединения

На этом шаге необходимо указать параметры соединения с сервером.

Create Database Wizard - Setting connection properties

Из раскрывающегося списка Server name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если компоненты SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Server name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда вводите его вручную.

Настройка подключения.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Server name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS).

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

Следующий шаг


Задание свойств файлов

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Установка свойств файлов

На этом шаге Вы можете определить свойства файлов базы данных.

Create Database Wizard - Defining database files

Базы данных SQL Server 2005 содержат файлы трех типов.

  • Первичные файлы данных. Первичный файл данных является отправной точкой базы данных. Он указывает на остальные файлы базы данных. Для имени первичного файла данных рекомендуется использовать расширение MDF.
  • Вторичные файлы данных. К вторичным файлам данных относятся все файлы данных, за исключением первичного файла данных. Некоторые базы данных могут вообще не содержать вторичных файлов данных, тогда как другие содержат несколько вторичных файлов данных. Для имени вторичного файла данных рекомендуется использовать расширение NDF.
  • Файлы журналов.

В SQL Server 2005 расположение всех файлов базы данных записывается в первичный файл базы данных.

В списке файлов Data files отображаются файлы базы данных и информация о них.

В поле Name указывается логическое имя файла - имя, используемое для ссылки на физический файл во всех инструкциях Transact-SQL. Логическое имя файла должно соответствовать правилам для идентификаторов SQL Server и быть уникальным среди логических имен файлов в соответствующей базе данных.

В поле File Name and Path указывается физическое имя файла - это имя физического файла, включая путь к каталогу. Оно должно соответствовать правилам для имен файлов операционной системы.

В поле Size, MB указывается текущий размер каждого файла. Также текущий размер файла можно задать с помощью счетчика File size. MB, находящегося под списком файлов.

В поле File Group указывается, к какой группе будет принадлежать данный файл.

Группа по умолчанию - PRIMARY. Пользователь может сам создавать группы и задавать их свойства на вкладке Файловые группы.

CheckBox Enable automatic file growth - позволить автоматический прирост файла.

Ниже идет элемент управления, отвечающий за прирост файла, с помощью счетчика File growth указывается требуемый шаг роста. Каждый раз при заполнении файла его размер увеличивается на указанный шаг роста. Если в файловой группе имеется несколько файлов, их автоматический рост начинается лишь по заполнении всех файлов. Затем файлы увеличиваются в размерах по кольцевому списку.

RadioButton Megabytes - шаг можно указывать в мегабайтах.

RadioButton Percent - шаг можно указывать в процентах.

В разделе Maximum size можно указать максимальный размер файла, или то что он может продолжать увеличиваться в размерах, пока не займет все доступное место на диске.

CheckBox Unlimited

Если этот флажок установлен, то файл имеет неограниченный размер.

Следующий шаг


Задание файлов журнала транзакций

На этом шаге задайте файлы журнала транзакций базы данных.

Create Database Wizard - Defining transaction log files

В списке файлов отображаются файлы журналов базы данных и информация о них.

В поле Name указывается логическое имя файла - имя, используемое для ссылки на физический файл во всех инструкциях Transact-SQL. Логическое имя файла должно соответствовать правилам для идентификаторов SQL Server и быть уникальным среди логических имен файлов в соответствующей базе данных.

В поле File Name and Path указывается физическое имя файла - это имя физического файла, включая путь к каталогу. Оно должно соответствовать правилам для имен файлов операционной системы.

В поле Size, MB указывается текущий размер каждого файла. Также текущий размер файла можно задать с помощью счетчика File size, MB, находящегося под списком файлов.

CheckBox Enable automatic file growth - позволить автоматический прирост файла.

Ниже идет элемент управления, отвечающий за прирост файла. С помощью счетчика File growth указывается требуемый шаг роста. Каждый раз при заполнении файла его размер увеличивается на указанный шаг роста. Если в файловой группе имеется несколько файлов, их автоматический рост начинается лишь по заполнении всех файлов. Затем файлы увеличиваются в размерах по кольцевому списку.

RadioButton Megabytes - шаг можно указывать в мегабайтах.

RadioButton Percent - шаг можно указывать в процентах.

В разделе Maximum size можно указать максимальный размер файла, или то что он может продолжать увеличиваться в размерах, пока не займет все доступное место на диске.

CheckBox Unlimited

Если этот флажок установлен, то файл имеет неограниченный размер.

Следующий шаг


Задание файлов данных, оптимизированных для памяти

На этом шаге Вы можете задать контейнеры для файловой группы, оптимизированной для памяти.

Важно: Этот шаг доступен только при работе с сервером SQL Server 2014.

Создание файловой группы, оптимизированной для памяти необходимо для создания таблиц, оптимизированных для памяти.

В файловой группе может содержаться один и более контейнеров.

В таблице Memory-optimized data files Вы можете добавлять контейнеры для файловой группы, оптимизированной для памяти.

Create Database wizard - Defining memory-optimized files

Управлять списком файлов можно с помощью контекстного меню, которое открывается при нажатии на список файлов правой кнопкой мыши.

New Memory-Optimized Data File - добавить файл данных, оптимизированный для памяти,

Delete Memory-Optimized Data File - удалить файл данных, оптимизированный для памяти.

Для нового файла данных, оптимизированного для памяти, необходимо задать следующие характеристики:

  • Logical File Name - логическое имя файла, в котором хранятся данные.
  • Data folder - в этом поле, с помощью кнопки ExplorerButton вызовите диалог SQL Server Folders, в котором укажите путь к физическому файлу. Файл должен находиться на сервере, которому принадлежит база данных.
  • Maximum Size, MB указывается текущий размер каждого файла. Если установлен флажок CheckBox Unlimited Size, то файл имеет неограниченный размер.

Name of filegroup for memory-optimized data

Задайте имя файловой группы, оптимизированной для памяти


Задание файлов файлового потока

На этом шаге Вы можете задать необходимые параметры для файлов файлового потока и файловых групп.

Файловые потоки используются для хранения данных типа varbinary(max). При таком типе хранения размер файла ограничен только допустимым размером файла в существующей файловой системе.

Важно: Этот шаг доступен только при работе с сервером SQL Server 2008 (и выше).

Create Database wizard - Defining filestream files and filegroups

Управлять списком фалов можно с помощью контекстного меню, которое открывается при нажатии на список файлов правой кнопкой мыши.

iconPlus Add Filestream File - добавить файл файлового потока,

iconMinus Delete Filestream File - удалить файл файлового потока.

Для нового файла файлового потока необходимо задать следующие характеристики:

  • Logical file name - имя логического файла, в котором хранятся данные. Это не имя физического файла.
  • Directory - в этом поле, с помощью кнопки, укажите имя физического файла и путь к нему. Файл должен находиться на сервере, которому принадлежит база данных.
  • Filegroup name - имя группы файлов файлового потока.

CheckBox Read Only

файловая группа файлового потока будет доступна только для чтения, если установлен этот флажок. Обновления объектов, хранящихся в этих файловых группах, не будет доступно. Файловая группа по умолчанию не может быть доступной только для чтения.

CheckBox Default

Данные фала файлового потока будут сохраняться в этой группе, если не будет указана какая-либо другая группа.

Важно: После создания базы данных, Вы можете изменять эти параметры на вкладке Filestream files and filegroups в Свойствах базы данных.

Следующий шаг


Задание дополнительных параметров

На последнем шаге задайте дополнительные параметры создаваемой базы данных.

в разделе Recovery model выберите параметры восстановления базы данных:

RadioButton Full - при ошибке носителя обеспечивается полное восстановление с помощью резервных копий журналов транзакций. Если файл данных поврежден, восстановление носителя может восстановить все зафиксированные транзакции.

RadioButton Bulk-logged - после сбоя носителя обеспечивается восстановление, совмещающее наивысшую производительность и минимальное использование пространства журнала для определенных массовых (крупномасштабных) операций.

RadioButton Simple - используется простая стратегия создания резервных копий, использующая минимум пространства журнала.

Create Database Wizard - Setting recovery model and collation

Из раскрывающегося списка Database Collation выберите правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.


Настройки базы данных

На этом шаге задайте настройки базы данных SQL Azure.

Create Database wizard - Setting Azure SQL Database options

Database Edition

Задайте Выпуск базы данных.

RadioButton Basic

Небольшие базы данных с одной операцией в определенный момент времени.

RadioButton Standard

Приложения для рабочих групп и облачные приложения с большим количеством параллельных транзакций.

RadioButton Premium

Критический важное приложение с большим объемом транзакций и множеством одновременных пользователей

RadioButton Web

Веб-приложения, рабочие группы и другие легковесные рабочие нагрузки базы данных.

RadioButton Business

Простые рабочие нагрузки базы данных, для которые требуются более крупные размеры, чем те, которые поддерживает Web.

Важно: Поддержка уровней обслуживания Business и Web будет прекращена в сентябре 2015 года.

Performance Level

Из выпадающего списка выберите уровень производительности базы данных. Уровни производительности зависят от выбранного Выпуска базы данных.

Maximum size

Укажите максимальный размер базы данных. Значение параметра должно быть допустимо для указанного Выпуска и Уровня производительности.

Следующий шаг


Параметры сортировки

На этом шаге задайте параметры сортировки базы данных.

Create Database wizard - Setting SQL Azure Database collation

Database collation

Из раскрывающегося списка Database Collation выберите правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

Note: Параметр Database collation не может быть изменен после создания базы данных.


Просмотр скрипта

Если Вы на первом шаге установили флажок Register after creating, то, после того как Вы нажмете Finish, откроется окно Database Registration Info, в котором можно будет указать регистрационную информацию базы данных.

Create Database Wizard - Viewing result SQL statement


Мастер регистрации серверов и баз данных

Мастер регистрирования баз данных позволяет Вам зарегистрировать уже существующую базу данных в SQL Manager for SQL Server.

Register Database wizard - Setting connection parameters

Вызывается мастер командой Register Database..., которая присутствует в:

  • главном меню программы Database | Register Database...,
  • на панели инструментов SQL Manager for SQL Server,
  • в контекстном меню баз данных,
  • вызывается сочетанием клавиш Shift+Alt+R.

Мастер состоит из двух шагов:

  • Установка параметров соединения,
  • Установка параметров регистрации.

Смотрите также:

Мастер создания баз данных

Регистрационная информация баз данных

Свойства базы данных


Установка параметров соединения

На этом шаге необходимо указать параметры соединения с сервером.

Register Database wizard - Setting connection parameters

Из раскрывающегося списка Server name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Host name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда вводите его вручную.

Настройка подключения.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Host name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS)

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

Кнопка Start SQL Server Client Network Utility - вызывает конфигуратор сетевого клиента.

CheckBox Trust server certificate

Если вы используете эту опцию, процесс подключения пропускает проверку цепочки доверия. В этом случае приложение подключается, даже если сертификат не может быть проверен.

CheckBox Register a single database

Если убрать флажок Register a single database то система позволит выбрать и зарегистрировать сразу несколько баз данных, имеющихся на сервере.

В этом случае появляется дополнительный шаг мастера, на котором необходимо выбрать одну или несколько баз данных.

Register Database wizard - Selecting databases

В списке слева находятся имеющиеся на сервере базы данных, в списке справа - выбранные Вами для регистрации.

Следующий шаг


Установка параметров регистрации

На этом шаге необходимо задать некоторые специальные опции для регистрируемой базы данных.

Выбрать из раскрывающегося списка Database name имя базы данных. (В списке отображаются все базы данных выбранного сервера).

В поле Database alias указать псевдоним базы данных, то есть, под каким названием она будет отображаться в проводнике баз данных SQL Manager for SQL Server. По умолчанию псевдоним состоит из имени базы данных и имени сервера.

Register Database wizard - Setting specific options - General

С помощью флажков отметьте необходимые действия, которые будут произведены с базой данных:

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении пароль будет запрашиваться заново.

CheckBox Refresh objects on connection - обновлять объекты при установлении связи.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for SQL Server связь с этой базой данных будет устанавливаться автоматически.

CheckBox Show system objects - показывать ли системные объекты этой базы данных

Закладка Logs

CheckBox Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите в какой файл следует записывать изменения.

CheckBox Если же хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of Query Data queries.

В поле Log file укажите, в какой файл сохранять эту статистику.

Register Database wizard - Setting specific options - Logs


Регистрационная информация баз данных

Если при создании и регистрировании базы данных была допущена ошибка, или указана неполная информация, то её можно исправить при помощи инструмента Database Registration Info. Регистрационную информацию можно посмотреть как для подключенной, так и для неподключенной базы.

Database Registration Info - Editing connection properties

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню Database Registration Info (для подключенных баз данных).

Вся информация содержится на следующих вкладках:

  • Connection - позволяет редактировать настройки подключения базы данных,
  • Options - опции общего назначения,
  • Display Options - настройки отображения - выбор тех элементов базы данных которые будут отображаться в проводнике баз данных,
  • Directories - позволяет указать папки в которые будут выгружаться данные, отчеты и т.д.,
  • Logs - на этой вкладке указываются файлы для хранения истории изменения метаданных и выполнения SQL скриптов.
  • Data Options - свойства данных.
  • Find Option - поиск опций.

С помощью кнопки Test Connect Вы можете проверить, возможно ли установить подключение к базе данных с заданными настройками.

Кнопка Copy Alias From позволяет скопировать все настройки из другой базы данных, которую можно выбрать из раскрывающегося списка, открывающегося по нажатию на кнопку btnMoreButtons.

Смотрите также:

Мастер создания баз данных

Мастер регистрации серверов и баз данных

Свойства базы данных


Настройки подключения

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Редактирование настроек подключения.

На этой вкладке Вы можете задать параметры подключения к серверу.

Database Registration Info - Editing connection properties

Имя хоста (сервера)

Из раскрывающегося списка Server name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Server name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда вводите его вручную.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Server name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS)

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

Идентификацию

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

CheckBox Trust server certificate

Если вы используете эту опцию, процесс подключения пропускает проверку цепочки доверия. В этом случае приложение подключается, даже если сертификат не может быть проверен.

CheckBox Data type compatibility

Используйте этот параметр, чтобы применить пользовательскую маску даты и времени к результатам запроса, указанным в разделе Стиль и палитра цветов.

Базу данных

В раскрывающемся списке Database name представлены все базы, находящиеся на указанном Вами сервере.

Псевдоним базы данных

В поле Database alias укажите псевдоним базы данных, то есть, под каким названием она будет отображаться в проводнике баз данных SQL Manager for SQL Server. По умолчанию псевдоним состоит из имени базы данных и имени сервера.

Font charset - кодировка шрифта, используемая для отображения данных в сетке данных.

В секции OLE DB Provider можно выбрать специфический OLE DB Provider для подключения к SQL Server. Для выбора доступны только найденные в системе драйверы. Выбор специфической версии позволяет изменить поведение программы при обработке некоторых типов данных, например, XML и TIME, а также при выполнении новых конструкций T-SQL. Если подключение к БД установлено, то ниже секции OLE DB Provider отображается текущий используемый драйвер.


Опции общего назначения

На этой вкладке настраиваются общие опции.

Database Registration Info - Setting common database options

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново,

CheckBox Autoconnect on startup - при запуске программы SQL Manager for SQL Server связь с этой базой данных будет устанавливаться автоматически,

CheckBox Show system objects - показывать ли системные объекты этой базы данных,

CheckBox Refresh objects on connection - обновить объекты при подключении базы данных,

CheckBox Don't use this database registration info to get server objects - не использовать регистрационную информацию этой базы данных для доступа к серверным объектам.

CheckBox Schema-organized database tree - при отключении этой опции, для данной базы в проводнике строится дерево без разбивки объектов по схемам.

CheckBox Ping server every ... seconds - если эта опция включена, программа будет отправлять на сервер простейшую команду ('SELECT 1') каждый раз через заданный интервал времени в секундах. Эту опцию можно использовать, если нужно поддерживать активное соединение с серверами, обрывающими его при простое.


Настройки отображения

Настройки отображения объектов базы данных.

CheckBox Use custom color for DB editors

Включите опцию и выберите цвет шрифта, которым будут отображаться вкладки объектов и редакторов выбранной БД.

Database Registration Info - Setting display options

Objects to display in DB Explorer

Если установить флажок, то этот тип объектов будет отображаться в проводнике баз данных.

По умолчанию, отображаются все объекты.

С помощью контекстного меню, появляющегося при нажатии правой кнопкой на форме, Вы можете:

Select All - выбрать все объекты,

Deselect All - отменить выбор всех объектов.


Используемые директории

На этой вкладке указываются директории для хранения внешних данных.

Database Registration Info - Setting default directories

Default directory for Extract Metadata в эту папку, по умолчанию, будут сохраняться выгруженные с помощью Extract Database Wizard файлы.

Default directory for Export Data - папка, в которую будет производить экспорт данных с помощью Export Data Wizard

Default directory for Import Data - из этой директории будет импортировать данные с помощью Import Data Wizard

Default directory for HTML Report - директория, для сохранения HTML отчетов.

Default directory for Reports в эту папку сохраняются файлы отчетов, созданные в мастере создания отчетов

Default directory for Scripts в эту папку сохраняются файлы создаваемых SQL скриптов в Редакторе выполнения скриптов.


Журналы

На этой вкладке задаются пути для журналов изменения метаданных и запросов, выполненных в Query Data.

Database Registration Info - Setting log options

CheckBox Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

В поле Metadata log file укажите, в какой файл сохранять эту статистику.

CheckBox Если же Вы хотите вести журнал запросов, выполняемых в Редакторе SQL, то активируйте функцию Enable log of Query Data queries.

В поле Query Data log file укажите, в какой файл сохранять эту статистику.

CheckBox In Unicode

Установите этот флажок, если необходимо сохранять журналы в кодировке Unicode. Если флажок не установлен, то будет использоваться кодировка ANSI.


Свойства данных

На этой вкладке задайте параметры представления данных в просмотрщике данных.

Database Registration Info - Setting data options

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor.

В этом разделе укажите количество записей, которые должны отображаться по умолчанию в открытых Редакторе таблиц и Редакторе представлений.

RadioButton Select all records from a table - выбрать все записи таблицы.

RadioButton Select only N records - выбрать только указанное число записей.

Advanced

CheckBox Asynchronous query execution - асинхронное выполнение запроса. Запрос будет выполнен в отдельном потоке, все элементы управления останутся активными при выполнении и его можно прервать.

CheckBox Use transactions in Data tab of object editors, Query Data and Query Builder - использовать транзакции на вкладке данных редактора объектов, в этом случае при открытии SQL Manager for SQL Server будет запущена транзакция, которую может быть зафиксировать или откатить вручную, либо автоматически при закрытии SQL Manager for SQL Server.

CheckBox Use separate connection for each data view within a database - использовать новое подключение для всех просмотрщиков данных. Отключение этой опции рекомендуется, если максимально допустимое число подключений является слишком низким.

Важно: Эта опция доступна, только если включена опция Use transactions in Data tab of object editors, Query Data and Query Builder.

CheckBox Optimize fetching for connection with long response time

Выберите этот параметр, чтобы использовать оптимизированные методы извлечения данных из базы данных, если велико время отклика при соединении (например, база данных хранится на сервере в сети Интернет).

Режим сетки просмотрщика данных, используемый по умолчанию задайте на этой вкладке в разделе Default Grid Mode.

RadioButton Load all rows - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.

RadioButton Load visible rows - загрузить видимые записи. В таблицу из возвращаемого сервером набора данных загружается только строго определенное количество записей.


Запись DDL в файлы

На вкладке DDL to Files задайте настройки сохранения в файлы определений объектов базы данных.

Сохранение определений объектов в файлы позволит использовать внешние программы для обработки скриптов баз данных или использовать системы контроля версий для их хранения.

Чтобы открыть диалог Database Registration Info на вкладке DDL to Files используйте пункт главного меню Tools | DDL to Files | btnDBRegistrationInfo Options или пункт Tasks | DDL to Files | btnDBRegistrationInfo Options контекстного меню базы данных в проводнике.

Database Registration Info - DDL to Files

CheckBox Write object definition to a file after compilation

Отметьте эту опцию, чтобы описания объектов сохранялись в файлы после их создания или изменения.

В поле Root folder for storing object definitions укажите путь к директории, в которой будут храниться файлы определения объектов. Используйте кнопку btnSelectDirectory , чтобы отрыть диалог выбора папок. Данная директория может являться частью рабочей копии системы управления версиями.

File to store common options (relative path)

В это поле введите имя *.xml файла, в котором будет содержаться список типов объектов, чьи определения следует записывать в файлы. Также в этом файле будут храниться шаблоны, которые будут использоваться при именовании файлов объектов.

Важно: Если не будет задан полный путь к файлу, то, по умолчанию, он будет храниться в директории, указанной в поле Root folder for storing object definitions. При необходимости используйте кнопку btnSelectDirectory , чтобы выбрать другую директорию.

Нажмите кнопку Edit File, чтобы вызвать диалог Options for Storing Object Definitions, который предназначен для выбора типов объектов и задания шаблонов файлов имен.

File to store object file names (relative path)

В это поле введите имя *.txt файла, в котором будет содержаться список объектов и имен файлов определений объектов.

Важно: Если не будет задан полный путь к файлу, то, по умолчанию, он будет храниться в директории, указанной в поле Root folder for storing object definitions. При необходимости используйте кнопку btnSelectDirectory , чтобы выбрать другую директорию.

Нажмите кнопку Edit File, чтобы вызвать диалог Object File Names, который предназначен для выбора объектов и задания имен файлов.

CheckBox Confirm file name for new object - подтверждать имя файла определения объекта для создаваемого объекта. Если данная опция отмечена, то после создания объекта в базе будет вызываться диалог Confirm Object File Names, в котором

будет отображаться имя создаваемого объекта и имя файла его определения, сгенерированное автоматически на основе заданных шаблонов. При необходимости в этом диалоге Вы можете изменить имя файла.

Database Registration Info - DDL to Files - Confirm object file name

Для работы с системой управления версиями используйте следующие поля.

OS command after creating a file

Введите команду операционной системы, которая будет выполняться перед созданием файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, svn add {file_name} (при использовании Subversion), где в переменную {file_name} подставляется имя создаваемого файла.

OS command before updating a file

Введите команду операционной системы, которая будет выполняться перед изменением файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, ss checkout {file_name} -C- (при использовании Visual Source Safe), где в переменную {file_name} подставляется имя изменяемого файла.

OS command after deleting a file

Введите команду операционной системы, которая будет выполняться после удаления файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, svn del {file_name} (при использовании Subversion), где в переменную {file_name} подставляется имя удаляемого файла.

Чтобы сохранить определения всех выбранных объектов в файлы, заданные в диалоге Object file names, нажмите кнопку Write All Objects Now. Если файлы объектов уже существует, то их содержимое будет обновлено.

При нажатии на кнопку Generate Script... будет сгенерирован *.sql файл, который будет содержать определения всех объектов, указанных в диалоге Object file names в том порядке, в котором они перечислены.


Настройки хранения определений объектов

В диалоге Options for Storing Object Definitions задаются типы объектов, изменения которых необходимо сохранять, а также шаблоны имен файлов. Определения объектов типа, который не выбран в списке, сохраняться не будут.

Database Registration Info - DDL to Files - Options for storing objects

Include the following object types

В таблице приведен список типов объектов, представленных в базе данных. Чтобы выбрать тип, поставьте галку в соответствующей ячейке колонки Included.

С помощью контекстного меню, появляющегося при нажатии правой кнопкой на форме, Вы можете:

Select All - выбрать все объекты,

Deselect All - отменить выбор всех объектов.

Важно: Если подобъекты сохраняются в отдельные файлы, то в определении самого объекта DDL подобъектов содержаться не будет.

При создании или редактировании объекта выбранного типа его определение записывается в соответствующий ему *.sql файл. Существующие объекты заданных типов выбираются в диалоге Object file names.

Директория для хранения файлов объекта одного типа задается в поле Subfolder for Object Files для соответсвующего типа. По умолчанию директория именуется в соответствии типом объекта.

Важно: Если не будет задан полный путь к папке, то, по умолчанию, она будет храниться в директории, указанной в поле Root folder for storing object definitions. При необходимости используйте кнопку btnSelectDirectory , чтобы выбрать другую директорию. Эта кнопка появляется при нажатии на соответствующую ячейку.

Templates of object file names

В этой группе опций задаются шаблоны для имен файлов, в которых будут храниться определения объектов.

Schema objects - шаблон для имен файлов объектов схем.

Non-schema objects - шаблон для имен файлов объектов, не принадлежащих схемам.

Вы можете использовать следующие тэги:

{object_name} - имя объекта;

{schema_name} - имя схемы.


Имена файлов определения объектов

В диалоге Object File Names выбираются объекты базы данных, определения которых необходимо сохранять в файлы, а также имена этих файлов.

Порядок определений объектов в скрипте, который создается при нажатии на кнопку Generate Script... совпадает с порядком объектов в этом списке.

Database Registration Info - DDL to Files - Object File Names

Если существующий объект базы данных не добавлен в список, то его определение не будет записываться в файл. Для управления списком используйте контекстное меню.

Чтобы добавить все существующие объекты базы данных выбранных типов, выберите пункт контекстного меню Add All Objects.

Для добавления отдельных объектов используйте пункты Add Objects... или Insert Objects.... Выберите необходимые объекты в диалоге Select Object.

Имена файлов генерируются автоматически на основе шаблонов, заданных в диалоге Options for storing object definitions. При необходимости Вы можете изменить имя файла и путь к нему. Для этого нажмите кнопку btnSelectDirectory .

Если по каким-то причинам поле File Name оказалось пустым, Вы можете сгенерировать имя файла на основе заданных шаблонов. Для этого выберите пункт контекстного меню Generate File Name.

В данный список могут быть добавлены любые *.sql файлы, в которых не содержится определение объектов. Например, Вы можете добавить файл, содержащий скрипт заполнения таблицы данными. Для этого используйте пункт Add Files... или Insert Files.... После добавления файла в список выберите тип SQL в поле Object Type и задайте имя в поле Object Name.

Чтобы удалить файлы из списка выберите пункт контекстного меню Delete.... Возможен выбор сразу нескольких объектов.

Пункт контекстного меню Select Not Found Objects используется для того чтобы обнаружить объекты, которые представлены в списке, но не существуют в базе данных.

Изменять порядок файлов можно с помощью пунктов Move up (переместить вверх) и Move down (переместить вниз).


Свойства базы данных

Параметры базы данных - это определяющие её характеристики. Их устанавливают отдельно для каждой базы данных. Эти параметры уникальны и не влияют на другие базы данных. Они устанавливаются в значения по умолчанию при создании базы данных, но могут быть изменены впоследствии при помощи пункта контекстного меню базы данных Database Properties. Открыть это окно мо жно как для подключенной, так и для неподключенной базы данных.

Database Properties - Information

Устанавливать и изменять эти параметры имеют право:

  • члены серверной роли "System Administrator",
  • владелец базы данных,
  • члены ролей sysadmin, dbcreator и db_owner.

  • Общие параметры
  • Параметры восстановления
  • Параметры совместимости ANSI
  • Параметры SQL
  • Параметры автоматических действий
  • Параметры курсора
  • Расширенные параметры базы данных
  • Файлы базы данных
  • Файлы журналов
  • Файловые группы
  • Поиск опций

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Регистрационная информация баз данных


Информация

На вкладке Information отображается информация о базе данных.

Информацию на этой вкладке нельзя изменять, кроме названия базы данных.

Database Properties - Information

Database name - имя базы данных.

Database owner - владелец базы данных.

Total database size - общий размер базы данных.

Database available space - свободное место базы данных.

Total data size - общий размер данных.

Used by data - место на диске, занимаемое данными.

Used by indices - место на диске, занимаемое индексами.

Unused space - неиспользуемое пространство.

Total transaction log size - общий размер файлов журналов.

Used space - место на диске, занимаемое файлами журналов.

Unused space - неиспользуемое файлами журналов пространство.

Last full backup date - дата последнего создания полной резервной копии базы данных.

Last differential backup date - дата последнего частичного резервного копирования.

Last transaction log backup date - дата создания резервной копии журнала транзакций.


Общие параметры

На этой вкладке задайте общие параметры базы данных.

Database Properties - Options

CheckBox Read-only mode (READ_ONLY) - флажок, установив который, Вы запрещаете любое изменение данных в базе. Разрешаете только чтение и просмотр информации.

CheckBox Can be source or target of cross-database ownership chain (DB_CHAINING)

Если флажок установлен, то база данных может быть источником или целевой базой данных в межбазовой цепочке владения.

Если не установлен, то база данных не может участвовать в межбазовых цепочках владения.

CheckBox Database modules can access resources outside of database (TRUSTWORTHY)

Если указано значение ON, модули базы данных (например, пользовательские функции или хранимые процедуры), использующие контекст олицетворения, могут получать доступ к ресурсам, расположенным вне базы данных.

Если указано значение OFF, контекст олицетворения не имеет доступа к ресурсам вне базы данных.

Параметр TRUSTWORTHY устанавливается в OFF при каждом присоединении базы данных.

State (ONLINE | OFFLINE | EMERGENCY)

RadioButton Если указано ONLINE, база данных открыта и доступна для использования.

RadioButton Если указано OFFLINE, база данных закрывается, корректно отключается и отмечается как перешедшая в автономный режим.

RadioButton Если указано EMERGENCY, база данных отмечается как находящаяся в режиме READ_ONLY, запись в журнал отключается, а доступ разрешен лишь для членов фиксированной серверной роли sysadmin.

Connection Mode (SINGLE_USER | RESTRICTED_USER | MULTI_USER)

RadioButton При указании MULTI_USER разрешается подключение всех пользователей, имеющих соответствующие разрешения.

RadioButton При указании RESTRICTED_USER к базе данных могут подключаться лишь члены фиксированной роли базы данных db_owner и члены фиксированных серверных ролей dbcreator и sysadmin, но их количество не ограничивается.

RadioButton Если указано SINGLE_USER, то к базе данных одновременно может быть подключен лишь один пользователь. Соединения всех остальных пользователей прекращаются.

CheckBox Transparent data encryption (ENCRYPTION)

Включите опцию для использования шифрования. Шифрование базы данных происходит при ее сохранении на диск. Перед работой с базой производится ее дешифровка.

Важно: Эта опция доступна только для баз данных сервера SQL Server 2008 и выше.

Для баз данных SQL Azure вкладка Options выглядит следующим образом:

Database Properties - SQL Azure Options

Database Edititon

Здесь Вы можете увидеть текущий Выпуск базы данных и изменить его при необходимости.

RadioButton Basic

Небольшие базы данных с одной операцией в определенный момент времени.

RadioButton Standard

Приложения для рабочих групп и облачные приложения с большим количеством параллельных транзакций.

RadioButton Premium

Критический важное приложение с большим объемом транзакций и множеством одновременных пользователей

RadioButton Web

Веб-приложения, рабочие группы и другие легковесные рабочие нагрузки базы данных.

RadioButton Business

Простые рабочие нагрузки базы данных, для которые требуются более крупные размеры, чем те, которые поддерживает Web.

Важно: Поддержка уровней обслуживания Business и Web будет прекращена в сентябре 2015 года.

Performance Level

Из выпадающего списка выберите уровень производительности базы данных. Уровни производительности зависят от выбранного Выпуска базы данных.

Maximum size

Укажите максимальный размер базы данных. Значение параметра должно быть допустимо для указанного Выпуска и Уровня производительности.


Параметры восстановления

Параметры восстановления задайте на вкладке Recovery.

Database Properties - Options - Recovery options

Recovery Model (RECOVERY FULL | BULK_LOGGED | SIMPLE)

RadioButton FULL - при ошибке носителя обеспечивается полное восстановление с помощью резервных копий журналов транзакций. Если файл данных поврежден, восстановление носителя может восстановить все зафиксированные транзакции.

RadioButton BULK_LOGGED - после сбоя носителя обеспечивается восстановление, совмещающее наивысшую производительность и минимальное использование пространства журнала для определенных массовых (крупномасштабных) операций.

RadioButton SIMPLE - используется простая стратегия создания резервных копий, использующая минимум пространства журнала.

Detection of Incomplete I/O Operations (PAGE_VERIFY CHECKSUM | TORN_PAGE_DETECTION | NONE)

RadioButton CHECKSUM - компонент Database Engine рассчитывает контрольную сумму для содержимого страницы в целом и сохраняет значение в заголовке страницы при записи страницы на диск. При чтении страницы с диска контрольная сумма вычисляется повторно и сравнивается с сохраненным в заголовке страницы значением.

RadioButton TORN_PAGE_DETECTION - для каждого 512-байтового сектора из 8-килобайтовой (КБ) страницы базы данных в заголовке страницы устанавливается один бит, который будет сохранен при записи страницы на диск. При чтении страницы с диска биты разрыва, хранимые в заголовке страницы, сравниваются с действительными сведениями о секторах страницы.

RadioButton NONE - для страницы базы данных не будет создаваться ни значение CHECKSUM, ни TORN_PAGE_DETECTION. SQL Server не будет проверять страницу на разрыв или совпадение контрольной суммы, даже если соответствующие данные CHECKSUM или TORN_PAGE_DETECTION присутствуют в заголовке страницы.


Параметры совместимости ANSI

На вкладке ANSI задаются параметры совместимости ANSI.

Database Properties - Options - ANSI options

CheckBox Null is default for UDTs and columns (ANSI_NULL_DEFAULT)

Определяет значение по умолчанию, NULL или NOT NULL, для столбцов, типа данных alias или пользовательского типа CLR, для которых в инструкциях CREATE TABLE или ALTER TABLE не было явно указано, могут ли они содержать NULL.

Если флажок установлен, то значением по умолчанию является NULL.

Если нет, то значением по умолчанию является NOT NULL.

CheckBox Comparisons to null value evaluate to NULL (ANSI_NULLS)

Если флажок установлен, то все сравнения со значением NULL выдают результат UNKNOWN.

Если нет, то при сравнении значений не в Юникоде со значением NULL выдается результат TRUE, если оба значения равны NULL.

CheckBox Warn on divide by zero and nulls in aggregate (ANSI_WARNINGS)

Если флажок установлен, то при возникновении таких состояний, как деление на ноль или появление значений NULL в статистических функциях, создается предупреждение или сообщение об ошибке.

Если не установлен, то предупреждения не создаются, а при возникновении таких состояний, как деление на ноль, возвращаются значения NULL.

CheckBox Not trim trailing blanks in varchar and varbinary (ANSI_PADDING)

Если флажок установлен, то конечные пробелы в символьных значениях, вставляемых в столбцы varchar или nvarchar, и конечные нули в двоичных значениях, вставляемых в столбцы varbinary, не отбрасываются. Значения не подгоняются под длину столбца. Столбцы типа char и binary, допускающие значения NULL, подгоняются по длине столбца.

Если не установлен, то конечные пробелы (в столбцах varchar или nvarchar) и нули (в столбцах varbinary) отбрасываются. Эти параметры влияют только на определение вновь создаваемых столбцов. В столбцах типа char и binary конечные пробелы и нули отбрасываются.

Столбцы типа char и binary, допускающие значения NULL, всегда подгоняются по длине столбца.


Параметры SQL

На этой вкладке задайте параметры SQL.

Database Properties - Options - SQL options

CheckBox Concatenation is NULL if operand NULL (CONCAT_NULL_YIELDS_NULL)

Если флажок установлен, то операция сцепления выдает результат NULL, если любой из операндов имеет значение NULL.

Если не установлен, то значение NULL обрабатывается как пустая символьная строка.

CheckBox Allows identifiers in double quotation marks (QUOTED_IDENTIFIER)

Если флажок установлен, то можно использовать двойные кавычки при выделении идентификаторов с разделителями.

Если нет, то идентификаторы нельзя заключать в кавычки, и они должны соответствовать всем правилам Transact-SQL для идентификаторов.

CheckBox Allow triggers to fire recursively (RECURSIVE_TRIGGERS)

Если флажок установлен, то допустимо рекурсивное срабатывание триггеров AFTER.

Если не установлен, то только прямое рекурсивное срабатывание триггеров AFTER запрещено.

CheckBox Terminate on overflow or divide by zero (ARITHABORT)

Если флажок установлен, то при возникновении переполнения или деления на ноль во время выполнения запроса запрос завершается.

Если не установлен, то выводится предупреждающее сообщение о возникшей ошибке, но запрос, пакет или транзакция продолжают выполняться, как будто ошибка не происходила.

CheckBox Error on loss of precision (NUMERIC_ROUNDABORT)

Когда флажок установлен, то если при расчете выражения происходит потеря точности, возникает ошибка.

Если не установлен, потеря точности не приводит к возникновению сообщения об ошибке, а результат округляется с точностью столбца или переменной, в которых сохраняется результат.

Переключатель Compatibility Level задает совместимость. Управляет поведением экземпляра сервера, устанавливает поведение, соответствующее указанной версии SQL Server.

Из раскрывающегося списка Collation выберите правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.


Параметры автоматических действий

Действия, которые будут выполняться автоматически, задайте на вкладке Auto.

Database Properties - Options - Automation options

CheckBox Shut down if no connected users (AUTO_CLOSE)

Если флажок установлен, то после отключения последнего пользователя база данных корректно закрывается, а используемые ею ресурсы освобождаются. База данных автоматически открывается снова, когда пользователь опять пытается подключиться к ней.

Если флажок не установлен, то база данных остается открытой и после отключения последнего пользователя.

CheckBox Auto create statistics on columns in predicates (AUTO_CREATE_STATISTICS)

При установке этого параметра для использованных в предикате столбцов автоматически создается статистика.

Если параметр не установлен, то статистика не создается автоматически, но ее можно создать вручную.

CheckBox Auto update statistics when out-of-date (AUTO_UPDATE_STATISTICS)

При установке параметра в ON любая отсутствующая статистика, требуемая при запросе для его оптимизации, будет автоматически создана во время оптимизации запроса.

При установке параметра в OFF статистика должна создаваться вручную

CheckBox Asynchronous update (AUTO_UPDATE_STATISTICS_ASYNC)

Обеспечивает асинхронное обновление статистики. Если этот параметр установлен, то перед компиляцией запроса не происходит ожидание обновления статистики. Вместо этого устаревшая статистика ставится в очередь на обновление фоновым рабочим потоком.

CheckBox Auto shrink data and log files (AUTO_SHRINK)

Если флажок установлен, то файлы базы данных подлежат периодическому сжатию. Как файлы данных, так и файлы журналов могут быть автоматически сжаты сервером SQL Server. AUTO_SHRINK уменьшает размер журнала транзакций только в том случае, если выбрана простая модель восстановления базы данных или была создана резервная копия журнала.

Если не установлен, файлы баз данных во время периодических проверок на неиспользуемое пространство не будут сжиматься автоматически.


Параметры курсора

Database Properties - Options - Cursor options

CheckBox Close cursor when transaction committed (CURSOR_CLOSE_ON_COMMIT)

Если параметр установлен, курсоры, открываемые при фиксации или откате транзакции, закрываются.

Если не установлен, курсоры остаются открытыми, когда транзакция фиксируется; откат транзакции закрывает все курсоры, кроме курсоров, определенных как INSENSITIVE или STATIC.

Cursor default (CURSOR_DEFAULT LOCAL | GLOBAL)

RadioButton LOCAL - область курсора локальна по отношению к пакету, хранимой процедуре или триггеру, в которых он был создан. Имя курсора действительно только внутри этой области.

RadioButton GLOBAL - область курсора глобальна относительно соединения. Имя курсора может использоваться в любой хранимой процедуре или пакете, выполняемом соединением.


Параметры FileTable

Редактирование этих параметров доступно только для SQL Server 2012.

Database Properties - Options - FileTable

Non-transactional access to FILESTREAM data in FileTables - определяет потоковый доступ без транзакций

RadioButton Disabled

Отключить нетранзакционный доступ на уровне базы данных

RadioButton Readonly

Включить доступ только для чтения

RadioButton Full

Включить полный нетранзакционный доступ

Directory name for FileTable data

Укажите каталог для хранения в FileTable


Расширенные параметры базы данных

Дополнительные параметры для базы данных задайте на вкладке Advanced.

Database Properties - Options - Advanced

CheckBox Allow snapshot transaction isolation level (ALLOW_SNAPSHOT_ISOLATION)

Если флажок установлен, то транзакции могут указать уровень изоляции транзакции SNAPSHOT. Если транзакция выполняется на уровне изоляции SNAPSHOT, всем инструкциям видны данные из моментального снимка в состоянии, которое существовало в момент начала транзакции.

Если не установлен, то транзакции не могут указать уровень изоляции транзакции SNAPSHOT.

CheckBox Row versioning in Read Committed level (READ_COMMITTED_SNAPSHOT)

Если флажок установлен, то транзакции, указывающие уровень изоляции READ_COMMITTED, используют управление версиями строк вместо блокировки. Если транзакция выполняется на уровне изоляции READ_COMMITTED, всем инструкциям видны данные из моментального снимка в том состоянии, которое существовало на момент начала выполнения инструкции.

Если не установлен, то транзакции с уровнем изоляции READ_COMMITTED используют блокировку.

CheckBox Additional log information for third party products (SUPPLEMENTAL_LOGGING)

Если флажок установлен, то в файл журнала будет добавляться дополнительная информация для сторонних продуктов.

CheckBox Date correlation statistics in linked tables (DATE_CORRELATION_OPTIMIZATION)

Если флажок установлен, то SQL Server поддерживает статистику корреляции между любыми двумя таблицами в базе данных, связанными ограничением FOREIGN KEY и содержащими столбцы типа datetime.

Если не установлен, то статистика корреляции не поддерживается.

Service broker options - управляет параметрами компонента Service Broker

RadioButton Enabled (ENABLE_BROKER) - включает компонент Service Broker в заданной базе данных,

RadioButton Disabled (DISABLE_BROKER) - выключает компонент Service Broker в заданной базе данных,

RadioButton Database should receive new identifier (NEW_BROKER) - база данных получает новый идентификатор брокера,

RadioButton Conversation receives error when db attached (ERROR_BROKER_CONVERSATIONS) - при присоединении базы данных диалоги в базе данных получают сообщение об ошибке.

Parameterization:

RadioButton Simple parameterization (SIMPLE) - параметризация запросов основывается на поведении базы данных по умолчанию,

RadioButton Forced parameterization (FORCED) - SQL Server выполняет параметризацию всех запросов в базе данных.

Containment - определяет уровень автономности базы данных

RadioButton None - определяет невтономную базу данных. База зависит от некоторых объектов принадлежащих экземпляру сервера.

RadioButton Partial - определяет частично автономную базу данных. Частично автономной базой данных является автономная база данных, в которой допускается пересечение границы базы данных определенными функциями (границы между базой данных и экземпляром SQL Server или границы между базой данных и другими базами данных.)


Использование ресурсов

На этой вкладке отображается результат выполнения команды sys.resource_stats. Она возвращает сведения об использовании ЦП и хранении для базы данных, собираемые и агрегируемые с пятиминутными интервалами.

Database Properties - Resource usage


Файлы базы данных

Параметры файлов базы данных задайте на этой вкладке.

Database Properties - Data files

Базы данных SQL Server 2005 содержат файлы трех типов.

  • Первичные файлы данных. Первичный файл данных является отправной точкой базы данных. Он указывает на остальные файлы базы данных. В каждой базе данных имеется один первичный файл данных. Для имени первичного файла данных рекомендуется использовать расширение MDF.
  • Вторичные файлы данных. Ко вторичным файлам данных относятся все файлы данных, за исключением первичного файла данных. Некоторые базы данных могут вообще не содержать вторичных файлов данных, тогда как другие содержат несколько вторичных файлов данных. Для имени вторичного файла данных рекомендуется использовать расширение NDF.
  • Файлы журналов.

В SQL Server 2005 расположение всех файлов базы данных записывается в первичный файл базы данных.

В списке файлов Data files отображаются файлы базы данных и информация о них.

В поле Name указывается логическое имя файла - имя, используемое для ссылки на физический файл во всех инструкциях Transact-SQL. Логическое имя файла должно соответствовать правилам для идентификаторов SQL Server и быть уникальным среди логических имен файлов в соответствующей базе данных.

В поле File Name and Path указывается физическое имя файла - это имя физического файла, включая путь к каталогу. Оно должно соответствовать правилам для имен файлов операционной системы.

В поле Size, MB указывается текущий размер каждого файла. Также текущий размер файла можно задать с помощью счетчика File size. MB, находящегося под списком файлов.

В поле File Group указывается группа, к которой будет принадлежать данный файл.

Группа по умолчанию - PRIMARY. Пользователь может сам создавать группы и задавать их свойства на вкладке Файловые группы.

CheckBox Enable automatic file growth - позволить автоматический прирост файла.

Ниже идет элемент управления, отвечающий за прирост файла. С помощью счетчика File growth указывается требуемый шаг роста. Каждый раз при заполнении файла его размер увеличивается на указанный шаг роста. Если в файловой группе имеется несколько файлов, их автоматический рост начинается лишь по заполнении всех файлов. Затем файлы увеличиваются в размерах по кольцевому списку.

RadioButton Megabytes - шаг можно указывать в мегабайтах.

RadioButton Percent - шаг можно указывать в процентах.

В разделе Maximum size можно указать максимальный размер файла, или то, что он может продолжать увеличиваться в размерах, пока не займет все доступное место на диске.

CheckBox Unlimited

Если этот флажок установлен, то файл имеет неограниченный размер.


Файлы журналов

Параметры файлов журналов транзакций задайте на вкладке Log Files.

Database Properties - Log files

В списке файлов Log files отображаются файлы журналов базы данных и информация о них.

В поле Name указывается логическое имя файла - имя, используемое для ссылки на физический файл во всех инструкциях Transact-SQL. Логическое имя файла должно соответствовать правилам для идентификаторов SQL Server и быть уникальным среди логических имен файлов в соответствующей базе данных.

В поле File Name and Path указывается физическое имя файла - это имя физического файла, включая путь к каталогу. Оно должно соответствовать правилам для имен файлов операционной системы.

В поле Size, MB указывается текущий размер каждого файла. Также текущий размер файла можно задать с помощью счетчика File size. MB, находящегося под списком файлов.

CheckBox Enable automatic file growth - позволить автоматический прирост файла.

Ниже идет элемент управления, отвечающий за прирост файла. с помощью счетчика File growth указывается требуемый шаг роста. Каждый раз при заполнении файла его размер увеличивается на указанный шаг роста. Если в файловой группе имеется несколько файлов, их автоматический рост начинается лишь по заполнении всех файлов. Затем файлы увеличиваются в размерах по кольцевому списку.

RadioButton Megabytes - шаг можно указывать в мегабайтах.

RadioButton Percent - шаг можно указывать в процентах.

В разделе Maximum size можно указать максимальный размер файла, или то что он может продолжать увеличиваться в размерах, пока не займет все доступное место на диске.

CheckBox Unlimited

Если этот флажок установлен, то файл имеет неограниченный размер.


Файлы данных, оптимизированные для памяти

На вкладке Memory-optimized data files Вы можете задавать контейнеры файловой группы, оптимизированной для памяти.

Важно: Эта вкладка доступна для серверов версии SQL Server 2014 и выше.

Создание файловой группы, оптимизированной для памяти необходимо для создания таблиц, оптимизированных для памяти.

В файловой группе может содержаться один и более контейнеров.

В таблице Memory-optimized data files Вы можете добавлять контейнеры для файловой группы, оптимизированной для памяти.

Database Properties - Memory-optimized data files

Управлять списком файлов можно с помощью контекстного меню, которое открывается при нажатии на список файлов правой кнопкой мыши.

New Memory-Optimized Data File - добавить файл данных, оптимизированный для памяти,

Delete Memory-Optimized Data File - удалить файл данных, оптимизированный для памяти.

Для нового файла данных, оптимизированного для памяти, необходимо задать следующие характеристики:

  • Logical File Name - логическое имя файла, в котором хранятся данные.
  • Data folder - в этом поле, с помощью кнопки ExplorerButton вызовите диалог SQL Server Folders, в котором укажите путь к физическому файлу. Файл должен находиться на сервере, которому принадлежит база данных.
  • Maximum Size, MB указывается текущий размер каждого файла. Если установлен флажок CheckBox Unlimited, то файл имеет неограниченный размер.

Name of filegroup for memory-optimized data

Задайте имя файловой группы, оптимизированной для памяти

CheckBox Drop the filegroup - удалить файловую группу.

Удаление файловой группы возможно только в случае, если она пустая (не содержит контейнеров).


Файловые группы

Из объектов баз данных и файлов можно формировать файловые группы, используемые для решения задач распределения и административного управления.

Database Properties - Filegroups

Существует два типа файловых групп.

Первичные файловые группы

В первичную файловую группу входит первичный файл данных и все прочие файлы, не назначенные специально в другие файловые группы. Все страницы для системных таблиц размещаются в первичной файловой группе.

Пользовательские файловые группы

К пользовательским файловым группам относятся все файловые группы, которые создаются с помощью этого инструмента.

Файлы журналов не могут входить в состав файловых групп. Управление пространством журнала отделено от управления пространством данных.

Файл не может входить в состав нескольких файловых групп. Таблицы, индексы и данные больших объектов могут быть ассоциированы с указанной файловой группой. В этом случае все их страницы будут размещены внутри файловой группы; либо таблицы и индексы могут быть секционированы. Данные секционированных таблиц и индексов разделяются на блоки, каждый из которых может быть помещен в отдельную файловую группу базы данных. Дополнительные сведения о секционированных таблицах и индексах см. в разделе Секционированные таблицы и индексы.

В каждой базе данных одна файловая группа назначается файловой группой по умолчанию. Если при создании таблицы или индекса файловая группа не указывается, предполагается, что все страницы будут распределяться из файловой группы по умолчанию. В каждый момент времени лишь одна файловая группа может быть файловой группой по умолчанию. Элементы фиксированной роли базы данных db_owner могут присваивать той или иной файловой группе статус файловой группы по умолчанию. Если файловая группа по умолчанию не указана, в качестве таковой выступает первичная файловая группа.


Файлы файлового потока и файловые группы

На вкладке Filestream files and filegroups диалогового окна Database Properties Вы можете задать необходимые параметры для файлов файлового потока и файловых групп.

Важно: Эта вкладка доступна для серверов версии SQL Server 2008 и выше.

Database Properties - Filestream files and filegroups

Файловые потоки используются для хранения данных типа varbinary(max). При таком типе хранения размер файла ограничен только допустимым размером файла в существующей файловой системе.

Управлять списком файлов можно с помощью контекстного меню, которое открывается при нажатии на список файлов правой кнопкой мыши.

Add Filestream File - добавить файл файлового потока,

Delete Filestream File - удалить файл файлового потока.

Для нового файла файлового потока необходимо задать следующие характеристики:

  • Logical file name - логическое имя файла, в котором хранятся данные.
  • Data folder - в этом поле, с помощью кнопки ExplorerButton вызовите диалог SQL Server Folders, в котором укажите путь к физическому файлу. Файл должен находиться на сервере, которому принадлежит база данных.
  • Filegroup name - имя группы файлов файлового потока.

Read Only

файловая группа файлового потока будет доступна только для чтения, если установлен этот флажок. Обновления объектов, хранящихся в этих файловых группах, не будет доступно. Файловая группа по умолчанию не может быть доступной только для чтения.

Default

Данные файла файлового потока будут сохраняться в этой группе, если не будет указана какая-либо другая группа.


Администратор регистрации баз данных

Инструмент Database Registration Manager позволяет быстро зарегистрировать новые базы данных и удалить регистрации несуществующих.

Чтобы открыть Администратор регистрации баз данных, выберите в контекстном меню базы данных или сервера пункт Database Registration Manager.

Database Registration Manager

В списке отображаются все базы данных, находящиеся на выбранном сервере. Сервер можно выбрать из раскрывающегося списка Host на панели инструментов.

Необходимо отметить флажками базы данных, которые нужно зарегистрировать.

С помощью контекстного меню Вы можете:

  • select all databases - выбрать все базы,
  • uncheck all databases - снять флажки со всех баз,
  • uncheck deleted databases - снять флажки с удаленных с сервера баз,
  • refresh the list - обновить список баз.

Все выбранные базы будут зарегистрированы автоматически при нажатии iconCommit Apply changes на одной из панелей инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Регистрационная информация баз данных

Мастер регистрации серверов и баз данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Database Registration Manager - Using navigation bar and toolbar

Host

iconHost выбрать сервер

General

iconRefresh refresh - обновить список баз данных

iconCommit apply changes - зарегистрировать выбранные базы данных

Selection

select all - выбрать все базы

iconUncheckAllDatabases uncheck all - снять флажки со всех баз

iconUnckeckDeletedDatabases uncheck deleted DB - снять флажки с удаленных с сервера баз

Legend

iconDB Exist on host - база данных существующая на сервере

iconRemovedDatabase Removed from Host - база данных, удаленная с сервера

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства сервера

Вы можете управлять свойствами Microsoft SQL Server, используя инструмент Server Properties.

Server Properties - General

Вызывается этот инструмент с помощью пункта контекстного меню сервера Server Properties.

Общий для всех вкладок переключатель.

  • Configured Values - Измененные значения - показывает в режиме редактирования параметры сервера. Вы можете видеть все изменения, которые вносили.
  • Running Values - Рабочие значения - при установке переключателя в это положение программа показывает те параметры, которые в настоящее время действуют на сервере.

Этот инструмент помогает определить, какие внесенные пользователем изменения уже работают, а какие ещё нет.

  • Основные параметры
  • Параметры памяти
  • Параметры процессора
  • Параметры безопасности
  • Активный каталог
  • Настройка связи
  • Настройки баз данных
  • Дополнительные свойства сервера
  • Поиск опций

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Основные параметры

Эта страница выводит доступные только для чтения данные об установленной конфигурации Microsoft SQL Server.

Server Properties - General

Name - Имя

Отображает имя экземпляра сервера.

Product - Продукт

Показывает экземпляр SQL Server, запущенный в данный момент.

Operating System - Операционная система

Отображает тип ОС и оборудование, на котором запущен SQL Server.

Platform - Платформа

Описывает ОС и оборудование, на которых запущен SQL Server.

Version - Версия

Выводит номер версии запущенного в настоящий момент экземпляр SQL Server.

Language - Язык

Выводит язык, поддерживаемый запущенным экземпляром SQL Server.

Memory - Память

Выводит объем памяти, выделенной для данного сервера.

Processors - Процессоры

Выводит число установленных ЦП.

Root Directory - Корневой каталог

Выводит путь к данному экземпляру SQL Server, обычно «C:\Program Files\Microsoft SQL Server\...».

Server Collation - правила сравнения

Выводит правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.


Параметры памяти

Используйте вкладку Memory для просмотра или изменения параметров работы сервера с памятью.

Server Properties - Memory

Server memory options

RadioButton Dynamic memory configuration - распределение динамической памяти.

Minimum server memory (in MB)

Минимальный размер памяти сервера (в МБ)

Указывает, что при запуске SQL Server выделяется, по крайней мере, минимальный объем выделенной памяти, и этот объем не уменьшается. Задайте значение в зависимости от объема и активности экземпляра SQL Server. Задавайте для этого параметра оправданное значение, чтобы операционная система не забирала значительный объем памяти у SQL Server, и это не сказывалось на производительности Windows.

Maximum server memory (in MB)

Максимальный размер памяти сервера (в МБ)

Максимальный объем памяти, который может использовать SQL Server во время работы. Этому параметру настройки может быть присвоено конкретное значение, если известно, что одновременно с SQL Server будет запущено несколько других приложений; также необходимо гарантировать достаточное количество памяти для этих приложений. Если другие приложения, например веб-серверы или серверы электронной почты, запрашивают память только при необходимости, то не задавайте этот параметр, так как SQL Server освобождает для них память по мере необходимости. Однако приложения часто используют столько памяти, сколько доступно в момент запуска и не запрашивают ее дополнительно. Если приложение запущено на том же компьютере, на котором запущен SQL Server, задайте такое значение, которое обеспечивает необходимый для приложения объем памяти, не занимаемый SQL Server.

Если параметр Минимальный размер памяти сервера равен 0, а параметр Максимальный размер памяти сервера равен 2147483647, SQL Server может использовать в любое время оптимальный объем памяти в зависимости от того, сколько памяти в текущий момент использует операционная система и другие приложения. При изменении загрузки компьютера и SQL Server меняется объем выделенной памяти. Ограничить объем динамически выделяемой памяти можно с помощью задания минимального и максимального значений.

CheckBox Use AWE memory

Указывает, что SQL Server использует расширения AWE в Microsoft Windows 2000 и Windows Server 2003 для поддержки 64 гигабайт (ГБ) физической памяти. Поддержка AWE работает только в 32-разрядных версиях операционных систем. Для использования памяти AWE необходимо задать настройки Windows дополнительно к указанной настройке SQL Server.

RadioButton Locking working set - Зафиксировать рабочий объем.

С помощью счетчика Вы устанавливаете постоянный объем памяти, который может использовать SQL Server во время работы.

Other memory options

Память для создания индекса - Index create memory (в КБ)

Устанавливает объем памяти (в килобайтах), который используется во время операции сортировки при создании индекса. Значение по умолчанию, равное 0, соответствует динамическому распределению, которое можно использовать в большинстве случаев без дальнейшей настройки. Кроме того, можно задать значение в диапазоне от 704 до 2 147 483 647.

CheckBox Use dynamic memory

Установите этот флажок для использования динамической памяти.

Minimum memory per query - Минимальный объем памяти для запроса (в КБ)

Устанавливает объем памяти (в килобайтах), выделяемый для выполнения запроса. Можно задать значение от 512 до 2147483647. Значение по умолчанию — 1024.

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Параметры процессора

Используйте эту вкладку, чтобы просмотреть или изменить параметры использования процессоров. Настройки использования процессоров доступны только в случае, если в системе установлено более одного процессора.

Server Properties - Processors

Enable processors - параметры использования процессоров.

CheckBox Automatically set processor affinity mask

Автоматически устанавливает маску соответствия для всех процессоров. Позволяет SQL Server устанавливать соответствие процессоров.

CheckBox Automatically set I/O affinity mask for all processors Автоматически устанавливает маску схожести ввода-вывода для всех процессоров Позволяет SQL Server устанавливать привязку ввода-вывода.

Threads - управление потоками.

Maximum worker threads - Максимальное число потоков исполнителя.

С помощью этого инструмента Вы можете указать число потоков, доступных для процессов сервера.

Значение 0 позволяет SQL Server устанавливать количество потоков исполнителя динамически. Эта настройка является наиболее подходящей для большинства систем. Однако в зависимости от конфигурации системы, присвоение этому параметру определенного значения иногда улучшает производительность. Дополнительные сведения.

CheckBox Boost SQL Server priority - Повысить приоритет SQL Server.

Указывает, следует ли выставить SQL Server более высокий приоритет Microsoft Windows 2000 по сравнению с другими процессами на том же компьютере.

CheckBox Use Windows fibers (lightweight pooling) Использовать волокна Windows (использование упрощенных пулов)

Использовать легковесные потоки (волокна) Windows вместо обычных потоков для службы SQL Server. Обратите внимание на то, что такая возможность доступна только в Windows 2003 Server Edition.

Parallelism

Параллелизм это одновременный доступ нескольких пользователей к данным. Изменение данных может оказывать влияние на других пользователей, считывающих или изменяющих эти же данные в этот же момент времени. В этом случае говорят, что пользователи получают параллельный доступ к этим данным. Чем больше операций поддерживает ядро базы данных, тем выше ее параллелизм.

Используйте параметр Cost threshold for parallelism (Границы затрат параллелизма), чтобы указать порог, при котором Microsoft SQL Server создает и выполняет параллельные планы для запросов. SQL Server создает и выполняет параллельный план для запроса, только если ожидаемая стоимость выполнения последовательного плана для того же запроса выше значения, установленного в параметре cost threshold for parallelism. Стоимость связана с ожидаемым количеством затраченного времени в секундах, необходимого для выполнения последовательного плана на определенной аппаратной конфигурации. Параметр cost threshold for parallelism следует устанавливать только в симметричных многопроцессорных системах.

Используйте параметр Max number of locks, чтобы установить максимальное количество доступных блокировок, таким образом ограничивая объем памяти, используемой компонентом Database Engine для них. Значение 0 (по умолчанию) позволяет компоненту Database Engine динамически выделять и освобождать структуры блокировок в зависимости от изменяющихся системных требований. Когда сервер запускается с параметром locks, установленным в 0, диспетчер блокировок запрашивает у компонента Database Engine объем памяти, достаточный для начального пула в 2 500 структур блокировки. Если пул блокировки будет исчерпан, для пула будет запрошена дополнительная память. Разрешение SQL Server использовать блокировки динамически является рекомендуемой конфигурацией.

Используйте параметр Query wait (время ожидания запроса) для указания времени в секундах (от 0 до 2147483647), в течение которого запрос будет ожидать ресурсы. Если используется значение по умолчанию (-1) или указано значение -1, то интервал ожидания равен предполагаемой цене запроса, увеличенной в 25 раз.

В MicrosoftSQL Server требующие много памяти запросы (например включающие сортировку и хеширование) помещаются в очередь, если для выполнения запроса не хватает памяти. Время истечения запроса истекает после установленного времени, рассчитанного SQL Server (25-кратная рассчитанная стоимость запроса), или времени, указанного неотрицательной величиной времени ожидания запроса.

Max degree of parallelism - Максимальная степень параллелизма.

Если SQL Server 2005 работает на многопроцессорном компьютере, он определяет оптимальную степень параллелизма, то есть количество процессоров, задействованных для выполнения одной инструкции для каждого из планов параллельного выполнения. Для ограничения количества процессоров в плане параллельного выполнения используется параметр max degree of parallelism. Установленное по умолчанию значение 0 использует все доступные процессоры. Чтобы отключить формирование параллельных планов, присвойте параметру max degree of parallelism значение 1. Значение выше 1 (до 64) позволяет ограничить максимальное количество процессоров, используемых при выполнении одного запроса. Если указано значение, превышающее число доступных процессоров, используется фактическое число доступных процессоров. Если у компьютера только один процессор, то значение параметра max degree of parallelism учитываться не будет.

CheckBox Если установлен флажок Use all processors, то будут использованы все доступные процессоры.

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Параметры безопасности

На вкладке Security задайте параметры безопасности.

Server Properties - Security

Server Authentication позволяет выбрать способ идентификации пользователя:

RadioButton Windows Authentication mode - сервер будет использовать учетные данные Windows текущего пользователя для доступа к источнику данных. Выберите этот параметр, если для доступа к источнику данных используются те же учетные данные, что и для входа в сетевой домен. Данный параметр работает лучше всего, когда в домене активирован протокол Kerberos или когда источник данных находится на том же компьютере, что и сервер отчетов. Если протокол Kerberos не активирован, учетные данные Windows могут передаваться только на один компьютер. Если же необходимы дополнительные соединения с компьютерами, вместо ожидаемых данных будет получена ошибка.

Не используйте этот параметр для запуска автоматического создания отчетов или отчетов, доступных для подписки. Сервер отчетов инициирует запуск автоматического создания отчетов. Нельзя использовать для доступа к внешним источникам данных те же учетные данные сервера отчетов, которые использовались для доступа к базе данных сервера отчетов. Такой способ идентификации более безопасный, чем SQL Server and Windows Authentication mode.

RadioButton SQL Server and Windows Authentication mode - позволяет пользователю подключаться, используя как Windows Authentication mode, так и идентификацию SQL Server.

С помощью Login auditing выберите вести ли регистрацию регистрации.

RadioButton не вести журнал регистрации вообще - Does not log authentication attempts,

RadioButton записывать удачные регистрации - Logs successful authentication,

RadioButton записывать неудачные регистрации - Logs failed authentication,

RadioButton вести статистику всех регистраций - Logs all authentication attempts regardless of success or failure.

Server proxy account

CheckBox Enable Server Proxy account - включить учетную запись прокси сервера.

Эта опция позволяет пользователям, не являющимся членами серверной роли "System Administrator" выполнять команду xp_cmdshell и быть владельцами задач SQL Server. Чтобы получить доступ к этой функции пользователь должен ввести учетную запись прокси сервера - Proxy account и пароль - Password.

Other security options

CheckBox Allow direct updates system tables - разрешить непосредственное обновление системных таблиц. Включите эту функцию, если хотите изменять системные таблицы напрямую. В этом случае системные таблицы не должны быть изменены пользователями. Не рекомендуется модифицировать системные таблицы, используя операторы DELETE, UPDATE, или INSERT, или определенные пользователем триггеры.

CheckBox Use C2 audit tracing mode - использовать режим C2 слежения за аудитом.

Включение этого параметра заставляет сервер регистрировать как успешные, так и не успешные попытки получения доступа к инструкциям и объектам. Эти сведения позволяют профилировать работу системы и отслеживать возможные нарушения политики безопасности.

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Активная директория

На этой вкладке Вы можете добавить экземпляр SQL Server в Microsoft Active Directory, если хотите, чтобы этот экземпляр сервера мог быть найден пользователями в Active Directory. Применяется во многих организациях в которых используется много экземпляров SQL Server.

Server Properties - Active Directory

Active Directory - это служба каталогов, хранящая сведения об объектах сети и предоставляющая эти данные пользователям и администраторам. Active Directory позволяет пользователям сети осуществлять доступ к предусмотренным ресурсам в рамках одного процесса подключения. Кроме того, эта служба обеспечивает администраторов интуитивным иерархическим представлением сети и единым инструментом администрирования всех сетевых объектов.

Add this instance of SQL Server to Active Directory - кнопка Add

устанавливает соединение с Active Directory и помещает туда этот сервер.

Refresh the attributes of this instance in Active Directory - кнопка Refresh

обновляет Active Directory с текущим экземплярами SQL Server.

Remove this instance of SQL Server from Active Directory - кнопка Remove

Удаляет этот сервер из Active Directory

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Настройки связи

Server Properties - Connections

Connections

Maximum number of concurrent connections

Максимальное число одновременных соединений (0 = не ограничено)

При установке значения, отличающегося от нуля, ограничивает количество соединений, допускаемое Microsoft SQL Server.

Важно: установка этого параметра на малое значение, например 1 или 2, может не дать возможности администраторам соединиться с целью администрирования сервера, однако выделенное соединение с сервером может быть осуществлено всегда.

Default Connection Options

Параметры соединения по умолчанию

Задает параметры соединения по умолчанию

Configuration option | Параметр конфигурации | Описание
Disable deferred constraint checking | Отключить отложенную проверку ограничений | Управляет промежуточной или отложенной проверкой ограничений.
Implicit transactions | Неявные транзакции | Управляет неявным началом транзакции при выполнении инструкции.
Cursor close on COMMIT | Закрытие курсора при фиксации | Управляет поведением курсоров после выполнения операции фиксации.
ANSI warnings | Предупреждения в формате ANSI | Управляет усечением и значением NULL в предупреждениях статистического выражения.
ANSI padding | Заполнение символами ANSI | Управляет дополнением переменных фиксированной длины.
ANSI NULLs | Значения NULL по стандарту ANSI | Управляет обработкой значений NULL при использовании операторов равенства.
Arithmetic abort | Прерывание арифметических действий | Прерывает запрос, если во время его выполнения возникла ошибка переполнения или деления на ноль.
Arithmetic ignore | Пропуск арифметических действий | Возвращает значение NULL, если во время выполнения запроса возникла ошибка переполнения или деления на ноль.
Quoted identifier | Заключенный в кавычки идентификатор | При вычислении выражения различает двойные и одинарные кавычки.
No count | Отсутствует счетчик | Выключает сообщение, которое возвращается в конце каждой инструкции и указывает количество затронутых строк.
ANSI NULL default on | ANSI NULL по умолчанию включен | Изменяет работу сеанса для использования совместимости с ANSI для поддержки значений NULL. Новые столбцы, которые определялись без явной поддержки значений NULL, определяются с допущением этих значений.
ANSI NULL default off | ANSI NULL по умолчанию выключен | Изменяет работу сеанса для отказа совместимости с ANSI при поддержке значений NULL. Новые столбцы, которые определялись без явной поддержки значений NULL, определяются с недопущением этих значений.
Concat NULL yields NULL | Сцепление значений NULL дает значение NULL | Возвращает NULL при конкатенации значения NULL со строкой.
Numeric round abort | Прерывание округления | Создает ошибку, если в выражении происходит потеря точности.
Xact abort | Прерывание транзакции | Выполняет откат транзакции, если инструкция языка Transact-SQL вызывает ошибку исполнения.

Remote Server Connections

CheckBox Allow remote connections to this server - Разрешить удаленные соединения с этим сервером

Управляет выполнением хранимых процедур с удаленных серверов, на которых запущены экземпляры SQL Server. Установка этого флажка равнозначна установке параметра sp_configureremote access равным 1. Снятие флажка исключает выполнение хранимых процедур с удаленного сервера.

Remote query timeout - Время ожидания удаленного запроса (в секундах, 0 = не ограничено)

Задает время (в секундах), в течение которого может выполняться удаленная операция перед истечением времени ожидания SQL Server. Значение по умолчанию составляет 600 секунд, то есть 10 минут ожидания.

CheckBox Require distributed transactions for server-to-server communication - Требовать применения распределенных транзакций для соединения «сервер-сервер»

Защищает действия процедуры между серверами посредством транзакции координатора распределенных транзакций (MS DTC) (Microsoft).

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Настройки баз данных

Server Properties - Database Settings

Default index fill factor - коэффициент заполнения индекса, используемый по умолчанию

Указывает, как полный Microsoft SQL Server должен создавать каждую страницу при создании нового индекса на основании существующих данных. Коэффициент заполнения влияет на производительность, так как в процессе заполнения SQL Server тратит значительное время на разбиение страниц по мере их заполнения.

Значение по умолчанию равно 0; диапазон допустимых значений от 0 до 100. Коэффициент заполнения, равный 0 или 100, создает кластеризованные индексы с полными страницами данных и некластеризованные индексы с полными конечными страницами, но оставляет некоторое пространство в верхнем уровне дерева индексов. Значения коэффициента заполнения 0 и 100 одинаковы во всех отношениях.

При малых значениях коэффициента заполнения SQL Server создает индексы с незаполненными страницами. Каждый индекс требует больше места для хранения, но при этом остается больше места для последующих вставок без необходимости разбиения страниц.

Backup and Restore - Резервное копирование и восстановление

RadioButton Wait indefinitely - Без ограничений

Указывает, что SQL Server будет ждать новую ленту для резервного копирования неограниченно.

RadioButton Try once - Попытаться один раз

Указывает, что SQL Server выдаст ошибку времени ожидания, если лента для резервного копирования не будет доступна в тот момент, когда она потребуется.

RadioButton Try for minute (s) - Пытаться в течение

Указывает, что SQL Server выдаст ошибку времени ожидания, если лента для резервного копирования не будет доступна в течение заданного периода.

Default backup media retention (in days) - Срок по умолчанию для хранения носителей резервных копий (в днях)

Задает значение по умолчанию для всей системы для периода времени хранения каждого носителя данных резервных копий после того, как он был использован для резервного копирования базы данных или журнала транзакций. Этот параметр обеспечивает защиту резервных копий от перезаписи до истечения установленного числа суток.

CheckBox Compressed backups by default

Указывает, установлено ли сжатие резервной копии по умолчанию.

Recovery - Восстановление

Recovery interval (minutes) - Интервал восстановления (в минутах)

Задает максимальное число минут на базу данных для восстановления баз данных. Если значение по умолчанию равно 0, оно означает автоматическую настройку, которую выполняет SQL Server. На практике это означает, что на восстановление требуется менее минуты и для активных баз данных контрольная точка повторяется каждую минуту.

Database default locations - Расположения базы данных

Data - Данные

Указывает расположение файлов данных по умолчанию. Нажмите кнопку «Обзор», чтобы указать директорию с помощью диалога SQL Server Folders.

Log - Журнал

Указывает расположение файлов журналов по умолчанию. Нажмите кнопку «Обзор», чтобы указать директорию с помощью диалога SQL Server Folders.

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Другие настройки сервера

Эта страница используется для просмотра или изменения дополнительных установок сервера.

Server Properties - Misc Server Settings

General Settings - Основные свойства

Default language for user - Язык по умолчанию для пользователей

Определяет язык, используемый по умолчанию для всех новых создаваемых имен входа.

CheckBox Allow triggers to fire other triggers - Разрешить триггерам вызывать срабатывание других триггеров

Управляет возможностью триггера выполнить действие, вызывающее срабатывание других триггеров. Если этот флажок не установлен, триггеры не могут срабатывать от других триггеров. Если этот флажок установлен, срабатывание триггеров может вызываться другими триггерами более чем на 32 уровнях.

CheckBox Use Query Governor - Использовать регулятор запросов для сокращения времени их выполнения

Определяет максимальное значение времени, в течение которого может выполняться запрос. Стоимость запроса соответствует предполагаемому времени в секундах, которое требуется для выполнения запроса на определенной конфигурации оборудования. По умолчанию регулятор запросов отключен и для всех запросов имеется разрешение на выполнение. При выборе этого параметра в расположенное внизу текстовое поле необходимо ввести временное ограничение. Если задать значение больше нуля, регулятор запросов запрещает выполнение всех запросов, оценочная стоимость которых превышает это значение.

Two-digit year support - Интерпретация двузначного числа для года в диапазоне

Определяет столетний диапазон дат для интерпретации двузначных чисел, обозначающих год. Сервер Microsoft SQL Server будет интерпретировать двузначное значение даты как год, заканчивающийся этими цифрами и лежащий в указанном диапазоне дат.

Введите в правое поле последние две цифры года. При сохранении года SQL Server автоматически заполняет левое поле начальными цифрами года.

Network settings - Свойства сети

Network packet size - Размер пакета (байт)

Устанавливает размер пакета (в байтах), используемый для всей сети. Размер пакетов по умолчанию равен 4 096 байт. Если приложение выполняет массовые операции копирования или отправляет и получает большие объемы данных типа text или image, размер пакета, превышающий размер по умолчанию, может увеличить эффективность работы, поскольку приводит к уменьшению количества сетевых операций чтения и записи. Если приложение отправляет и получает небольшие объемы информации, можно установить размер пакета в 512 байт, что вполне достаточно для большинства операций по передаче данных.

Важно: Не изменяйте размер пакета без полной уверенности в том, что это улучшит производительность. Для большинства приложений лучшим является размер пакета, установленный по умолчанию.

Remote login timeout - Таймаут подключения (сек.)

Указывает количество секунд, в течение которых SQL Server ожидает, прежде чем возвратить сообщение об ошибке попытки удаленного входа. Эта настройка влияет на соединения с поставщиками OLE DB, устанавливаемые для гетерогенных запросов. Значение по умолчанию равно 20 секундам. Значение 0 указывает бесконечное ожидание. Изменение этой настройки вступает в силу немедленно.

RadioButton Configured values - конфигурируемые значения.

RadioButton Running values - действующие значения настроек.


Дополнительно

На вкладке Advanced задайте настройки Microsoft® SQL Server в группах настроек Filestream access level и Database containtment.

Server Properties - Advanced

Filestream access level - уровень доступа Filestream

FILESTREAM позволяет приложениям на основе SQL Server хранить в файловой системе неструктурированные данные, например документы и изображения. Приложения могут одновременно использовать многопоточные API-интерфейсы и производительность файловой системы, тем самым обеспечивая транзакционную согласованность между неструктурированными и соответствующими им структурированными данными.

RadioButton Disable FILESTREAM support for this instance

Отметьте эту опцию, чтобы запретить поддержку FILESTREAM на этом экземпляре сервера для управления неструктурированными данными.

RadioButton Enable FILESTREAM for Transact-SQL access

Отметьте эту опцию, чтобы управлять данными FILESTREAM с помощью языка Transact-SQL.

RadioButton Enable FILESTREAM for Transact-SQL and Win32 streaming access

Отметьте эту опцию, чтобы интерфейсы файловой системы Win32 предоставляли потоковый доступ к данным FILESTREAM. Win32 может использоваться для чтения и записи данных FILESTREAM объектов BLOB.

Database containment - автономность базы данных

Автономная база данных — это база данных, изолированная от других баз данных и от экземпляра SQL Server, на котором размещена эта база данных. Все метаданные базы данных, а также пользовательская информация хранятся в самой базе данных.

CheckBox Allow contained database authentication

Если выбрана эта опция, то на сервере могут быть созданы или присоединены автономные базы данных.


Управление объектами базы данных и сервера

SQL Manager for SQL Server предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных и сервера.

Важно: Чтобы начать работать с объектами, необходимо подключиться к базе данных.

Основные действия с объектами

Создание нового объекта

Создать новый объект базы данных можно одним из следующих способов

  1. Выбрать пункт главного меню программы Database | New Object,
  2. Выбрать пункт контекстного меню объекта в проводнике баз данных New <Тип объекта>. Этот пункт присутствует и в контекстном меню группы объектов и в контекстном меню объекта. Например: в контекстном меню группы объектов Tables выберите пункт New Table.
  3. На панели инструментов проводника баз данных выбрать пункт Create. Из раскрывающегося списка выбрать тип объекта.

Созданный объект автоматически открывается в соответствующем редакторе.

Копирование объекта

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования объекта необходимо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта. Если Вы копируете объект таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.

Редактирование объекта

Для открытия объекта базы данных в соответствующем редакторе достаточно двойного щелчка мыши по нему в проводнике баз данных. Или выбора пункт Edit<тип объекта><имя объекта> в контекстном меню объекта. Также можно использовать сочетание клавиш <Ctrl + О>

Переименование

Для изменения имени объекта Вам нужно:

  1. выбрать пункт контекстного меню объекта Rename<тип объекта><имя объекта>,
  2. или использовать сочетание клавиш <Ctrl + R>.

Важно: Некоторые типы объектов нельзя переименовывать.

Удаление объекта

Чтобы удалить объект необходимо для выбранного объекта выбрать пункт контекстного меню объекта Drop<тип объекта><имя объекта> или использовать сочетание клавиш <Shift + Del>.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Новый объект

С помощью этого инструмента Вы можете выбрать тип создаваемого объекта и запустить соответствующий инструмент для создания объекта.

Для создания нового объекта выберите Database | New Object... в главном меню программы.

В появившемся окне выберите базу данных, в которой будет создан объект.

Database Objects management - Create New Object

Create database object

Если необходимо создать объект базы данных, то нужно выбрать пункт Create database object.

Из раскрывающегося списка Database (в списке отображаются только подключенные базы данных) выберите базу данных. Тип создаваемого объекта выберите из списка Select the type of object to create.

Create server object

Если необходимо создать объект сервера, то нужно выбрать пункт Create server object.

Из раскрывающегося списка Server (в списке отображаются только подключенные серверы) выберите сервер. Тип создаваемого объекта выберите из списка Select the type of object to create.

Выбрав тип объекта, щелкните на нем два раза мышкой или нажмите кнопку OK. После этого открывается редактор для выбранного типа объекта.

Смотрите также:

Основные операции над объектами

Мастер копирования объектов

Объекты базы данных

Объекты сервера


Мастер копирования объекта

Для копирования объекта надо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта или Database | Duplicate Object... в главном меню программы.

Важно: Мастер копирования объектов можно вызвать, перетаскивая объект с одного сервера на другой в Проводнике баз данных.

Одним из этих действий Вы запускаете Мастер копирования объектов.

Этот мастер используется для создания нового объекта базы данных с такими же свойствами, как у копируемого объекта.

Необходимо помнить, что объекты копируются вместе с подобъектами. Например, если Вы копируете таблицу, то вместе с ней будут скопированы все её поля, внешние ключи, индексы, триггеры и т.д.

Duplicate Object Wizard - Selecting the source database

Мастер состоит из следующих шагов:

  • Выбор исходной базы данных,
  • Выбор объекта для копирования,
  • Выбор базы данных и имени для нового объекта,
  • Изменение скрипта

Смотрите также:

Новый объект

Объекты базы данных

Объекты сервера


Выбор исходной базы данных

RadioButton Duplicate database object - копировать объект базы данных.

Из раскрывающегося списка Source database выберите базу данных, в которой содержится исходный объект.

Duplicate Object Wizard - Selecting the source database

RadioButton Duplicate server object - копировать серверный объект.

Из раскрывающегося списка Source server выберите сервер, в котором содержится исходный объект.

Следующий шаг


Выбор объекта

Выберите объект, который хотите скопировать

Из раскрывающегося списка Object выберите тип объекта, из списка, расположенного ниже, выберите объект.

Duplicate Object Wizard - Selecting object to duplicate

Следующий шаг


Выбор базы данных

На этом шаге необходимо выбрать базу данных, в которую Вы хотите поместить новый объект и задать имя этого объекта.

Из раскрывающегося списка Target database выберите базу данных

Из списка New object schema выберите, в какую схему поместить новый объект.

В поле New object name укажите имя создаваемого объекта.

CheckBox Если флажок Copy data установлен, то в новый объект будут скопированы все данные, содержащиеся в копируемом.

Если не установлен, то будет скопирована только структура объекта.

Duplicate Object Wizard - Selecting destination database

Следующий шаг


Изменение описания

Измените, если нужно, скрипт создания нового объекта в окне New object definition.

Duplicate Object Wizard - Modifying the new object's definition

CheckBox Close the wizard after duplicating

Закрыть мастер после завершения копирования.

CheckBox Open object when finished

Открыть созданный объект после завершения копирования.

Для создания объекта нажмите Finish.


Объекты базы данных

SQL Manager for SQL Server предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных.

Важно: Чтобы начать работать с объектами, необходимо подключиться к базе данных.

Объекты базы данных:

Схемы

Объекты схемы:

Таблицы

Представления

Процедуры

Пользовательские типы данных (UDTs)

Пользовательские функции (UDF)

Синонимы

Агрегаты

Коллекции XML схем

Значения по умолчанию

Правила

Очереди

Объекты, не принадлежащие схемам:

Сборки

Триггеры

Функции секционирования

Схемы секционирования

Полнотекстовые каталоги

Симметричные ключи

Асимметричные ключи

Сертификаты

Типы сообщений

Контракты

Службы

Маршруты

Привязки удаленных служб

Смотрите также:

Основные операции над объектами

Новый объект

Мастер копирования объекта

Объекты сервера


Схемы

Схема (Schema) является коллекцией объектов базы данных, принадлежащих одному пользователю и образующих одно пространство имен. Пространством имен является набор объектов, в котором не может быть повторяющихся имен. Например, две таблицы могут иметь одинаковое имя, если только они находятся в разных схемах. Объект базы данных, например, таблица, принадлежит схеме, а схема принадлежит пользователю или роли базы данных. Если владелец схемы покидает организацию, перед удалением выбывшего пользователя схема передается во владение новому пользователю или роли.

В редакторе схем Вы можете изменять свойства схемы.

Открыть схему в редакторе можно:

  • двойным щелчком мыши по нужной схеме в окне проводника баз данных,
  • выбрав пункт Edit Schema <имя объекта> в контекстном меню схемы.

  • Использование панели инструментов
  • Редактирование свойств схемы
  • Просмотр зависимостей объекта
  • Редактирование описания
  • Просмотр DDL
  • Назначение прав

Смотрите также:

Объекты схемы


Панели инстрyментов

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Schema Editor - Using Navigation bar

Object

iconDB выбрать базу данных

выбрать схему для редактирования

General

iconCompile Compile - компилировать текущее описание схемы

iconSaveDescription Save description - сохранить описание текущего объекта

iconRefresh Refresh - обновить содержимое активной вкладки

iconPrint Print - печатать метаданные текущего оператора

Dependency tree - просматривать Дерево зависимостей схемы

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard,

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства схемы

Основные параметры схемы располагаются на вкладке Schema

Здесь Вы можете задать:

  • название схемы - в поле Name,
  • владельца этого объекта - выбрать из раскрывающегося списка Owner. (подробнее смотрите в User Editor)

Важно: эти поля доступны для редактирования только при создании схемы. Если Вы откроете эту вкладку для уже созданной схемы, то не сможете изменить свойства схемы.

Schema Editor - Editing schema definition


Объекты схемы

Схема - это совокупность объектов базы данных. Схема принадлежит пользователю базы данных. Каждому пользователю может принадлежать единственная схема.

В схеме могут содержаться объекты следующих типов:

Таблицы

Представления

Процедуры

Пользовательские типы данных (UDTs)

Пользовательские функции (UDF)

Синонимы

Агрегаты

Коллекции XML схем

Значения по умолчанию

Правила

Очереди

Все объекты отображаются в проводнике баз данных.

Смотрите также:

Новый объект

Мастер копирования объекта


Таблицы

Таблицы являются объектами, которые содержат все данные в реляционных базах данных. Таблица - это коллекция столбцов. В таблицах данные организованы в виде строк и столбцов, аналогичном электронной таблице. Каждая строка представляет уникальную запись, а каждый столбец представляет поле записи. Например, таблица, содержащая данные о сотрудниках компании, может иметь строку для каждого сотрудника и столбцы, представляющие сведения о сотрудниках (например, его идентификационный номер, имя, адрес, должность и номер домашнего телефона). Каждая таблица может содержать до 1024 столбцов. Имена таблиц и столбцов должны соответствовать правилам для идентификаторов; они должны быть уникальными в пределах таблицы, другими словами, можно использовать одинаковые имена столбцов в разных таблицах одной базы данных.

Таблицы в SQL Server имеют следующие основные составляющие:

  • Столбцы

Каждый столбец представляет какой-либо атрибут объекта, моделируемого таблицей, к примеру, таблица сведений о деталях содержит столбцы для их идентификатора, цвета и веса.

  • Строки

Каждая строка представляет отдельное вхождение объекта, моделируемого таблицей. Например, в таблице сведений о деталях обязательно имеется одна строка для каждой детали, продаваемой компанией.

Создание таблицы

Для создания таблицы используйте:

  • пункт Database | New Object главного меню программы в окне выбора типа объекта надо выбрать таблицу,
  • контекстное меню объекта базы данных Tables,
  • контекстное меню баз данных,
  • сочетание клавиш <Ctrl + N>.

Переименование таблицы

Если хотите сменить имя таблицы то Вам нужно:

  • выбрать пункт контекстное меню объекта базы данных Tables Rename Table<имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Редактирование таблицы

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных. Также можно это сделать, выбрав пункт контекстного меню таблицы Edit Table <имя объекта>.

Удаление таблицы

Для того чтобы удалить таблицу, необходимо для нужной таблицы выбрать пункт контекстного меню Drop Table<имя объекта> или использовать сочетание клавиш <Ctrl + Del>

Копирование таблицы

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования таблицы необходимо выбрать пункт Duplicate Table<имя объекта> в контекстном меню таблицы. Если Вы копируете таблицу таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.


Новая таблица

Инструмент New Table позволяет Вам создавать новую таблицу, задавать для неё поля и редактировать её описание.

Это окно открывается автоматически при создании таблицы.

New table - Setting table properties

  • Панели инструментов
  • Свойства таблицы
  • Задание полей таблицы
  • Опции таблицы FileTable


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

New table - Using Navigation bar

Object

iconDB выбрать базу данных, в которой надо создавать таблицу.

General

iconCompile компилировать таблицу с текущими свойствами - Compile,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Columns (для вкладки Columns)

добавить поле - Add column.

редактировать поле - Edit column.

удалить поле - Drop column.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard,

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства таблицы

На вкладке Table задаются основные свойства создаваемой таблицы.

New table - Setting table properties

Table Name - имя таблицы.

CheckBox File table - установите опцию, чтобы разрешить хранение файлов и каталогов в базе данных. Таблицы FileTable являются специализированными пользовательскими таблицами с предварительно определенной схемой для хранения данных FILESTREAM, а также сведений об иерархии файлов и каталогов и атрибутах файлов.

CheckBox As Node

Установите опцию, если создаваемая таблица должна являться таблицей узлов.

CheckBox As Edge

Установите опцию для создания граичной таблицы для графа.

CheckBox Memory-optimized table

Установите этот флажок, чтобы создать таблицу, оптимизированную для памяти.

Оптимизированная для памяти таблица - это существующая в памяти пользовательская таблица, схема которой, подобно другим таблицам, хранится на диске.

При создании таблицы, оптимизированной для памяти, необходимо сразу создать индексы.

Durability

RadioButton Schema and data

Выберите эту опцию, чтобы создать надежную таблицу, оптимизированную для памяти. Этот параметр обеспечивает устойчивость как схем, так и данных.

RadioButton Schema only

Эта опция обеспечивает надежность схемы таблицы, в том числе индексов. Транзакции на этих таблицах не требуют каких-либо дисковых операций ввода-вывода, но их данные не будут восстановлены при сбое или отработке отказа сервера.

Schema - из раскрывающегося списка выберите схему.

Data spacе - схема секционирования или файловая группа, в которой хранится таблица.

Partition column - столбец, по которому будет секционирована таблица.

Text and Image File Group - группа файлов для данных типа TEXT и IMAGE.

Filestream dataspace - пространство данных файлового потока.

В разделе Compression задайте параметры сжатия таблицы.

В поле Filegroup отображается файловая группа таблицы.

В поле Compression (by partition) выберите тип сжатия:

  • None - без сжатия,
  • Rows - построчное,
  • Page - постраничное.


Задание полей

Вкладка Columns предназначена для задания полей создаваемой таблицы.

New table - Specifying fields

На этой вкладке отображаются следующие свойства поля:

  • является ли оно ключевым - Primary Key,
  • имя поля - Column Name,
  • тип данных - Data Type,
  • допускается нулевое значение или нет - Not Null,
  • является ли поле уникальным ключом - Unique,
  • является ли поле идентификатором - Identity,
  • должно ли значение в этом поле быть уникальным или допускаются повторения - Unique,
  • комментарий - Comment.

Двойной щелчок откроет выбранное поле в соответствующем редакторе - Column Editor.

Контекстное меню поля таблицы

Правой кнопкой можно вызвать контекстное меню поля.

С помощью этого меню можно:

  • создать новое поле - New Column...,
  • редактировать поле - Edit Column <имя поля>,
  • переименовать поле - Rename Column <имя поля>,
  • удалить поле - Drop Column <имя поля>,
  • копировать поле - Duplicate Column,
  • поменять местами поля - Reorder Columns,
  • копировать список полей в буфер обмена - Copy list of column Names to clipboard,
  • экспортировать метаданные - Export Metadata....


Задание индексов в оптимизированных для памяти таблицах

На вкладке Indices задайте индексы для создаваемой таблицы, оптимизированной для памяти.

New table - Specifying memory-optimized table indices

На этой вкладке содержится следующая информация об индексах таблицы:

  • имя индекса - Name,
  • первичный ключ - Primary Key,
  • поля таблицы - Columns,
  • является ли индекс хэшированным - Hash Index,
  • число хэшированных контейнеров - Number of Hash Bucket.

Правой кнопкой вызывается контекстное меню индекса.

С помощью этого меню можно:

  • создать новый индекс - New Index,
  • редактировать существующий индекс - Edit Index<имя индекса>,
  • удалить индекс - Drop Index.

Двойной щелчок мыши открывает индекс в редакторе индексов для оптимизированных в памяти таблиц.

New table - Specifying memory-optimized table indices - Index Editor

Index type

RadioButton Primary Key

Выберите это значение если создаете первичный ключ;

RadioButton Index

Выберите это значение, чтобы создать индекс, не задающий ограничения на данные.

Options

CheckBox Hash index

Отметьте эту опцию, чтобы создать хэшированный индекс. Хэшированный индекс состоит из набора контейнеров, организованных в массив.

Number of hash buckets

Задайте число контейнеров, которое следует создать в хэшированном индексе.

Columns

Выберите поле из списка имеющихся полей (Available Columns) и поместить его в список выбранных полей-индексов (Selected Columns). Делается это с помощью кнопок перетаскивания поля из одного списка в другой или с помощью двойного щелчка мыши.


Опции таблицы FileTable

На вкладке FileTable Options задайте настройки для создаваемой таблицы FileTable.

Эта вкладка доступна только для версии сервера SQL Server 2012.

Поля на вкладке доступны для редактирования только в случае, если на вкладке Table установлена опция CheckBox File table.

New table - Specifying filetable options

FileTable directory name

Укажите имя каталога таблицы FileTable, совместимое с Windows. Это имя должно быть уникальным среди всех имен каталогов FileTable в базе данных. Если это значение не задано, то используется имя таблицы FileTable.

Collation of the Name column

Выберите имя параметров сортировки, применяемых к столбцу Name в таблице FileTable. Если это значение не задано, то используются параметры сортировки по умолчанию базы данных.

Primary key constraint name

Укажите имя, которое должно использоваться для ограничения первичного ключа, автоматически создаваемого в таблице FileTable. Если это значение не задано, то имя для ограничения формируется системой.

stream_id unique key constraint name

Укажите имя, которое должно использоваться для ограничения unique, автоматически создаваемого в столбце stream_id в таблице FileTable. Если это значение не задано, то имя для ограничения формируется системой.

Full path unique key constraint name

Укажите имя, которое должно использоваться для ограничения уникальности, автоматически создаваемого в столбцах parent_path_locator и name в таблице FileTable. Если это значение не задано, то имя для ограничения формируется системой.


Редактор таблиц

Редактор таблиц - основной инструмент SQL Manager for SQL Server для работы с таблицами баз данных. Он позволяет выполнять все операции с таблицей, а также с ее подобъектами.

Table Editor - Managing fields

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных.

Вкладки редактора таблиц

Для удобства Редактор таблиц разделен на несколько вкладок, каждая из которых позволяет выполнять некоторое количество операций, и отвечает за определенный набор свойств таблицы и элементов таблицы.

Вкладки:

  • Columns - Работа с полями,
  • Foreign Keys - Управление внешними ключами,
  • Checks - Установка ограничений CHECK,
  • Indices - Работа с индексами таблиц,
  • Triggers - Управление триггерами,
  • Properties - Свойства таблицы,
  • Dependencies - зависимости объекта,
  • Data - Просмотр и изменение данных в таблице,
  • Description - Редактирование описания,
  • DDL - Просмотр DDL,
  • Permissions - Назначение прав.

Смотрите также:

Редактор полей

Редактор индексов

Редактор внешних ключей


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Table Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать таблицу для редактирования.

General

iconCompile компилировать текущее описание объекта - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое активной вкладки - Refresh,

iconPrint печатать метаданные - Print,

iconOptions настроить редактор таблиц - Table Editor Option.

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Tools

управление индексами - Indices management, (выборе этого пункта открывается мастер управления индексами)

обновить статистику - Update statistics,

удалить данные из таблицы - Truncate Table,

Перестроить зависимые объекты - Rebuild dependent objects,

просматривать Дерево зависимостей схемы - Dependency tree,

создать процедуру - Create procedure.

Columns

создать в таблице новое поле - New Column,

редактировать выделенное поле - Edit Column<имя поля>,

удалить выделенное поле Drop Column<имя поля>.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Foreign Keys (для вкладки Foreign Keys)

создать новый ключ - New Foreign Key,

редактировать существующий ключ - Edit Foreign Key <имя объекта>,

удалить существующий ключ - Drop Foreign Key <имя объекта>.

Checks (для вкладки Checks)

создать новое ограничение - New check constraint,

редактировать существующее ограничение - Edit check <имя объекта>,

удалить существующее ограничение - Drop check <имя объекта>.

Indices (для вкладки Indices)

создать новый индекс - New index,

редактировать существующий индекс - Edit index <имя объекта>,

удалить существующий индекс - Drop index <имя объекта>.

Triggers (для вкладки Triggers)

создать новый триггер - New trigger,

редактировать существующий триггер - Edit trigger <имя объекта>,

удалить существующий триггер - Drop trigger <имя объекта>.

Data management (для вкладки Data)

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data,

осуществить массовый импорт данных - BULK INSERT.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с полями

Вкладка Columns предназначена для работы с полями таблицы.

Поле - область окна или записи, в которой хранится отдельное значение.

Двойной щелчок открывает поле в редакторе полей. Правой кнопкой вызывается контекстное меню поля.

Для каждого поля на этой вкладке можно указывать следующие свойства:

  • имя - Column Name,
  • тип значения - Column Type (для определенных пользователем типов данных в скобках указывается базовый тип, на основе которого создан данный тип),
  • допускается нулевое значение или нет - Not Null,
  • должно ли значение в этом поле быть уникальным или допускаются повторения - Unique,
  • значение по умолчанию - Default,
  • краткое текстовое описание поля - Description.

Подробнее про работу с полями.

Table Editor - Managing fields

Контекстное меню поля

С помощью контекстного меню, которое открывается нажатием правой кнопки мыши на поле, Вы можете:

  • Создать новое поле - New Column...,
  • Редактировать выделенное поле - Edit Column <имя объекта>,
  • Переименовать поле - Rename Column <имя объекта>,
  • Удалить поле - Drop Column <имя объекта>,
  • Копировать поле - Duplicate Column,
  • Изменить порядок полей - Reorder Columns,
  • Скопировать список имен полей в буфер обмена - Copy list of column Names to clipboard,
  • Экспортировать метаданные - Export Metadata.


Редактор полей

Этот инструмент позволяет изменять свойства полей таблицы базы данных при создании или редактировании поля.

С помощью этого редактора Вы можете изменить следующие свойства полей:

  • имя и тип поля,
  • идентификатор поля,
  • XML свойства,
  • значения по умолчанию,
  • описание.

Field Editor - Setting field name and type - Standard


Имя и тип поля

В поле Column name Вы можете задать имя поля. Требования к имени смотрите в документации к SQL Server.

В разделе Column type kind Вы должны указать вид типа данных, которые будут храниться в этом поле.

В программе существует три вида типа данных:

  • стандартные типы данных - Standard data type,
  • определенные пользователем типы данных - User-defined data type,
  • вычисляемое поле - Computed - этот вид активен только тогда, когда Вы создаете новое поле. Уже существующее поле Вы не можете сделать вычисляемым.

Field Editor - Setting field name and type - Standard

Далее располагается набор вкладок, с помощью которых можно указать другие свойства поля.

Первая вкладка это Data type. С её помощью пользователь указывает тип данных, которые будут храниться в этом поле.

Важно: Изменение типа данных столбца, в котором уже есть данные, может привести к полной потере данных при преобразовании существующих данных в новый тип. Кроме того, код и приложения, которые используют измененный столбец, могут завершиться сбоем. Это касается запросов, представлений, хранимых процедур, пользовательских функций и клиентских приложений. Следует иметь в виду, что возникновение ошибок происходит каскадом. Например, может произойти сбой хранимой процедуры, которая вызывает пользовательскую функцию, зависящую от изменяемого столбца. Внимательно рассмотрите любые изменения, которые необходимо сделать со столбцом таблицы.

Из раскрывающегося списка Type выберите тип значения. Если Вы указали тип поля Standard data type, то в списке будут содержаться стандартные типы данных сервера. Если указали, что тип определен пользователем, то из списка Вы сможете выбрать только определенный пользователем тип данных. Установка флажка CheckBox Not null указывает, разрешены ли в столбце данного типа значения NULL. Значение NULL отличается от нуля (0), пробела или символьной строки нулевой длины, например "". Значение NULL обозначает, что поле не было заполнено.

Задать размер поля можно с помощью счетчика Size. Если установлен флажок CheckBox Maximum size, то значение размера поля будет максимально возможным для SQL Server.

Если установлен флажок CheckBox Maximum size, то указанный размер поля является максимально возможным для данного типа.

Scale. Для decimal или numeric является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

Флажок CheckBox RowGuid указывает, будет ли SQL Server использовать столбец в качестве глобального уникального идентификатора (ROWGUID). Это свойство может быть установлено только для столбцов с типом данных uniqueidentifier.

Из раскрывающегося списка Collation выберите правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

Обычно в таблице есть столбец или комбинация столбцов, содержащих значения, уникально определяющие каждую строку таблицы. Этот столбец, или столбцы, называются первичным ключом - Primary key - таблицы и обеспечивает целостность сущности таблицы. Редактируемое поле можно сделать первичным ключом, установив флажок CheckBox Primary key. В таблице может быть только одно ограничение Primary key, и столбец с данным ограничением не может содержать значения NULL.

Установив флажок CheckBox Unique key, укажите, что в редактируемый столбец не вводятся повторяющиеся значения.

Для таблицы можно задать несколько ограничений Unique key, и только одно ограничение Primary key.

CheckBox Sparse

Установите этот флажок, если хотите сделать это поле разреженным. Разреженным является столбец, в котором большая часть значений нулевые.

CheckBox Filestream

Установите этот флажок, если хотите хранить данные этого поля в файловой группе файлового потока.

Этот флажок доступен, если для таблицы указана какая-либо файловая группа файлового потока.

CheckBox Online

Если данный флажок включен, то данные остаются доступны на чтение, а блокировка накладывается лишь в самом конце операции изменения столбца.

Если Вы создаете вычисляемое поле, то вкладки Type не будет, так как тип вычисляемого поля определяется типами полей, входящих в формулу. Вместо вкладки Type для вычисляемого поля существует вкладка Expression. На ней Вы можете создать формулу, по которой будет вычисляться значение в создаваемом поле.

Вычисляемые поля являются виртуальными, то есть физически в таблице не хранятся. Их значения вычисляются заново, каждый раз при обращении к ним запроса.

Если Вы установите флажок Store computed values in table, то значения будут храниться в таблице.

Field Editor - Setting field name and type - Computed


Идентификатор поля

На вкладке Identity Вы определяете, является ли редактируемое поле идентификатором.

Для каждой таблицы может быть задан единственный идентификатор столбца, который содержит сформированные системой последовательные значения, уникально определяющие каждую строку в таблице. Таблица может содержать только один столбец со свойством Identity, причем такой столбец должен иметь тип данных decimal, int, numeric, smallint, bigint или tinyint.

Как правило, столбцы идентификаторов содержат значения, уникальные в пределах таблицы, в которой они определены. Это значит, что в других таблицах, содержащих столбцы идентификаторов, могут использоваться такие же значения.

Если установлен флажок Identity, то редактируемое поле является идентификатором.

Для идентификатора можно указать:

  • начальное значение - с помощью счетчика Seed,
  • шаг приращения - с помощью Increment.

При вставке значений в таблицу со столбцом идентификаторов SQL Manager for SQL Server автоматически формирует следующее значение идентификатора, добавляя значение шага приращения идентификатора к начальному значению.

Установив флажок Not for replication, Вы указываете, что редактируемое поле не предназначено для репликации.

Field Editor - Setting field identity

Важно: SQL Server не имеет оператора для изменения свойств Identity для поля. Следовательно, SQL Manager for SQL Server генерирует сложный скрипт, который пересоздает таблицу, учитывая новые свойства полей. Поэтому, если таблица имеет зависимости (например: существует представление, ссылающееся на эту таблицу) скрипт может не работать. В этом случае изменить свойства поля изменить не удастся.

Все данные, содержащиеся в таблице, сохраняются.


XML свойства

Вкладка XML активна только тогда, когда тип поля установлен как xml, или определенный пользователем тип базируется на типе XML.

Тип данных xml — это встроенный в SQL Server тип данных. Как и другие встроенные типы данных, тип данных xml можно использовать как тип столбца при создании таблицы.

Тип данных xml позволяет хранить XML-документы и их фрагменты в базе данных SQL Server. Фрагмент XML — это экземпляр XML, в котором отсутствует единственный элемент верхнего уровня. Можно создавать столбцы типа xml, в которых можно хранить экземпляры XML. При этом размер хранимого представления экземпляра типа данных xml не должен превышать 2 Гб.

По желанию коллекцию XML-схем можно ассоциировать со столбцом, имеющими тип xml. Схемы в коллекции используются для проверки и типизирования экземпляров XML. В этом случае XML называется типизированным.

На этой вкладке можно:

  • выбрать коллекцию XML-схем - из раскрывающегося списка XML schema collection,
  • выбрать тип хранения (как содержимое или как документ).

Field Editor - Setting field identity


Значения по умолчанию

Вкладка Default активна только тогда, когда столбец не является идентификатором.

Для каждого столбца таблицы можно задать значение по умолчанию, которое будет введено в столбец, если пользователь оставит его пустым. Значение по умолчанию могут быть любым выражением, результат которого — константа, например, константой, встроенной функцией или математическим выражением. Каждый столбец может содержать только одно значение по умолчанию.

Если в базе данных созданы объекты с именем по умолчанию, то их можно использовать как значение по умолчанию для поля. Для того чтобы их использовать, необходимо установить переключатель в положение Object и из раскрывающегося списка выбрать объект.

Field Editor - Setting field defaults

Значение по умолчанию вводится в самое нижнее поле, если переключатель установлен как Value. Значение должно соответствовать ранее заданным свойствам столбца, таким как тип значения и длина.

Из раскрывающегося списка Object Вы можете выбрать объект значение по умолчанию, который уже определен в системе.

Если установлен флажок With values, то внесенные изменения будут применены к текущим данным.

Constraint name - в этом поле указывается имя этого ограничения. Если Вы его не задали, то система создаст его автоматически.


Описание поля

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Описание

На этой вкладке Вы можете создать текстовое описание для поля, которое создаете или редактируете.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Field Editor - Setting field description


Перестановка полей

Вы можете изменить порядок полей при помощи специального инструмента - Reorder Columns dialog. Открыть этот инструмент можно с помощью пункта контекстного меню поля Reorder Columns.

Table Editor - Changing fields order

В списке Column name представлен список полей таблицы в том порядке, в котором он сейчас находятся.

Изменить этот порядок можно двумя способами:

  • с помощью кнопок [image] [image] . Они перемещают вверх или вниз выбранное поле,
  • с помощью стандартной операции Drag And Drop - простого перетаскивания поля на нужное место.

Важно: SQL Server не имеет оператора для изменения порядка полей, следовательно, SQL Manager for SQL Server генерирует сложный скрипт, который заново создает таблицу, учитывая новый порядок полей. Поэтому, если таблица имеет зависимости (например: существует представление, ссылающееся на эту таблицу) скрипт может не работать. В этом случае автоматически изменить порядок полей не удастся.


Управление внешними ключами

На этой вкладке Вы можете создавать и редактировать внешние ключи таблицы.

Двойной щелчок мыши открывает ключ в редакторе внешних ключей.

Table Editor - Managing foreign keys

На вкладке Foreign Keys содержится следующая информация о внешних ключах:

  • Имя внешнего ключа - Foreign Key Name,
  • Поле - Columns,
  • Внешняя таблица - Foreign Table,
  • Внешнее поле - Foreign Columns,
  • Выключен - Disabled,
  • действия, выполняемые при обновлении - On Update,
  • действия, выполняемые при удалении - On Delete.

В нижнюю часть окна - Foreign Key Description - вынесено текстовое описание выделенного внешнего ключа.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Контекстное меню внешнего ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • Создать новый внешний ключ - New Foreign Key,
  • Редактировать существующий - Edit Foreign Key<имя объекта>,
  • Удалить ключ - Drop Foreign Key<имя объекта>,
  • Включить ключ - Enable Foreign Key<имя объекта>,
  • выключить ключ - Disable Foreign Key<имя объекта>,
  • Включить все - Enable All,
  • Выключить все - Disable All,
  • экспортировать метаданные - Export Metadata.


Редактор внешних ключей

Внешний ключ - Foreign Key - столбец или сочетание столбцов, значения которого соответствуют первичному или уникальному ключу из той же или другой таблицы. Внешний ключ также называют ссылочным ключом.

Создание и редактирование внешних ключей осуществляется с помощью специального инструмента - Foreign Key Editor. Это ограничение обеспечивает целостность ссылочных данных.

Внешний ключ применяется для принудительного установления связи между данными в двух таблицах.

Этот редактор используется для изменения свойств внешнего ключа. Редактор открывается при создании или редактировании ключа.

Все свойства внешнего ключа, размещаются в редакторе на нескольких вкладках. Это:

  • свойства внешнего ключа - Foreign Key,
  • Description - Редактирование описания,
  • DDL - Просмотр DDL.

Наиболее используемые операции вынесены на панели инструментов.

Foreign Key Editor - Editing foreign key definition

Смотрите также:

Редактор таблиц

Редактор индексов

Редактор ограничений

Редактор триггеров


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Foreign Key Editor - Using Navigation bar

на панели General

iconCompile компилировать объект с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое редактируемого ключа - Refresh,

просматривать дерево зависимостей таблицы - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства внешнего ключа

На вкладке Foreign Key задайте основные свойства внешнего ключа.

Foreign Key Editor - Editing foreign key definition

Имя ключа задается в поле Foreign Key Name. Автоматически система создает имя, которое состоит из имени выбранной таблицы и суффикса _fk. Из раскрывающегося списка Table выберите таблицу, в которой будет создан внешний ключ.

Важно: Это поле доступно для редактирования только при создании ключа.

  • Enabled - если этот флажок установлен, то внешний ключ включен,
  • Check Existing Data - проверка существующих данных осуществляется в том случае если этот флажок установлен,
  • Not for replication - при выполнении агентом репликации операций вставки обновления или удаления ограничение внешнего ключа не устанавливается, если установлен этот флажок.

Чтобы добавить поля таблицы в ключ переместите их из списка доступных полей - Available Columns в список выбранных полей - Included Columns.

Далее из раскрывающегося списка Foreign table выберите внешнюю таблицу. Переместите поля из списка доступных полей - Available Columns в список выбранных полей - Included Columns.

Ниже укажите действия, производимые при обновлении и удалении для соблюдения ссылочной целостности данных.

Ссылочная целостность сохраняет определенные связи между таблицами при добавлении или удалении строк.

С помощью переключателя Update action выберите действие, которое будет выполняться при обновлении данных в таблице:

  • No Action - Без действия.
  • Cascade - Каскадное обновление. Операция обновления значения первичного ключа, на которое указывают внешние ключи в существующих строках других таблиц. При каскадном обновлении все значения внешних ключей обновляются так, чтобы они соответствовали новому значению первичного ключа.
  • Set Null - Указывает, что при попытке обновить ключевое значение, на которое ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на NULL. Чтобы выполнялось это ограничение, все столбцы внешних ключей целевой таблицы должны допускать значение NULL.
  • Set Default - Указывает, что при попытке обновить ключевое значение, на которое ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на значение по умолчанию. Чтобы выполнялось это ограничение, для всех столбцов внешних ключей целевой таблицы должно быть определено значение по умолчанию. Если столбец допускает значение NULL и множество значений по умолчанию не задано явно, NULL становится неявным значением по умолчанию для данного столбца.

Переключатель Delete action позволяет установить следующие действия, выполняемые при удалении строки, содержащей первичный ключ:

  • No Action - Без действия.
  • Каскадное удаление - Cascade - операция удаления строки, содержащей значение первичного ключа, на которую указывают внешние ключи в существующих строках других таблиц. При каскадном удалении удаляются также все строки, значение внешнего ключа которых указывает на удаленное значение первичного ключа.
  • Set Null - указывает, что при попытке удалить строку с ключом, на которую ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на NULL. Чтобы выполнялось это ограничение, все столбцы внешних ключей целевой таблицы должны допускать значение NULL.
  • Set Default - указывает, что при попытке удалить строку с ключом, на которую ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на значения по умолчанию. Чтобы выполнялось это ограничение, для всех столбцов внешних ключей целевой таблицы должно быть определено значение по умолчанию. Если столбец допускает значение NULL и множество значений по умолчанию не задано явно, NULL становится неявным значением по умолчанию для данного столбца.


Установка ограничений CHECK

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Управление ограничениями CHECK

На вкладке Checks Вы можете создавать, просматривать и редактировать ограничения CHECK, то есть устанавливать ограничения на значения в столбце.

Двойной щелчок мыши открывает Ограничение в редакторе ограничений CHECK.

Ограничение CHECK имеет:

  • Имя - Name,
  • Тело Ограничения CHECK - Definition,
  • Флажок "отключено" - Disabled - если он установлен, то ограничение неактивно,
  • Описание - Description. Текстовый комментарий к объекту. Это описание вынесено ещё и в нижнюю часть окна, которая называется Check Description.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Table Editor - Managing checks

Контекстное меню ограничений CHECK

По нажатию правой кнопкой на ограничении открывается контекстное меню ограничения CHECK.

С его помощью можно:

  • создать новое ограничение - New Check...,
  • редактировать выделенное ограничение - Edit Check <имя ограничения>,
  • удалить ограничение - Drop Check <имя ограничения>,
  • включить ограничение - Enable Check <имя ограничения>,
  • Выключить ограничение - Disable Check <имя ограничения>,
  • Включить все ограничения - Enable All,
  • Выключить все ограничения - Disable All,
  • Экспортировать метаданные - Export Metadata.


Редактор ограничений CHECK

Ограничения CHECK устанавливают, какие значения данных допустимы в столбце. Одно ограничение CHECK может затрагивать несколько столбцов, а к отдельному столбцу может применяться несколько проверочных ограничений. При удалении таблицы также удаляются проверочные ограничения. Проверочные ограничения обеспечивают доменную целостность, ограничивая значения, которые может принимать столбец.

Ограничения CHECK можно создавать как часть определения таблицы при ее создании. Если таблица уже существует, можно добавить ограничение CHECK. Таблицы и столбцы могут содержать несколько ограничений CHECK.

Если ограничение CHECK уже существует, его можно изменить или удалить.

Этот редактор предназначен для создания и изменения ограничений CHECK. Открывается тогда, когда Вы создаете или редактируете определенное ограничение.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства ограничения, размещаются в редакторе на нескольких вкладках. Это:

  • свойства ограничения CHECK - Check,
  • зависимости объектов - Dependencies,
  • описание ограничения CHECK - Description,
  • DDL описание - DDL.

Check Editor - Editing check definition

Смотрите также:

Редактор таблиц

Редактор индексов

Редактор внешних ключей

Редактор триггеров

Редактор правил


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

на панели General

Check Editor - Using Navigation bar

iconCompile компилировать ограничение CHECK с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое редактируемого ограничения - Refresh,

просматривать дерево зависимостей таблицы - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства ограничения CHECK

На вкладке Check указываются основные свойства ограничения CHECK.

В поле Name задайте имя ограничения.

Из раскрывающегося списка Table выберите таблицу, для которой хотите создать ограничение.

В поле Definition создаете тело редактируемого ограничения.

  • Enabled - если этот флажок установлен, то ограничение включено,
  • Check Existing Data - проверка уже внесенных в таблицу данных на соответствие новому ограничению осуществляется в том случае, если этот флажок установлен,
  • Not for replication - При выполнении агентом репликации операций вставки обновления или удаления проверочное ограничение не устанавливается.

Check Editor - Editing check definition


Работа с индексами

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Работа с индексами таблиц

На вкладке Indices Вы можете создавать, просматривать и редактировать индексы таблицы.

Двойной щелчок мыши открывает индекс в редакторе индексов.

Table Editor - Managing indexes

На этой вкладке содержится следующая информация об индексах таблицы:

  • Имя индекса - Name,
  • Поле - Columns,
  • Флажок Clustered - если он установлен, то индекс является кластерным,
  • Первичный ключ - Primary Key,
  • Является ли ключ уникальным - Unique.

Описание индекса вынесено в отдельное окно Index Description. находящееся под основным

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Контекстное меню индекса

Правой кнопкой вызывается контекстное меню индекса.

С помощью этого меню можно:

  • Создать новый индекс - New Index,
  • Редактировать существующий индекс - Edit Index<имя индекса>,
  • Удалить индекс - Drop Index<имя индекса>,
  • Экспортировать метаданные - Export Metadata.


Редактор индексов

Индекс - это объект реляционной базы данных, обеспечивающий быстрый доступ к данным в строках таблицы на основе значений ключа. Индексы также обеспечивают уникальность строк таблицы. SQL Server поддерживает кластеризованные и некластеризованные индексы. Первичный ключ таблицы автоматически индексируется. При полнотекстовом поиске сведений о ключевых словах и их расположении в определенном столбце хранятся в полнотекстовом индексе.

Этот инструмент позволяет создавать и редактировать индексы.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • свойства индекса - Index,
  • Хранение - Storage,
  • Дополнительная информация - Info,
  • описание индекса - Description,
  • DDL описание - DDL.

Index Editor - Editing index definition

Смотрите также:

Редактор таблиц

Редактор ограничений

Редактор внешних ключей

Редактор триггеров

Редактор правил


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Index Editor - Using Navigation bar

на панели Object:

iconDB Выбрать базу данных.

Выбрать индекс для редактирования.

на панели General:

iconCompile компилировать индекс с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое редактируемого индекса - Refresh,

iconPrint печатать метаданные индекса - Print,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Tools:

восстановить индексы - Rebuild,

реорганизовать индексы - Reorganize,

обновить статистику - Update statistics,

просматривать дерево зависимостей индекса - Dependency tree.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства индекса

На этой вкладке указываются основные параметры индекса.

Index Editor - Editing index definition

В поле Name укажите имя индекса таблицы.

Из раскрывающегося списка Table выберите таблицу, в которой необходимо создать индекс. (Это поле доступно для изменений только при создании индекса)

С помощью счетчика Fill factor Вы можете задать коэффициент заполнения. Он указывает, насколько полной SQL Server должен сделать каждую страницу при создании нового индекса с помощью существующих данных.

В разделе Index type укажите тип создаваемого индекса:

  • Primary Key - выберите это значение если создаете первичный ключ;
  • Unique key - если существует уникальный индекс, каждый раз при добавлении данных операциями вставки компонент Database Engine производит проверку на наличие повторяющихся значений. Для операций вставки, которые могли бы сформировать повторяющиеся значения ключей, производится откат, и выводится сообщение об ошибке. Это происходит, даже если операция вставки изменяет несколько строк, а в результате образуется всего одно повторяющееся значение;
  • Unique index - создает уникальный индекс для таблицы или представления. Уникальным является индекс, в котором не допускается наличие двух строк с одинаковыми значениями ключа индекса. Кластеризованный индекс представления должен быть уникальным;
  • XML index - создает первичный XML-индекс — это разобранное и сохраненное представление XML-объектов BLOB, содержащихся в столбце типа данных xml. Для каждого большого двоичного объекта (BLOB) столбца типа данных xml в индексе создается несколько строк данных, и их количество приблизительно равно числу узлов в большом двоичном объекте XML;
  • Spatial index - создает пространственный индекс. Этот индекс используется в пространственных базах данных.
  • Columnstore index - Создает индекс columnstore. Такие индексы группируют и сохраняют данные для каждого столбца, затем объединяют все столбцы, чтобы завершить создание всего индекса.
  • Index - создает индекс, не задающий ограничения на данные.

Index creation

  • Число процессоров, задействованных при выполнении одной индексной инструкции, определяется с помощью счетчика CPUs for indexing (0 - all).
  • Online operation. Если установлен этот флажок, то при выполнении операций с индексом в оперативном режиме выполняются следующие правила:
  • При выполнении фоновых операций с индексами базовая таблица не может изменяться, усекаться или удаляться.
  • Для выполнения операций с индексами необходимо дополнительное временное место на диске.
  • Оперативная обработка индексов может выполняться для секционированных индексов, содержащих материализованные вычисляемые или включенные столбцы.
  • Sort in tempdb. Если установлен этот флажок, то промежуточные результаты сортировки, которые используются для создания индекса, хранятся в базе данных tempdb.

XML index options (инструменты этого раздела доступны только тогда, когда тип индекса выбран XML index) с помощью этого переключателя выбирается тип вторичного индекса XML:

  • Value индекс - если запрос основан на значении, например: /Root/ProductDescription/@*[. = "Mountain Bike"] или //ProductDescription[@Name = "Mountain Bike"], и если путь задан не полностью либо он включает в себя символ-шаблон, скорость выполнения запросов можно повысить, построив вторичный XML-индекс по значениям узлов первичного XML-индекса. Ключевые столбцы индекса VALUE (значение узла и значение пути) содержатся в первичном XML-индексе. Индекс VALUE может оказаться полезным в тех случаях, если рабочая нагрузка включает в себя запросы значений из экземпляров XML, для которых неизвестны имена элементов или атрибутов, содержащих эти значения.
  • Path индекс - если обычно запросы задают выражения пути для столбцов типа данных xml, вторичный индекс PATH может ускорить их поиск. Как ранее отмечалось, первичный индекс полезен в тех запросах, где метод exist() указан в предложении WHERE. Добавление вторичного индекса PATH может еще более повысить производительность поиска в таких запросах.
  • Property индекс - производительность запросов, извлекающих одно или несколько значений из отдельных экземпляров XML, может повыситься при использовании индекса PROPERTY. Это происходит при извлечении свойств объекта методом value() типа данных xml, когда для объекта известно значение первичного ключа. Индекс PROPERTY строится по столбцам (PK, Path и значении узла) первичного XML-индекса, где PK — это первичный ключ базовой таблицы. Например, для модели продукта 19 следующий запрос извлекает значения атрибутов ProductModelID и ProductModelName при помощи метода value(). Если вместо первичного или вторичных XML-индексов использовать индекс PROPERTY, это может повысить скорость выполнения запросов.

В разделе Index options укажите общие опции индекса.

Установив флажок Clustered, укажите, что индекс кластеризованный. То есть, индекс, в котором физический порядок строк в соответствующей таблице определяется логическим порядком ключевых значений. За некоторыми исключениями, каждая таблица должна иметь кластеризованный индекс. Кроме того, что кластеризованный индекс повышает производительность запросов, его можно перестраивать или переорганизовывать по запросу, управляя фрагментацией таблицы. Кластеризованный индекс может быть также создан для представления.

Если установлен флажок Do not recompute statistics, это значит, что устаревшая статистика не подлежит автоматическому пересчету. Статистические данные устаревают в зависимости от количества операций INSERT, UPDATE и DELETE, выполненных в индексированных столбцах.

Установленный флажок Ignore Duplicate Keys позволяет игнорировать дублирующиеся ключи. Указывает реакцию на ошибку, вызванную дублированием значений ключа в многострочной транзакции INSERT в уникальном кластеризованном или уникальном некластеризованном индексе.

Pad Index - этот флажок устанавливает процентную долю свободного пространства в страницах промежуточного уровня во время создания индекса. Pad Index активен только тогда, когда задан коэффициент заполнения - Fill factor.

Allow row locks определяет, используются ли блокировки строки при доступе к данным индекса.

Allow page lock определяет, используются ли блокировки страницы при доступе к данным индекса.

CheckBox Hash index (для таблиц, оптимизированнх для памяти)

Отметьте эту опцию, чтобы создать хэшированный индекс. Хэшированный индекс состоит из набора контейнеров, организованных в массив.

Number of hash buckets (для таблиц, оптимизированнх для памяти)

Задайте число контейнеров, которое следует создать в хэшированном индексе.

В поле Index Filter Вы можете задать фильтр для данных полей, содержащихся в индексе. Эта опция доступна только для SQL Server 2008.

В нижней части формы Вы можете выбрать поле из списка имеющихся полей (Available Columns) и поместить его в список выбранных полей-индексов (Selected Columns). Делается это с помощью кнопок перетаскивания поля из одного списка в другой или с помощью двойного щелчка мыши.

Удалить поле из списка выбранных можно также с помощью кнопок перетаскивания поля из одного списка в другой или двойного щелчка мыши.

Действия, выполняемые с индексами

Восстановить индексы (REBUILD)

По отношению к индексу будет выполнена команда REBUILD. Это означает, что индекс будет перестроен с использованием тех же столбцов, типов индекса, атрибута уникальности и порядка сортировки.

Реорганизовать индексы (REORGANIZE)

Указывает, что конечный уровень индекса будет реорганизован. Инструкция REORGANIZE всегда выполняется в оперативном режиме. Это означает, что долгосрочные блокировки таблицы не удерживаются и запросы или обновления базовой таблицы могут продолжаться во время выполнения транзакции ALTER INDEX REORGANIZE. Эта операция не может быть выполнена для отключенного индекса.

Обновить статистику (UPDATE STATISTICS FULLSCAN)

Указывает, что все строки в таблице или представлении должны быть считаны, чтобы собрать статистические данные.


Хранение

На вкладке Storage Вы можете задать параметры хранения для редактируемого индекса. Эта вкладка доступна только при работе с SQL Server 2008 или более поздней версией.

Index Editor - Defining index storage

Data space

Из этого раскрывающегося списка выберите хранилище данных индекса. Это может быть файловая группа или схема секционирования.

Важно: При создании индекса необходимо задать пространство данных. Пространство данных таблицы используется по умолчанию.

Partitioning column

Из этого раскрывающегося списка выберите поле, которое будет использоваться в качестве поля секционирования.

Этот раскрывающийся список доступен только в том случае, если в Data space Вы выбрали схему секционирования.

Filestream dataspace

Если необходимо, выберите Файловую группу файлового потока из этого раскрывающегося списка.

В разделе Compression задайте параметры сжатия индекса.

В поле Filegroup отображается файловая группа индекса.

В поле Compression (by partition) выберите тип сжатия:

  • None - без сжатия,
  • Rows - построчное,
  • Page - постраничное.

В поле Rows отображается количество строк данных.


Настройки пространственного индекса

На вкладке Spatial Вы можете задать настройки для пространственного индекса. Редактирование опций на этой вкладке доступно только если на вкладке Index выбран тип индекса RadioButton Spatial index.

Пространственные индексы поддерживаются в версии сервера SQL Server 2008 и выше.

Index Editor - Spatial index options

Bounding box

Используйте эту группу опций, чтобы задать числовой четырехэлементный кортеж, который определяет четыре координаты ограничивающего прямоугольника: координаты x-min и y-min нижнего левого угла (Lower-left corner) и координаты x-max и y-max верхнего правого угла (Upper-right corner).

Grid tessellation

Определите плотность сетки на каждом уровне схемы тесселяции.

CheckBox Automatic grid tessellation

Если отмечена эта опция, то будут использованы значения по умолчанию для данного типа данных.

Level n grid size - сетка n-ного уровня

RadioButton Low

Наименьшая возможная плотность сетки на данном уровне; соответствует 16 ячейкам (сетка 4x4).

RadioButton Medium

Cредняя плотность сетки на данном уровне; соответствует 64 ячейкам (сетка 8x8).

RadioButton High

Наибольшая возможная плотность сетки на данном уровне; соответствует 256 ячейкам (сетка 16x16).

RadioButton Default - использовать значение по умолчанию.

Если уровень совместимости базы данных имеет значение 100 или ниже, по умолчанию используется значение MEDIUM на всех уровнях. Если уровень совместимости базы данных имеет значение 110 или выше, то по умолчанию используется автоматическая схема сетки.

Spatial index options

Max cells per object (except level 1)

Укажите число ячеек тесселяции на объект, которое может быть использовано процессом тесселяции для отдельного пространственного объекта в индексе. Если отмечена опция CheckBox Default, то число ячеек для указанной тесселяции будет установлено по умолчанию.


Дополнительная информация

На этой вкладке Вы можете просматривать дополнительную информацию по редактируемому объекту.

Index Editor - Viewing index info


Управление триггерами

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры таблицы.

Table Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров.

Информация об объектах, содержащаяся на этой вкладке:

  • Имя триггера - Name,
  • Событие-вставка - Insert,
  • Событие-обновление - Update,
  • Событие-удаление - Delete,
  • Тип триггера - Type,
  • Включен или выключен триггер (если флажок установлен, то триггер выключен) - Disabled.

Описание триггера вынесено в отдельное окно Trigger Description, располагающееся под главным.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • создать новый триггер - New Trigger...,
  • редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • удалить триггер - Drop Trigger <имя объекта>,
  • включить триггер - Enable Trigger <имя объекта>,
  • Выключить триггер- Disable Trigger <имя объекта>,
  • Включить все триггеры - Enable All,
  • Выключить все триггеры - Disable All,
  • Экспортировать метаданные - Export Metadata.


Редактор триггеров

Триггер — это особая разновидность хранимой процедуры, выполняемая автоматически при возникновении события на сервере базы данных. Триггеры языка обработки данных выполняются по событиям, вызванным попыткой пользователя изменить данные с помощью языка обработки данных. Событиями DML являются процедуры INSERT, UPDATE или DELETE, применяемые к таблице или представлению. Триггеры DDL срабатывают в ответ на ряд событий языка определения данных (DDL). Эти события, прежде всего, соответствуют инструкциям Transact-SQL CREATE, ALTER, DROP и некоторым системным хранимым процедурам, которые выполняют схожие с DDL операции. В компоненте SQL Server 2005 Database Engine триггеры DDL и языка обработки данных могут быть созданы непосредственно из инструкций Transact-SQL или из методов сборок, созданных в среде CLR платформы Microsoft .NET Framework, и загружены на экземпляр SQL Server. SQL Server допускает создание нескольких триггеров для любой указанной инструкции.

Этот редактор предназначен для создания и редактирования триггеров.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства триггера, размещаются в редакторе на нескольких вкладках. Это:

  • свойства триггера - Trigger,
  • зависимости объектов - Dependencies,
  • описание триггера - Description,
  • DDL описание - DDL.

Trigger Editor - Editing trigger definition

Смотрите также:

Редактор таблиц

Редактор ограничений

Редактор внешних ключей

Редактор индексов

Редактор правил


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Trigger Editor - Using Navigation bar

на панели Object:

iconDB Выбрать базу данных,

Выбрать триггер для редактирования.

на панели General:

iconCompile компилировать триггер с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое редактируемого триггера - Refresh,

iconPrint печатать метаданные триггера - Print,

просматривать дерево зависимостей триггера - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства триггера

Главные параметры триггера задаются на вкладке Trigger Редактора триггеров.

В поле Name укажите имя триггера.

Из раскрывающегося списка Table выберите таблицу, для которой создаете триггер. Поле доступно для редактирования только при создании триггера.

Trigger Editor - Editing trigger definition

Далее, с помощью переключателя Type, укажите тип поведения триггера.

Если указан тип After, то триггер DML срабатывает только после успешного выполнения всех операций в инструкции SQL, запускаемой триггером. Все каскадные действия и проверки ограничений, на которые имеется ссылка, должны быть успешно завершены, прежде чем триггер сработает.

Если тип Instead of, то триггер DML срабатывает вместо инструкции SQL, используемой триггером, переопределяя, таким образом, действия инструкций триггера.

On Event

В этом разделе выбирается событие, которое после выполнения вызывает срабатывание триггера.

Можете выбрать одно или несколько событий из предложенных: Insert, Update or Delete.

Enabled - установите этот флажок, если хотите чтобы триггер был включен.

Not for replication - указывает, что триггер не может быть выполнен, если агент репликации изменяет таблицу, используемую триггером.

Установленный флажок Encrypted не позволяет другим пользователям видеть описание триггера.

Переключатель Execute as указывает контекст безопасности, в котором выполняется триггер. Позволяет управлять учетной записью пользователя, используемой экземпляром SQL Server для проверки разрешений на любые объекты базы данных, на которые ссылается триггер. С помощью этого переключателя Вы можете выбрать тип учетной записи.

Типы:

  • Caller - вызывающий,
  • Owner - владелец,
  • Current user - текущий пользователь,
  • User - пользователь.

С помощью переключателя Code Source выберите, в каком виде будет представлен исходный код.

Можете выбрать один из двух видов:

  • SQL statement - действия триггера, указаны в инструкциях языка Transact-SQL,
  • Assembly method - метод сборки. В тексте нужно вызывать метод класса из зарегистрированной на сервере сборки и указать имя сборки, имя класса и метод. Образец "assembly_name.class_name.method_name"


Свойства таблицы

На вкладке Properties Вы можете создавать, просматривать и редактировать свойства таблицы.

Table Editor - Table properties

В поле Name отображается имя таблицы. Из раскрывающегося списка Schema можно выбрать схему, которой таблица принадлежит.

Filestream filegroup - из этого раскрывающегося списка выберите файловую группу файлового потока.

Store text, ntext and image columns in data rows - сохранять данные типа text, ntext и image в строках данных.

С помощью счетчика Data length limit задайте максимальное количество символов в текстовом поле. Если установлен флажок Default, то это значение будет использоваться и для всех создаваемых текстовых полей.

Store varchar(max), nvarchar(max), varbinary(max) and xml columns in data rows - сохранять данные типа varchar(max), nvarchar(max), varbinary(max) и xml в строках данных.

Use table lock on bulk load - блокировать таблицу при массовой вставке данных.

В разделе Compression задайте параметры сжатия таблицы.

В поле Filegroup отображается файловая группа таблицы.

В поле Compression (by partition) выберите тип сжатия:

  • None - без сжатия,
  • Rows - построчное,
  • Page - постраничное.

В поле Rows отображается количество строк данных в таблице.

Durability

Эта группа опций доступна только для таблиц, оптимизированных для памяти.

RadioButton Schema and data

Выберите эту опцию, чтобы создать надежную таблицу, оптимизированную для памяти. Этот параметр обеспечивает устойчивость как схем, так и данных.

RadioButton Schema only

Эта опция обеспечивает надежность схемы таблицы, в том числе индексов. Транзакции на этих таблицах не требуют каких-либо дисковых операций ввода-вывода, но их данные не будут восстановлены при сбое или отработке отказа сервера.

В разделе Table information отображается дополнительная информация о редактируемой таблице:

  • System - является ли таблица системной,
  • Row count - количество строк,
  • Space used by data - пространство, занимаемое данными,
  • Space used by indices - пространство, занимаемое индексами,
  • Created date - дата создания,
  • ANSI nulls on creation - будут использоваться значения NULL по стандарту ANSI,
  • Quoted identifier on creation - заключались ли в кавычки идентификаторы при создании,
  • Filegroup - файловая группа,
  • Text file group - файловая группа для данных типа TEXT.


Данные

На этой вкладке Вы можете внести данные в таблицу. Также можете просматривать данные и менять их.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Table Editor - Working with table data

Смотрите также:

Настройки данных


Создание SIUD процедур

Вы можете создавать SELECT/INSERT/UPDATE/DELETE процедуры для выбранной таблицы и задавать их параметры в диалоге Create Procedures.

Чтобы открыть этот диалог, выберите пункт Tasks | Create SIUD Procedures... контекстного меню таблицы в Проводнике или откройте таблицу в редакторе, а затем выберите пункт Create Procedure, расположенный на Панели инструментов.

  • Options
  • SELECT procedure
  • INSERT procedure
  • UPDATE procedure
  • DELETE procedure

Смотрите также:

Процедуры


Настройки

На вкладке Options задайте тип создаваемой процедуры и схему, которой она будет принадлежать.

Tables - Create Procedure from Table - Options

Procedure type

Выберите тип(ы) создаваемых процедур, установив соответствующие флажки:

CheckBox Create SELECT procedure - создать процедуру SELECT.

CheckBox Create INSERT procedure - создать процедуру INSERT.

CheckBox Create UPDATE procedure - создать процедуру UPDATE.

CheckBox Create DELETE procedure - создать процедуру DELETE.

Procedure schema

Из выпадающего списка выберите схему базы данных, которой будет принадлежать процедура.


Процедура SELECT

На вкладке Select диалога Create Procedures отображается Вы можете задать описание процедуры SELECT для выбранной таблицы.

Tables - Create Procedure from Table - SELECT

В поле Name укажите имя создаваемой процедуры.

В списке Columns Вы можете выбирать поля, которые будут перечислены в операторе SELECT.

Список содержит:

Name - имя поля,

Type - тип поля.

С помощью контекстного меню Вы можете:

Select All - выбрать все поля таблицы

Deselect All - снять выбор со всех полей таблицы

Invert Selection - инвертировать выбранные поля.

В нижней части окна отображается DDL создаваемой SELECT процедуры. Вы можете редактировать определение процедуры в окне редактора.


Процедура INSERT

На вкладке Insert диалога Create Procedures отображается Вы можете задать описание процедуры INSERT для выбранной таблицы.

Tables - Create Procedure from Table - INSERT

В поле Name укажите имя создаваемой процедуры.

В списке Columns Вы можете выбирать поля, которые будут перечислены в операторе INSERT.

Список содержит:

Name - имя поля,

Type - тип поля.

С помощью контекстного меню Вы можете:

Select All - выбрать все поля таблицы

Deselect All - снять выбор со всех полей таблицы

Invert Selection - инвертировать выбранные поля.

В нижней части окна отображается DDL создаваемой INSERT процедуры. Вы можете редактировать определение процедуры в окне редактора.


Процедура UPDATE

На вкладке Update диалога Create Procedures отображается Вы можете задать описание процедуры UPDATE для выбранной таблицы.

Tables - Create Procedure from Table - UPDATE

В поле Name укажите имя создаваемой процедуры.

В списке Columns Вы можете выбирать поля, которые будут перечислены в операторе UPDATE.

Список содержит:

Name - имя поля,

Type - тип поля.

С помощью контекстного меню Вы можете:

Select All - выбрать все поля таблицы

Deselect All - снять выбор со всех полей таблицы

Invert Selection - инвертировать выбранные поля.

В нижней части окна отображается DDL создаваемой UPDATE процедуры. Вы можете редактировать определение процедуры в окне редактора.


Процедура DELETE

На вкладке Delete диалога Create Procedures отображается Вы можете задать описание процедуры DELETE для выбранной таблицы.

Tables - Create Procedure from Table - DELETE

В поле Name укажите имя создаваемой процедуры.

В нижней части окна отображается DDL создаваемой DELETE процедуры. Вы можете редактировать определение процедуры в окне редактора.


Представления

Представление (View) - это виртуальная таблица, представляющая данные одной или более таблиц альтернативным образом. Представление может быть создано только в текущей базе данных. Представление может включать не более 1024 столбцов.

Для работы с представлениями в SQL Manager for SQL Server существует специальный инструмент - View Editor (Редактор представлений)

В редакторе представлений Вы можете создавать новые представления и редактировать уже существующие.

При создании нового представления редактор открывается автоматически.

  • Панели инструментов
  • Редактирование SQL описания
  • Просмотр полей
  • Работа с индексами
  • Управление триггерами
  • Просмотр зависимостей
  • Просмотр данных
  • Текстовое описание представлений
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

View Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать представление для редактирования.

General

iconCompile компилировать представление с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

редактировать представление в Конструкторе запросов - Edit query with Query Builder,

iconRefresh обновить содержимое редактируемого представления - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей представления - Dependency tree,

создать процедуру на основе представления - Create procedure,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Data management (для вкладки Data)

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data,

осуществить массовый импорт данных - BULK INSERT.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


SQL описание

На вкладке View Вы можете создать просмотреть и отредактировать SQL скрипт создания представления.

Если Вы создали или изменили текст, то для того чтобы изменения вступили в силу необходимо нажать Compile на панели навигации.

View Editor - Editing view definition


Просмотр полей

На вкладке Columns Вы можете просмотреть все поля, отображаемые в представлении.

View Editor - Viewing fields

По нажатию правой кнопки мыши на поле появляется контекстное меню. С его помощью Вы можете:

  • копировать список полей в буфер обмена - Copy list of сolumns to clipboard,
  • экспортировать метаданные - Export metadata.

В нижнюю часть формы вынесено окно Column Description <имя объекта>, в котором содержится описание выделенного поля. Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.


Работа с индексами

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Работа с индексами таблиц

На вкладке Indices Вы можете создавать, просматривать и редактировать индексы представления.

Двойной щелчок мыши открывает индекс в редакторе индексов.

View Editor - Managing indexes

На этой вкладке содержится следующая информация об индексах таблицы:

  • Имя индекса - Name,
  • Поле - Columns,
  • Флажок Clustered - если он установлен, то индекс является кластерным,
  • Первичный ключ - Primary Key,
  • Является ли ключ уникальным - Unique.

Описание индекса вынесено в отдельное окно Index Description. находящееся под основным

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Контекстное меню индекса

Правой кнопкой вызывается контекстное меню индекса.

С помощью этого меню можно:

  • Создать новый индекс - New Index,
  • Редактировать существующий индекс - Edit Index<имя индекса>,
  • Удалить индекс - Drop Index<имя индекса>,
  • Экспортировать метаданные - Export Metadata.


Управление триггерами

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры представления.

View Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров.

Информация об объектах, содержащаяся на этой вкладке:

  • Имя триггера - Name,
  • Событие-вставка - Insert,
  • Событие-обновление - Update,
  • Событие-удаление - Delete,
  • Тип триггера - Type,
  • Включен или выключен триггер (если флажок установлен, то триггер выключен) - Disabled.

Описание триггера вынесено в отдельное окно Trigger Description, располагающееся под главным.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • создать новый триггер - New Trigger...,
  • редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • удалить триггер - Drop Trigger <имя объекта>,
  • включить триггер - Enable Trigger <имя объекта>,
  • Выключить триггер- Disable Trigger <имя объекта>,
  • Включить все триггеры - Enable All,
  • Выключить все триггеры - Disable All,
  • Экспортировать метаданные - Export Metadata.


Просмотр данных

На этой вкладке Вы можете внести данные в таблицу. Также можете просматривать данные и менять их.

Важно: данные можно менять только в представлениях, основанных на простых запросах.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

View Editor - Working with data

Смотрите также:

Просмотрщик данных


Процедуры

Хранимая процедура (Procedure)— это сохраненная совокупность инструкций языка Transact-SQL или ссылка на метод среды Microsoft .NET Framework CLR, которая может принимать и возвращать предоставленные пользователем параметры. Процедуры можно создавать для постоянного использования, для временного использования в одном сеансе (локальная временная процедура) или для временного использования во всех сеансах (глобальная временная процедура).

Хранимые процедуры могут выполняться автоматически при запуске экземпляра SQL Server.

Редактор процедур позволяет создавать и выполнять процедуры, а также редактировать их. Он открывается автоматически при создании новой процедуры или редактировании уже существующей.

  • Панели инструментов
  • Редактирование определения процедуры
  • Просмотр параметров
  • Просмотр зависимостей объектов
  • Редактирование описания процедуры
  • Выполнение процедуры
  • Задание параметров процедуры при выполнении
  • Просмотр DDL
  • Просмотр результатов
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Procedure Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать процедуру для редактирования.

General

iconCompile компилировать процедуру с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconExecute выполнить процедуру - Execute,

iconInfoMessages не показывать информационные сообщения (при нажатии этот пункт меняется на Get info messages - отображать информационные сообщения) - Don't get info messages,

iconRefresh обновить содержимое редактируемой процедуры - Refresh,

iconPrint печатать метаданные процедуры - Print,

просматривать дерево зависимостей процедуры - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconDebugger отладить процедуру - Debug

Если процедура была выполнена и вернула результат, то кроме вкладки Results появляется ещё панель Data Management.

С помощью этой панели можно:

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script.

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение процедуры

На вкладке Procedure Вы можете задать SQL скрипт, который будет выполнять процедура, а также создать или отредактировать саму процедуру.

Procedure Editor - Editing procedure definition


Просмотр параметров процедуры

На вкладке Parameters Вы можете просматривать список параметров, объявленных в существующей процедуре.

На данной вкладке параметры нельзя ни добавлять, ни редактировать. Единственное что можно это экспортировать список параметров в файл с помощью пункта контекстного меню Export Metadata, который вызывает Export Data Wizard.

Procedure Editor - Browsing procedure parameters


Выполнение процедуры

Редактор процедур позволяет выполнить редактируемую процедуру. Для того чтобы выполнить процедуру используйте команду Execute, которая находится на навигационной панели и на панели инструментов. Если в процедуре содержатся параметры, то при выполнении Вы можете их задать в специальном окне Enter parameter values. Это окно появляется перед выполнением процедуры. Если в процедуре содержится ошибка, то появляется окно изменения метаданных. С его помощью Вы можете исправить возникшую ошибку и продолжить или отменить выполнение процедуры.

Если процедура возвращает некоторый результат, например, таблицу, то этот результат Вы можете просмотреть на появившейся вкладке просмотр результатов.

Procedure Editor - Executing procedure


Задание параметров при выполнении

Если в функции есть параметры, то при выполнении открывается окно Enter parameters values. В этом окне Вы можете задать значения всех параметров исполняемой процедуры.

SQL Manager for SQL Server формирует это окно исходя из свойств параметров процедуры:

  • количество полей на форме соответствует количеству параметров,
  • названия параметров являются названиями полей, в которых их необходимо задавать,
  • тип поля определяется типом параметра.

Если рядом с именем параметра установлен флажок Null, то значение параметра примет значение NULL независимо от того, что введено в поле редактирования.

Установите флажок Default, чтобы при выполнении использовать значения, заданные по умолчанию.

Нажмите кнопку Ok, для того чтобы продолжить выполнение процедуры, или Cancel для отмены выполнения.

Procedure Editor - Specifying input parameters


Просмотр результатов

Эта вкладка активна только тогда когда процедура была выполнена и возвратила результат.

Результат выполнения отображается в просмотрщике данных.

В окне, расположенном в нижней части, отображаются серверные сообщения о ходе выполнения процедуры.

Procedure Editor - Results


Пользовательские типы данных (UDTs)

Пользовательский тип данных (User-Defined Data Type) - это определяемый пользователем тип данных, основанный на одном из системных типов данных SQL Server или реализуемый с помощью класса сборки в общеязыковой среде исполнения (CRL) Microsoft .NET Framework.

CLR - это определяемый пользователем тип данных, который создается при обращении к сборке SQL Server. Реализация определяемого пользователем типа CLR определяется в сборке, создаваемой в среде CLR платформы .NET Framework.

Редактор пользовательских типов данных позволяет создавать и редактировать типы данных. Он открывается автоматически при создании нового типа или редактировании уже существующего.

  • Панели инструментов
  • Редактирование определения типа данных
  • Управление ограничениями
  • Управление ключами
  • Просмотр зависимостей объектов
  • Редактирование описания определенного пользователем типа
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

UDT Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать тип данных для редактирования.

General

iconCompile компилировать пользовательский тип данных с текущими свойствами - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей этого типа данных - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение типа данных

На вкладке Type редактора типов данных Вы можете создавать, изменять и управлять типами данных.

UDT Editor - Editing UDT definition - Alias Data Type

В поле Name укажите имя создаваемого типа данных. Имя Вы можете менять даже в том случае, если на этот объект уже есть ссылка. Например, если в таблице уже используется этот тип данных, то при изменении имени оно изменится и в таблице.

Из раскрывающегося списка Schema выберите схему, которой будет принадлежать редактируемый тип данных.

С помощью переключателя Type выберите, будет ли новый тип данных создан (Alias user-defined type) или загружен из внешней библиотеки (CLR user-defined type).

Если выбран Alias user-defined type то раздел Alias Type Options, в котором содержатся свойства этого типа, становится доступным для редактирования.

Важно: При создании нового типа данных для редактирования доступны все поля этого раздела. При редактировании уже существующего, поля Type, Size и Scale заблокированы.

Из поля Type выберите стандартный тип, на основе которого формируется новый.

Если установлен флажок Not Null, то данный тип не может иметь значение NULL.

В поле Size укажите размер создаваемого поля. Если установлен флажок Maximum size, то указанный размер поля является максимальным.

Scale. Для decimal или numeric является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

Rule

Из выпадающего списка выберите правило, которое хотите привязать к псевдониму. Если установлен флажок For new columns only, то предотвращается наследование нового правила существующим столбцом типа данных псевдонима.

Default

Из выпадающего списка выберите значение по умолчанию, которое хотите привязать к псевдониму. Если установлен флажок For new columns only, то предотвращается наследование нового умолчания существующим столбцом типа данных псевдонима.

Раздел CLR Type Options становится доступным для редактирования в том случае, если создаваемый тип данных определен как CLR user-defined type.

Assembly указывает на сборку SQL Server, которая ссылается на реализацию пользовательского типа в среде CLR.

Class name указывает класс внутри сборки, реализующий определяемый пользователем тип.

При создании нового объекта, вам необходимо будет указать его тип.

UDT Editor - New UDT

RadioButton Alias data type

Алиас типа данных будет создан на основе одного из существующих типов данных.

RadioButton CLR data type

Тип данных будет браться из сборки.

RadioButton Table data type

Будет создан новый тип данных.


Управление ограничениями

На этой вкладке Вы можете просматривать существующие ограничения пользовательских типов данных, а также создавать и редактировать их. Эта вкладка доступна только для табличных типов данных.

UDT Editor - Managing UDT checks

Управлять ограничениями можно с помощью контекстного меню:

  • создать новое ограничение - New Check Constraint...,
  • редактировать выделенное ограничение - Edit Check Constraint,
  • удалить ограничение - Delete Check Constraint,

Table Type Check Constraint

При создании и редактировании ограничения Вы задаете его условия в окне Table Type Check Constraint.

UDT Editor - Managing UDT checks - Table Type Check Constraint dialog

Работать с этим окном можно точно так же, как с редактором SQL.


Управление ключами

На этой вкладке Вы можете просматривать существующие первичные и уникальные ключи пользовательских типов данных, а также создавать и редактировать их. Эта вкладка доступна только для табличных типов данных.

UDT Editor - Managing UDT Primary_Unique Keys

Для каждого ключа отображаются следующие параметры:

Primary Key - является ли ключ первичным,

Unique Key - является ли ключ уникальным,

Columns - столбцы ключа,

Clustered - является ли ключ кластеризованным,

Ignore Duplicates - учитывать ли повторяющиеся значения в столбце.

Управлять ключами можно с помощью контекстного меню:

  • создать новое ограничение - New Primary/Unique Key,
  • редактировать выделенное ограничение - Edit Primary/Unique Key,
  • удалить ограничение - Delete Primary/Unique Key.

При редактировании ключа открывается диалоговое окно, в котором можно задать все необходимые настройки.

UDT Editor - Managing UDT Primary_Unique Keys - Table Type Constraint dialog

Constraint Type

В этом разделе вы можете задать тип ограничения пользовательского типа данных.

This group allows you to specify the UDT constraint type:

RadioButton Primary Key - первичный ключ.

RadioButton Unique Key - уникальный ключ.

Options

CheckBox Clustered

Если установлен этот флажок, то логический порядок значений ключа будет определяться порядком соответствующих строк таблицы.

CheckBox Ignore duplicate keys

Эта опция указывает на то, будет ли возникать ошибка при дублировании значений ключа в нескольких строках во время вставки данных.

Columns

Чтобы задать столбцы для ключа, Вам необходимо переместите поля из списка доступных полей - Available Columns в список выбранных полей - Selected Columns. с помощью кнопок Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available, или перетащив их мышкой.


Пользовательские функции (UDF)

Определенная пользователем функция (UDF) представляет собой подпрограмму Transact-SQL или среды CLR, которая возвращает значение. Пользовательская функция не может выполнять действия, изменяющие состояние базы данных. Она, как и системная функция, может быть вызвана из запроса.

Типы пользовательских функций:

Rowset functions

Функция является возвращающей табличное значение, если в предложении RETURNS содержится переменная TABLE. В зависимости от того, каким образом определено тело функции, функции, возвращающие табличное значение, подразделяются на встроенные функции и функции из нескольких инструкций.

Aggregate functions

Функция является агрегатной, если она оперирует некоторым количеством значений, а возвращает единственное итоговое значение.

Ranking functions

Эта функция формирует рейтинг (или ранжирующее значение), который указывает на релевантность возвращенных данных.

Scalar functions

Функция является скалярной, если в ней указано предложение RETURNS, соответствующее одному из скалярных типов данных. Скалярные функции могут состоять из нескольких инструкций.

Редактор UDFs позволяет Вам создавать и редактировать функции определенные пользователем. Он запускается, когда Вы создаете новую функцию или открываете для редактирования уже существующую.

Чтобы открыть функцию в редакторе достаточно щелкнуть по ней два раза мышкой.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение функции
  • Параметры функции
  • Просмотр зависимости объектов
  • Описание функции
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

UDF Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать функцию для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconExecute выполнить функцию - Execute,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconDebugger отладить функцию - Debug

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение функции

На вкладке Function Вы можете задать SQL скрипт, который будет выполнять функция.

UDF Editor - Editing UDF definition


Параметры функции

На вкладке Parameters Вы можете просматривать список параметров, объявленных в функции. Объявляются параметры в теле функции на вкладке Function.

На данной вкладке параметры нельзя ни добавлять, ни редактировать. Единственное что можно сделать - это экспортировать список параметров в файл с помощью пункта контекстного меню Export Metadata, который вызывает Export Data Wizard.

В нижнюю часть окна вынесено текстовое описание параметра.

Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.

UDF Editor - Browsing UDF parameters


Последовательности

Последовательности (Sequence) - удобный метод построения последовательности пронумерованных списков. Каждый раз, когда пользователь обращается к последовательности, значение ее порядкового номера увеличивается. Это обеспечивает одноразовое использование определенного номера. Таким образом, последовательности могут использоваться для создания уникальных номеров.

В редакторе Вы можете создавать и редактировать последовательности.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства последовательности, размещаются в редакторе на нескольких вкладках.

  • Панели инструментов
  • Создание и редактирование последовательности
  • Просмотр зависимости объектов
  • Описание последовательности
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Sequence Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать последовательность для редактирования.

General

iconCompile компилировать последовательность с текущими свойствами - Compile,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей последовательностей - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование последовательности_2

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Создание и редактирование последовательности

Основные свойства последовательности задайте на вкладке Sequence.

Sequence Editor - Editing sequence definition

Имя последовательности указывается в поле Name. Чтобы последовательность была цикличной, установите флажок Cycle. Из раскрывающегося списка Schema выбирается имя схемы, которой будет принадлежать этот объект.

Из раскрывающегося списка Type выбирается тип чисел последовательности.

При создании объекта в поле Start value указывается начальное значение последовательности. При редактировании это поле становится недоступным и в нем отображается следующее значение последовательности.

Значение шага последовательности можно задать в поле Increment.

В полях Min value и Max value укажите минимальное и максимальное значения последовательности.

В полях Value cache можно задать количество номеров последовательностей, хранимых в памяти для быстрого доступа ( RadioButton This cache size).


Синонимы

Синоним (Synonym) — это альтернативное имя, которое дается объекту схемы. Клиентские приложения могут использовать для ссылки на базовый объект синонимы из одного слова вместо имен, состоящих из двух, трех или четырех частей.

Синоним является объектом базы данных, который выполняет следующие функции:

  • предоставляет альтернативное имя для другого объекта базы данных, существующего на локальном или удаленном сервере, на которое затем другие объекты ссылаются как на базовый объект;
  • обеспечивает уровень абстракции, защищающий клиентские приложения от изменений, производимых в имени или местоположении базовых объектов.

Редактор синонимов позволяет Вам создавать и редактировать синонимы. Он запускается, когда Вы создаете новый синоним или открываете для редактирования уже существующий.

Чтобы открыть синоним в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение синонима
  • Просмотр зависимости объектов
  • Описание синонима
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Synonym Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать синоним для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение синонима

Основные свойства синонима задаются на вкладке Synonym.

Имя синонима укажите в поле Synonym name.

Из раскрывающегося списка Schema выберите схему, в которую необходимо поместить создаваемый объект. При редактировании синонима это поле недоступно для изменений.

Имя объекта базы данных, на который ссылается синоним, укажите в поле Object name, который можно выбрать в окне, появляющемся при нажатии кнопки Select.

Synonym Editor - Editing synonym definition


Агрегаты

Агрегат (Aggregate) - это таблица или структура, содержащая предварительно вычисленные данные куба или коллекция объектов, составляющих единое целое. Агрегат может быть реальным или абстрактным множеством связей между объектами.

Агрегаты — это предварительно вычисленные сводные данные из конечных ячеек. Агрегаты содержат ответы на еще не заданные вопросы, что позволяет сильно сократить время ответа на запрос. Например, когда данные в таблице фактов хранилища данных содержат сотни тысяч строк, запрос, получающий суммарные значения недельных продаж для конкретной линии продуктов, может занять много времени, если необходимо просканировать и сложить все строки в таблице фактов во время выполнения запроса с целью вычисления ответа. Однако ответ может быть практически немедленным, если сводные данные для ответа на этот запрос были вычислены заранее. Это предварительное вычисление сводных данных происходит во время обработки и является основой быстрого отклика технологии OLAP.

В отличие от функции агрегат возвращает только одно значение. Это может быть число, строка и т.п., но только одно значение.

Редактор агрегатов позволяет Вам создавать и редактировать агрегаты. Он запускается, когда Вы создаете новый агрегат или открываете для редактирования уже существующий.

Чтобы открыть агрегат в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение агрегата
  • Просмотр зависимости объектов
  • Описание агрегата
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Aggregate Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать агрегат для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение агрегата

Основные свойства агрегата задаются на вкладке Aggregate.

В поле Name укажите имя создаваемого объекта.

Из раскрывающегося списка Schema выбирается имя схемы, к которой принадлежит агрегат. Это поле доступно для изменения только при создании объекта.

Для агрегата можно создать один параметр. Свойства параметра указываются в разделе Parameter.

В поле Name укажите имя параметра.

Из раскрывающегося списка Type выберите тип значения. В списке содержатся как стандартные типы данных, так и определенные пользователем.

Задать размер поля можно с помощью счетчика Size. Если установлен флажок Maximum size, то указанный размер поля является максимально возможным для данного типа.

Scale. Для decimal или numeric является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

В разделе Return value укажите тип возвращаемого значения.

Из раскрывающегося списка Type выберите тип значения. В списке содержатся как стандартные типы данных так, и определенные пользователем.

Задать размер поля можно с помощью счетчика Size. Если установлен флажок Maximum size, то указанный размер поля является максимально возможным для данного типа.

Scale. Для decimal или numeric является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

В разделе Assembly укажите сборку и класс сборки.

Assembly указывает на сборку SQL Server, которая ссылается на реализацию пользовательского типа в среде CLR.

Class name указывает класс внутри сборки, реализующий определяемый пользователем тип.

Aggregate Editor - Editing aggregate definition


Коллекции XML схем

Коллекция XML-схем (XML Schema Collection) — это сущность класса метаданных, подобная таблице в базе данных, которая хранит импортированные XML-схемы и используется для решения следующих задач:

  • проверка экземпляров XML;
  • типизация XML-данных, хранимых в базе данных.

Экземпляры xml можно хранить в столбце либо в переменной типа xml.

Код XML, хранимый в столбце или переменной, с которой связана схема, называется типизированным, потому что схема предоставляет необходимую информацию о типах данных экземпляра. В SQL Server эта информация о типах используется для оптимизации хранения данных.

Редактор Коллекций XML схем позволяет Вам создавать и редактировать коллекции XML схем. Он запускается, когда Вы создаете новую коллекцию или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование коллекции XML схем
  • Просмотр зависимости объектов
  • Описание коллекции XML схем
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

XML Schema Collection Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать коллекцию XML схем для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование коллекций XML схем

На этой вкладке редактора Вы можете создавать и редактировать коллекции XML схем.

В поле Name задайте имя коллекции. Это поле доступно для редактирования только при создании новой коллекции.

Из раскрывающегося списка Schema выбирается имя схемы, к которой принадлежит коллекция. Это поле доступно для изменения только при создании объекта.

В текстовом поле указывается само тело коллекции схем.

В нем же можно создать и новую XML схему, сразу добавив её в новую или уже существующую коллекцию.

XML Schema Collection Editor - Editing XML Schema Collection


Значения по умолчанию

Значения по умолчанию (Default) определяют, какими значениями заполнять столбец, если при вставке строки для этого столбца значение не указано. Значения по умолчанию могут быть любым выражением, результат которого — константа, например, собственно константой, встроенной функцией или математическим выражением.

Редактор значений по умолчанию позволяет Вам создавать и редактировать значения по умолчанию. Он запускается, когда Вы создаете новое значение или открываете для редактирования уже существующее.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Задание значений по умолчанию
  • Просмотр зависимости объектов
  • Описание значения по умолчанию
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Default Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать значение по умолчанию для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание значения по умолчанию

На вкладке Default укажите основные свойства значения по умолчанию.

В поле Name укажите имя значения по умолчанию. Оно должно соответствовать соглашению об именах SQL Server.

Из раскрывающегося списка Schema выбирается имя схемы, к которой принадлежит значение по умолчанию. Это поле доступно для изменения только при создании объекта.

В это поле Вы вводите значение по умолчанию. Оно может быть любым выражением, результат которого — константа, например, константой, встроенной функцией или математическим выражением. Определенные пользователем функции нельзя использовать.

Правила расстановки дополнительных символов для разных типов данных:

  • monetary, integer, and floating-point указываются без дополнительных символов
  • текст и дата заключаются в одинарные кавычки (')
  • перед данным типа Binary ставится 0x
  • перед данными типа monetary ставится ($)

Значение по умолчанию должно соответствовать типу данных столбца, к которому его применяют.

Default Editor - Editing default definition


Правила

Правила (Rules) — это средства обеспечения обратной совместимости, которые по функциональности напоминают ограничения CHECK. Применение ограничений CHECK является стандартным способом ограничения диапазона значений столбца. Со столбцом может быть связано только одно правило, а ограничений CHECK несколько. Ограничения CHECK указываются вместе с таблицей, а правила создаются как отдельные объекты, которые потом связываются со столбцами.

Редактор правил позволяет Вам создавать и редактировать правила. Он запускается, когда Вы создаете новое правило или открываете для редактирования уже существующее.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Задание правила
  • Просмотр зависимости объектов
  • Описание правила
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Rule Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать правило для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание правила

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Задание правил

На вкладке Rule укажите основные свойства правила.

В поле Name укажите имя правила. Оно должно соответствовать соглашению об именах SQL Server.

Из раскрывающегося списка Schema выбирается имя схемы, к которой принадлежит правило. Это поле доступно для изменения только при создании объекта.

В поле Definition укажите тело правила.

Особенности синтаксиса

Каждой локальной переменной предшествует знак @. Выражение соответствует значению, введенному при помощи инструкции UPDATE или INSERT. Для представления значения при создании правила можно использовать любое имя или символ, но первым знаком должен быть знак @.

Символьные константы и константы-даты следует заключать в одиночные кавычки ('), а двоичные константы — предварять знаками 0x. Если правило не совместимо со столбцом, к которому оно привязано, ядро СУБД SQL Server возвращает сообщение об ошибке при попытке вставки значения в столбец, но не во время привязки правила.

Rule Editor - Editing rule definition


Очереди

Очередь (Queue) - объект в котором хранятся сообщения. Когда сообщение достигает службы, компонент Service Broker помещает его в очередь, связанную со службой.

Создавать и редактировать эти объекты Вы можете в редакторе очередей.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование очереди
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Queue Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать очередь для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование очереди

На вкладке Queue Вы можете задать основные параметры редактируемой очереди.

Queue Editor - Editing queue definition

Name

Имя создаваемой очереди. Это имя должно соответствовать правилам для идентификаторов SQL Server.

Schema

Имя схемы, которой принадлежит новая очередь. Значения по умолчанию для схемы по умолчанию текущего пользователя, выполняющего инструкцию.

Enabled

Указывает, доступна очередь или нет. Если очередь недоступна, нельзя ни добавлять, ни удалять из нее сообщения.

Retain messages

Если флажок установлен, то все сообщения, посылаемые или отправляемые во время диалогов, которые используют данную очередь, хранятся в очереди до окончания этих диалогов. Это позволяет хранить сообщения для аудита или выполнять компенсирующие транзакции в случае ошибки.

В разделе Activation options укажите сведения о хранимых процедурах, которые нужно активировать, чтобы начать обработку сообщений в этой очереди.

Enabled activation

Указывает, запускает ли компонент Service Broker хранимую процедуру. Если флажок установлен, то очередь запускает хранимую процедуру,

Procedure name

Имя хранимой процедуры.

Max queue readers

Определяет максимальное количество экземпляров хранимой процедуры активации, запускаемых очередью одновременно. Значение аргумента max_readers должно быть числом от 0 до 32767.

Execute as

Определяет учетную запись пользователя базы данных SQL Server, под которой выполняется хранимая процедура активации. SQL Server должен иметь возможность проверить разрешения для этого пользователя в момент, когда очередь активирует хранимую процедуру. Для пользователя домена сервер должен быть подключен к домену в момент активации процедуры, иначе произойдет ошибка активации. Для пользователя SQL Server сервер всегда в состоянии проверить разрешения.

Filegroup

Указывает файловую группу SQL Server, на основании которой должна создаваться эта очередь. Можно использовать аргумент filegroup для идентификации файловой группы или идентификатор DEFAULT, чтобы использовать файловую группу по умолчанию для базы данных компонента Service Broker. В контексте данного предложения слово DEFAULT не является ключевым словом и должно быть отделено как идентификатор. Если файловая группа не задана, то очередь использует файловую группу по умолчанию для базы данных.


Просмотр сообщений очереди

Используйте вкладку Queue Messages для просмотра сообщений очереди.

Queue Editor - Viewing queue messages

Список сообщений очереди отображается в виде таблицы данных со следующими столбцами:

  • Status,
  • Priority,
  • Order,
  • Message Sequence Number,
  • Service Name,
  • Service Contract Name,
  • Message Type Name,
  • Validation,
  • Message Body.

С этой таблицей Вы можете работать так же, как и с таблицей данных.

Доступны такие опции, как группировка данных, фильтрация данных, создание и работа с несколькими уровнями, просмотр в виде карточек, сводка по столбцам, изменение порядка столбцов.


Внешние таблицы

Внешние таблицы в SQL Server используются для доступа к данным кластера Hadoop или хранилища BLOB-объектов. Также они могут использоваться для запроса эластичной базы данных.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Вкладки редактора:

  • Редактирование внешних таблиц
  • Просмотр DDL


Редактирование внешних таблиц

Name

Укажите имя для новой внешней таблицы.

Schema

Выберите схему, где будет расположена создаваемая внешняя таблица.

Data source

Выберите из списка существующий источник данных для внешней таблицы.

External table - Object editor

File format

Выберите существующий формат внешнего файла, который содержит тип файла и метод сжатия для внешних данных.

Remote schema

Укажите схему на удаленной БД, к которой будет привязана внешняя таблица.

Remote name

Укажите имя таблицы в удаленной БД, если оно отличается от существующего.

Location

В этом поле необходмо задать путь к папке или файлу и имя файла для фактических данных в хранилище больших двоичных объектов Azure или Hadoop. Папка должна указываться относительно папки данных, указанных во внешнем источнике данных.

Distribution

Выберите опции для обработки таблиц в базах данных типа SHARD_MAP_MANAGER:

RadioButton SHARDED - данные таблиц не перекрываются;

RadioButton REPLICATED таблицы содержат одинаковые данные в каждом сегменте;

RadioButton ROUND_ROBIN - для распределения данных используется метод конкретного приложения.

Reject options

Данная группа опций задает параметры, которые определяют как PolyBase будет обрабатывать грязные записи, извлеченные из внешнего источника данных. Запись считается "грязной", если фактический тип данных или количество столбцов не совпадают с определениями столбцов во внешней таблице.

Сначала необходимо выбрать будет ли значение обрабатываться как числовое RadioButton Value или как процент RadioButton Percentage.

Value

Данное значение указывает при превышении какого количества отклоненных строк запрос PolyaBase завершится ошибкой.

Sample value

Эта опция обязательна при обработке процентных значений. Ее значение задает количество строк, которое используется для пересчета процента отклоненных строк.

Row location

В этом поле необходимо указать путь к каталогу во внешнем источнике данных, в который будут записываться строки и файл ошибок.


Объекты, не принадлежащие схемам

В этом разделе представлены типы объекты, которые можно создавать и редактировать с помощью SQL, но которые не принадлежат схеме.

Пользователи

Роли

Сборки

Триггеры

Функции секционирования

Схемы секционирования

Полнотекстовые каталоги

Симметричные ключи

Асимметричные ключи

Сертификаты

Типы сообщений

Контракты

Службы

Маршруты

Привязки удаленных служб

Все объекты отображаются в проводнике баз данных.

Смотрите также:

Новый объект

Мастер копирования объекта

Схемы

Объекты схемы


Пользователи

Пользователь базы данных (User) - это главный элемент, обеспечивающий контроль доступа к элементам базы данных.

Пользователь определяется единственным логином, видимым в пределах той базы данных, в которой он был объявлен.

Пользователи создаются для логинов, не являющихся участниками административных ролей. Позволяют регулировать права доступа к объектам базы данных. Права доступа к базе данных определяются для логина в редакторе логинов. Права доступа к объектам базы данных указываются для пользователя в редакторе пользователей. Для каждого логина можно создавать только одного пользователя.

В редакторе пользователей Вы можете создавать и редактировать пользователей и указывать их принадлежность к серверным ролям.

Чтобы открыть объект в редакторе пользователей достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение пользователя
  • Принадлежность к серверным ролям
  • Описание пользователя
  • Просмотр DDL
  • Назначение прав

Смотрите также:

Роли

Логины

Управление правами


Панели инструментов

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

User Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать пользователя для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение пользователей

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

На вкладке User укажите тип пользователя и задайте его параметры.

User Editor - Editing user definition

RadioButton Login

Выберите из раскрывающегося списка логин, для которого создаете пользователя.

RadioButton Windows principal

Указывает участника Windows, для которого создается пользователь базы данных. Windows principal может быть пользователем Windows или группой Windows. Пользователь будет создаваться даже в случае, если для Windows principal отсутствует имя входа.

CheckBox Local account on Server - если установлен этот флажок, то программа будет использовать встроенную учетную запись сервера, в этом случае надо будет указать только имя пользователя или группы.

С помощью переключателя RadioButton User/custom group / RadioButton Built-in group выберите, для какой группы создается пользователь. Затем в поле User/group name задайте имя.

Если флажок Built-in account on Server не установлен, то необходимо будет указать имя домена - в поле Domain и имя пользователя или группы пользователей в поле User/group name.

RadioButton Certificate - сертификат, для которого создается пользователь базы данных.

RadioButton Asymmetric key - асимметричный ключ, для которого создается пользователь базы данных.

RadioButton Without login - указывает, что пользователь не должен сопоставляться с существующим именем входа.

В поле Name укажите имя пользователя.

(Эти поля доступны для редактирования только при создании пользователя)

Из раскрывающегося списка Default schema выберите схему, которой будет принадлежать пользователь.

Из раскрывающегося списка Default language выберите язык по умолчанию для нового пользователя. Если язык по умолчанию не указывается, то языком по умолчанию для пользователя становится язык по умолчанию для базы данных.

Важно: Язык по умолчанию можно задать только для пользователей автономной базы данных.


Принадлежность к серверным ролям

На вкладке Member Of укажите принадлежность редактируемого пользователя к серверным ролям. С помощью кнопок переносите их из списка доступных ролей - Available Roles, в список выбранных ролей - Selected Roles. роли, доступные для выбора, это серверные роли, а также роли, созданные пользователем.

Серверные роли:

db_accessadmin

db_buckupoperator

db_ddladmin

db_denydatereader

db_denydatawriter

db_owner

db_securityadmin

db_datareader

db_datawriter

User Editor - Defining membership


Разрешения

На вкладке Permissions Вы можете указать разрешения для пользователя.

User Editor - Specifying permissions

В столбце Grantee список имен и ролей, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на имя входа:

ALTER

CONTROL

VIEW DEFINITION

IMPERSONATE

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются двумя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Роли

Роль (Role) - это совокупность пользователей и групп, обладающих идентичными правами доступа. Это сущности, защищаемые на уровне базы данных. После создания роли необходимо настроить для нее разрешения уровня базы данных.

Пользователь может принадлежать к нескольким группам и иметь несколько ролей. Свойства каждой роли определяют возможности пользователя по работе с объектами баз данных.

В редакторе ролей Вы можете создавать и редактировать роли и указывать их принадлежность к другим ролям.

Чтобы открыть объект в редакторе пользователей достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение роли
  • Принадлежность к серверным ролям
  • Просмотр DDL
  • Назначение прав

Смотрите также:

Пользователи

Управление правами


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Role Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать роль для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение роли

На вкладке Role задаются основные характеристики создаваемой или редактируемой роли.

В поле Name укажите имя создаваемой роли. (При редактировании уже существующего объекта это поле недоступно для редактирования. Переименовать роль нельзя.)

Далее, в разделе Role type, выберите тип роли.

Типов ролей предоставлено два:

RadioButton Standard - стандартный тип, пользовательская роль.

RadioButton Роль приложения - Application - роль SQL Server, созданная для обеспечения безопасности приложения. При этом значок объекта в проводнике баз данных принимает вид [image] или [image] .

Выбрать тип можно только при создании роли.

Если Вы выбрали тип роли стандартный, то Вы можете выбрать пользователей, которые станут владельцами новой роли.

Из списка всех доступных пользователей - Available Users - выберите пользователя и с помощью кнопок переносите его в список выбранных - Selected Users.

Role Editor - Editing role definition

Роль приложения — это участник базы данных, позволяющий приложению выполняться со своими, подобными пользовательским, правами доступа. Роли приложений можно использовать для разрешения доступа к определенным данным только тем пользователям, которые подключены посредством конкретного приложения.

В поле Password укажите пароль для включения роли приложения пользователями базы данных.

Default Schema

В этом поле укажите первую схему, в которой сервер будет производить поиск при распознавании имен объектов для этой роли.

Важно: Если оставить в этом поле значение <Default> , роль приложения будет использовать DBO в качестве схемы по умолчанию. Схема, указанная в данном поле может отсутсвовать в базе данных.


Принадлежность к серверным ролям

На вкладке Member Of укажите принадлежность редактируемой роли к другим ролям базы данных. С помощью кнопок переносите их из списка доступных ролей - Available Roles, в список выбранных ролей - Selected Roles.

Роли базы данных:

db_accessadmin

db_buckupoperator

db_ddladmin

db_denydatereader

db_denydatawriter

db_owner

db_securityadmin

db_datareader

db_datawriter

Все остальные созданы пользователем.

Role Editor - Defining role members


Сборки

Сборка (Assembly) - это управляемый модуль приложений, содержащий метаданные класса и управляемый код, например объект в SQL Server. Ссылаясь на сборку, в SQL Server можно создавать функции среды CLR, хранимые процедуры среды CLR, триггеры среды CLR, определяемые пользователем статистические функции и определяемые пользователем типы.

В редакторе сборок Вы можете создавать и редактировать сборки.

Чтобы открыть объект в редакторе сборок достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение сборки
  • Просмотр зависимости объектов
  • Описание сборки
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Assembly Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать сборку для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение сборки

На вкладке Assembly редактора сборок Вы можете задать основные свойства создаваемой или редактируемой сборки.

В поле Name укажите имя сборки. Имя должно быть уникально в базе данных и соответствовать соглашению об именах SQL Server.

Из раскрывающегося списка Owner выберите имя пользователя или роли в качестве владельца сборки. По умолчанию, владельцем становится текущий пользователь.

Поля Name и Owner доступны для редактирования только при создании сборки.

Флажок Visible for creating CLR objects, определяет, можно ли, ссылаясь на сборку, создать функции среды CLR, хранимые процедуры CLR, триггеры CLR, пользовательские статистические вычисления и пользовательские типы. Если он установлен, это становится возможным.

Don't check data - установка этого флажка позволяет не выполнять проверку данных, зависящих от этой сборки.

Code access permissions - указывает набор разрешений доступа к коду, которые выдаются сборке при доступе к ней SQL Server (Если этот аргумент не задан, по умолчанию, применяется SAFE.)

  • Safe. Код, исполняемый с разрешениями SAFE, не может получить доступ к внешним системным ресурсам, таким как файлы, сеть, переменные окружения или реестр. SAFE является рекомендованной установкой разрешений для сборок
  • External access позволяет сборкам получать доступ к внешним системным ресурсам, таким как файлы, сети, переменные окружения и реестр.
  • Unsafe предоставляет сборкам неограниченный доступ к ресурсам как внутри, так и вне экземпляра SQL Server. Код, исполняемый из сборки с набором прав UNSAFE, может вызывать неуправляемый код

Assembly Info

Эта панель используется для отображения системной информации о редактируемой сборке: описание, версия, имя продукта, имя компании и т.д.

В список Files можно помещать любые файлы, например, исходники сборки, они будут храниться на сервере

Обязательный файл один - это файл сборки.

Assembly Editor - Editing assembly definition


Триггеры DDL

Триггер (Trigger) это процедура, которая выполняется в ответ на событие обработки метаданных, описанное на языке определения данных (DDL).

Триггеры DDL, как и стандартные триггеры, выполняют хранимые процедуры в ответ на какое-либо событие. В отличие от стандартных триггеров, они не срабатывают в ответ на выполнение инструкций UPDATE, INSERT или DELETE по отношению к таблице или представлению. Вместо этого триггеры срабатывают в первую очередь в ответ на инструкции языка определения данных (DDL). Это инструкции CREATE, ALTER, DROP, GRANT, DENY, REVOKE и UPDATE STATISTICS. Некоторые системные хранимые процедуры, выполняющие схожие с DDL операции, могут также запускать триггеры DDL.

В редакторе триггеров Вы можете создавать и редактировать DDL триггеры.

Чтобы открыть объект в редакторе триггеров достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение триггера
  • Просмотр зависимости объектов
  • Описание триггера
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

DDL Trigger Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать триггер для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение триггера

На вкладке DDL Trigger редактора триггера Вы можете задать основные свойства создаваемого или редактируемого триггера.

DDL Trigger Editor - Editing DDL trigger definition

В поле Name укажите имя триггера. Имя должно быть уникально в базе данных и соответствовать соглашению об именах SQL Server.

Options

Enabled - установите этот флажок, если хотите чтобы триггер был включен.

Установленный флажок Encrypted не позволяет другим пользователям видеть описание триггера.

Execute as - указывает контекст безопасности, в котором выполняется триггер. Позволяет управлять учетной записью пользователя, используемой экземпляром SQL Server для проверки разрешений на любые объекты базы данных, на которые ссылается триггер.

Caller - указывает, что инструкции, содержащиеся в модуле, выполняются в контексте пользователя, вызывающего этот модуль. Пользователь, выполняющий модуль, должен иметь соответствующие разрешения не только на сам модуль, но также и на объекты базы данных, на которые имеются ссылки из этого модуля.

Self - фактический идентификатор пользователя, создающего или изменяющего модуль, хранится в столбце execute_as_principal_id в представлении каталога sys.sql_modules или sys.service_queues.

User - указывает, что инструкции, содержащиеся в модуле, выполняются в контексте пользователя - владельца.

Code Source с помощью этого переключателя выберите, в каком виде будет представлен исходный код.

Можете выбрать один из двух видов:

  • SQL statement - действия триггера, указаны в инструкциях языка Transact-SQL.
  • Assembly method - метод сборки. В тексте нужно вызывать метод класса из зарегистрированной на сервере сборки и указать имя сборки, имя класса и метод. Образец "assembly_name.class_name.method_name".

Events

Из этого списка выбираются события, в ответ на которые срабатывает триггер.

В поле редактора SQL statements or assembly method Вы можете задавать тело триггера.


Функции секционирования

Секционирование - это процесс замены таблицы несколькими меньшими таблицами. Каждая меньшая таблица имеет тот же формат, что и исходная, но содержит лишь некоторое подмножество данных. Строки помещаются в новые таблицы в зависимости от некоторых свойств, например в соответствии с некоторым диапазоном ключей. Правила, которые определяют, в какую таблицу перемещать строки, должны быть однозначными.

Функция секционирования (Partition Function) - функция, определяющая порядок распределения строк секционированной таблицы или индекса по набору секций на основе значений определенных столбцов, называемых столбцами секционирования.

В редакторе функций секционирования Вы можете создавать и редактировать функции секционирования.

Чтобы открыть объект в редакторе функций достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение функций секционирования
  • Просмотр зависимости объектов
  • Описание функции секционирования
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Partition Function Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать функцию секционирования для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение функции секционирования

На вкладке Partition Functions редактора функций секционирования Вы можете задать основные свойства создаваемого или редактируемого объекта.

Partition Function Editor - Editing partition function definition

В поле Name укажите имя функции секционирования. Имена функций секционирования должны быть уникальными внутри базы данных и соответствовать правилам для идентификаторов.

В разделе Parameter укажите основные параметры создаваемой функции.

Из раскрывающегося списка Type выберите тип поля, используемого для секционирования.

Задать размер поля можно с помощью счетчика Size.

Scale. Для decimal или numeric является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

Из раскрывающегося списка Collation выберите правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

Если флажок Boundary values belong to left interval установлен, то аргумент boundary value принадлежит к левой области интервала для случая, когда значения интервалов были отсортированы компонентом Database Engine по возрастанию слева направо. Если флажок не установлен, то к правой.

Boundary values

В этом списке указываются все значения интервалов.

Интервал задает граничные значения для каждой секции секционированной таблицы или индекса.

В списке Вы можете увидеть следующие характеристики интервала:

  • значение - Value,
  • интервал - Interval,
  • схемы секционирования - Partition Schemes. в столбцах указываются все схемы, использующие эту функцию секционирования.

С помощью кнопки iconPlus Вы можете добавить новый интервал. С помощью кнопки iconMinus Вы можете удалить интервал.

С помощью кнопок btnMoveUp btnMoveDown Вы можете менять интервалы местами.


Схемы секционирования

Схема секционирования (Partition Scheme) - это объект базы данных, который сопоставляет секции функции секционирования набору файловых групп.

В редакторе схем секционирования Вы можете создавать и редактировать схемы секционирования.

Чтобы открыть объект в редакторе схем достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение схем секционирования
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Partition Scheme Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать схему секционирования для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение схемы секционирования

На вкладке Partition Scheme редактора схем секционирования Вы можете задать основные свойства создаваемого или редактируемого объекта.

В поле Name укажите имя схемы секционирования. Имена схем секционирования должны быть уникальными внутри базы данных и соответствовать правилам для идентификаторов.

Далее, из раскрывающегося списка Partition function выберите функцию секционирования, использующую схему секционирования.

В списке Filegroups указываются имена файловых групп, содержащих секции, указываемые в функции секционирования.

В этом списке содержатся следующие сведения:

  • интервал - Interval,
  • файловая группа - Filegroup.

Partition Scheme Editor - Editing partition scheme definition


Полнотекстовые каталоги

Полнотекстовый каталог (Full-text catalog) - каталог, в котором хранятся все полнотекстовые индексы таблиц базы данных. Один полнотекстовый каталог может содержать несколько полнотекстовых индексов, но любой полнотекстовый индекс может быть частью только одного полнотекстового каталога.

В редакторе полнотекстовых каталогов Вы можете создавать и редактировать полнотекстовые каталоги.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Определение полнотекстового каталога

Управление полнотекстовыми индексами

Просмотр DDL

Зависимости объектов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Full-Text Catalog Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать полнотекстовый каталог для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение полнотекстового каталога

На вкладке Full-Text Catalog редактора полнотекстовых каталогов Вы можете задать основные свойства создаваемого или редактируемого объекта.

Full-Text Catalog Editor - Editing full-text catalog definition

Name - имя нового каталога. Имя каталога должно быть уникальным среди других имен каталогов в текущей базе данных. Длина имени каталога не может превышать 120 символов.

Owner - из этого раскрывающегося списка выберите владельца полнотекстового каталога - пользователя или роль базы данных. Если Owner является ролью, то это должна быть роль, членом которой является текущий пользователь или пользователь, выполняющий инструкцию, должен быть владельцем базы данных или системным администратором.

File group - имя файловой группы SQL Server, частью которой будет новый каталог. Если файловая группа не указана, новый каталог будет частью файловой группы по умолчанию, используемой для полнотекстовых каталогов.

В поле Path с помощью кнопки EllipsisButton откройте диалог SQL Server Folders, с помощью которого задайте корневой каталог для полнотекстового каталога. Если путь не указан, новый каталог будет размещен в указанном при установке каталоге по умолчанию.

Полнотекстовые каталоги должны быть созданы на локальном жестком диске, ассоциированном с экземпляром SQL Server.

Все вышеперечисленные параметры доступны для редактирования только при создании полнотекстового каталога.

Если установлен флажок Set as default catalog, то указанный каталог является каталогом по умолчанию. При создании полнотекстовых индексов без явного указания полнотекстового каталога используется каталог по умолчанию.

В разделе Accent sensitivity выберите, будет ли каталог учитывать диакритические знаки для полнотекстового индексирования:

Sensitive - будет учитывать,

Insensitive - не будет учитывать.

В разделе Catalog info отображается дополнительная информация об объекте:

Error log size - размер журнала регистрации ошибок,

Index size - размер индекса

Unique key count - количество уникальных ключей,

Population status - статус операции полного заполнения

Last population date - дата последнего полного заполнения

В разделе Catalog action выберите действие, которое нужно выполнить с полнотекстовым каталогом:

None - не выполнять действий,

Rebuild - пересоздать полнотекстовый каталог,

Reorganize - реорганизовать объект.


Управление полнотекстовыми индексами

На вкладке Indices Вы можете задавать и редактировать полнотекстовые индексы, относящиеся к редактируемому полнотекстовому каталогу.

Full-Text Catalog Editor - Managing full-text indexes

В разделе Indices укажите таблицы или представления, содержащие необходимые индексы.

C помощью кнопки iconPlus Add index, или пункта контекстного меню Add index откройте окно выбора таблиц/представлений. Используйте соответствующие опции для выбора типа объекта - Tables или Indexed views.

Full-Text Catalog Editor - Select object

Из раскрывающегося списка можно выбрать схему, которой принадлежит нужная таблица или представление. Выберите объект из общего списка.

После нажатия кнопки OK выбранная таблица/представление появляется в общем списке.

Удалить объект из этого списка можно с помощью кнопки iconMinus Delete Index, или пункта контекстного меню Delete index.

Добавить таблицу/представление в этот список Вы можете, перетащив объект из проводника баз данных.

В выпадающем списке Unique index выберите индекс уникального ключа в таблице, не допускающиего значения NULL. Этот параметр неоходим для создания полнотекстового индекса.

В выпадающем списке Filegroup выберите файловую группу, в которой будет создан полнотекстовый индекс. Если выбрано 'default', полнотекстовый индекс помещается для несекционированной таблицы в ту же файловую группу, что и базовая таблица и представление, для секционированной таблицы — в первичную файловую группу.

В выпадающем списке Stop list выберите полнотекстовый список стоп-слов. Индекс не заполняется токенами, которые являются частью указанного списка стоп-слов. Если список STOPLIST не указан (выбрано 'OFF'), SQL Server связывает с индексом системный полнотекстовый список стоп-слов.

Список свойств поиска, связываемых с создаваемым индексом, выберите в выпадающем списке Search property list.

Если индекс таблицы активен (т.е. установлен флажок Enabled), Вы можете выбрать уникальный индекс и задать для него параметры Track changes.

В разделе Track changes выберите, поддерживается ли в SQL Server список всех изменений индексируемых данных.

  • Auto - SQL Server автоматически обновляет полнотекстовый индекс по мере изменения данных в связанных таблицах,
  • Manual - журнал отслеживания изменений будет распространяться либо по расписанию с помощью агента SQL Server, либо вручную пользователем,
  • Off - в SQL Server не хранится список изменений индексированных данных.

В разделе Columns отображаются все поля таблицы. Установив флажки, Вы можете отметить те из них, которые будут включены в полнотекстовый индекс.

В столбцах Language и Data Type задайте язык и имя столбца таблицы, в котором хранится тип документа для документа varbinary(max) или image. Установите флажок Statistical Semantics для создания дополнительных индексов ключевых фраз и подобия документов, которые являются частью статистического семантического индексирования.


Симметричные ключи

Симметричный ключ является единственным ключом, который используется для шифрования и дешифрования. Шифрование и дешифрование с помощью симметричного ключа быстро и подходит для постоянного использования с конфиденциальными данными в базе данных.

Симметричный ключ должен быть зашифрован с помощью, по крайней мере, одного из следующих средств: сертификат, пароль, симметричный ключ, асимметричный ключ. Ключ может быть зашифрован более чем один раз для каждого типа шифрования.

В редакторе симметричных ключей Вы можете создавать и редактировать симметричные ключи.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Задание свойств симметричного ключа

Зависимости объектов

Просмотр DDL

Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Symmetric Key Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать симметричный ключ для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание свойств симметричного ключа

На вкладке Symmetric key Вы можете задать основные параметры создаваемого и редактируемого симметричного ключа.

Symmetric Key Editor - Editing symmetric key definition

Name - уникальное имя, под которым симметричный ключ известен в базе данных. Имена временных ключей должны начинаться с одиночного символа номера (#).

Key source - парольная фраза, из которой извлекается ключ

Из раскрывающегося списка Algorithm выберите алгоритм шифрования, для редактируемого ключа. Доступные варианты алгоритмов шифрования - DES, TRIPLE_DES, RC2, RC4, DESX, AES_128, AES_192, AES_256.

Identity value - идентификатор GUID, с помощью которого маркируются данные, зашифрованные новым симметричным ключом. Маркирование может быть использовано для сопоставления ключей шифрованным данным. Идентификатор GUID, формируемый указанной фразой, будет всегда одним и тем же. Фраза, использованная для создания идентификатора GUID, не может быть повторно использована в текущем сеансе, если только связанный с ней симметричный ключ не был удален.

Create date - дата создания.

Modify date - дата последнего изменения.

Симметричный ключ должен быть зашифрован с помощью, по крайней мере, одного из следующих средств: сертификат, пароль, симметричный ключ, асимметричный ключ. Ключ может быть зашифрован более чем один раз для каждого типа шифрования. В разделе Symmetric key encrypt by отображается список этих типов шифрования.

Чтобы добавить в список тип шифрования воспользуйтесь пунктом контекстного меню списка Add Encryption.

В появившемся окне Add Encryption By задайте свойства добавляемого типа шифрования.

Symmetric Key Editor - Add encryption

Password - пароль, из которого извлекается ключ TRIPLE_DES для защиты симметричного ключа.

Confirm password - подтверждение пароля.

Certificate - сертификат, который будет использоваться для шифрования симметричного ключа. Сертификат уже должен существовать в базе данных.

Asymmetric key - асимметричный ключ, который будет использоваться для шифрования создаваемого ключа. Асимметричный ключ должен уже существовать в базе данных.

Symmetric key - симметричный ключ, который будет использоваться для шифрования создаваемого ключа. Указанный ключ должен уже существовать в базе данных, и этот ключ должен быть открытым.

Чтобы удалить выбранный тип шифрования из списка воспользуйтесь пунктом контекстного меню списка Drop encryption.


Асимметричные ключи

Асимметричный ключ (Asymmetric key) является защищаемой сущностью на уровне базы данных. В его форме по умолчанию эта сущность содержит как открытый, так и закрытый ключ.

В редакторе асимметричных ключей Вы можете создавать и редактировать асимметричные ключи.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание асимметричного ключа
  • Редактирование асимметричного ключа
  • Описание объекта
  • Просмотр DDL
  • Просмотр зависимости объектов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Asymmetric Key Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать асимметричный ключ для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание асимметричного ключа

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Задание свойств асимметричного ключа

На вкладке Asymmetric key Вы можете задать основные параметры создаваемого асимметричного ключа.

Asymmetric Key Editor - Creating asymmetric key

Name - имя асимметричного ключа.

В разделе Asymmetric key source укажите источник, из которого нужно загрузить пару асимметричных ключей:

  • в поле File задайте путь к файлу, из которого будет загружена пара ключей. Если установлен флажок Executable, то выбранный файл является исполняемым.
  • Assembly - сборка, из которой будет загружен открытый ключ.
  • Algorithm - алгоритм шифрования (RSA_512, RSA_1024, RSA_2048)

В полях Encryption by password/Confirm password задайте пароль/подтверждение пароля для шифрования закрытого ключа.


Редактирование асимметричного ключа

На вкладке Asymmetric key Вы можете задать основные параметры редактируемого асимметричного ключа.

Asymmetric Key Editor - Editing asymmetric key

В поле Name отображается имя асимметричного ключа.

В разделе Options выберите действие, которое необходимо произвести с ключом:

Remove private key - удалить закрытый ключ.

Change password - изменить пароль

Decryption by password - старый пароль,

Encryption by password - новый пароль,

Confirm password - подтверждение нового пароля.


Cертификаты

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Сертификаты

Сертификат (Certificate) — это защищаемый объект уровня базы данных, соответствующий стандарту X.509 и поддерживающий поля X.509 V1. Инструкция CREATE CERTIFICATE может загрузить сертификат из файла или сборки. Она также может создать пару ключей и самостоятельно подписанный сертификат.

Создавать и редактировать сертификаты вы можете в редакторе сертификатов.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Задание параметров сертификата
  • Просмотр зависимости объектов
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Certificate Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать сертификат для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Action

создать резервную копию сертификата - Backup certificate.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание сертификата

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Задание параметров сертификата

На вкладке Certificate Вы можете задать основные параметры создаваемого сертификата.

Certificate Editor - Creating certificate

Name - имя, под которым сертификат будет доступен в базе данных.

Authorization - имя пользователя, которому будет принадлежать сертификат.

Active for begin dialog - если флажок установлен, то сертификат доступен для инициатора диалога компонента Service Broker.

  • Assembly - выберите из раскрывающегося списка подписанную сборку, уже загруженную в базу данных.

  • File - укажите в этом поле полный путь, включающий имя файла, к файлу, зашифрованному по правилам DER и содержащему сертификат.

Если установлен флажок Executable, то файл представляет собой библиотеку DLL, подписанную с использованием данного сертификата.

With private key - определяет, что закрытый ключ сертификата загружается в SQL Server. Это поле доступно для редактирования лишь в случае, когда сертификат создается из файла.

Decryption by password - пароль, необходимый для расшифровки закрытого ключа, получаемого из файла.

Encryption by password/Confirm password - пароль/подтверждение пароля, используемые для шифрования закрытого ключа.

  • Generate new key - генерировать новый ключ.

Password/Confirm password - пароль/подтверждение пароля, используемые для шифрования ключа.

Subject - субъект, относящийся к полю в метаданных сертификата, определяемому стандартом X.509.

Start date - дата, начиная с которой сертификат действителен. Если она не указана, значение будет установлено равным текущей дате.

Expire date - дата истечения срока действия сертификата. Если она не указана, то срок будет установлен год, начиная с Start date.


Редактирование сертификата

На вкладке Certificate Вы можете задать основные параметры редактируемого сертификата.

Certificate Editor - Creating certificate

Name - имя, под которым сертификат известен в базе данных.

Authorization - имя пользователя, которому будет принадлежать сертификат.

Active for begin dialog - если флажок установлен, то сертификат доступен для инициатора диалога компонента Service Broker.

В разделе Options выберите действие, которое необходимо произвести с сертификатом:

  • Remove private key - удалить закрытый ключ из базы данных,
  • Change certificate password - изменить пароль сертификата,
  • Change private key password - изменить пароль закрытого ключа,
  • Import private key for a certificate - импортировать закрытый ключ для сертификата,
  • Protect private key by using the database master key - защитить закрытый ключ с помощью главного ключа (главный ключ базы данных — это симметричный ключ, который применяется для защиты закрытых ключей сертификатов и асимметричный ключей, которые есть в базе данных),
  • Protect certificate by password - установить пароль для сертификата.

При изменении паролей необходимо указывать следующие параметры:

  • Private key file - указывает полный путь, включая имя файла, к закрытому ключу. Этот аргумент может быть локальным путем или UNC-путем к расположению в сети. Доступ к файлу осуществляется в контексте безопасности учетной записи службы SQL Server. При использовании этого аргумента нужно убедиться в том, что учетная запись службы имеет доступ к указанному файлу.
  • Decryption by password - старый пароль,
  • Encryption by password - новый пароль,
  • Confirm password - подтверждение нового пароля.


Создание резервной копии

При создании резервной копии закрытого ключа в файле шифрование является необходимым. Пароль, используемый для защиты резервной копии сертификата, не является тем же ключом, который применялся для шифрования закрытого ключа сертификата.

Certificate Editor - Backup Certificate

В поле Certificate отображается имя сертификата, резервная копия которого создается.

В поле File укажите полный путь, включая имя файла, для файла, в котором должен быть сохранен сертификат. Это может быть локальный путь или UNC-путь к местоположению в сети. По умолчанию задается путь к папке DATA SQL Server.

Если установлен флажок With private key, то при создании резервной копии будет сохранен и закрытый ключ.

В поле укажите полный путь, включая имя файла, для файла, в котором должен быть сохранен закрытый ключ. Это может быть локальный путь или UNC-путь к местоположению в сети. По умолчанию задается путь к папке DATA SQL Server.

Decryption by password - пароль, используемый для дешифрования закрытого ключа перед созданием резервной копии ключа,

Encryption by password - пароль, используемый для шифрования закрытого ключа перед записью ключа в файл резервной копии. Пароль проходит проверку сложности,

Confirm password - подтверждение нового пароля.


Типы сообщений

Тип сообщений (Message Type) определяет имя сообщения и проверку, выполняемую компонентом Service Broker для сообщений с этим именем. Обе стороны диалога должны определить одинаковые типы сообщений.

Создавать и редактировать типы сообщений Вы можете в редакторе сообщений.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование типа сообщения
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Message Type Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать тип сообщения для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование типа сообщения

На вкладке Message Type Вы можете задать основные параметры редактируемого типа сообщений.

Message Type Editor - Editing Message Type

Name

Имя создаваемого типа сообщений. Создается новый тип сообщений в текущей базе данных, которой владеет участник, указанный в предложении AUTHORIZATION. Нельзя указывать имена сервера, базы данных и схемы. Аргумент message_type_name может иметь длину не более 128 символов.

Authorization

Устанавливает указанного пользователя или роль базы данных в качестве владельца типа сообщений. Если текущим пользователем является dbo или sa, то аргумент owner_name может быть именем любого допустимого пользователя или роли. В противном случае аргумент owner_name должен быть именем текущего пользователя, именем пользователя, на которого у текущего пользователя есть разрешение IMPERSONATE, или именем роли, которой принадлежит текущий пользователь. Если это предложение опущено, тип сообщений будет принадлежать текущему пользователю.

Validation

Указывает, как компонент Service Broker производит проверку текста сообщения этого типа. Если это предложение не указано, то по умолчанию проверке присваивается значение NONE.

None

Указывает, что проверка не выполняется. Текст сообщения может содержать любые данные или иметь значение NULL.

Empty

Указывает, что текст сообщения должен быть NULL.

Well-formed XML

Указывает, что текст сообщения должен содержать корректные XML-данные.

Valid XML with schema

Указывает, что текст сообщения должен содержать XML-данные, которые соответствуют схеме в указанной коллекции схем.


Контракты

Контракт (Contract) определяет типы сообщений, используемые в диалогах компонента Service Broker, а также определяет, какой из участников диалога может посылать сообщения этого типа. Каждый диалог соответствует контракту. Инициирующая служба определяет контракт для диалога перед его началом. Целевая служба определяет контракты, диалоги для которых она принимает.

Создавать и редактировать контракты Вы можете в редакторе контрактов.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование контракта
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Contract Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать контракт для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование контракта

На вкладке Contract Вы можете задать основные параметры редактируемого контракта.

Contract Editor - Editing Contract

Name

Имя создаваемого контракта. Новый контракт создается в текущей базе данных и передается во владение участнику, выбранному из списка Authorization.

Authorization

Устанавливает в качестве владельца контракта определенного пользователя или роль базы данных. По умолчанию, контракт принадлежит текущему пользователю.

Message type list

Список типов сообщений, включаемых в качестве части контракта.

Conversation сolumn

Для каждого типа сообщений, содержащегося в списке, укажите какая конечная точка может вызывать сообщение указанного типа:

  • INITIATOR - Указывает на то, что только инициатор диалога может посылать сообщения определенного типа. Служба, которая начинает диалог, называется инициатором сеанса связи.
  • TARGET - Указывает на то, что только цель диалога может посылать сообщения определенного типа. Служба, которая принимает диалог, инициированный другой службой, называется целью диалога.
  • ANY - Указывает на то, что сообщения этого типа могут посылаться как инициатором, так и целью.


Службы

Служба компонента Service Broker (Service) является именем указанной задачи или набора задач. Компонент Service Broker использует это имя службы для маршрутизации сообщений, передачи сообщения в текущую очередь запросов внутри базы данных и навязывания контракта для диалога.

Создавать и редактировать службы Вы можете в редакторе служб.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование службы
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Service Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать службу для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование службы

На вкладке Contract Вы можете задать основные параметры редактируемой службы.

Service Editor - Editing Service definition

Name

Имя создаваемой службы. Новая служба создается в текущей базе данных.

Authorization

Определяет в качестве владельца службы указанного пользователя или роль базы данных.

Queue

Указывает очередь, в которую поступают сообщения для службы. Очередь должна существовать в той же самой базе данных, что и служба.

Contract list

Список контрактов, для которых данная служба может быть целью. Служебные программы инициируют диалог с данной службой с помощью указанных контрактов. Если контракты не указаны, инициировать диалог может только служба.


Просмотр диалогов службы

На вкладке Service Dialogs Вы можете просматривать диалоги службы.

Service Editor - Viewing service dialogs

Список диалогов службы отображается в виде таблицы данных со следующими столбцами:

  • State,
  • Remote Service,
  • System/User,
  • Contract,
  • Next Send Message,
  • Next Receive Message.

С этой таблицей Вы можете работать так же, как и с таблицей данных.

Доступны такие опции, как группировка данных, фильтрация данных, создание и работа с несколькими уровнями, просмотр в виде карточек, сводка по столбцам, изменение порядка столбцов.


Маршруты

Для исходящих сообщений компонент Service Broker определяет маршруты (Route), проверяя таблицу маршрутов в локальной базе данных. Для сообщений диалогов, начатых в другом экземпляре, включая пересылаемые сообщения, компонент Service Broker проверяет маршруты в базе данных msdb.

Создавать и редактировать маршруты Вы можете в редакторе маршрутов.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование маршрута
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Route Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать маршрут для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование маршрута

На вкладке Route Вы можете задать основные параметры редактируемого маршрута.

Route Editor - Editing Route definition

Name

Имя создаваемого маршрута. Новый маршрут создается в текущей базе данных и принадлежит участнику, указанному в поле Authorization.

Authorization

Устанавливает заданного пользователя или роль базы данных в качестве владельца маршрута.

Service

Указывает имя удаленной службы, на которую указывает данный маршрут. Аргумент service должен точно совпадать с именем удаленной службы. Компонент Service Broker использует побайтовое сравнение с аргументом service.

Broker instance

Указывает базу данных, в которой расположена служба назначения.

Lifetime

Время в секундах, в течение которого SQL Server хранит маршрут в таблице маршрутизации. По истечении этого времени действие маршрута истекает и SQL Server больше его не рассматривает при выборе маршрута для новых диалогов.

Address

Указывает сетевой адрес для данного маршрута.

Mirror address

Указывает сетевой адрес зеркальной базы данных.


Привязки удаленных служб

Привязка удаленных служб (Remote Service Binding) - привязка, определяющая учетные данные безопасности, которые используются при создании диалога с удаленной службой.

Создавать и редактировать привязки удаленных служб Вы можете в редакторе привязок удаленных служб.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактирование привязок удаленных служб
  • Просмотр зависимости объектов
  • Описание объекта
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Remote Service Binding Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать привязку удаленных служб для редактирования.

General

iconCompile компилировать объект при создании или редактировании - Compile,

iconSaveDescription сохранить описание текущего объекта - Save description,

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей табличных пространств - Dependency tree,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование привязок удаленных служб

На вкладке Remote Service Binding Вы можете задать основные параметры редактируемого маршрута.

Remote Service Binding Editor - Editing Remote Service Binding

Name

Имя создаваемой привязки удаленной службы. Здесь нельзя указывать имена серверов, баз данных и схем.

Authorization

Назначает владельцем привязки указанного пользователя или роль базы данных.

Service

Указывает удаленную службу, которую необходимо привязать к пользователю, указанному в поле User.

User

Указывает участника базы данных, владеющего сертификатом, который связан с удаленной службой, указываемой в поле Service. Этот сертификат применяется для шифрования и проверки подлинности сообщений, обмен которыми производится с удаленной службой.

Anonymous

Указывает, используется ли анонимная проверка подлинности при связи с удаленной службой. Если флажок установлен, то используется анонимная проверка подлинности, и все операции в удаленной базе данных выполняются от имени члена предопределенной роли базы данных public.


Учетные данные БД

Учетные данные БД (DB Scoped Credentials) не сопоставляются с именем входа сервера или пользователем базы данных. База данных использует эти учетные данные для доступа к внешнему расположению каждый раз при выполнении операции, требующей доступа.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Вкладки редактора:

  • Редактирование учетных данных БД
  • Просмотр зависимости объектов
  • Просмотр DDL


Редактирование учетных данных БД

Name

Укажите имя для новой учетной записи БД.

Identity

Задайте имя учетной записи для использования при подключении за пределами сервера.

CheckBox For Azure Blob Storage

При выборе этой опции создается SHARED ACCESS SIGNATURE для хранилища BLOB-объектов Azure с использованием общего ключа.

Secret

Укажите секретный код для исходящей проверки подлинности, который требуется для импорта файла из хранилища больших двоичных объектов Azure.

DB Scoped Credential - Object editor

Create date

Отображает дату и время последнего редактирования учетной записи БД.

Modify date

Отображает дату и время создания учетной записи БД.


Внешние источники данных

Внешние источники данных (External data sources) используются для PolyBase или запросов эластичной БД.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Вкладки редактора:

  • Редактирование внешних источников данных
  • Просмотр зависимости объектов
  • Просмотр DDL


Редактирование внешних источнков данных

Nameхрани

Укажите имя внешнего источника данных.

Type

Выберите тип источника данных: HADOOP или BLOB_STORAGE.

Location

Задайте строку подключения для хранилища HADOOP или хранилища BLOB-объектов в Azure.

External data source - Object editor

Credential

Выберите из списка учетную запись БД для доступа к внешнему источнику данных.

Resource manager location

Укажите расположение диспетчера ресурсов Hadoop.

Database

Укажите имя базы данных, которая работает в качестве диспетчера карт сегментов (для SHARD_MAP_MANAGER) или удаленной базы данных (для RDBMS).

Shard map manager

Задайте имя карты сегментов.


Форматы внешнего файла

Форматы внешнего файла (External file formats) используются для задания внешних данных, которые сохранены в Hadoop, хранилище BLOB-объектов Azure или хранилище озера данных Azure. Она содержат фактическую структуру данных, на которые ссылается внешняя таблица.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Вкладки редактора:

  • Редактирование формата внешнего файла
  • Просмотр зависимости объектов
  • Просмотр DDL


Редактирование форматов внешнего файла

Name

Имя формата внешнего файла.

External file format - Object editor

Type

Выберите из списка тип формата внешнего файла: PARQUET, ORC, RCFILE или DELIMITEDTEXT.

Data compression

Укажите метод сжатия для внешних данных. Если оставить поле пустым, то сжатие применятся не будет.

SerDe method

Укажите медот SerDe для RCFiles.

Format options

В данном разделе вы можете задать опции для текстового формата с разделителями.

Field terminator

Задайте признак конца поля, который будет означать конец поля в текстовом файле с разделителям. По умолчанию таким разделителем является вертикальная черта ꞌ|ꞌ.

String delimiter

Укажите символ, который будет являться разделителем строк в файлах. По умолчанию таким разделителем является пустая строка "".

Date format

Укажите пользовательский формат данных для времени и даты.

First row

Укажите номер строки (1-15), с которой начинается загрузка данных из файлов в PolyBase.

Encoding

Выберите кодировку файла: UTF8 или UTF16.

CheckBox Use type default

При включенной опции отсутствующие значения заменяются значениями по умочанию для типа данных в соответствующем столбце.


Объекты сервера

SQL Manager for SQL Server предоставляет пользователю набор всех необходимых инструментов для работы с объектами сервера.

Важно: Чтобы начать работать с объектами, необходимо подключиться к серверу.

Объекты сервера:

Предупреждения

Устройства резервного копирования

Учетные данные

DDL триггеры

Пакеты DTS

Конечные точки

Задания

Связанные серверы

Логины

Операторы

Учетные записи-посредники

Расписания

Смотрите также:

Объекты базы данных


Логины

Логин - объект, определяющий пользователя в базе данных и видимый в пределах той базы данных, в которой он был создан. Пользователю в базе данных может соответствовать только один логин.

Пользователи создаются для логинов, не являющихся участниками административных ролей. Права доступа к базе данных определяются для логина в редакторе логинов. Права доступа к объектам базы данных указываются для пользователя в редакторе пользователей.

Редактор логинов позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Логин

Серверные роли

Разрешения сервера

Разрешения на конечную точку

Разрешения базы данных

Установка соответствий серверным ролям

Просмотр DDL

Смотрите также:

Пользователи

Серверные роли

Управление правами

Управление логинами


Логин

На этой вкладке задается способ идентификации логина на сервере. Будет ли SQL Server распознавать его по доменному имени и паролю - Windows Authentication, или же по его персональным имени и паролю на сервере - SQL Server authentication.

Login Editor - Setting login parameters - Windows authentication

CheckBox Если установлен флажок Enable, то логин включен.

CheckBox Логин будет заблокирован, если Вы установите флажок Login is locked out.

RadioButton Если выберите способ идентификации логина на сервере Windows Authentication, то имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows. Поэтому необходимо указать только следующие параметры в разделе Windows account:

CheckBox Built-in account on Server - если установлен этот флажок, то программа будет использовать встроенную учетную запись сервера, в этом случае надо будет указать только имя пользователя или группы.

С помощью переключателя RadioButton User / RadioButton Group выберите, для кого создается логин: для одного пользователя или группы. Затем в поле User or group name вписываете имя.

Если флажок Built-in account on Server не установлен, то необходимо будет указать имя домена - в поле Domain и имя пользователя или группы пользователей в поле User or group name.

CheckBox Access denied - установив этот флажок, Вы предотвращаете подключение пользователя или группы Windows к экземпляру SQL Server.

RadioButton Если выберите SQL Server authentication, то следует указать:

  • имя - в поле Login name,
  • пароль - в поле Password,
  • подтверждение пароля - Confirm password.

По имени и паролю система определяет ваши права доступа к информации, и, в соответствии с этим, разрешает доступ к объектам.

CheckBox Если установлен флажок Enforce password policy, то политика паролей Windows на компьютере, где выполняется SQL Server, должна быть принудительно применена к данному имени входа.

CheckBox Если установлен флажок Enforce password expiration, то надо принудительно применять к данному имени входа политику истечения срока действия паролей.

Credential - имя учетных данных для сопоставления с новым именем входа SQL Server. Учетные данные должны уже существовать на сервере.

RadioButton Mapped to certificate - установить соответствие с сертификатом.

Certificate name - имя сертификата, связываемого с данным именем входа.

RadioButton Mapped to asymmetric key - установить соответствие с асимметричным ключом.

Asymmetric key name - имя асимметричного ключа, связываемого с данным именем входа.

Все параметры аутентификации доступны для изменения только при создании нового логина. Изменить их для уже созданного - невозможно.

В разделе Default parameters Вы можете указать параметры, которые будут использоваться по умолчанию для имени входа Microsoft SQL Server.

  • Default Database - база данных по умолчанию,
  • Default Language - локализация по умолчанию.


Серверные роли

На вкладке Member Of укажите принадлежность логина к серверным ролям. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available , или перетаскивания переносите их из списка доступных ролей - Available Server Roles, в список выбранных ролей - Selected Server Roles.

Серверные роли:

System Administrators - Системные администраторы

Security Administrators - Администраторы безопасности

Server Administrators - Администраторы сервера

Setup Administrators - Администраторы настройки

Process Administrators - Администраторы процессов

Disc Administrators - Администраторы диска

Database Creator - Создатели базы данных

Bulk Insert Administrators - Могут выполнять инструкции BULK INSERT

Login Editor - Allocating server roles


Разрешения сервера

На этой вкладке Вы можете указать разрешения сервера.

В столбце Permission список прав на выполнение действий. В столбце State - права на выполнение действия.

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' (то есть с возможностью предоставлять права на это действие другим пользователям).

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Login Editor - Defining server permissions


Разрешения на серверные роли

На этой вкладке Вы можете указать разрешения ролей сервера.

В столбце Server Role Name список серверных ролей, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на серверную роль:

ALTER

CONTROL

TAKE OWNERSHIP

VIEW DEFINITION

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Login Editor - Definig Server Role Permissions


Разрешения на имена входа

На этой вкладке Вы можете указать разрешения на имена входа.

В столбце Login Name список имен, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на имя входа:

ALTER

CONTROL

IMPERSONATE

VIEW DEFINITION

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Login editor - Defining login permissions


Разрешения на конечную точку

На этой вкладке Вы можете указать разрешения на конечные точки.

Конечная точка — это защищаемый объект на уровне сервера. Наиболее специфичные и ограниченные разрешения, которые могут быть выданы на конечную точку, перечислены в следующей таблице, вместе с общими разрешениями, неявно содержащими их.

В столбце Endpoint Name список конечных точек, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на конечную точку:

CONNECT

VIEW DEFINITION

ALTER

TAKE OWNERSHIP

CONTROL

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Login Editor - Defining endpoint permissions


Разрешения базы данных

На данной вкладке укажите, какие именно действия разрешено выполнять пользователю с объектами базы данных. На этой вкладке отображаются только те базы данных, которые указаны для этого логина на вкладке User Mapping.

В столбце Permissions - список действий.

Во всех остальных столбцах - объекты базы данных, для которых назначаются права.

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Login Editor - Defining database permissions


Установка соответствий серверным ролям

На этой вкладке Вы можете указать соответствие редактируемого логина серверным ролям баз данных, располагающихся на выбранном сервере.

Login Editor - User mapping

В верхней части выберите базу данных - в поле Database, пользователя для которого Вы хотите использовать данный логин - поле User.

В поле Default Schema выберите схему, используемую по умолчанию для этой базы данных.

В нижней части отметьте флажками те серверные роли которым будет принадлежать редактируемый логин.


Устройства резервного копирования

Для хранения резервных копий баз данных используются специальные объекты - устройства резервного копирования (Backup devices).

Устройство резервного копирования является логическим устройством, соответствующим ресурсу, которым располагает операционная система (указанное физическое устройство). При его создании создается имя или псевдоним для логического устройства. Инициализация физического устройства происходит позже, при записи на него резервной копии.

Задать параметры резервного устройства можно только при его создании.

Создание устройства резервного копирования

Смотрите также:

Резервное копирование базы данных

Устройства для резервного копирования


Создание устройства резервного копирования

С помощью этого инструмента Вы можете создавать устройства резервного копирования.

Существует два типа устройств для хранения резервных копий баз данных:

  • файл - File,
  • ленточное устройство - Tape,
  • канал - Pipe (Для всех версий сервера кроме 2005)

В разделе Device Type выберите тип устройства.

В поле Logical name задайте имя резервного устройства, под которым он будет отображаться в проводнике баз данных.

Имя файла, являющегося устройством резервного копирования и путь к этому файлу задайте в поле Physical Devise Name and Path.

Backup Devices - New logical backup device

Для завершения процесса создания устройства резервного копирования нажмите кнопку OK.


Задания

Задание (Job) - это определенный ряд операций, называемых шагами, которые последовательно выполняет агент SQL Server.

Редактор заданий позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Задание

Шаги

Расписания

Уведомления

Целевой объект

Просмотр DDL

Смотрите также:

Управление заданиями

Расписания

Предупреждения

Операторы


Задание

Редактор заданий открывается при редактировании или создании нового задания в окне Jobs.

На вкладке Job задайте основные параметры задания.

Jobs - Job Editor - Editing job definition

Job name - имя задания. Имя должно быть уникальным и не может содержать символ процента (%).

Enabled - показывает текущее состояние задания. Если флажок не установлен, задание не включено и не срабатывает.

Category - категория задания.

Owner - имя учетной записи владельца задания.

Description - описание задания. По умолчанию используется значение «Описание недоступно».

Далее следует следующая справочная информация по редактируемому заданию:

  • Created - дата создания,
  • Modified - дата последнего изменения,
  • Version - версия,
  • Last run date - дата последнего запуска,
  • Last run status - состояние после последнего запуска (успешно было выполнено или с ошибками),
  • Next run date - дата следующего запуска (активна только для тех объектов, для которых задано расписание).


Шаги

На этой вкладке показан список действий (шагов), выполняемых этим заданием.

Jobs - Job Editor - Managing job steps

Действия можно добавлять удалять и редактировать с помощью контекстного меню, открывающегося при нажатии правой кнопкой мыши.

Для создания и редактирования шага существует специальный редактор шага.

Идентификационные номера шагов начинаются с 1 и увеличиваются без разрывов. Если этап вставляется в существующую последовательность, порядковые номера меняются автоматически.

Редактор шага

Вкладка General

На этой вкладке задайте основные свойства и параметры шага.

Job step name - имя шага.

Если установлен флажок Start job with this step, то выполнение задания будет начинаться с этого шага.

Jobs - Job Editor - Job Step Editor - General

Command type - тип команды на выполнение.

Database name - имя базы данных, в которой необходимо выполнить этап.

Run as user - имя учетной записи пользователя, используемое при выполнении шага.

Output file name - в этом поле укажите файл, в который сохраняется вывод этапа.

В поле Command text пропишите сам текст шага, то есть те действия, которые должны быть произведены с данными или метаданными.

Если установлен флажок Overwrite, то этот файл будет перезаписан. Установите флажок Add output to step history, чтобы внести данные из этого файла в общую историю выполнения заданий.

Вкладка Advanced

Jobs - Job Editor - Job Step Editor - Advanced

На этой вкладке задайте параметры выполнения задания:

В разделе On success action выберите одно из действий, которое будет выполнено при успешном выполнении задания.

В разделе On failure action - при невыполнении или выполнении с ошибками.

Действия:

  • Quit job with success - завершить выполнение задания с пометкой "удачно",
  • Quit job with failure - завершить выполнение задания с пометкой "неудачно",
  • Go to next step - перейти к следующему шагу,
  • Go to step - перейти к шагу n, в раскрывающемся списке выберите имя шага к которому необходимо перейти.

В разделе Retry attempts if step fails задайте количество попыток выполнения шага в случае неудачного выполнения:

  • Number of attempts - число попыток,
  • Interval, minutes - интервал между попытками в минутах.

В разделе Info отображается следующая информация по редактируемому шагу:

  • Last run date - дата последнего запуска,
  • Last run status - состояние после последнего запуска (успешно было выполнено или с ошибками),
  • Last run attempts - дата последней попытки выполнения,
  • Last run duration - длительность последнего ожидания.


Расписания

На этой вкладке отображается список расписаний, по которым выполняется данное задание.

Jobs - Job Editor - Managing job schedules

Управление расписаниями осуществляется с помощью контекстного меню, открывающегося при нажатии правой кнопкой мыши.

Для указания параметров расписания существует специальный редактор расписаний.

С помощью контекстного меню Вы можете:

  • создать расписание и добавить его в список - Add Schedule,
  • добавить в список одно из существующих расписаний - Add Existing Schedule,
  • редактировать расписание - Edit Schedule,
  • удалить расписание из списка - Delete Schedule.

Редактировать и создавать расписания Вы можете в специальном Редакторе расписаний.


Уведомления

На вкладке Notifications укажите адресата, которому необходимо отправлять результаты выполнения задания.

Jobs - Job Editor - Managing notifications

С помощью следующих инструментов укажите адресата, которому необходимо отправить сообщение о выполнении задания:

Use e-mail operator - на адрес электронной почты,

Use page operator - на пейджер,

Use net send operator - по сети, с использованием оператора Net Send,

Write to Windows Application Log - записать в журнал операций Windows,

Delete job - удалить задание.

Адресаты задаются как операторы.

С помощью флажков, стоящих напротив каждого адресата укажите в каком случае необходимо посылать сообщение.

  • When job succeeds - в случае удачного выполнения задания.
  • When job fails - в случае невыполнения или выполнения с ошибками.


Целевой объект

Если задание должно выполняться на одном или нескольких целевых серверах в многосерверной среде, то задавать целевые серверы следует на этой вкладке.

Jobs - Job Editor - Managing target servers

Целевой сервер выберите из раскрывающегося списка Target server.

Список задействованных серверов отображается в списке Target servers.

Добавить сервер в список выбранных можно с помощью кнопки Add To List.


Расписания

С помощью объекта Расписание (Schedule) Вы можете задать время и периодичность выполнения заданий.

Редактор расписаний позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Расписания

Задания

Просмотр DDL

See also:

Общие расписания


Расписания

На вкладке Schedules редактора расписаний задайте основные параметры расписания.

Schedule Editor - Editing schedule definition

В поле Schedule Name укажите название расписания. Установив флажок Enabled, Вы указываете, что расписание вступает в силу сразу после создания.

Панель Execution Type позволяет Вам выбрать режим работы мастера:

  • Start when SQL Server Agent starts - резервное копирование запускается тогда, когда запускается SQL Server Agent,
  • Start when CPU usage is low - запускать при низкой загрузке CPU,
  • Start once on - запустить один раз и далее указать дату и время для выполнения операции,
  • Recurrent Execution - создание резервной копии будет происходить периодически.

Параметры периодичного создания резервных копий можно задать на панели с тремя вкладками, расположенной ниже.

На первой вкладке - Recurring Interval задаете периодичность создания резервных копий:

  • Daily - каждые n дней,
  • Weekly - каждые n недель,
  • Monthly - каждые n месяцев.

Количество дней недель или месяцев задается в счетчике Every.

При указании недель можно выбрать день недели.

Для месяцев можно задать конкретный день месяца для выполнения операции и периодичность выполнения.

На вкладке Daily Frequency можно задать следующие параметры:

Schedule Editor - Editing schedule definition - Daily frequency

  • Occurs once at - выполнять резервное копирование один раз в день. С помощью счетчика указать время выполнения.
  • Occurs every - создавать резервную копию каждые несколько часов или минут. Интервал задайте с помощью счетчиков. Если указать дополнительный интервал from... to... то можно указать, в какое время резервные копии будут создаваться с заданной периодичностью. Таким образом, можно, например, создавать копии только в течение рабочего дня.

На вкладке Duration можно задать следующие параметры:

Schedule Editor - Editing schedule definition - Duration

В календаре Start date укажите начало действия создаваемого расписания,

End date - окончание действия расписания. Если установлен флажок Unlimited, то конечная дата становится неактивной, и резервное копирование будет выполняться до тех пор, пока Вы не измените или не удалите это расписание.


Задания

На вкладке Schedule jobs редактора расписаний отображаются задания в которых используется редактируемое расписание.

Schedule Editor - Viewing scheduled jobs


Предупреждения

Предупреждение (Alert) - это определенная пользователем реакция на событие SQL Server. Предупреждение выполняет определенную пользователем задачу, например, отправляет электронную почту или сообщение на пейджер указанному оператору.

Редактор предупреждений позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Предупреждения

Дополнительно

Уведомления

Просмотр DDL

Смотрите также:

Управление предупреждениями


Предупреждение

Name - имя предупреждения. Имя появляется в сообщении электронной почты или пейджера, отправленном в ответ на предупреждение. Оно должно быть уникальным и не должно содержать символ процента (%).

Enabled - показывает текущее состояние предупреждения. Если флажок не установлен, предупреждение не включено и не срабатывает.

Alert Editor - Editing alert definition - Event Alert

RadioButton Event alert - сообщение о событии.

RadioButton Performance alert - сообщение о производительности.

RadioButton WMI alert - WMI предупреждение.

RadioButton Вы можете выбрать ошибку по номеру или по описанию с помощью счетчика и раскрывающегося поля строки Error.

RadioButton Из раскрывающегося списка Severity выберите уровень критичности ошибки. Ошибки разделены на несколько групп в зависимости от их серьезности. Первые - это сообщения и некритичные ошибки, а последние в этом списке - это Fatal Error.

Database name - из этого списка выберите базу данных в которой должна произойти ошибка, для которой срабатывает предупреждение. По умолчанию, оно будет действовать для всех баз данных.

Error message like - последовательность символов, на которую должно быть похоже описание ошибки SQL Server.


Дополнительно

На вкладке Additional можно задать дополнительные параметры предупреждения.

Alert Editor - Setting additional properties

Delay between responses, seconds - период ожидания (в секундах) между откликами на предупреждение.

Установкой этого значения можно предотвратить, например, отправку нежелательных почтовых сообщений, если предупреждение возникает многократно за короткий промежуток времени.

Job to run in response to alert - из этого списка выберите имя задания, которое запускается в ответ на это предупреждение.

В разделе Include event description in укажите, должно ли включаться описание ошибки SQL Server в уведомительное сообщение. С помощью флажков установите один или несколько типов уведомительных сообщений.

E-mail - на адрес электронной почты,

Page - на пейджер,

Net send - по сети.

Additional message - в это поле введите сам текст предупреждения.

Ниже отображается следующая справочная информация по этому предупреждению:

  • Last occurrence - дата последнего возникновения предупреждения,
  • Last response - дата последнего ответа на предупреждение от службы SQLServerAgent.
  • Occurrence count - количество раз возникновения предупреждения.

С помощью кнопки Reset можно обнулить справочную информацию


Уведомления

На вкладке Notifications отображаются типы адресатов, которым необходимо отправлять результаты выполнения задания.

Alert Editor - Managing notifications

На вкладке отображаются операторы и указанные в них адресаты.

Предупреждения для оператора задаются на вкладке Alert notifications в редакторе операторов. На этой вкладке указано, в каких предупреждениях используется данный оператор.


Операторы

Оператор - это объект, предназначенный для получения уведомлений, который используется вместе с предупреждениямии заданиями.

Редактор операторов позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Операторы

Дополнительно

Предупреждения, в которых используется оператор

Задания, в которых используется оператор

Просмотр DDL

Смотрите также:

Управление операторами


Операторы

Оператор (Operator) - это объект, предназначенный для получения уведомлений, который используется вместе с предупреждениямии заданиями.

Operator name - имя оператора. Имя должно быть уникальным и не может содержать символ процента (%).

Enabled - показывает текущее состояние оператора. Если флажок не установлен, он не включен и не срабатывает.

Вкладка General

Operator Editor - Editing operator definition

E-mail address - адрес электронной почты оператора. Можно указать физический адрес электронной почты или псевдоним.

Pager address - адрес пейджера оператора. Эта строка передается напрямую в систему электронной почты.

Net send address - имя компьютера или IP адрес.

Далее следует информация о последних уведомлениях с помощью этого оператора:

  • Last e-mail notification - дата и время последнего уведомления по электронной почте,
  • Last pager notification - дата и время последнего уведомления на пейджер,
  • Last net send notification - дата и время последнего уведомления по локальной сети.


Дополнительно

Инструменты на вкладке Additional становятся активными только в том случае, если указать номер пейджингового оператора на вкладке General, в поле Pager address.

Operator Editor - Setting additional properties

На этой вкладке указывается время работы пейджингового оператора, как в будние, так и в выходные дни.

В верхней части укажите работу оператора с понедельника по пятницу.

В средней - время работы в субботу.

В нижней - в воскресенье.


Предупреждения, в которых используется оператор

На этой вкладке указано, в каких предупреждениях используется данный оператор.

Operator Editor - Managing alert notifications


Задания

На этой вкладке отображается список тех заданий, где используется редактируемый оператор.

Operator Editor - Managing job notifications


Proxies

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Учетные записи-посредники

Учетная запись-посредник (Proxy) агента SQL Server управляет безопасностью шагов задания, в которых задействованы подсистемы, отличные от подсистемы языка Transact-SQL.

Редактор учетных записей посредников позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Учетные записи-посредники

Задания, использующие учетные записи-посредники

Просмотр DDL

See also:

Управление учетными записями-посредниками


Учетные записи-посредники

На вкладке Proxy задайте основные свойства учетной записи-посредника.

Proxy Editor - Editing proxy definition

Name - имя создаваемой учетной записи-посредника.

Если установлен флажок Enabled, то учетная запись-посредник включена.

Из раскрывающегося списка Credential выберите имя учетных данных учетной записи-посредника.

Description - текстовое описание учетной записи-посредника. Описание позволяет документировать учетную запись-посредника, но оно не используется агентом SQL Server для других целей.

В разделе Active to the following subsystems укажите одну или несколько подсистем, которым будет предоставлен доступ:

  • ActiveX script - сценарий Microsoft ActiveX,
  • Operating system - операционная система,
  • Replication Distributor - агент распространителя репликации,
  • Replication Merge - агент слияния репликации,
  • Replication Snapshot - агент моментальных снимков репликации,
  • Replication Queue Reader - агент чтения очереди репликации,
  • Replication Transaction-Log Reader - агент чтения журнала репликации,
  • Analysis Services Command - команда служб Analysis Services,
  • Analysis Services Query - запрос служб Analysis Services,
  • Integration Services Packages - выполнение пакетов служб SSIS.

В разделе Proxy Principals Вы можете задать доступ к учетной записи-посреднику. Это не изменяет разрешений, предоставленных участнику, указанному в учетной записи-посреднике.

На вкладке SQL Logins выберите логины, имеющие доступ к данной учетной записи-посреднику.

Из раскрывающегося списка SQL login (with defined credential and non-System Administrators) выберите один логин, который будет иметь доступ к учетной записи-посреднику.

C помощью кнопки Add to list поместите выбранный объект в список Granted SQL Logins.

На вкладке Server Roles задайте серверные роли, которые будут иметь доступ к данной учетной записи-посреднику.

Proxy Editor - Editing proxy definition - Server roles

Из раскрывающегося списка Server role выберите серверную роль, которая будет иметь доступ к учетной записи-посреднику.

C помощью кнопки Add to list поместите выбранный объект в список Granted SQL Roles.

На вкладке MSDB Roles задайте роли базы данных, которые будут иметь доступ к данной учетной записи-посреднику.

Proxy Editor - Editing proxy definition - MSDB roles

Из раскрывающегося списка MSDB database role выберите роль базы данных, которая будет иметь доступ к учетной записи-посреднику.

C помощью кнопки Add to list поместите выбранный объект в список Granted MSDB Database Roles.


Задания, использующие учетные записи-посредники

Если в редакторе заданий, при создании шага, в поле Command type, Вы выбрали один из видов репликации, то в поле Use granted proxy Вы можете выбрать учетную запись-посредник.

Все задания, в которых была использована редактируемая учетная запись, будут отображаться на вкладке Proxy jobs.

Proxy Editor - Viewing proxy jobs


Учетные данные

Учетные данные (Credential) являются записью, которая содержит сведения для проверки подлинности, которые необходимы для подключения к ресурсу извне SQL Server. Большинство учетных данных включают имя пользователя и пароль Windows.

Редактор учетных данных позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Учетные данные

Просмотр DDL

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Логины


Учетные данные

На вкладке Credential задайте основные параметры учетных данных

Credential Editor - Editing credential definition

В поле Name укажите имя создаваемых учетных данных. Имя не может начинаться с символа решетки (#). Имя можно редактировать только при создании объекта.

Имя учетной записи для использования при подключении за пределами сервера выберите из раскрывающегося списка Identity with.

Secret - секретный код, необходимый для исходящей проверки подлинности. Это предложение является необязательным.

Подтверждение секретного кода задайте в поле Confirm secret.

Created data - дата создания.

Modified data - дата последнего изменения.


Связанные серверы

Связанный сервер (Linked Server) - это источник данных OLE DB, используемый распределенными запросами SQL Server.

Редактор связанных серверов позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Связанный сервер

Безопасность

Опции сервера

Содержимое связанного сервера

Просмотр DDL

See also:

Управление связанными серверами


Связанный сервер

На вкладке Linked Server задайте основные параметры связанного сервера.

Важно: Параметры на этой вкладке доступны для редактирования только при создании связанного сервера.

Linked Server Editor - Configuring Linked server

Name - имя создаваемого связанного сервера.

SQL Server - если установлен этот флажок, то связанный сервер является SQL сервером.

Provider - Уникальный программный идентификатор поставщика OLE DB, который соответствует данному источнику данных.

Product name - название продукта источника данных OLE DB, который добавляется в качестве связанного сервера.

Data source - имя, предоставляемое поставщику OLE DB как имя источника данных.

Provider string - строка соединения поставщика OLE DB, которая обозначает уникальный источник данных.

Location - расположение базы данных, предоставляемое поставщику OLE DB.

Catalog - имя используемого каталога при соединении с поставщиком OLE DB.


Безопасность

На этой вкладке задайте параметры безопасного соединения.

Linked Server Editor - Security settings

Local login - имя входа на локальном сервере.

Impersonate - разрешение.

Remote user - удаленное имя входа, используемое при подключении к серверу удаленного пользователя.

Remote password - пароль, назначенный удаленному пользователю.

С помощью переключателя Security context for logins without mapping Вы можете задать параметры соответствия локальных имен удаленным.

  • Connecting is not allowed - соединение не разрешено.
  • Don't use security context - не использовать контекст безопасности.
  • Use security context of the local - использовать контекст безопасности локального пользователя для логинов, не заданных в списке.
  • Use this security context - использовать следующий контекст безопасности.

Remote login - удаленный пользователь.

Remote password - удаленный пароль.


Опции сервера

На этой вкладке задаются опции сервера.

Linked Server Editor - Setting server options

Collation compatible - Влияет на выполнение распределенных запросов на связанных серверах. Если флажок установлен, то все символы в связанном сервере совместимы с локальным сервером, в зависимости от набора символов и параметров сортировки (или порядка сортировки).

Установленный флажок Data access отрывает доступ к связанному серверу для распределенного запроса.

RPC - включает вызов RPC с заданного сервера.

RPC out - включает вызов RPC на заданный сервер.

Use remote collation - определяет, будут ли использоваться параметры сортировки удаленного столбца или локального сервера. Если флажок установлен, то параметры сортировки удаленных столбцов используются для источника данных SQL Server, а параметры сортировки, указанные в параметре collation name, используются для источников данных, отличных от SQL Server.

Collation name - выберите из раскрывающегося списка имя параметров сортировки, использованных удаленным источником данных, если параметр Use Remote Collation установлен, а источник данных не является SQL Server. Этот имя должно быть одним из параметров сортировки, поддерживаемых SQL Server.

Задайте в счетчике Connect timeout - значение времени ожидания соединения со связанным сервером.

Значение времени ожидания для запросов к связанному серверу задается с помощью счетчика Query timeout.


Содержимое связанного сервера

На вкладке Content Вы можете просматривать содержимое связанного сервера.

Linked Server Editor - Browsing content

Чтобы отобразить содержимое сервера, нажмите кнопку Show Contents.


Конечные точки

Конечная точка TDS (Endpoint) представляет собой объект SQL Server — точку коммуникации между SQL Server и клиентом. SQL Server автоматически создает конечную точку для каждого из четырех протоколов сетевой библиотеки, поддерживаемых SQL Server. По умолчанию при включении протоколов к ним имеют доступ все пользователи. Если сетевой протокол не включен, конечная точка продолжает существовать, но не может быть использована. Для выделенного административного подключения (DAC) создается дополнительная конечная точка, которая может использоваться только членами фиксированной серверной роли sysadmin.

Редактор конечных точек позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании конечной точки.

Все свойства объекта задаются на следующих вкладках редактора:

Конечная точка

Протокол

Нагрузка

Просмотр DDL

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Основные инструменты, позволяющие работать с объектами, располагаются на панелях инструментов.

Навигационная панель:

Credential Editor - Using Navigation bar

Object

iconHost из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

выбрать конечную точку для редактирования

General

iconCompile Compile - компилировать объект.

iconRefresh Refresh - обновить содержимое списка,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Конечная точка

На вкладке Endpoint задаются сведения, связанные с протоколом передачи, TCP или HTTP.

Endpoint Editor - Editing endpoint definition - HTTP

В поле Name укажите имя создаваемой конечной точки. Используется при обновлении или удалении конечной точки.

В разделе State задайте состояние конечной точки после ее создания. По умолчанию устанавливается значение Stopped.

  • Stopped - конечная точка остановлена. В этом состоянии сервер прослушивает запросы к порту, но возвращает клиенту ошибку.
  • Started - конечная точка запущена и активно прослушивает соответствующий порт, ожидая соединений.
  • Disabled - конечная точка отключена. В этом состоянии сервер не прослушивает порт конечной точки и не отвечает ни на какие попытки запроса на использование конечной точки.

В разделе Protocol type выберите тип транспортного протокола.

  • Http
  • Tcp
  • Named pipes
  • Shared memory
  • Via

Тип передаваемых полезных данных выберите в разделе Payload type.

  • Soap
  • TSQL
  • Service broker
  • Database mirroring


Протокол

На вкладке Protocol задайте собственные параметры для каждого протокола, выбранного на вкладке Endpoint.

Параметры протокола HTTP

Endpoint Editor - Protocol - HTTP

В поле Path укажите путь URL-адреса, задающий местоположение конечной точки на узле, указанном в поле Site.

В разделе Authentication задайте тип проверки подлинности пользователей, входящих на экземпляр SQL Server.

  • Basic - обычная проверка подлинности
  • Digest - дайджест-проверка подлинности
  • Integrated - встроенная проверка подлинности
  • Ntlm - проверка подлинности NTLM
  • Kerberos - проверка подлинности Kerberos

В поле Auth_realm указывается подсказка, которая возвращается клиенту, отправившему запрос SOAP к конечной точке, и которая используется как часть вызова при проверке подлинности через HTTP.

Домен имени входа по умолчанию задайте в поле Default domain.

В разделе Ports задайте один или несколько прослушиваемых портов, ассоциированных с конечной точкой.

Clear - номер незащищенного порта. По умолчанию номер порта равен 80.

Ssl - номер порта для работы по протоколу SSL. По умолчанию номер порта SSL равен 443.

Если задано только значение Clear, то входящие запросы должны использовать HTTP. Если задано значение Ssl, то входящие запросы должны быть запросами безопасного HTTP (https://).

Если установлен флажок Compression, SQL Server будет принимать на обработку запросы, в которых разрешено кодирование в gzip, и возвращать сжатые ответы. Поэтому если запрос приходит с заголовком HTTP, указывающим на то, что GZIP является приемлемой кодировкой, сервер возвращает ответ, закодированный gzip.

В поле Site укажите имя узла. По умолчанию устанавливается «звездочка» (*). Подразумевается, что операция прослушивания применяется ко всем возможным именам узлов, не зарезервированным явно.

Параметры протокола Tcp

Endpoint Editor - Protocol - TCP

Listener port - номер порта протокола TCP/IP, прослушиваемого компонентом Service Broker на предмет соединений. По соглашению используется порт 4022, но допустим любой порт от 1024 до 32767.

Listener IP - IP-адрес, с которым конечная точка будет ожидать соединения.


Нагрузка

На вкладке Protocol задайте параметры нагрузки для каждого протокола и типа передаваемых данных, выбранных на вкладке Endpoint.

Параметры протокола HTTP и типа передаваемых данных SOAP

Endpoint Editor - Payload - HTTP - Soap

Namespace - пространство имен хранимой процедуры

Procedure Name - имя хранимой процедуры или пользовательской функции

Schema - этот флажок определяет, будет ли возвращена в ответах SOAP для текущего веб-метода встроенная XSD-схема.

Если установлен флажок Batches, то для конечной точки поддерживаются нерегламентированные запросы SQL.

Из раскрывающегося списка Database выберите базу данных, в контексте которой выполняется запрошенная операция. Если база данных не выбрана, то для входа используется база данных по умолчанию.

В поле Namespace укажите пространство имен конечной точки.

Максимальный размер в байтах заголовочного раздела в конверте SOAP задайте в поле Header limit.

Если установлен флажок Session, то SQL Server поддерживает сеансы, тогда несколько пар сообщений запросов-ответов SOAP могут быть определены как часть одного сеанса SOAP.

В поле Session timeout укажите время в секундах (как целое число), доступное перед тем, как срок действия сеанса SOAP на сервере истечет, при условии, что дальнейших запросов не было получено. Время ожидания начинает отсчитываться с момента завершения отправки сервером ответного сообщения SOAP клиенту. Если время ожидания истекает до того, как будет получен другой запрос SOAP с тем же идентификатором сеанса в заголовке, сеанс на сервере прерывается. Все последующие запросы SOAP, содержащие идентификатор сеанса, вернут ошибку SOAP с набором элементов terminated в заголовке сеанса SQL Server.

В разделе WSDL выберите, поддерживается ли для этой конечной точки формирование документа WSDL. Если задано значение None, ответ WSDL не формируется или не возвращается в ответ на запросы WSDL, сделанные к конечной точке. Если задано значение Default, ответ WSDL по умолчанию формируется и возвращается для запросов WSDL, сделанных к конечной точке. В исключительных ситуациях, когда для конечной точки реализована специальная поддержка WSDL, можно по имени указать хранимую процедуру, возвращающую измененный документ WSDL.

В разделе Schema укажите, будет ли возвращена конечной точкой XSD-схема при отправке результатов SOAP.

NONE - XSD-схема не возвращена в результатах инструкции SELECT, отправленных по протоколу SOAP.

STANDARD - XSD-схема возвращена в результатах инструкции SELECT, отправленных по протоколу SOAP.

Character set - определяет поведение, если результат операции включает недопустимые в формате XML символы. Значение по умолчанию — XML.

SQL - кодирует некорректные символы как ссылки на символы и возвращает их в результат. В этом случае синтаксический анализатор XML может отклонить возвращаемый XML как недопустимый.

XML - кодирует символы в соответствии со спецификацией XML. Символы, не разрешенные в кодировке XML, вызовут отправку сервером SQL Server клиенту ошибки о недопустимых XML-данных.

Выберите режим проверки подлинности SQL Server для конечной точки в разделе Login type.

WINDOWS - позволяет использование только проверки подлинности Windows для пользователей конечной точки.

MIXED - допускает использование либо проверки подлинности SQL Server, либо проверки подлинности Windows для пользователей конечной точки.

Параметры протокола TCP и типа передаваемых данных Service broker

Endpoint Editor - Payload - TCP - Service Broker

В разделе Authentication options - выберите требования к проверке подлинности TCP/IP для соединений данной конечной точки:

  • Windows - конечная точка будет подключена с использованием протокола проверки подлинности Windows. Это значение по умолчанию.
  • Certificate - конечная точка будет проводить проверку подлинности подключений при помощи сертификата, указанного в аргументе Certificate name для определения идентификатора для авторизации. Противоположная конечная точка должна иметь сертификат с открытым ключом, совпадающим с закрытым ключом указанного сертификата.
  • Windows-Certificate - конечная точка будет производить попытки подключения при помощи проверки подлинности Windows, и в случае неудачи будет пытаться использовать указанный сертификат.
  • Certificate-Windows - конечная точка будет производить попытки подключения при помощи указанного сертификата, и в случае неудачи будет пытаться использовать проверку подлинности Windows.

В разделе Encryption options выберите, будет ли использоваться шифрование в процессе. По умолчанию значение установлено в REQUIRED.

REQUIRED - подключения к этой конечной точке должны использовать шифрование.

SUPPORTED - данные будут зашифрованы только в случае, если у противоположной конечной точки этот аргумент принял значение SUPPORTED или REQUIRED.

DISABLED - данные, передаваемые через соединение, не будут зашифрованы.

Из раскрывающегося списка Windows auth type выберите протокол проверки подлинности Windows

Certificate name - указывает на то, что конечная точка будет проводить проверку подлинности подключений при помощи сертификата, выбранного из раскрывающегося списка Certificate name для определения идентификатора для авторизации. Противоположная конечная точка должна иметь сертификат с открытым ключом, совпадающим с закрытым ключом указанного сертификата.

Из раскрывающегося списка Algorithm выберите форму шифрования на конечной точке.

Если установлен флажок Message forwarding то сообщения, полученные конечной точкой и предназначенные для служб, расположенных в других местах, будут перенаправлены.

Message forward size - в этом поле указывается максимальный объем хранилища в мегабайтах для размещения в нем сообщений конечной точки, предназначенных для перенаправления.

Параметры протокола TCP и типа передаваемых данных Database mirror

Endpoint Editor - Payload - TCP - Database Mirroring

Из раскрывающегося списка Windows выберите протокол проверки подлинности Windows.

Сертификат, для определения идентификатора для авторизации выберите из раскрывающегося списка Certificate.

Role - роль в зеркальном отображении базы данных или роли, поддерживаемые конечной точкой.

WITNESS - конечная точка выполняет роль следящего сервера в процессе зеркального отображения.

PARTNER - конечная точка выполняет роль участника в процессе зеркального отображения.

ALL - конечная точка выполняет роль следящего сервера, так и роль участника в процессе зеркального отображения.

В разделе Encryption options выберите, будет ли использоваться шифрование в процессе. По умолчанию значение установлено в REQUIRED.

REQUIRED - подключения к этой конечной точке должны использовать шифрование.

SUPPORTED - данные будут зашифрованы только в случае, если у противоположной конечной точки этот аргумент принял значение SUPPORTED или REQUIRED.

DISABLED - данные, передаваемые через соединение, не будут зашифрованы.

Из раскрывающегося списка Algorithm выберите форму шифрования на конечной точке.


Серверные роли

Серверные роли в SQL Server помогают в управлении разрешениями сервера. Эти роли являются объектами безопасности, объединяющими другие объекты. Разрешения серверных ролей распространяются на весь сервер. Предопределенные роли сервера предусмотрены для удобства и обратной совместимости.

SQL Server предоставляет девять предопределенных ролей сервера. Права, назначенные предопредленным серверным ролям не могут быть изменены. Начиная с версии SQL Server 2012 можно создавать пользовательские роли сервера и добавлять разрешения на уровне сервера таким пользовательским ролям.

Редактор серверных ролей позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Серверная роль

Разрешения сервера

Разрешения на серверные роли

Разрешения на имена входа

Разрешения на конечную точку

See also:

Управление серверными ролями


Серверная роль

На вкладке Server Role задаются основные характеристики создаваемой или редактируемой серверной роли.

Server Role Editor - Setting server role parameters

В поле Name укажите имя создаваемой серверной роли.

Владельца (логин или другую серверную роль) этого объекта выберите из раскрывающегося списка Owner.

В разделе Members of the role выберите логины, которые станут владельцами новой серверной роли.

Из списка всех доступных логинов (или других серверных ролей) - Available Principals - выберите логин и с помощью кнопок переносите его в список выбранных - Selected Principal.

В разделе The role is member of укажите принадлежность редактируемой серверной роли к серверным ролям. С помощью кнопок переносите их из списка доступных серверных ролей - Available Server Roles, в список выбранных серверных ролей - Selected Server Roles.


Разрешения сервера

На вкладке Server Permissions Вы можете указать разрешения сервера.

Server Role Editor - Setting server permissions

В столбце Permission список прав на выполнение действий. В столбце State - права на выполнение действия.

Существует 4 вида прав:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' (то есть с возможностью предоставлять права на это действие другим пользователям).

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Разрешения на серверные роли

На вкладке Server Role Permissions Вы можете указать разрешения ролей сервера.

Server Role Editor - Defining server role permissions

В столбце Server Role Name список серверных ролей, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на серверную роль:

ALTER

CONTROL

TAKE OWNERSHIP

VIEW DEFINITION

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Разрешения на имена входа

На вкладке Login Permissions Вы можете указать разрешения на имена входа.

Server Role Editor - Defining login permissions

В столбце Login Name список имен, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на имя входа:

ALTER

CONTROL

IMPERSONATE

VIEW DEFINITION

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Разрешения на конечную точку

На вкладке Endpoint Permissions Вы можете указать разрешения на конечные точки.

Server Role Editor - Defining endpoint permissions

Конечная точка — это защищаемый объект на уровне сервера. Наиболее специфичные и ограниченные разрешения, которые могут быть выданы на конечную точку, перечислены в следующей таблице, вместе с общими разрешениями, неявно содержащими их.

В столбце Endpoint Name список конечных точек, на которые предоставляются разрешения.

В остальных столбцах - разрешения, которые могут быть выданы на конечную точку:

CONNECT

VIEW DEFINITION

ALTER

TAKE OWNERSHIP

CONTROL

Прав существует 4 вида:

  • Grant - Предоставить,
  • Revoke - Аннулировать,
  • Deny - Запретить,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT'.

Права меняются тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Триггеры DDL

Триггер DDL (Trigger) - это процедура, которая выполняется в ответ на событие обработки метаданных, описанное на языке определения данных (DDL).

Триггеры DDL, как и стандартные триггеры, выполняют хранимые процедуры в ответ на какое-либо событие. В отличие от стандартных триггеров, они не срабатывают в ответ на выполнение инструкций UPDATE, INSERT или DELETE по отношению к таблице или представлению. Вместо этого триггеры срабатывают в первую очередь в ответ на инструкции языка определения данных (DDL). Это инструкции CREATE, ALTER, DROP, GRANT, DENY, REVOKE и UPDATE STATISTICS. Некоторые системные хранимые процедуры, выполняющие схожие с DDL операции, могут также запускать триггеры DDL.

В этом редакторе Вы можете создавать и редактировать DDL триггеры.

Чтобы открыть объект в редакторе триггеров достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение триггера
  • Просмотр зависимости объектов
  • Описание триггера
  • Просмотр DDL

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

DDL Trigger Editor (server) - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать триггер для редактирования.

General

iconCompile компилировать триггер с текущими свойствами - Compile,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize просматривать дерево зависимостей - Dependency tree.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в редакторе SQL - Open DDL in Query Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение триггера

На вкладке DDL Trigger редактора триггера Вы можете задать основные свойства создаваемого или редактируемого триггера.

DDL Trigger Editor (server) - Editing DDL trigger definition

В поле Name укажите имя триггера. Имя должно быть уникально в базе данных и соответствовать соглашению об именах SQL Server.

Область видимости выбирается с помощью переключателя Scope.

Если переключатель установлен в положение Database, то область действия триггера DDL - текущая база данных

Если в положение Server, то область действия триггера DDL - текущий сервер.

Options

Enabled - установите этот флажок, если хотите чтобы триггер был включен.

Установленный флажок Encrypted не позволяет другим пользователям видеть описание триггера.

Execute as - указывает контекст безопасности, в котором выполняется триггер. Позволяет управлять учетной записью пользователя, используемой экземпляром SQL Server для проверки разрешений на любые объекты базы данных, на которые ссылается триггер.

Caller - указывает, что инструкции, содержащиеся в модуле, выполняются в контексте пользователя, вызывающего этот модуль. Пользователь, выполняющий модуль, должен иметь соответствующие разрешения не только на сам модуль, но также и на объекты базы данных, на которые имеются ссылки из этого модуля.

Self - фактический идентификатор пользователя, создающего или изменяющего модуль, хранится в столбце execute_as_principal_id в представлении каталога sys.sql_modules или sys.service_queues.

User - указывает, что инструкции, содержащиеся в модуле, выполняются в контексте пользователя - владельца.

Code Source с помощью этого переключателя выберите, в каком виде будет представлен исходный код.

Можете выбрать один из двух видов:

  • SQL statement - действия триггера, указаны в инструкциях языка Transact-SQL.
  • Assembly method - метод сборки. В тексте нужно вызывать метод класса из зарегистрированной на сервере сборки и указать имя сборки, имя класса и метод. Образец "assembly_name.class_name.method_name".

Events

Из этого списка выбираются события, в ответ на которые срабатывает триггер.


Пакеты DTS

Пакет DTS — это организованная коллекция подключений, элементов потока управления, элементов потока данных, обработчиков событий, переменных и конфигураций.

DTS Packages - DTS Package properties

Диалоговое окно DTS Package Properties позволяет Вам просматривать текущие свойства пакета DTS.

В этом окне отображаются основные параметры пакета DTS, такие как Create Date, Version ID, Description.

Управлять списком пакетов DTS можно с помощью менеджера пакетов DTS.


Запросы

SQL Manager for SQL Server предлагает два инструмента для работы с SQL запросами:

  • Query Data для редактирования текста запросов,
  • Visual Query Builder для построения запросов визуально.

Создание запросов:

в Редакторе SQL

Для создания этого объекта используйте:

  • пункт Tools | Query Data главного меню программы,
  • кнопка btnShowSQLEditor Query Data на стандартной панели инструментов программы,
  • или используйте сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций автоматически открывается редактор SQL.

в Визуальном конструкторе запросов

Для создания этого объекта используйте:

  • пункт Tools | Design Query главного меню программы,
  • или нажмите кнопку btnNewQueryBuilder Design Query на стандартной панели инструментов программы,

После выполнения одной из этих операций автоматически открывается Конструктор запросов.

Редактирование запросов:

в Редакторе SQL

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Query Data главного меню программы,
  • кнопка btnShowSQLEditor Query Data на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

После выполнения одной из этих операций запрос автоматически открывается в редакторе SQL.

в Визуальном конструкторе запросов

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Design Query главного меню программы,
  • или нажать кнопку btnShowQueryBuilder Design Query на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в Конструкторе запросов.

Выполнение запроса

Чтобы выполнить запрос в любом из редакторов необходимо:

  • Создать новый или отрыть уже существующий запрос.
  • нажать кнопку btnExecuteQuery Execute query на навигационной панели или на панели инструментов редактора, или клавишу F9,
  • просмотреть, редактировать полученные данные на вкладке Results.

Сохранение запроса

Чтобы сохранить запрос в файл необходимо:

  • создать новый или отрыть уже существующий запрос,
  • выбрать пункт Save to file на навигационной панели редактора запросов, или пункт Save diagram на навигационной панели Визуального конструктора запросов.
  • в появившемся окне выберите куда сохранить файл и тип сохраняемого файла.

Если хотите сохранить несколько запросов в один файл, то нажмите Save All на навигационной панели редактора запросов. Для Визуального конструктора такой функции нет.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Редактор SQL

Редактор запросов - основной инструмент программы SQL Manager for SQL Server для работы с запросами. Он позволяет создавать, редактировать и выполнять запросы, а также просматривать результаты, полученные в ходе выполнения запроса.

Чтобы открыть в редакторе уже существующий запрос нужно:

  • выбрать пункт Tools | Query Data главного меню программы,
  • или нажать кнопку Query Data btnShowSQLEditor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

Для создания запроса в редакторе запросов необходимо использовать сочетание клавиш <Shift+F12>.

После выполнения этой операции редактор запросов открывается автоматически.

Сохраненные в файл запросы открываются в редакторе с помощью команды Load from file, находящейся на навигационной панели редактора и на панели инструментов.

Панели инструментов

Работа с окном редактирования SQL

Контекстное меню

Создание запроса с помощью перетаскивания

Просмотр плана запроса

Выполнение запроса

Использование ссылок на объекты

Журнал

Редактор избранных запросов

Объединение запросов

Смотрите также:

Rонструктор запросов

Параметры запросов

Редактор выполнения скриптов

Настройки редакторов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

SQL Editor - Using Navigation bar

Database

iconDB выбрать базу данных, для которой будет создаваться запрос

General

iconExecute выполнить текущий запрос - Execute,

открыть запрос в виде плана на специальной вкладке - Show estimated execution plan,

получать/не получать информационные сообщения от сервера - Get/Don't get info messages,

открыть запрос в конструкторе запросов - Run Query Builder,

открывать клиентский/серверный курсор - Open client/server cursor. Если включен серверный (server) курсор, набор данных (результат выполнения запроса) обслуживается с использованием серверных ресурсов. Если включен клиентский (client) курсор, весь набор данных передается клиенту.

показывать результаты запроса на той же/на отдельной вкладке - Results on Edit tab/Results on separate tab,

iconOptions изменить настройки редактора. При нажатии на этот пункт откроется страница Query Data в Environment Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Queries

Add new query - добавить новый запрос,

Rename current query - переименовать текущий запрос,

Delete current query - удалить текущий запрос,

Delete all queries - удалить все запросы,

Add to Favorite Queries - добавить запрос в Избранные запросы.

Edit

iconFindText найти текст - Find text,

iconLoadFromFile загрузить запрос из файла - Load from file,

iconSaveToFile сохранить текущий запрос в файл - Save to file,

iconSaveToFileAs сохранить в файл как - Save to file as,

iconSaveAll сохранить все открытые запросы одновременно - Save all.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Data management (для вкладки Results)

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Logs (для вкладки Logs)

iconFindText найти текст в журнале - Find text,

iconSaveToFile сохранить журнал в файл - Save logs to file,

очистить журнал - Clear logs.

Debug

iconDebugger начать отладку - Start debugging.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном редактирования SQL

Просмотр плана запроса

Выполнение запроса

Журнал

Редактор избранных запросов


Работа с окном редактирования SQL

В главном окне Вы можете создавать и редактировать запросы.

SQL Editor - Working with SQL Editor area

Основные особенности:

  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

Макросы

Для удобства использования существует возможность записывания и использования макросов.

Для начала записи макроса нажмите кнопку btnRecordMacro Record, доступную на панели управления, или используйте сочетание клавиш Shift+Ctrl+R.

Для остановки записи макроса, нажмите кнопку btnStopRecordMacro Stop, или используйте сочетание клавиш Shift+Ctrl+R.

Для вызова и использования существующего макроса, нажмите кнопку btnPlayMacro Play, или используйте сочетание клавиш Shift+Ctrl+P.

Основные инструменты, позволяющие настраивать свойства редактора, располагаются на следующих вкладках:

  • General,
  • Display,
  • Color,
  • Quick Code,
  • SQL Formatter,
  • Key Mapping.

Смотрите также:

Панели инструментов

Контекстное меню

Настройки редакторов

Шаблоны клавиатуры

Редактор избранных запросов

Окно поиска


Контекстное меню

Для редактора текста запроса существует специальное контекстное меню, которое отрывается по нажатию правой клавиши мыши в любой точке области редактирования. Это меню позволяет быстро выполнять самые используемые команды.

SQL Editor - Using the context menu

  • добавить в словарь - Add to Dictionary,
  • редактировать - Correct With,
  • Выполнить запрос - Execute,
  • Выполнить только выделенное - Execute Selected Only,
  • Выполнить под курсором - Execute under Cursor,
  • Убрать контрольные точки - Reset Execution Point,
  • Открыть подменю, позволяющее работать с маркерами - Markers,
  • Установить закладку - Toggle Bookmarks,
  • Перейти к закладке (этот пункт активен только тогда, когда установлены закладки) - Goto Bookmarks,
  • Отменить действие- Undo,
  • Вернуть отмененное действие- Redo,
  • Вырезать выделенное- Cut,
  • Копировать выделенное- Copy,
  • Вставить - Paste,
  • Выделить все - Select All,
  • Найти - Find,
  • Найти и заменить - Replace,
  • Возобновить поиск - Search Next,
  • инкрементный поиск - Incremental Search,
  • Перейти к строке под номером... - Go To Line By Number...,
  • Изменить регистр - Change Case,
  • Загрузить из файла - Load,
  • Сохранить в файл - Save,
  • Предварительный просмотр - Preview,
  • Печатать - Print,
  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • Преобразовать выделенный текст в комментарии - Toggle Comment,
  • Сохранить как избранный запрос - Save as Favorite Query,
  • Просмотреть и изменить свойства в Editor Options- Properties.

Подменю пункта Quick Code:

  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • Выбрать символ - Select Character,
  • Преобразовать выделенный текст в комментарии - Toggle Comment,
  • Привести выделенный текст к нижнему регистру - Selection Lower Case,
  • Привести выделенный текст к верхнему регистру - Selection Upper Case,
  • Изменить регистр выделенного текста - Selection Toggle Case,
  • Увеличить отступ текста - Indent,
  • Уменьшить отступ текста - Unindent,

Смотрите также:

Работа с окном редактирования SQL

Выполнение запроса


Просмотр плана запроса

На этой вкладке отображается последовательной действий, которые происходят в системе при выполнении запроса.

Полезная информация о каждом этапе выполнения предоставлена в окнах свойств, расположенных справа и снизу от основного окна.

SQL Editor - Viewing query plan

В правой части располагается окно свойств:

  • в столбце Properties отображаются свойства,
  • в столбце Values отображаются значения.

В нижней части окна располагается дерево плана запроса. В столбцах отображены следующие характеристики каждого элемента плана:

Operation, Logical Operation, Subtree Cost, IO Cost, CPU Cost, Estimated Executions, Estimated Rows, Actual Executions, Actual Rows, Row Size, Parallel, Statement, Argument, Defined Values, Output, Warnings.

Смотрите также:

Настройки Редактора SQL

Выполнение запроса


Использование ссылок на объекты

Если объект, упомянутый в запросе, присутствует в базе данных, то в тексте запроса его имя будет выделено другим цветом.

Чтобы открыть объект в соответствующем редакторе, нажмите на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl.

SQL Editor - Using object links

Изменить цвет ссылок Вы можете на вкладке Color диалогового окна Editor Options.

Смотрите также:

Работа с окном редактирования SQL

Настройки редакторов


Выполнение запроса

Чтобы выполнить запрос, необходимо нажать btnExecuteQuery Execute на одной из панелей инструментов или в контекстном меню. Если текст запроса содержит ошибки, то программа укажет на это и результат не будет доступен до того, как все ошибки будут исправлены.

Если запрос должен возвращать данные (в тексте содержатся SELECT), то в редакторе появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет экспортировать данные и экспортировать данные как SQL скрипт.

SQL Editor - Viewing results

Если при выполнении запроса возникли ошибки, то их описание будет вынесено в информационное окно, расположенное в нижней части редактора. Двойной щелчок на ошибке делает активной строку, в которой эта ошибка была найдена.

SQL Editor - Executing queries

  • Выполнить только выделенное - Execute Selected Only,
  • Выполнить под курсором - Execute under Cursor,
  • Перейти после выполнения на вкладку результатов - Switch to Result Tab,
  • Отображать план запроса в Редакторе SQL - Explain Query on Execution.

Смотрите также:

Избранные запросы

Работа с окном редактирования SQL


Создание запроса с помощью перетаскивания

Поместить объект в запрос можно прямо из проводника баз данных, перетащив его мышкой из окна проводника или SQL ассистента в редактор. В этом случае появляется диалоговое окно, в котором нужно указать оператор для этого объекта. C помощью перетаскивания можно вставить SQL запрос не только в Редактор запросов, но и в Конструктор запросов.

DB Explorer - Insert to Editor

Из списка Statement выберите оператор, который нужно применить в запросе к выбранному объекту:

  • Name - в запрос будет помещено только имя объекта,
  • SELECT - оператор выбора,
  • INSERT - оператор вставки. Вместо значений используются параметры,
  • UPDATE - оператор обновления,
  • DELETE - оператор удаления записи,
  • CREATE - оператор создания,
  • DROP - оператор удаления таблицы,
  • Columns list - список полей,
  • Name and Type - список полей с указанием типов.

В поле Alias можно задать псевдоним для объекта.

Префикс для параметра укажите в поле Prefix for variable.

Смотрите также:

Панели инструментов

Работа с окном редактирования SQL

Контекстное меню

Просмотр плана запроса

Выполнение запроса

Использование ссылок на объекты

Журнал

Редактор избранных запросов

Объединение запросов


Журнал

Все операции, производимые с запросом, программа заносит в специальные файлы журналов - Logs, которые отображаются на вкладке Logs Редактора SQL.

В журнал заносится следующая информация:

  • дата модификации запроса,
  • сам текст запроса,
  • ошибки, возникшие при исполнении (если они были),
  • если ошибок не было, то информация о результате, полученном в ходе выполнения запроса.

Дополнительная информация о выполнении отображается в виде комментариев. Это позволяет копировать текст запроса и выполнять его. При этом все дополнительные сведения не будут вызывать ошибок.

SQL Editor - Viewing query logs

Смотрите также:

Панели инструментов

Работа с окном редактирования SQL

Контекстное меню

Создание запроса с помощью перетаскивания

Просмотр плана запроса

Выполнение запроса

Использование ссылок на объекты

Редактор избранных запросов

Объединение запросов


Использование T-SQL отладчика

T-SQL Debugger позволяет осуществлять пошаговую отладку процедур, пользовательских функций (UDF) и SQL скриптов.

Отладчик позволяет добавлять точки останова, отслеживать значения переменных и просматривать стэк вызовов.

Note: Для отладки на удаленном сервере клиентская машина должна быть сконфигурирована в соответстви с http://msdn.microsoft.com/en-us/library/cc646024.aspx.

Вкладка Edit содержит следующие разделы:

  • панель Debug на навигационной панели,
  • список параметров и переменных (Watches),
  • поле редактора кода T-SQL,
  • поле Call stack,
  • список контрольных точек (Breakpoints).

Важно: Все разделы, отображающиеся в отладчике, Вы можете менять местами с помощью перетаскивания.

На вкладке Logs отображается журнал отладки.

SQL Editor - Debugging T-SQL

Панель Debug на панели инструментов содержит следующие команды:

iconDebugger выполнить процедуру - Start,

остановить выполнение процедуры - Break,

iconExecute продолжить выполнение - Continue,

отладка одного оператора без перехода к отладке вызываемых подпрограмм - Step over,

выполнить оператор и перейти к отладке вызываемой подпрограммы - Trace into,

выполнить оператор и перейти к отладке - Trace out,

перейти к - Run to exception,

установить/убрать точку останова - Toggle breakpoint,

iconClear удалить переменные из списка Watches - Clear watches.

Для каждой переменной отображаются следующие атрибуты:

Watch name - имя,

Value - значение.Вкладка Local cписка Watches позволяет увидеть все переменные, объявленные в тексте, и значение каждой переменной.

Чтобы добавить переменную, перейдите на вкладку Custom и задайте имя переменной в поле Watch name.

Вы можете удалить выбранные переменные, используя сочетание клавиш Ctrl+U.

На вкладке Global отображаются все значения серверных переменных.

В редакторе кода PL/SQL отображается отлаживаемый текст. Все точки останова обозначены соответствующими символами. Активные точки выделены красным, неактивные - зеленым.

В окне Call stack отображается список стеков вызова.

Breakpoints

Список точек останова.

Для каждой точки отображается следующая информация:

Status - статус (Активная/Неактивная),

Line - строка установки,

Owner - владелец модуля,

Name - имя модуля.


Редактор избранных запросов

Для быстрого доступа к часто используемым запросам, в проводнике баз данных существует специальный раздел Favorite Queries.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню Редактора SQL выберите пункт [image] Add to Favorite Queries или в контекстном меню избранного запроса пункт Edit Favorite Query.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения. Местом хранения может быть база данных (создается таблица pgmfavorites) - пункт Database или в системном реестре - Registry.

В SQL редакторе Вы можете работать с текстом запроса так же как в Редакторе SQL.

Смотрите также:

Панели инструментов

Работа с окном редактирования SQL

Контекстное меню

Создание запроса с помощью перетаскивания

Просмотр плана запроса

Выполнение запроса

Использование ссылок на объекты

Журнал

Объединение запросов


Объединение запросов

Если Вы редактируете один и тот же запрос в нескольких Редакторах SQL, то при сохранении изменений могут возникнуть трудности.

При сохранении такого запроса появляется диалоговое окно, в котором Вы можете указать параметры сохранения.

SQL Editor - Merging queries

RadioButton Save the both changed queries

Сохранить оба измененных запроса. Один редактируемый запрос будет сохранен под своим оригинальным именем, а к имени второго будет добавлен постфикс '_1'.

RadioButton Use changes in the current copy of Query Data

Будут сохранены изменения запроса, изменяемого в текущем редакторе.

RadioButton Ignore changes in the current copy of Query Data

Изменения запроса, изменяемого в текущем редакторе, не будут учитываться при сохранении.


Конструктор запросов

Этот инструмент позволяет создавать и редактировать запросы графически без текстового их описания на языке SQL. Вы можете создавать, выполнять просматривать результаты, используя визуальные методы, предоставленные этим инструментом.

Также с помощью Визуального конструктора запросов Вы можете получать графическое представление запроса, написанного в текстовой форме. Для этого в окно редактирования необходимо поместить текст запроса.

Для создания запроса в конструкторе выполните одну из этих операций:

  • выберите пункт Tools | New Query Builder главного меню программы,

  • или нажмите кнопку New Query Builder btnNewQueryBuilder на стандартной панели инструментов программы,

После выполнения одной из этих операций запрос автоматически открывается в визуальном конструкторе запросов.

Основные инструменты конструктора:

Панели инструментов

Окно диаграммы

Установка связей

Задание критериев

Выводимые поля

Критерии группировки

Условия сортировки

Окно редактирования

Выполнение запроса

Просмотр плана запроса

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор SQL

Визуальный конструктор баз данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Query Builder - Using Navigation bar

Database

iconDB выбрать базу данных для которой будет создаваться запрос

General

iconExecute выполнить текущий запрос - Execute query,

открыть запрос в виде плана на специальной вкладке - Explain query,

удалить текущий запрос - Clear query,

создать представление - Create View,

iconOptions настроить визуальный конструктор запросов - Query Builder Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Visual Builder

iconLoadFromFile загрузить диаграмму - Load Diagram,

iconSaveToFile сохранить диаграмму - Save Diagram.

Data Management

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script.

На панели Object представлен список всех объектов, содержащихся в базе данных, которые можно использовать в диаграмме.

Поместить объекты из этого окна в окно диаграммы можно с помощью перетаскивания.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Edit (для вкладки Edit)

iconFindText найти текст - Find text,

iconLoadFromFile загрузить запрос из файла - Load from file,

iconSaveToFile сохранить текущий запрос в файл - Save to file,

iconSaveToFileAs сохранить в файл как - Save to file as,

iconSaveAll сохранить все открытые запросы одновременно - Save all.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном диаграммы

Установка связей

Задание критериев

Выводимые поля

Критерии группировки

Параметры сортировки

Работа с окном редактирования

Выполнение запроса

Просмотр плана запроса


Работа с окном диаграммы

Основные действия выполняются на вкладке Builder Конструктора запросов. Основным инструментов является Рабочая область.

Query Builder - Working with diagram area

Добавление объекта в рабочую область

Объекты необходимо поместить в рабочую область. Чтобы добавить таблицу или представление в рабочую область достаточно перетащить её или из проводника баз данных или из списка на панели Object, располагающейся на навигационной панели. Объект, отображаемый на панели Object, добавить в рабочую область можно ещё и двойным щелчком мыши.

Выбор полей

Чтобы добавить поля таблицы или представления в создаваемый запрос необходимо установить флажок около поля или выделить поле двойным щелчком мыши. Все поля, у которых установлены флажки, попадают в запрос.

Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка. Если ничего не выделено, то по умолчанию будут выбраны все поля.

Удаление объекта из рабочей области

Чтобы удалить объект из рабочей области необходимо выполнить одну из следующих операций:

  • нажать на кнопку "закрыть" Query Builder - Working with diagram area - Close в заголовке объекта,
  • или выбрать пункт Delete контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта.

Объект удалится только из рабочей области. В базе данных он останется.

Переименование объекта

Переименовать объект можно с помощью пункта Rename контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта или нажав два раза мышью на название объекта. При этом для имени таблицы создается псевдоним.

Установка связей

Под рабочей областью располагается окно работы с полями.

С его помощью можно:

  • задавать критерии отбора данных в запросе,
  • выбирать какие поля будут выводиться в результате запроса,
  • устанавливать параметры группировки,
  • задавать условия сортировки.

Слева от рабочей области находится дерево подзапросов.

В нем отображаются вложенные запросы и составные части запроса. UNION и UNION ALL.

Из раскрывающегося списка, расположенного над деревом подзапросов, списка выберите тип запроса - Select, Insert, Update или Delete.

Visual Query Builder - Selecting query type

В нижней части окна располагается панель информации. Если запрос был выполнен успешно, то туда выносится краткий отчет о результатах выполнения. Если же нет, то отчет об ошибках.

Смотрите также:

Установка связей

Работа с окном редактирования

Выполнение запроса


Установка связей

В реляционных базах данных требуется создание связей между таблицами.

Визуальный конструктор позволяет быстро устанавливать связи между объектами, помещенными в рабочую область.

Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле).

После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.

Важно: Если две помещенные в рабочую область таблицы связаны при помощи внешнего ключа, то эта связь отобразится автоматически.

Query Builder - Joining two objects

Свойства связи

Свойства связи можно редактировать. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой или выбрать пункт контекстного меню связи Properties.

Query Builder - Link properties

В появившемся окне укажите желаемые свойства редактируемой связи.

  • условие связи выбирается из раскрывающегося списка, находящегося между именами полей. (=, >, <, >=, <=, <>).
  • с помощью установки флажков укажите тип связи. Если установлен один флажок, то тип связи "один ко многим".

Контекстное меню связи позволяет:

Visual Query Builder - Link menu

  • Insert point - создавать точку на линии связи, с помощью которой эту линию можно двигать, для удобства визуального представления,
  • Delete link - удалять связь,
  • Property - редактировать свойства связи.

Смотрите также:

Работа с окном диаграммы

Задание критериев


Задание критериев

На вкладке Criteria Вы можете установить критерии отбора данных в запросе.

Query Builder - Setting criteria

Чтобы добавить условие ограничения нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие отбора.

Чтобы задать тип составного условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. Нужное поле можно не выбирать из списка, а перетащить из рабочей области конструктора запросов на вкладки Criteria, Selection, Grouping criteria, Sorting. Для этих полей можно задать операторы условия. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Если в любом месте условия нажать правой кнопкой мыши, то появится меню с одним пунктом - Insert query. Если нажмете на этот пункт, то будет создан вложенный запрос, с которым можно работать также как и с основным. Иерархия запросов отображается в дереве подзапросов, расположенном слева от рабочей области. Если создан подзапрос то условие примет вид Editor Options - Condition. Первый оператор условия после символа отношения задает квалификатор запроса, а во втором отображается начало вложенного запроса.

Квалификатор запроса можно выбрать из списка, открывающегося по нажатию на нем левой кнопкой мыши.

Visual Query Builder - Criteria menu

Удалить подзапрос можно с помощью пункта контекстного меню Delete query. Это контекстное меню открывается по нажатию на условии, содержащем подзапрос правой кнопкой мыши. С помощью этого меню можно:

  • удалить подзапрос - Delete query,
  • открыть подзапрос - Show query.

Смотрите также:

Выводимые поля

Критерии группировки

Параметры сортировки


Выводимые поля

На этой вкладке Вы формируете выходную форму запроса.

Укажите, какие поля будут отображаться в результате запроса и как они будут отсортированы и сгруппированы. Также, Вы можете создавать вычисляемые поля.

Query Builder - Setting output fields

  • В столбце Name of output указан псевдоним поля, под которым оно будет выведено в результате запроса.
  • Столбец Aggregate содержит аггрегирующую функцию.
  • Source column name содержит настоящие имена столбцов, выводимых в результат запроса.
  • Grouping указывает сгруппирован столбец или нет.

Если флажок Select only unique records установлен, то в результате запроса отображаются только неповторяющиеся записи.

Основные действия с полями выполняются при помощи контекстного меню, которое открывается по нажатию на поле правой кнопкой мыши.

Visual Query Builder - Selection field menu

С помощью этого меню выполняются следующие операции:

  • удаление выделенного поля - Delete current row,
  • вставка вложенного запроса - Insert Query,
  • вставка конструкции CASE - Insert CASE.

Query Builder - Setting output fields - CASE

Также поля можно отсортировать, щелкнув левой кнопкой мышки на заголовок столбца в котором содержатся поля.

Порядок полей в результате запроса будет соответствовать их последовательности в этой таблице.

Встроенные запрос открывается на отдельной вкладке рабочей области для редактирования и отображается в дереве подзапросов в левой части Визуального конструктора.

Смотрите также:

Задание критериев

Критерии группировки

Параметры сортировки


Критерии группировки

На этой вкладке задаются критерии, по которым будут сгруппированы данные, полученные в результате выполнения запроса.

Query Builder - Setting grouping criteria

Чтобы добавить критерий группировки нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие группировки.

Чтобы задать тип условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

Аггрегирующую функцию выберите из списка Visual Query Builder - Line2.

Visual Query Builder - AggregateFunction menu

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. В этих полях Вы можете задать операторы условия. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием группировки можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Смотрите также:

Задание критериев

Выводимые поля

Параметры сортировки


Параметры сортировки

В окне работы с полями, которое располагается под рабочей областью, существует специальная вкладка, на которой можно указывать параметры сортировки полей в запросе.

В списке Output columns содержатся все поля объектов, участвующих в запросе. Чтобы указать, по какому полю будет отсортирована, полученная в результате выполнения запроса, таблица, необходимо переместить поля из списка Output columns в список Sorted columns. Делается это с помощью кнопок или перетаскивания выбранного элемента или двойным нажатием мышкой.

В списке Sorted columns для выбранных полей укажите параметры сортировки:

  • порядок сортировки "по возрастанию" или "по убыванию" указывается в поле Sort order с помощью кнопки A...Z,
  • очередность сортировки (по какому полю сортировать в первую очередь, а по какому во вторую) задается расположением полей в списке Sorted columns. По первому в списке полю сортировка проходит в первую очередь и.т.д. Перемещать поля в списке можно с помощью кнопок Up и Down.

Query Builder - Setting sorting parameters

Смотрите также:

Задание критериев

Выводимые поля

Критерии группировки


Работа с окном редактирования

В окне редактирования автоматически генерируется текст запроса. В этом окне Вы можете просмотреть и исправить запрос. Все изменения будут отображены в окне диаграммы.

Query Builder - Working with the editor area

Все что в тексте запроса выделено зеленым является ссылками на объекты.

Открыть для просмотра объект, на который есть ссылка в тексте, Вы можете, нажав на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl. Если в этом редакторе Вы создадите текст запроса, то в рабочей области этот запрос будет представлен в графическом виде.

Более подробно про окно редактирования текста SQL.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса

Редактор SQL


Выполнение запроса

Чтобы выполнить запрос необходимо нажать Execute на одной из панелей инструментов.

Query Builder - Query execution

При выполнении запроса появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет Экспортировать данные и Экспортировать данные как SQL скрипт.

Query Builder - Viewing results

Смотрите также:

Работа с окном диаграммы

Работа с окном редактирования

Просмотрщик данных


Просмотр плана запроса

Using SQL Manager for SQL Server, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open Query Builder and use the btnExplainQuery Show estimated execution plan item of the Navigation bar or toolbar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

Query Builder - Viewing query plan

При необходимости, вы можете указать, что необходимо отрывать вкладку Plan автоматически, после выполнения запроса, установив флажок CheckBox Show actual execution plan on query execution на вкладке Tools | Query Builder в Настройках окружения.

Смотрите также:

Настройки редактора SQL

Выполнение запроса


Параметры запросов

Редактор SQL и Конструктор запросов запросов позволяют использовать параметры в тексте запроса.

Параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса. В тексте запроса параметры выделены символом ":", который ставится в начале параметра.

:param1

Замечание: Чтобы можно было использовать параметры необходимо установить флажок Allow using of parameters in query text в Options | Environment options | Tools.

Смотрите также:

Редактор SQL

Конструктор запросов


Окно ввода параметров

Так как параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса, в программе SQL Manager for SQL Server существует специальный инструмент, позволяющий вводить значения параметров при выполнении запроса.

Окно Input Parameters формируется на основании тех параметров, которые заданы в тексте запроса. Для каждого параметра создается поле ввода, которое называется так же как и параметр.

Для разных типов полей предусмотрены специальные поля ввода параметров.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Query parameters - Input parameters dialog

Для числовых типов предоставляется калькулятор.

В поле Вы можете ввести значение параметра, а можете оставить его пустым.

Нажав кнопку Ok, Вы продолжите выполнение запроса с учетом введенных параметров. Если нажмете Cancel, то отмените выполнение запроса.


Управление данными

Данные, хранящиеся в таблицах и результаты запросов, отображаются на специальных вкладках редакторов, предназначенных для просмотра данных. Так данные таблицы можно просматривать и редактировать на вкладке Data, результаты запроса - на вкладке Results. Везде, где есть возможность просмотра и редактирования данных, используется специальный инструмент - просмотрщик данных.

Используется в:

Редакторе таблиц

Редакторе представлений

Редакторе SQL

Конструкторе запросов и т.д.

Данные в просмотрщике могут отображаться тремя способами:

  • в виде таблицы - на вкладке Grid View,
  • в виде формы - на вкладке Form View,
  • в виде печатной формы - на Print Data.

Основные операции, которые Вы можете производить с данными, используя контекстное меню и панели инструментов просмотрщика данных:

  • Экспорт данных,
  • Экспорт данных в виде SQL скрипта,
  • Импорт данных
  • Редактировать BLOB.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Просмотрщик данных

В SQL Manager for SQL Server существует мощный инструмент для просмотра, редактирования и печати данных из таблиц, запросов и представлений.

Наиболее часто используемые инструменты просмотрщика данных располагаются в контекстном меню.

Вкладки просмотрщика данных располагаются в нижней его части.

С их помощью можно просмотреть данные:

  • на вкладке Grid View в виде таблицы,
  • на Form View в виде форм, где каждая строка вынесена на отдельную форму,
  • на вкладке Print Data данные представлены в виде страницы предварительного просмотра.

Просмотрщик данных используется в следующих инструментах:

Редактор таблиц - вкладка Data,

Редактор представлений - вкладка Data,

Редактор SQL - вкладка Results,

Конструктор запросов - вкладка Results.

Настроить просмотрщик данных можно с помощью вкладки Grid в Options | Environment Options

Data View - Grid View

Смотрите также:

Конструктор фильтров

Таблицы

Представления


Панели инструментов

Панели редакторов

Навигационная панель

В редакторе, в котором используется просмотрщик данных, при переходе на вкладку Data или Results на навигационной панели, появляется панель Data management.

С помощью этой панели Вы можете:

Data View - Using Navigation bar

iconCommit применить транзакцию для данных - Commit Transaction (активна, если включены транзакции для данных Options | Environment Options | Tools | Use transactions in Data tab of object editors, Query Data and Query Builder),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если включены транзакции для данных),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data,

осуществить массовый импорт данных - BULK INSERT.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Панели инструментов просмотрщика данных

Панель работы с записями:

Data View - Navigation pane

С её помощью можно:

  • перейти к первой записи - First record,
  • перейти к предыдущей странице - Prior page,
  • перейти к предыдущей записи - Prior record,
  • перейти к следующей записи - Next record,
  • перейти к следующей странице - Next page,
  • перейти к последней записи - Last record,
  • добавить запись - Insert record,
  • удалить запись - Delete record,
  • редактировать запись - Edit record,
  • сохранить изменения - Post edit,
  • отклонить изменения - Cancel edit,
  • обновить данные - Refresh data,
  • создать закладку - Save bookmark,
  • перейти к закладке - Goto bookmark,
  • фильтровать данные - Filter data (открывается конструктор фильтров),
  • автоматически создать подуровни таблиц на основе имеющихся в таблице внешних ключей - Show Linked Tables Details,
  • в поле Find укажите набор символов, который хотите найти в выделенном столбце,
  • с помощью счетчика Record Limit укажите максимальное число отображаемых записей,
  • если число записей больше указанного максимального числа, то становится активна кнопка Fetch All, с помощью которой отображаются все записи.

Панель инструментов вкладки Print Data:

Data View - Print Data - Toolbar

C помощью этой панели Вы можете:

  • настроить вид отчета с помощью инструмента Format report - Design Report,
  • загрузить отчет из файла - Load Report,
  • сохранить отчет в файл - Save Report,
  • печатать - Print,
  • открыть диалоговое окно печати - Print Dialog (открывается стандартное диалоговое окно, в котором можно указать параметры печати),
  • настроить параметры страницы - Page Setup,
  • показать макеты страниц - Show Thumbnails,
  • настройка примечаний - Title...:

вставка даты и времени - Date and Time...,

вставка номеров страниц - Page Numbering...,

  • разместить все на одной странице - Shrink To Page,
  • задать цвета фона страницы - Background,
  • задать масштаб - Zoom,
  • масштаб по ширине страницы - Zoom Page,
  • целая страница - Whole Page,
  • несколько страниц - Multiple Page.
  • произвольный масштаб выбирается с помощью раскрывающегося списка - Zoom,
  • перейти к первой странице - First Page,
  • перейти к предыдущей странице - Previous Page,
  • указать номер страницы, к которой хотите перейти - счетчик Active Page (кроме того, в нем отображается номер страницы, на которой Вы сейчас находитесь),
  • перейти к следующей странице - Next Page,
  • перейти к последней странице - Last Page.

Панель инструментов вкладки Blob View:

Data View - BLOB View - Toolbar

С помощью этой панели на вкладке для редактирования данных типа BLOB Вы можете:

  • из раскрывающегося списка выбрать поле типа BLOB,
  • Из следующего раскрывающегося списка выберите кодировку редактируемого текста,
  • загрузить из файла - Load from File (Вы можете выбрать любой тип файлов. Это может быть текст, рисунок и т.д.),
  • сохранить в файл - Save to File,
  • вырезать - Cut To Clipboard,
  • копировать - Copy To Clipboard,
  • вставить - Paste From Clipboard,
  • отменить действие - Undo,
  • печатать - Print,

Следующие кнопки активны только для вкладки Rich text)

  • выбрать шрифт - раскрывающийся список Font,
  • выбрать размер шрифта - счетчик Font Size,
  • выбрать жирное начертание - Bold,
  • выбрать начертание курсивом - Italic,
  • выбрать начертание с подчеркиванием - Underline,
  • выбрать выравнивание по левому краю - Align Left,
  • выбрать выравнивание по центру - Align Center,
  • выбрать выравнивание по правому краю - Align Right,
  • создать маркированный список - Bullets.

Настройка панелей инструментов

Смотрите также:

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений

Настройка панелей инструментов


Просмотр в виде таблицы

На основании полей таблицы или запроса создается форма табличного просмотра данных. Столбцы формируются из полей.

Если в просмотрщике открыты данные одной таблицы, то их можно добавлять, удалять, редактировать по усмотрению пользователя. Если в просмотрщик выведен результат запроса, то возможность редактирования данных зависит от запроса.

Все остальные операции с данными одинаковы для данных таблиц и для результатов запросов.

С помощью панели инструментов можно выполнять переход по записям, добавление и удаление строк и т.д.

Контекстное меню позволяет копировать ячейки, создавать уровни, устанавливать сводку по столбцам и т.д.

Основные операции с данными:

  • сортировка по столбцам,
  • группировка данных,
  • фильтрация данных,
  • создание и работа с несколькими уровнями,
  • просмотр в виде карточек,
  • сводка по столбцам,
  • изменение порядка столбцов.

Data View - Grid View

Выбор видимых столбцов

Можно указывать, какие из столбцов таблицы будут видимыми.

Делается это с помощью пункта контекстного меню Visible Columns или с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов. По нажатию на эту кнопку появляется окно, в котором, устанавливая флажки, Вы отмечаете видимые столбцы.

Data View - Grid View - Selecting visible columns

Изменение порядка столбцов

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место. Если в это место можно переместить столбец, то оно будет отмечено зелеными стрелочками, которые появятся при непосредственном приближении к месту вставки.

Data View - Grid View - Changing columns order

Смотрите также:

Панели инструментов

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Управление столбцами

Выбор видимых столбцов

Можно указывать, какие из столбцов таблицы будут видимыми.

Делается это с помощью пункта контекстного меню Visible Columns или с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов. По нажатию на эту кнопку появляется окно, в котором, устанавливая флажки, Вы отмечаете видимые столбцы.

Data View - Grid View - Selecting visible columns

Изменение порядка столбцов.

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место. Если в это место можно переместить столбец, то оно будет отмечено зелеными стрелочками, которые появятся при непосредственном приближении к месту вставки.

Data View - Grid View - Changing columns order

Смотрите также:

Группировка данных

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Группировка и сортировка данных

Чтобы отсортировать данные необходимо:

открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце и выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Вы можете группировать данные в таблице по одному или нескольким столбцам.

Для того, чтобы сгруппировать таблицу по столбцу необходимо перетащить заголовок столбца на специальную панель над таблицей, так называемую "панель группировки".

Data View - Grid View - Grouping data

Группировка по одному столбцу

Если на панель группировки Вы поместите заголовок поля, то все записи таблицы будут сгруппированы по этому полю.

Группировка по нескольким столбцам

Если на панель группировки Вы поместите заголовки нескольких полей, то все записи таблицы будут сгруппированы по этим полям в указанном порядке.

Таблица будет выглядеть следующим образом.

Data View - Grid View - Grouping data by two columns

В заголовках групп могут отображаться сведения о сгруппированных данных, если была задана сводка по столбцу.

На панели группировки тот заголовок, который находится ниже, является подчиненным. Группировка по нему будет проходить во вторую очередь. Объекты на панели группировки доступны для фильтрации данных.

Отменить группировку можно перетащив заголовок столбца обратно в таблицу. При этом можно изменить порядок столбцов.

Смотрите также:

Управление столбцами

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Фильтрование данных

Фильтр — это быстрый способ поиска подмножества данных и работы с ними в таблице. В отфильтрованной таблице отображаются только строки, отвечающие условиям, заданным для столбца.

Фильтр не меняет порядок записей. При фильтрации временно скрываются строки, которые не отвечают заданным условиям.

Фильтровать данные в таблице можно тремя способами:

1. С помощью пункта контекстного меню Quick Filter

Data View - Grid View - Quick Filter

Порядок действий:

  • вызвать контекстное меню для ячейки с данными,
  • выбрать пункт контекстного меню Quick Filter,
  • выбрать из открывшегося дочернего меню условие фильтрации.
  • = Value в таблице будут отображаться только те строки, которые в этом поле имеют такое же значение, как и активное (активное значение это то для которого было вызвано контекстное меню),
  • <> Value - в таблице будут отображаться только те записи, значение которых в этом поле не равно активному значению,
  • < Value - будут выбраны значения строго меньше активного,
  • > Value - будут выбраны значения строго больше активного,
  • <= Value - будут выбраны значения меньше активного и равные активному,
  • >= Value - будут выбраны значения больше активного и равные активному.

С помощью Quick Filter нельзя фильтровать данные BLOB-типов и sysname.

2. С помощью заголовков столбцов

Data View - Grid View - Filtering records

Load all rows задается в контекстном меню для текущей таблицы.

В заголовке каждого столбца имеется кнопка со стрелочкой. Если нажать на эту стрелочку, то появится список значений, содержащихся в этом столбце. Если выбрать одно из этих значений, то это и будет условие фильтрации. В таблице останутся видимыми только те строки, которые соответствуют этому условию.

Кроме того, можно задавать более сложные условия с помощью пункта списка значений (Custom...).

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Data management - Custom Filter

В этом диалоговом окне можно задать 2 условия фильтрации и их отношение - должны ли выполняться оба условия сразу, или достаточно выполнения одного.

С помощью этого окна очень удобно задавать интервалы.

Из раскрывающихся списков выбираем условие отбора:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between and,
  • не между - not between,
  • в - in,
  • не в - not in.

В поле указываем последовательность символов. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа. При выполнении условия отбираются только те значения, которые отвечают указанному условию. Например, из списка Вы выбрали пункт больше, а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.

Второе условие не является обязательным.

Установив переключатель в положение AND укажите, что оба условия должны выполняться одновременно, в положение OR укажите, что должно выполняться только одно из них.

3. С помощью кнопки на панели инструментов

Кнопка btnSetFilter открывает конструктор фильтров, с помощью которого Вы можете задать и применяете условия фильтрации.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации фильтра, которая открывается при нажатии на раскрывающийся список.

Смотрите также:

Управление столбцами

Группировка данных

Конструктор фильтров


Контекстное меню

С помощью контекстного меню Вы можете выполнять следующие действия:

Data View - Grid View - Using the context menu

  • копировать ячейки - Copy Cell,
  • вставить ячейки - Paste Cell,
  • копировать все записи - Copy All Records,
  • копировать выделенные записи - Copy Selected Records,
  • вставить записи - Paste Records
  • управлять данными - Data Manipulation, (в управление данными входит: экспортировать данные - Export Data, экспортировать данные в виде SQL скрипта - Export as SQL Script, импортировать данные - Import Data, осуществить массовый импорт данных - BULK INSERT.)
  • установить фильтр данных - Quick Filter,
  • удалить фильтр - Disable Filter,
  • отменить сортировку - Clear Sorting,
  • установить значение в ячейке - Set Value,
  • редактировать данные типа BLOB - Edit BLOB (этот пункт меню активен, для полей типа BLOB),
  • сохранить данные из ячейки типа BLOB в файл - Save BLOB to File (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB),
  • развернуть все - Expand All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • свернуть все - Collapse All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • перейти на следующую вкладку - Next Tab (этот и следующий пункты меню активны для результатов тех запросов, которые возвращают более одного DataSet. В этом случае для результата каждого запроса создается отдельная вкладка, а также для таблиц, имеющих более одного подуровня),
  • перейти на предыдущую вкладку - Previous Tab,
  • автоматически создать подуровни таблиц на основе имеющихся в таблице внешних ключей - Show Linked Tables Details.
  • работать с уровнями таблицы - Grid Levels,
  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),
  • удалить уровень - Delete Grid Level,
  • просмотр в виде таблицы - Table View,
  • просмотр в виде карточек - Card View,
  • установить сводку по столбцу - Column Summary...,
  • выбрать столбцы, которые будут отображаться - Visible Columns (также выбрать видимые столбцы можно с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов),
  • выровнять ширину столбцов - Fit Columns Widths,
  • выбрать режим сетки - Grid Mode (отображать все столбцы, отображать только видимые столбцы или режим по умолчанию),
  • Просмотреть и изменить свойства просмотрщика данных - Properties....(откроется Options | Environment Options | Grid)

Важно: Если включены опции CheckBox Show editor immediately и CheckBox Always show editor на вкладке Environment options | Grid, то для вызова контекстного меню ячейки необходимо выделить нужную ячейку и щелкнуть правой кнопкой мышки по заголовку таблицы. При щелчке правой кнопкой мыши по ячейки вызовется контекстное меню для редактирования ячейки.


Работа с несколькими уровнями

Одной из уникальных особенностей SQL Manager for SQL Server является возможность работать с данными в режиме нескольких уровней. Это позволяет изменять и просматривать данные в нескольких связанных таблицах одновременно.

Управлять уровнями можно с помощью пункта контекстного меню Grid Levels,

  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),
  • удалить уровень - Delete Grid Level,
  • просмотр в виде таблицы - Table View,
  • просмотр в виде карточек - Card View,

Когда добавлен уровень, то для каждой записи таблицы можно просмотреть соответствующие ей записи в другой таблице. Такая подчиненная таблица называется Подуровень.

Чтобы открыть (развернуть) подуровень таблицы нужно нажать на "+", который находится в начале строки. "-" сворачивает подуровень.

Подуровней может быть несколько. В этом случае каждый располагается на отдельной вкладке в окне подуровней. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Для того чтобы открыть подуровни для всех записей используется пункт контекстного меню Expand All.

Пункт Collapse All сворачивает все подуровни.

Data View - Grid View - Working in multi-level mode

Смотрите также:

Контекстное меню

Мастер создания уровней


Мастер создания уровней

Мастер создания уровней позволяет создать для таблицы новые подуровни для более удобного представления данных.

Create Grid Level - Specifying master level

Мастер создания уровней состоит из четырех шагов.

  • Выбор главной таблицы.
  • Выбор зависимой таблицы или запроса.
  • Установка связи между главной и зависимой таблицами.
  • Задание параметров.

Чтобы запустить Мастер, необходимо выбрать пункт дочернего меню Add Grid Level..., пункта контекстного меню Grid Levels.

Create Grid Level - Add Grid Level


Выбор главной таблицы

На первом шаге выберите таблицу или запрос, который будет являться главным уровнем, к которому потом нужно будет назначить подуровень.

Из раскрывающегося списка выберите главный уровень.

Далее, с помощью переключателя Source of New level data, выберите источник для подуровня.

RadioButton Если устанавливаете переключатель в положение Table, то на втором шаге вам будет предложено выбрать таблицу или представление.

RadioButton Если в положение Query, то на следующем шаге необходимо будет вручную написать запрос, определяющий подуровень.

Create Grid Level - Specifying master level

Следующий шаг


Выбор зависимой таблицы или запроса

Вид мастера на втором шаге зависит от того, какой источник для подуровня Вы выбрали на первом шаге.

Если в качестве источника Вы выбрали Table, то на втором шаге Вам будет предложено выбрать конкретную таблицу из раскрывающегося списка Table Name. В списке содержатся все имеющиеся в базе данных таблицы и представления. Вы можете уменьшить их число, установив флажок Show tables related by foreign keys only. В этом случае в списке останутся только те таблицы, которые связаны с главной с помощью внешнего ключа.

Create Grid Level - Defining source for detail level - Table

Если на первом шаге в качестве источника Вы выбрали запрос, то на втором шаге Вы должны будете создать запрос в редакторе запроса

Create Grid Level - Defining source for detail level - Query

В этом окне находится редактор SQL.

Вы можете написать SQL запрос вручную, можете скопировать его или с помощью кнопки Query Builder... Вы можете запустить Конструктор запросов, который откроется в модальном окне, и создать запрос там.

После того, как выбрана таблица или создан запрос, можно переходить к следующему шагу.

Следующий шаг


Установка связи между главной и зависимой таблицей

На третьем шаге выберите поля, по которым необходимо связать главную и подчиненную таблицы.

Из списков Master Level Key Columns и Detail Level Key Columns выберите поля главной и подчиненной таблиц, по которым эти таблицы будут связаны.

С помощью кнопки Add добавьте в список Links Between Master and Detail Levels новую связь, которая образуется из выбранных полей.

Связей может быть несколько. В этом случае, каждая подчиненная таблица будет отображаться на отдельной вкладке подуровня. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Удалить связь из списка можно с помощью кнопки Remove.

Если в таблице существуют внешние ключи, то с помощью кнопки From Foreign Key можно установить связь между полями таблиц в соответствии со связью, установленной во внешнем ключе. При нажатии на кнопку From Foreign Key открывается список внешних ключей таблицы, из которого можно выбрать тот в соответствии с которым необходимо установить связь.

Create Grid Level - Binding master and detail levels

Следующий шаг


Параметризация запросов

Если на шаге Выбор главной таблицы был выбран запрос, то на этом шаге Вам необходимо задать параметры. Форма для задания параметров будет использоваться в сетке данных в режиме 'Load visible rows'. Смотрите дополнительно Environment Options | Grid | Data Options.

Create Grid Level - Query parameterization

Следующий шаг


Задание параметров

На последнем шаге необходимо выбрать вид отображения подуровня и указать его заголовок.

Заголовок отображается в верхней части подуровня. Указать его можно в поле Level caption.

С помощью переключателя Level type выберите, в каком виде будут отображаться данные подуровня:

  • Table view - в виде таблицы,
  • Card View - в виде карточек.

Create Grid Level - Setting additional parameters

Нажав кнопку Finish, Вы закончите формирование уровня.


Просмотр в виде карточек

В окне табличного просмотра существует дополнительный режим просмотра - режим карточек Card View.

Если в таблице есть подуровни, то в виде карточек можно представить только самый нижний уровень иерархии подчинения.

Чтобы включить просмотр в виде карточек, необходимо использовать пункт дочернего меню Card View пункта контекстного меню Grid Levels.

Data View - Grid View - Working in card view mode

Чтобы вернуть вид таблицы, воспользуйтесь пунктом дочернего меню Table View пункта контекстного меню Grid Levels.

Смотрите также:

Контекстное меню


Сводка по столбцу

В SQL Manager for SQL Server существует специальный инструмент, позволяющий выводить итоговую информацию о столбце. С помощью этого инструмента можно вывести в нижнюю или в верхнюю часть таблицы некую сводку по столбцу.

инструмент создания сводок по столбцам вызывается с помощью пункта контекстного меню Column Summary....

В окне Column Summary из списка Column выберите столбец таблицы, для которого хотите отображать дополнительную информацию.

Footer summary отображает итоговую информацию в нижнем колонтитуле таблицы.

Group header - отображает информацию в заголовке сгруппированных данных.

Group footer - отображает данные в нижнем колонтитуле сгруппированных данных.

Информация, которую можно вывести для столбцов, имеющих числовой тип данных и тип datetime:

  • ничего - None,
  • сумму значений в столбце - Sum,
  • минимальное значение в столбце - Minimum,
  • максимальное значение в столбце - Maximum,
  • количество значений в столбце - Count,
  • среднее значение в столбце - Average.

Для всех остальных типов столбцов доступно только количество значений в столбце - Count.

В поле Number format задайте формат числа.

Data View - Grid View - Column Summary

Смотрите также:

Контекстное меню


Копирование строк

При копировании нескольких строк Вы можете задать соответствие полей таблицы и вставляемых строк.

Data View - Grid View - Associate columns

В списке Clipboard Columns отображаются поля копируемых строк.

В списке Grid Columns - поля таблицы, в которую копируются строки.

С помощью кнопок устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка Add All позволяет автоматически подобрать полям таблицы, в которую копируются данные соответствующие поля источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Remove All полностью очищает список соответствий.

CheckBox First row is a header

Если установлен этот флажок, то первая строка будет воспринята, как заголовок таблицы


Просмотр в виде формы

На вкладке Form View каждая запись представлена в Виде формы. Редактировать данные удобнее, когда они представлены в таком виде.

Data View - Form View

Если на вкладке Grid View Вы выделили строчку или ячейку, а затем перешли на вкладку Form View, то на этой вкладке отобразится выделенная запись.

Для каждой записи отображается:

  • название полей,
  • тип полей,
  • поля для редактирования данных.

Рядом с каждым полем расположен флажок Null. С его помощью можно это поле очистить. Вернуть удаленные данные, убрав флажок, не получится. Чтобы вернуть данные необходимо нажать на кнопку Query Builder - Working with diagram area - Close - отклонить изменения - Cancel edit на панели инструментов.

Переключаться между записями можно с помощью кнопок, расположенных на панели инструментов. Эти кнопки позволяют вам создавать, редактировать, удалять записи и перемещаться по записям таблицы базы данных.

Для каждого типа данных генерируется поле ввода соответствующее типу данных.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Для типов полей большого размера создаются большие текстовые поля.

Если Вы на этой вкладке зададите условия для фильтрования данных, то отобразится первая запись таблицы, отвечающая заданным условиям.

Дополнительные настройки форм просмотре можно задавать с помощью вкладки Дополнительные настройки в Environment Options.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Просмотр в виде печатной формы

На вкладке Print Data данные представлены в режиме полного графического соответствия печатного варианта и изображения редактируемого документа на экране.

Вы можете изменять вид печатной формы, задавать формат страницы, параметры печати, сохранять отчеты в файл и загружать из файла. Все это делается с помощью панелей инструментов.

Data View - Print Data

На верхней панели отображаются характеристики полей и колонтитулов печатного документа:

  • Left - левое поле,
  • Top - верхнее поле,
  • Right - правое поле,
  • Bottom - нижнее поле,
  • Header - верхний колонтитул,
  • Footer - нижний колонтитул.

На нижней панели отображается статистика:

  • Page - страницы,
  • количество страниц - Pages,
  • Paper size - размер бумаги,
  • Status - статус.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Редактор данных типа BLOB

Применение изменений


Параметры страницы

Чтобы открыть диалоговое окно настройки страницы для печати необходимо на панели инструментов нажать кнопку [image] Page Setup.

С помощью этого инструмента Вы можете настроить вид страницы при печати.

Настройки печати Вы можете задать на следующих вкладках:

Страница

Поля

Колонтитулы

Масштаб

Чтобы распечатать страницу, нажмите кнопку Print. Настройки печати укажите в открывшемся диалоговом окне Print.

Смотрите также:

Настройщик отчетов

Задание опций отчета

Печать


Страница

На вкладке Page укажите размер и ориентацию страницы.

Data View - Print Data - Page Setup - Page

Из списка Type выберите один из типовых размеров.

Если стандартные типы не подходят, то укажите высоту и ширину листа в разделе Dimension. В поле Width - ширину, в поле Height - высоту.

Из раскрывающегося списка Paper source выберите тип подачи бумаги.

С помощью переключателя в разделе Orientation выберите ориентацию страницы.

  • Portrait - книжная,
  • Landscape - альбомная.

Так данные представлены в табличной форме, то при печати необходимо указать последовательность вывода страниц в разделе Print Order:

  • Down, then over - вниз, затем вправо,
  • Over, then down - вправо, затем вниз.

Если установить флажок Print using gray shading, то при печати будут использоваться оттенки серого цвета, а не только черный и белый.


Поля

На вкладке Margins Вы можете указать размер полей документа и размер колонтитулов.

Data View - Print Data - Page Setup - Margins

  • Top - размер верхнего поля
  • Bottom - размер нижнего поля
  • Left - размер левого поля
  • Right - размер правого поля
  • Header - размер верхнего колонтитула
  • Footer - размер нижнего колонтитула

Если вы задали неподходящее значение, то нажмите на кнопку Fix, чтобы его исправить.

Нажатие на кнопку Restore Original возвращает настройки к настройкам по умолчанию.

С помощью флажков в разделе Center on page укажите, следует ли центрировать текст на странице.

Если установлен флажок Horizontally, то текст центрируется по горизонтали,

Если Vertically, то по вертикали.

Все указанные отображаются в разделе Preview.


Колонтитулы

На вкладке Header\Footer Вы можете задать свойства верхнего и нижнего колонтитулов.

Data View - Print Data - Page Setup - Header and Footer

Каждый колонтитул поделен на 3 раздела. В каждом разделе можно указывать разную информацию. Текст можно писать самостоятельно, а можно выбрать стандартный с помощью кнопок Predefined Function:

  • Machine name - имя компьютера,
  • User Name - имя пользователя,
  • Time Printed - время печати,
  • Date Printed - дата печати,
  • Date & Time Printed - дата и время печати документа,
  • Page # of Pages # - страница № из общего числа страниц
  • Total Pages - общее число страниц
  • Page # - номер страницы

Для колонтитула можно задавать шрифт - с помощью кнопки Font... и фон с помощью кнопки Background.

Выравнивание текста по вертикали осуществляется при помощи кнопок Vertical Alignment.

CheckBox Reverse on even pages

Если установлен этот флажок, то указанные колонтитулы будут отображаться на каждой странице.


Масштаб

На вкладке Scaling указывается масштаб страницы.

Adjust To - установить n процентов от натуральной величины. Проценты указываются в специальном поле.

Fit To - разместить не более чем на n страниц в ширину и n страниц в высоту. Количество страниц задается в специальных полях.

Data View - Print Data - Page Setup - Scaling


Настройщик отчетов

Настроить вид печатной формы можно с помощью инструмента Format report, который открывается при нажатии кнопки [image] Design Report на панели инструментов вкладки Print data просмотрщика данных.

Все инструменты располагаются на следующих вкладках:

  • Настройка отображаемых областей,
  • Характеристики (поведение),
  • Форматирование,
  • Стили,
  • Предварительный просмотр,
  • Карточки.

Data View - Print Data - Report Formatter - View

Нажав на кнопку Title Properties, Вы сможете задать параметры титульного листа отчета.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Параметры страницы

Задание опций отчета

Печать


Настройка отображаемых областей

На вкладке View, с помощью флажков, Вы можете выбрать те области, которые будут отображаться в отчете:

В разделе Show выберите те элементы, которые будут отображаться для всей таблицы.

  • Caption - строка заголовка страницы,
  • Bands - видимые диапазоны,
  • Headers - заголовки столбцов,
  • Footers - строки итогов,
  • Group Footers - область группировки данных
  • Expand Buttons -
  • Filter Bar - панель фильтра. Если данные были отфильтрованы, то в этой строке будет показано условие фильтрации.

Далее, в разделе On Every Page, Вы можете указать те разделы, которые будут на каждой страницы

  • Caption - строка заголовка страницы,
  • Bands - видимые диапазоны,
  • Headers - заголовки столбцов,
  • Footers - строки итогов,
  • Filter Bar - панель фильтра.

Data View - Print Data - Report Formatter - View

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Характеристики (поведение)

На этой вкладке задайте следующие характеристики:

В разделе Selection настройте параметры выделения:

  • Process Selection - процесс выделения,
  • Process Exact Selection - процесс точного выделения.

Разделы, для которых будет установлена ширина, соответствующая ширине страницы, выберите в разделе Expanding.

  • Groups - группы,
  • Details - детали,
  • Cards - карточки.

Если установлен флажок Auto Width, то ширина таблицы будет равна ширине страницы.

Data View - Print Data - Report Formatter - Behaviors

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Форматирование

Параметры форматирования задайте на вкладке Formatting.

Из раскрывающегося списка Look and Feel выберите оформление границ ячеек заголовка.

В разделе Refinements можно задать параметры сжатия отчета.

  • Transparent Graphics - прозрачные графические изображения,
  • Display Graphic As Text - отображать вместо графики текст,
  • Flat CheckMarks - использовать плоские флажки.

Suppress Background Textures - сглаживать текстуры фона.

Consume Selection Style - не применять стили выделения.

Параметры разбиение на страницы задайте в разделе Pagination.

By TopLevel Groups - разбиение на страницы в соответствии с группировкой,

One Group Per Page - одна группа на странице.

Data View - Print Data - Report Formatter - Formatting

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Стили

На этой вкладке Вы можете менять внешний вид отчета.

Data View - Print Data - Report Formatter - Styles

Если не установлен флажок Use Native Styles, то будет использоваться только стиль по умолчанию, изменения нельзя будет внести.

В списке находятся все элементы отчета, кроме того, для каждого элемента указан фон, вид и размер шрифта.

Для каждого элемента можно задать следующие свойства:

  • Font - шрифт,
  • Color - цвет,
  • Texture - текстура,
  • Clear - вернуть настройки по умолчанию

Нажав на кнопку Restore Defaults, Вы отмените все внесенные изменения для выделенного объекта и установите настройки по умолчанию.

С помощью кнопки Save As... Вы можете сохранить принятые изменения в файл схемы.

Все файлы схемы отображаются в списке Style Sheets. Нажав на кнопку New, Вы создадите новый файл схемы. Копировать нужную схему можно, нажав на кнопку Copy. Кнопка Delete удаляет выбранную схему. Чтобы переименовать активную схему нажмите на кнопку Rename.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Предварительный просмотр

Параметры предпросмотра задайте на этой вкладке

Если установлен флажок Visible, то будут отображаться строки группировки.

если установлен флажок Auto Height, то высота строк будет задана автоматически.

Задайте максимальное количество строк на странице в счетчике Max Line Count.

Data View - Print Data - Report Formatter - Preview

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Карточки

На этой вкладке Вы можете задать внешний вид карточек.

В разделе Sizes можно настроить размеры карточек:

  • установленный флажок Auto Width автоматически подгоняет ширину карточек
  • Keep Same Width - фиксирует исходную ширину.
  • Keep Same Height - фиксирует исходную высоту карточки.

В разделе Spacing задайте расстояние между карточками:

Horizontal - расстояние по горизонтали,

Vertical - расстояние по вертикали.

В разделе Framing можно задать параметры рамок карточек

  • Border - если установлен этот флажок, то у карточек будет внешняя граница,
  • Horizontal Lines - устанавливает внутри карточки горизонтальные разграничители для каждой строки
  • Vertical Lines - добавляет разграничители для столбцов.

С помощью инструментов в разделе Shadow задайте параметры тени карточек.

Color - цвет тени,

Depth - размер тени.

Data View - Print Data - Report Formatter - Cards

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Диаграммы

На этой вкладке Вы можете задать такое свойство диаграммы как прозрачность, установив флажок Transparent.

Data View - Print Data - Report Formatter - Charts

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Задание опций отчета

Опции

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Design Report [image] на панели инструментов и выберите пункт Preferences item.

Data View - Print Data - Report options

В разделе Show выберите элементы, которые будут отображаться на предварительном просмотре.

Margins - поля.

Margins hints - сведения о размере поля.

Margins hints while dragging - сведения о размере поля, отображающиеся при его изменении с помощью перетаскивания.

Из раскрывающегося списка Measurement Units выберите единицы измерения, в которых будет измеряться размер поля. Это могут быть дюймы (inches), миллиметры (millimeters) или единицы, принятые по умолчанию на этом компьютере. (default).

Параметры масштаба укажите в разделе Zoom Parameters.

CheckBox Zoom on roll with IntelliMouse

Если установлен этот флажок, то Вы можете менять масштаб страницы, вращая колесико мышки и удерживая клавишу Ctrl.

Zoom Step

В этом счетчике задайте процент изменения масштаб страницы, при Zoom on roll with IntelliMouse.

Из раскрывающегося списка Margins Color выберите цвет полей страницы.

Заголовок отчета

В этом диалоговом окне Вы можете задать настройки заголовка печатаемого документа.

Чтобы открыть это окно, нажмите кнопку Title... на панели инструментов.

Data View - Print Data - Report options - Title

Mode

Из этого раскрывающегося списка выберите, как должен отображаться заголовок.

On the first page - на первой странице.

On every top page - на каждой странице.

Not displayed at all - не отображать

На вкладке Text укажите Текст заголовка.

Properties

CheckBox Transparent

Если установлен этот флажок, то заголовок будет прозрачным.

Цвет заголовка выберите из раскрывающегося списка Color. Вы можете изменить цвет, только если не установлен флажок CheckBox Transparent.

Нажмите кнопку Font, чтобы задать шрифт заголовка в стандартном диалоговом окне.

CheckBox Adjust on scale

Если установлен этот

If this option is selected, the title can be adjusted on scale.

Alignment

В разделе Alignment укажите выравнивание заголовка по горизонтали (Horizontally) и вертикали (Vertically).

Для восстановления значений по умолчанию, нажмите кнопку Restore Defaults.

Дата и время

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Date and Time.

В открывшемся диалоговом окне задайте настройки даты и времени для документа.

Data View - Print Data - Report options - Date and Time

Из списков Available Date Formats и Available Time Formats выберите формат даты и времени.

При необходимости, Вы можете указать, что дата и время будут обновляться автоматически, установив флажок Update automatically.

Чтобы применить форматы даты и времени, принятые в системе по умолчанию, нажмите кнопку Default.

Нумерация страниц

Вы можете задать нумерацию страниц печатного документа.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Page Numbering.

Data View - Print Data - Report options - Page Number Format

Формат номера страницы выберите из раскрывающегося списка

RadioButton Continue from the previous section - продолжить нумерацию

RadioButton Start At - начать нумерацию. С какого значения необходимо начать нумерацию страниц, укажите в соответствующем поле.

Для восстановления значений по умолчанию, нажмите кнопку Defaults.

Масштаб

Параметры масштаб страницы укажите в этом окне.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Setup zoom.

Data View - Print Data - Report options - Zoom

Выберите одно из часто используемых значений масштаба (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) или укажите процент вручную в счетчике Percent.

RadioButton Page Width - по ширине страницы.

RadioButton Whole Page - целая страница.

RadioButton Two Pages - две страницы.

RadioButton Four Pages - четыре страницы.

RadioButton Many Pages = несколько страниц.

В разделе Preview отображаются принятые изменения.

Смотрите также:

Параметры страницы

Настройщик отчетов

Печать


Печать

Стандартное диалоговое окно Print позволит Вам настроить параметры печати.

Это окно открывается при нажатии кнопки btnPrintSetup на панели инструментов, или клавиш Ctrl+P.

Data View - Print Data - Print dialog

Чтобы начать печать, нажмите кнопку Print.

Если Вы хотите изменить параметры страницы, то нажмите кнопку Page Setup. В появившемся диалоговом окне Page Setup задайте необходимые настройки.

Смотрите также:

Параметры страницы

Настройщик отчетов

Задание опций отчета


Редактор данных типа BLOB

Если в таблице содержатся поля, имеющие тип данных BLOB (к этому типу относятся такие типы как: ntext, text, image, binary, varbinary, XML), то в просмотрщике данных появляется дополнительная вкладка Blob View. На этой вкладке можно редактировать любой тип данных, относящихся к BLOB. Для каждого типа создана своя вкладка:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как PDF

Data View - BLOB View

Работа с записями на вкладке Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Если в таблице присутствует несколько полей, имеющих тип данных BLOB, то выбирать поля для просмотра можно с помощью раскрывающегося списка Select BLOB Column на панели инструментов.

Для сохранения внесенных изменений, используйте кнопку Post Edit.

Data View - Applying changes

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Применение изменений


Редактировать в шестнадцатеричном представлении

На вкладке Hexadecimal Вы можете просмотреть и отредактировать информацию, содержащуюся в одной ячейке поля типа BLOB. В левой части формы содержимое ячейки представлено в шестнадцатеричном виде (шестнадцатеричные значения байтов), а в правой - в виде обычного текста.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - Hexadecimal

Смотрите также:

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как PDF


Редактировать как текст

На вкладке Text содержимое ячейки представлено в виде обычного текста, доступного для редактирования.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - Text

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как PDF


Редактировать как RTF

На вкладке Rich Text текст представлен в виде RTF (Rich Text Format). Его можно форматировать: изменять шрифт, менять начертание и размер шрифта, добавлять списки, устанавливать междустрочные интервалы и т.п.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - Rich Text

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как PDF


Редактировать как изображение

Если поле в базе данных имеет тип image, то добавить в это поле изображение, а также просмотреть его можно на вкладке Image инструмента Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

На панели в нижней части формы отображается информация о размере и формате изображения.

Data View - BLOB View - Image

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как HTML

Редактировать как XML

Редактировать как PDF


Редактировать как HTML

Если тип данных в ячейке HTML, то редактировать удобнее всего будет на вкладке HTML.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - HTML

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как XML

Редактировать как PDF


Редактировать как XML

Если тип данных в ячейке XML (eXtensible Markup Language), то просматривать и редактировать данные можно на вкладке XML.

Data View - BLOB View - XML

На вкладке XML данные представлены в виде таблицы со столбцами Name, Unique, Attributes и Value.

Вы можете изменять структуру XML документа с помощью контекстного меню или перетаскивания объектов.

Важно: При перетаскивании мышкой узла, удерживайте клавишу Shift, если хотите сделать его подузлом другого.

Управлять данными Вы можете с помощью кнопок, расположенных на панели инструментов и контекстного меню.

Контекстное меню

Это меню открывается при нажатии на рабочую область правой кнопкой мыши.

С помощью контекстного меню Вы можете:

  • Добавить узел (подузел выбранного) - Add a node.
  • Удалить выбранный узел - Remove node.
  • Копировать содержимое узла в буфер обмена - Copy node source to clipboard.
  • Вырезать выбранный узел - Cut node.
  • Копировать узел - Copy node.
  • Вставить узел - Paste node.

Нажмите кнопку [image], чтобы добавить или редактировать атрибут пункта.

Data View - BLOB View - XML - Item attributes

Используйте кнопки btnAddItem btnRemoveItem, чтобы добавить и удалить атрибуты.

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как PDF


Редактировать как PDF

На вкладке PDF вы можете просматривать PDF документы, iconLoadFromFile загружать их из файла и btnSave сохранять в файл. Для работы с PDF необходимо иметь установленный Adobe Acrobat Reader, функционал которого используется в этом просмотрщике.

Data View - BLOB View - PDF

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML


Применение изменений

После того, как Вы внесли изменения, нажмите кнопку Post Edit btnPostEdit на навигационной панели, чтобы сохранить внесенные изменения. Если Вы хотите отменить внесенные изменения, то нажмите кнопку Cancel Edit btnCancelEdit на навигационной панели.

Data View - Applying changes

Смотрите также:

Панели инструментов

Просмотрщик данных

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB


Конструктор фильтров

В SQL Manager for SQL Server имеется специальный инструмент для задания условий отбора данных в таблице просмотрщика данных. С помощью конструктора фильтров Вы можете не только создать условие отбора любого уровня сложности, но и сохранить его в файл и загрузить из файла (см. Кнопки конструктора фильтров), что позволяет многократно использовать один фильтр.

Запуск конструктора фильтров

Работа с условиями

Работа с группами

Применение фильтра

Filter Builder dialog - Setting filter criteria

Смотрите также:

Просмотрщик данных


Запуск конструктора фильтров

Конструктор фильтров можно открыть следующими способами:

  • с помощью кнопки Filter data btnSetFilter на Панели работы с записями,

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка и открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации, которая открывается при нажатии на раскрывающийся список.


Работа с условиями

Добавить новое условие можно двумя способами:

  • нажать кнопку press the button to add condition,
  • выбрать из меню, открывшегося при нажатии кнопки Filter пункт Add Condition.

Условия можно объединять в группы.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Надпись после AND указывает на группу, в которой находятся условия. Идентификатор главной группы - <root>.

Filter Builder dialog - Setting group operator

Далее необходимо указать одно или несколько условий отбора данных. Каждая строчка - это одно условие.

Добавить или удалить условие можно с помощью меню, которое открывается при нажатии на кнопку EllipsisButton .

  • добавить условие - Add Condition,
  • добавить группу - Add Group,
  • удалить группу или условие - Remove Row.

По нажатию на надпись, выделенную зеленым цветом, открывается список полей таблицы, запроса или представления. Из списка выбираем то поле, для которого хотим указать условие отбора.

Filter Builder dialog - Setting filter criteria

Нажав на следующую надпись, выбираем оператор из раскрывающегося списка.

Filter Builder dialog - Setting filter operator

В списке содержатся следующие операторы:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • похоже (для текстовых полей) - like,
  • не похоже (для текстовых полей) - not like,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between,
  • не между - not between,
  • в - in,
  • не в - not in.

(по умолчанию для числовых полей и полей типа datetime стоит оператор equals, для текстовых - like)

Для полей типа Дата в этом списке появляется ещё несколько операторов:

  • вчера - is yesterday,
  • сегодня - is today,
  • завтра - is tomorrow,
  • на прошлой неделе - is last week,
  • в прошлом месяце - is last month,
  • в прошлом году - is last year,
  • на этой неделе - is this week,
  • в этом месяце - is this month,
  • в этом году - is this year,
  • не следующей неделе - is next week,
  • в следующем месяце - is next month,
  • в следующем году - is next year.

Выбрав оператор, необходимо указать критерий отбора. При нажатии на надпись <empty> вместо этой надписи появляется поле для ввода значения. Тип поля соответствует типу данных. Для текста это текстовое поле, для числовых - счетчик, для даты и времени - календарь. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа.

Filter Builder dialog - Setting filter criteria values

Для операторов between и not between появляется два поля ввода, так как нужно указать интервал.

В поле указываем последовательность символов. При выполнении условия отбираются только те значения, которые отвечают указанному условию.

Например, оператор Вы выбрали is greater than (больше), а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.


Работа с группами

Условий для фильтра можно задавать несколько, а также объединять эти условия в группы и задавать отношения между группами условий.

Группы имеют иерархическую структуру. Групповой оператор распространяется на те группы, которые находятся внутри той группы, для которой он установлен.

В каждой группе задаются условия для одного поля.

Filter Builder dialog - Adding a new group

Добавить группу можно с помощью пункта Add Group контекстного меню, открывающегося при нажатии кнопки EllipsisButton

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Filter Builder dialog - Setting group operator

Групповых операторов четыре:

  • AND - одновременно должны выполняться все группы условий,
  • OR - выполняться должна хотя бы одна группа условий,
  • NOT AND - не должно выполняться хотя бы одно из перечисленных условий,
  • NOT OR - не должно выполняться ни одно из перечисленных условий.


Кнопки конструктора фильтров

Файл фильтра имеет расширение .flt. Открыть такой файл можно с помощью кнопки Open, расположенной внизу формы. Кнопка Save As позволяет сохранять созданный фильтр в файл.

Чтобы применить созданный фильтр, используйте кнопки Ok или Apply. При нажатии на Ok конструктор закроется, при нажатии на Apply останется открытым, и Вы сможете, исходя из результатов, исправить созданный фильтр.

Кнопка Cancel закрывает конструктор без сохранения изменений.

Filter Builder dialog - Applying filter conditions


Усечение данных

На вкладке Data вы можете выполнить усечение данных таблицы или определенных секций таблицы.

Для усечения данных таблицы выберите iconTruncateTable Truncate Table на навигационной панели Tools или на панели инструментов и подтвердите свой выбор в открывшемся диалоге.

Для усечения данных секций используйте iconTruncateTablePartition Truncate Table Partitions на навигационной панели Tools или на панели инструментов. В открывшемся окне выберите секции для усечения данных и нажимите OK. Данные выбранных секций будут удалены.

Data Management - Truncate Partitions


Средства импорта и экспорта данных

SQL Manager for SQL Server предоставляет пользователю набор инструментов для быстрого и удобного импорта и экспорта данных.

Экспорт данных

Экспорт данных осуществляется в файлы различных форматов. В том числе: MS Excel, MS Access, RTF, HTML, PDF. и т.д.

Экспорт данных как операторов INSERT

Экспорт данных в SQL скрипт как набор операторов INSERT.

Импорт данных

Импортирует данные из файлов разных форматов: MS Excel, MS Access, DBF, TXT, CSV, XML, MS Excel 2007, MS Word 2007, ODF Spreadsheets, ODF Text.

Массовый импорт

Загружает данные в таблицу или представление.

Использование шаблонов.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Инструменты

Службы

Настройки

Внешние инструменты

Как...


Мастер экспорта данных

Мастер экспорта данных - Export Data Wizard - позволяет экспортировать данные из таблиц базы данных, представлений, результатов запроса в файлы самых распространенных форматов.

Экспорт данных можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор SQL и Конструктор запросов.

Этот инструмент открывается с помощью кнопки Export Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных. Содержится в подменю пункта Data Manipulation.

Задание имени и формата выходного файла

Выбор экспортируемых полей

Настройка форматов данных

Установка колонтитулов

Задание особенностей форматов

Задание общих опций экспорта

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Мастер массового импорта

Использование шаблонов


Задание имени и формата выходного файла

На этом шаге мастера экспорта данных Вам необходимо:

  • выбрать формат выходного файла - в разделе Destination format - установив переключатель напротив нужного формата,
  • в поле Destination file name укажите имя выходного файла и путь к нему с помощью кнопки btnSaveAs .

Export Data - Setting destination file name and format

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.

Смотрите также:

Поддерживаемые форматы файлов


Выбор экспортируемых полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Из списка Available Columns выберите доступные поля и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available , перетаскивания или двойного щелчка мыши, переместите их в список экспортируемых полей - Selected columns. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Установленный флажок Allow Caption указывает на то, что первой заголовки столбцов будут вынесены в первую строку.

Export Data - Selecting fields for export

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Настройка форматов данных

На третьем шаге задайте, в каком формате будут отображаться данные.

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL.

Export Data - Adjusting data formats

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка колонтитулов

На этом шаге можно задать текст, который будет отображаться в верхнем и нижнем колонтитулах выходного файла.

Если Вы выбрали формат файла, не поддерживающий колонтитулы, то этого шага не будет.

В поле Header text укажите текст верхнего колонтитула.

В поле Footer text - нижнего.

Этот текст будет повторяться на каждой странице выходного файла.

Export Data - Setting header and footer

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание особенностей форматов

Набор опций на пятом шаге определяется выбранным форматом выходного файла.

Для следующих форматов можно указывать различные свойства на пятом шаге:

Excel 97-2003

Access

Word 97-2003 / RTF

HTML

PDF

TXT

CSV

XML

Excel / ODF Spreadsheets

Excel / ODF Text

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Excel

Если данные будут экспортированы в файл формата Excel, то на пятом шаге Вы можете указать следующие свойства:

  • формат данных - на вкладке Data format,
  • расширения - на вкладке Extensions,
  • оформление - на вкладке Advanced.

Export Data - Format-specific options - Excel

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Оформление таблицы и данных

Вкладка Data format содержит инструменты, необходимые для форматирования ячеек выходного файла.

Вы можете задавать такие параметры как шрифт, выравнивание, границы и т.д. для всех типов ячеек (ячеек с данными, заголовков, ссылок и т.д.). Можно также создавать стили, которые могут быть применены ко всем типам ячеек.

Оформление Полей

Опции

Стили

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Оформление Полей

На вкладке Columns для каждого поля Вы можете указать совокупность параметров, определяющих его внешний вид.

Export Data - Format-specific options - Excel - Data Format - Fields

Все инструменты, отвечающие за настройки шрифта, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата кнопка [image] [image] [image] [image] , значит граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

На вкладке Aggregate Вы можете задать для столбца одну итоговую функцию. Это значит что для данных в столбце будет найдено:

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

RadioButton нет итоговой функции - None,

RadioButton сумма - SUM,

RadioButton или среднее арифметическое - AVG,

RadioButton или минимальное значение - MIN,

RadioButton или максимальное значение - MAX.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Опции

На вкладке Options есть возможность задать свойства вспомогательного текста:

  • верхний колонтитул - HEADER,
  • заголовок - CAPTION,
  • итоговые функции - AGGREGATE,
  • нижний колонтитул - FOOTER,
  • ссылка - HYPERLINK.

Export Data - Format-specific options - Excel - Data Format - Options

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы можете выбрать узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Стили оформления

Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

Стили создаются на вкладке Styles.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Export Data - Format-specific options - Excel - Data Format - Styles

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Расширения

Вкладка Extensions позволяет:

создавать ссылки в ячейках - объекты Hyperlinks,

создавать примечания для любой ячейки выходного файла - Notes,

задавать свойства диаграммы - Charts,

определять значение и тип ячейки - Cells,

указывать какие ячейки следует объединить - Merged Cells

Все эти объекты представлены в виде иерархического списка.

Чтобы создать объект необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Ссылки

На этой вкладке Вы можете изменять параметры созданной гиперссылки.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Важно: Если Вы создали гиперссылку, то её название, указанное в поле Title, заменит содержимое ячейки, для которой Вы её создали.

Свойства гиперссылки:

С помощью счетчиков Col и Row задайте ту ячейку, в которой будет находиться гиперссылка.

Col - номер столбца, Row - номер строки.

В разделе Style выберите тип ссылки:

RadioButton URL - адрес в интернете,

RadioButton Local file - файл на компьютере, на котором запущен SQL Manager for SQL Server, или в локальной сети.

В поле Title укажите имя гиперссылки.

В поле Target задайте путь к файлу или web странице.

Кнопка EllipsisButton позволяет выбрать файл из имеющихся на компьютере или в локальной сети.


Примечания

Примечание представляет собой какие-либо замечания, относящиеся к ячейке и хранящиеся независимо от содержимого этой ячейки. Ячейки с примечаниями помечаются треугольником в правом верхнем углу. При наведении указателя на ячейку, помеченную таким образом, отображается примечание.

Для создания примечаний к ячейкам выходного файла на вкладке Extensions существует вкладка Notes.

Параметры каждого примечания Вы можете задать на вкладках Base, Font и Fill.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

Вкладка Base

С помощью счетчиков Col и Row Вы можете задать ту ячейку, в которой будет находиться примечание. Col - номер столбца, Row - номер строки.

В поле Text пишете текст примечания.

Все инструменты, отвечающие за шрифт примечания, находятся на вкладке Font:

Export Data - Format-specific options - Excel - Extensions - Notes - Font

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

В разделе Orientation выбирается ориентация текста в окне примечания.

На вкладке Fill Вы можете задать вид фона окна примечания.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill

RadioButton Solid - фон однородный,

RadioButton Gradient - будет использован градиент фонового цвета,

  • Horizontal - горизонтальный,
  • Vertical - вертикальный,
  • Diagonal Up - диагональная_1,
  • Diagonal Down - диагональная_2,
  • From Corner - из угла,
  • From Center - от центра.

Кнопка [image] отвечает за цвет фона.

Кнопка [image] позволяет выбрать цвет узора.

Передвигая ползунок Transparency от отметки 0% до 100%, Вы можете задать степень прозрачности окна примечания. 100% - наибольшая степень прозрачности.


Диаграммы

Вы можете создать диаграмму в выходном файле Microsoft Excel.

Для этого на вкладке Extensions нужно создать объект Chart.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

Основные свойства диаграммы можно задать на вкладке Base.

В поле Title укажите имя диаграммы.

Из раскрывающегося списка Style выберите тип диаграммы. Список состоит из стандартных типов диаграмм, таких как гистограмма, круговая, точечная и т.д.

В разделе Legend position укажите положение легенды:

RadioButton Bottom - под диаграммой,

RadioButton Corner - в углу,

RadioButton Top - над диаграммой,

RadioButton Right - справа от диаграммы,

RadioButton Left - слева от диаграммы.

CheckBox Если установлен флажок Show legend, то легенда будет отображаться.

CheckBox Если установлен Флажок Auto color, то на диаграмме каждая серия будет выделена своим цветом. Если не установлен, то все серии будут одного цвета.

На вкладке Position задается расположение диаграммы на листе.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

RadioButton Автоматическое - Auto:

В разделе Placement указывается положение диаграммы относительно данных.

RadioButton Bottom - под данными,

RadioButton Right - справа от данных.

Ниже, с помощью счетчиков, указываются размер диаграммы и отступы сверху и слева в сантиметрах.

Left - расстояние до данных слева,

Top - расстояние до данных сверху,

Height - высота диаграммы,

Width - ширина диаграммы.

RadioButton В разделе Custom можно указать абсолютное положение диаграммы.

На вкладке Category Labels Вы можете указывать, в каких строках и столбцах строить диаграмму.

Из раскрывающегося списка Column выберите столбец таблицы, который будет являться осью X в диаграмме или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

Для того, чтобы построить диаграмму, необходимо создать объект Series. Без него невозможно построить диаграмму.

Этот объект указывает на те значения, которые будут располагаться в диаграмме по оси Y.

Для одной диаграммы может быть создано несколько серий.

Свойства серий задаются на специальной вкладке:

Export Data - Format-specific options - Excel - Extensions - Series

Title - название серии,

Column - столбец таблицы, значения которого будут образовывать серию или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Нажав на кнопку [image] , Вы можете задать для серии цвет.


Ячейки

На этой вкладке Вы можете задать формат ячейки и значение, которое в ней будет находиться.

В счетчике Col укажите номер столбца, в Row - строки. На их пересечении будет находиться редактируемая ячейка.

Тип ячейки выберите из раскрывающегося списка Cell type. В поле Value задайте значение, которое будет находиться в этой ячейке.

В разделе Formats укажите, в каком виде будут отображаться данные, если они являются числовыми или датой.

В поле Data укажите вид, в котором должны отображаться данные типа дата и время, а в поле Numeric - укажите формат числовых значений.

Export Data - Format-specific options - Excel - Extensions - Cells

Инструменты, располагающиеся на вкладках Font, Borders и Fill соответствуют инструментам на вкладке Columns.


Объединенные ячейки

С помощью набора инструментов раздела Merged Cells Вы можете объединить ячейки в выходном документе.

При необходимости можно создать несколько объединенных ячеек. Для этого на вкладке Extensions необходимо создать несколько объектов Merged Cells.

С помощью счетчиков задайте ячейки, которые необходимо объединить:

  • First col - первый столбец,
  • First row - первая строка,
  • Last col - последний столбец,
  • Last row - последняя строка.

Export Data - Format-specific options - Excel - Extensions - Merged Cells


Оформление страницы

На вкладке Advanced Вы можете задать общие свойства страницы:

Export Data - Format-specific options - Excel - Advanced

  • верхний колонтитул страницы - в поле Page header,
  • нижний колонтитул страницы - в поле Page footer,
  • название листа - в поле Sheet title,
  • фон страницы - с помощью раскрывающегося списка Page background.

CheckBox Если установлен флажок Calculate column width automatically, то ширина столбцов задается автоматически исходя, из размеров поля.

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Access

Если данные экспортируются в Access, то на пятом шаге необходимо будет указать опции таблицы. В поле Table name указать имя таблицы. Если не существует таблицы с таким именем, то её можно создать, установив флажок Create new table if it does not exist.

Export Data - Format-specific options - Access

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Word 97-2003 / RTF

При экспорте данных в документ Microsoft Word (*.doc) или Rich Text Format (*.rtf) можно указать следующие свойства выходного файла:

  • Базовые стили
  • Стили оформления строк

Export Data - Format-specific options - Word

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Базовые стили

На вкладке Base Styles Вы можете указать основные свойства выходного документа.

Из списка выберите объект, для которого необходимо задать свойства:

верхний колонтитул - HEADER,

заголовок - CAPTION,

нижний колонтитул - FOOTER,

ссылка - HYPERLINK.

В разделе Page orientation установите ориентацию страницы:

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Export Data - Format-specific options - Word - Base Styles

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного объекта и для всех объектов соответственно.


Стили оформления строк

На вкладке Styles Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Export Data - Format-specific options - Word - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного стиля и для всех стилей соответственно.


Особенности экспорта в HTML

Если Вы экспортируете данные в HTML, то для выходного файла Вы можете задать следующие характеристики:

  • оформление таблицы в выходном файле можно выбрать из предлагаемых форматов на вкладке Preview,
  • основные свойства выходного файла можно указать на вкладке Basic,
  • свойства многостраничного документа можно задать на вкладке Multi-file,
  • шрифт и формат ячеек таблицы укажите на вкладке Advanced.

Export Data - Format-specific options - HTML

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Автоформат

На вкладке Preview Вы можете задать внешний вид таблицы данных.

Из раскрывающегося списка Template можно выбрать уже готовый шаблон оформления документа. В окне предпросмотра показано, как будет выглядеть итоговая таблица, если к ней применить выбранный шаблон оформления.

Export Data - Format-specific options - HTML - Preview

Для того, чтобы изменить шаблон, достаточно нажать на любой элемент в окне предпросмотра. При нажатии на элемент появится стандартная палитра, из которой можно выбрать нужный цвет для этого элемента.

Можно изменять цвет текста, цвет фона и различных видов гиперссылок и т.д..

Внесенные изменения можно сохранить в виде шаблона с помощью кнопки Save template. В этом случае при следующем экспортировании Вы уже сможете воспользоваться готовым шаблоном, загрузив его с помощью кнопки Load template.


Базовые опции

Свойства выходного файла Вы можете задать на вкладке Basic.

Export Data - Format-specific options - HTML - Basic

Название выходного HTML файла указывается в поле Title. По умолчанию оно соответствует имени экспортируемого объекта.

В разделе Cascade style sheet options можно выбрать место хранения таблицы стилей:

RadioButton Internal - означает, что стили будут храниться в самом выходном HTML файле,

RadioButton External - для таблицы стилей будет создан отдельный файл формата *.css.

В поле CSS file name укажите имя CSS файла, а также выберите, куда его сохранить, с помощью кнопки EllipsisButton .

Если установлен флажок Overwrite CSS file if it exist, то при создании нового CSS файла существующий будет заменен новым.

CheckBox Установив флажок Export boolean fields as HTML check boxes, укажите, что все поля таблицы, которые имеют формат boolean, в выходном файле будут отображаться в виде флажков.


Многостраничный документ

SQL Manager for SQL Server позволяет экспортировать таблицы, содержащие любое количество записей. Для того чтобы в выходном HTML файле было удобно просматривать таблицы с большим количеством записей при экспорте Вы можете указать, что выходной файл будет многостраничным, а также указать количество строк на каждой странице.

В разделе Multi-file export Вы можете задать параметры выходного многостраничного документа:

CheckBox Use Multi-file export. Установив этот флажок, укажите, что создаваемый HTML документ будет многостраничным, в счетчике Record(s) in a single file Вы устанавливаете, сколько записей будет содержаться на каждой странице.

CheckBox Если флажок Generate index установлен, то будет создана страница содержания, в которой будут ссылки на все страницы с данными. В поле пишете название страницы, которое будет отображаться в содержании рядом с номером страницы.

Export Data - Format-specific options - HTML - Multi-file

В многостраничном HTML документе должна существовать система перехода от одной страницы к другой, а также к содержанию.

Раздел Navigation становится активным только если выбрана опция Use multi-file export.

В разделе Navigation задайте свойства навигационных элементов управления, то есть тех, которые обеспечивают переход между страницами документа. Навигация по многостраничному документу обеспечивается с помощью ссылок, которые выстроены в одну строку. Эту строку можно поместить:

CheckBox вверху страницы - установив флажок On top,

CheckBox внизу страницы - установив флажок On bottom.

Далее в текстовых полях указывается текст ссылок:

  • Index link - текст ссылки на страницу содержания,
  • First link - текст ссылки на первую страницу с данными,
  • Prior link - текст ссылки на предыдущую страницу с данными,
  • Next link - текст ссылки на следующую страницу с данными,
  • Last link - текст ссылки на последнюю страницу с данными.


Оформление выходного файла

Как будет выглядеть выходной файл, можно задать с помощью инструментов на вкладке Advanced.

В разделе Body options задаются свойства для всей страницы:

  • шрифт всех страниц выходного файла - Default font,
  • фон документа (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты страницы

В разделе Table Options Вы можете указать некоторые свойства таблицы данных, такие как:

  • отступ ячейки - счетчик Cell padding,
  • расстояние между ячейками - Cell spacing,
  • внешняя границы таблицы - Border
  • фон таблицы (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты таблицы.

Export Data - Format-specific options - HTML - Advanced


Особенности экспорта в PDF

Если данные будут экспортированы в файл формата PDF, то на этом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - PDF

Из списка выберите объект, для которого необходимо задать вид шрифта:

Верхний колонтитул - Header font,

Заголовок - Caption font,

Ссылка - Hyperlink.

Нижний колонтитул - Footer font.

Из раскрывающегося списка Base font name выберите нужный шрифт. Кодировку выберите из списка Font encoding.

В счетчике Font size укажите размер шрифта.

Кнопка Font color отвечает за цвет шрифта.

В поле, расположенном ниже, Вы можете видеть все изменения производимые с объектом. Они отображаются на образце текста "SAMPLE".

В разделе Page options можно задать свойства страницы:

  • из раскрывающегося списка Page size выберите размер страницы. По умолчанию стоит размер А4,
  • ширина страницы указывается в счетчике Width,
  • высота - в счетчике Height,
  • в раскрывающемся списке Units содержатся единицы измерения, в которых указан размер страницы,
  • из раскрывающегося списка Orientation выберите ориентацию страницы: (Portrait - книжная, Landscape - альбомная).

В разделе Margins можно задать размер полей страницы:

Left - левого,

Right - правого,

Top - верхнего,

Bottom - нижнего.

Grid options. В этом разделе можно задать некоторые свойства таблицы:

Col spacing - количество пробелов для выравнивания столбца,

Row spacing - количество пробелов для выравнивания строки,

Line width - толщина линий таблицы.

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в TXT

Если данные будут экспортированы в файл формата TXT, то на этом шаге Вы можете указать следующие свойства:

CheckBox В выходном файле автоматически будет вычисляться ширина столбцов, если установить флажок Calculate column width,

расстояние между ячейками можно задать, используя счетчик Spacing.

Export Data - Format-specific options - TXT

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в CSV

Если данные будут экспортированы в файл формата CSV, то на этом шаге Вы можете указать следующие свойства:

CheckBox Если установлен флажок Quote strings, то каждое значение, содержащееся в ячейке, будет заключено в кавычки; из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные;

CheckBox Поставьте флажок Quote captions чтобыприменить квотирование заголовков колонок таблицы.

Из раскрывающегося списка Delimiter можно выбрать разделитель столбцов.

Export Data - Format-specific options - CSV

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в XML

Если данные будут экспортированы в файл формата XML, то на этом шаге Вы можете указать следующие свойства:

кодировку - выбирается из раскрывающегося списка Encoding,

CheckBox флажок Standalone устанавливается в том случае, если необходимо создать автономный XML документ. (standalone="yes")

Из раскрывающегося списка XML type выберите используемый тип XML.

CheckBox Если выбран тип Access, то можно установить флажок Export XSD Schema, который позволит экспортировать и XSD схему.

Export Data - Format-specific options - XML

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Excel / ODS

Если данные будут экспортированы в файл формата Excel 2007 или ODS, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Excel 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Strip Styles задайте различный цвет для столбцов или строк.

Export Data - Format-specific options - Excel 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета. Нажав на кнопку Wrap text, укажите, что текст в ячейках будет переноситься по словам.

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Word / ODT

Если данные будут экспортированы в файл формата Word 2007 или ODT, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Word 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета.

CheckBox Если установлен флажок Highlight, то из раскрывающегося списка можно выбрать цвет, которым будет выделен текст.

На вкладке Strip Styles задайте различный цвет для столбцов или строк.

Export Data - Format-specific options - Word 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

На вкладке Border задайте параметры границы:

Export Data - Format-specific options - Word 2007 - Border

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание общих опций экспорта

На последнем шаге у Вас есть возможность задать общие свойства экспорта данных.

CheckBox Export empty tables - установка этого флажка позволяет экспортировать пустую таблицу в файл.

Skip n records - Пропустить n записей. Если в счетчике стоит 0, то экспортированы будут все записи. Если же больше нуля, то первые n записей будут пропущены.

RadioButton Чтобы экспортировать все записи, установите Export all records.

RadioButton Export only n records - этот счетчик позволяет экспортировать только указанное количество записей.

CheckBox Чтобы открыть файл после экспорта, установите флажок Open file after export.

CheckBox Print file after export - установив этот флажок, Вы можете распечатать файл после экспорта.

Export Data - Setting common export options

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в специальном окне.

Export Data - Exporting data

О выполняемой операции отображается следующая информация:

  • Exported - количество экспортированных записей,
  • Time - время, затраченное на экспортирование записей,
  • Speed - скорость экспорта данных.

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если флажок не установлен, то можно изменить свойства импорта, не открывая мастер заново.

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Мастер импорта данных

Мастер импорта данных - Import Data Wizard - позволяет импортировать данные в таблицу, представление или результат запроса из файлов самых распространенных форматов.

Импорт данных можно осуществлять только с помощью тех редакторов, в которых есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор SQL и Конструктор запросов.

Этот инструмент открывается с помощью кнопки Import Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Указание файла источника данных

Выбор источника данных

Указание соответствия полей

Настройка форматов данных

Определение форматов полей

Выбор метода импорта

Настройка общих опций

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта

Мастер массового импорта

Использование шаблонов


Указание файла источника данных

На первом шаге мастера импорта данных Вы должны указать тип файла, из которого будет импортироваться информация, и путь к этому файла.

Import Data - Selecting source file name and format

Import type с помощью переключателя выберите тип файла из доступных:

  • MS Excel,
  • MS Access,
  • DBF,
  • XML,
  • TXT,
  • CSV,
  • HTML
  • XML Generic
  • MS Excel 2007
  • MS Word 2007
  • ODF Spreadsheets
  • ODF Text

Для файла имеющего формат CSV можно указать дополнительные свойства:

  • Из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные,
  • из раскрывающегося списка Delimiter можно выбрать разделитель столбцов.

В строке Source file name укажите путь к файлу источнику. При нажатии на кнопку ExplorerButton открывается стандартное диалоговое окно позволяющее выбрать файл.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор источника данных

Этот шаг доступен только тогда, когда Вы импортируете данные из базы данных MS Access.

На этом шаге нужно выбрать таблицу или запрос базы данных Access, или в редакторе запросов создать новый запрос к базе данных. Текст запроса можно загрузить из файла, используя кнопку Load from file, и сохранить в файл при помощи кнопки Save to File.

Установив переключатель в пункт I would like to import data from a table, Вы получаете возможность выбрать для импорта таблицу или запрос из базы данных.

Если переключатель установлен в пункт I would like to import data from a SQL query, то в редакторе запросов можно создать текст запроса к базе данных.

Import Data - Selecting data source

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Указание соответствия полей

При импорте данных в таблицу необходимо установить соответствие полей между таблицей, в которую данные будут импортироваться, и таблицей, из которой они импортируются.

Все операции по установлению этого соответствия проводятся на втором шаге (если импортируете данные из MS Access, то на третьем, так как существует дополнительный шаг).

Для каждого формата файлов существуют свои особенности установки соответствия полей:

Excel 97-2003

MS Access / DBF / XML Datapacket

TXT

CSV

HTML

XML Generic

MS Excel / Word, ODF

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Excel 97-2003

На этом шаге необходимо установить соответствие между столбцами с данными в книге MS Excel и полями в таблице.

Import Data - Setting fields correspondence - Excel

В левой части, в списке Columns, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа MS Excel.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill Cols - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconAutoFillRows Auto Fill Rows - автоматически устанавливает соответствие между полем и строкой,

Кнопка iconCross Clear Ranges - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Объект в списке Ranges можно открыть для редактирования двойным щелчком мыши.

Import Data - Setting fields correspondence - Excel - Range

В разделе Range Type задайте тип диапазона.

Из раскрывающегося списка выберите, будет ли это диапазон строк (Row) или столбцов (Col). Затем из списка, расположенного рядом, выберите начало диапазона.

В разделах Start и Finish задайте параметры начала и конца редактируемого диапазона.

Это можно сделать автоматически, установив флажок Where data started для начала и Where data Finished для конца диапазона или вручную указать номер строки или столбца в счетчиках Start Row и Finish Row.

Выберите направление считывания данных с помощью переключателя Direction.

  • Down - вниз,
  • Up - вверх.

Также можно указать лист в книге Microsoft Excel, на котором располагаются нужные данные. Если в разделе Sheet выбрать Default Sheet, то будут использованы данные первого листа. Если установить переключатель в положение Custom Sheet, то можно указать нужный лист по номеру (Sheet number) или по имени (Sheet name).

Следующий шаг


Access/DBF/XML Datapacket

Для форматов Access, DBF и XML этот шаг одинаков.

В списке Destination Columns отображаются поля таблицы, в которую импортируются данные.

В списке Source Columns - поля таблицы, из которой импортируют данные.

С помощью кнопок между списками устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка iconPlus Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка iconAutoFillColumns Auto Fill позволяет автоматически подобрать полям таблицы, в которую импортируются данные соответствующие поля из таблицы источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Clear полностью очищает список соответствий.

При импорте данных из файла формата DBF появляется дополнительный флажок Skip deleted records. Установка этого флажка позволяет пропустить при импорте записи, помеченные на удаление.

Import Data - Setting fields correspondence - Access

Следующий шаг


TXT

На этом шаге необходимо установить соответствие между столбцами с данными в текстовом документе и полями в таблице.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент текстового документа - источника данных.

В текстовом документе не существует такого понятия как поля или столбцы, поэтому в SQL Manager for SQL Server при экспорте нужно вручную устанавливать разграничители столбцов для текстовых файлов. Разграничители представляют собой вертикальные черные линии, отделяющие один столбец от другого. Изначально в документе разгарничителей нет. Устанавливаются они с помощью двойного щелчка мыши на макете документа. Разграничители должны быть между столбцами, а также перед первым столбцом и после последнего. Размер столбца определяется количеством символов в нем. Для этого сверху и снизу макета документа предусмотрены линейки, на которых каждое деление соответствует символу.

Соответствие между столбцами устанавливается следующим образом:

В списке полей таблицы выбирается поле. В макете документа выбирается столбец. Если соответствие установлено, то рядом с названием поля появляются две цифры. Первая - это номер символа, с которого начинается столбец, вторая - количество символов в столбце.

Import Data - Setting fields correspondence - TXT

Если хотите удалить все установленные соответствия, то нажмите кнопку Clear.

С помощью счетчика Skip Lines можно указать, сколько первых строк не учитывать при импорте. Таким образом, исключаются заголовки столбцов из импортируемых данных.

Из раскрывающегося списка Charset выберите кодировку.

Следующий шаг


CSV

Чтобы при импорте данных из файла формата CSV все столбцы данных корректно отображались на втором шаге необходимо на первом шаге правильно указать разделитель столбцов.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент документа CSV. Все столбцы в нем пронумерованы. Соответствие столбцов устанавливается по номеру столбца документа CSV.

Чтобы установить соответствие поля таблицы, куда импортируют данные, и столбца в документе-источнике данных необходимо выделить поле в списке полей и выделить столбец в макете документа CSV или выбрать нужный номер столбца из списка Col. Если связь установлена, то напротив названия поля появится номер столбца, который поставлен в соответствие с этим полем.

Import Data - Setting fields correspondence - CSV

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами.

Кнопка iconCross Clear All - удаляет все соответствия.

Чтобы в импортируемые данные не попали заголовки столбцов можно указать число первых строк, которые при импорте будут пропущены. Сделайте это с помощью счетчика Skip.

Следующий шаг


HTML

На этом шаге необходимо установить соответствие между столбцами с данными в таблице HTML файла и полями в таблице базы данных.

Import Data - Setting fields correspondence - HTML

В левой части, в списке Columns, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

Из раскрывающегося списка Table выберите номер таблицы, из которой хотите импортировать данные. Это сделано на тот случай, если в HTML документе не одна таблица, а несколько.

В счетчике Col укажите номер столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг


XML Generic

На этом шаге необходимо установить соответствие между столбцами с данными в документе XML и полями в таблице.

Import Data - Setting fields correspondence - XML Document

В левой части, в списке Columns, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа XML Document.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Чтобы заполнить таблицу на форме текстом соответствующих подузлов необходимо в поле XPath указать путь в формате XML и нажать на кнопку iconAutoFillColumns Fill Grid

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг


MS Excel/Word, ODF

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

MS Excel 2007/ODF Spreadcheets

На этом шаге необходимо установить соответствие между столбцами с данными документа и полями в таблице базы данных.

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

В левой части, в списке Columns, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В поле Col укажите название столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг


Настройка форматов данных

На этом шаге необходимо указать вид представления данных для импортируемого файла. Этот вид должен соответствовать представлению данных в том файле, откуда эти данные импортируются.

Import Data - Adjusting data formats

Date & Time formats в этом разделе задаются форматы для отображения даты и времени.

  • Short date - Дата (краткий формат),
  • Long date - Дата (расширенный формат),
  • Short time - Время (краткий формат),
  • Long time - Время (расширенный формат).

В разделе Separators указываются символы, которые будут являться разделителями разрядов.

  • Decimal - Десятки,
  • Thousand - Тысячи,
  • Date - Дата,
  • Time - Время.

Boolean True - в этом поле водится текст, который отображается, если значение в ячейке "истина" (значение будет "истина" при совпадении данных в документе и в этом поле),

Boolean False в этом поле водится текст, который отображается, если значение в ячейке "ложь",

Null Values в этом поле водится текст, который отображается, если значение в ячейке NULL

Дополнительно смотрите Форматы данных

Следующий шаг


Определение форматов полей

На этом шаге Вы можете выбрать из списка Column name поле и указать в разделе Formats набор свойств, определяющих формат этого поля.

Import Data - Setting advanced field formats

Generator value - генератор значений. Если поле, в которое импортируются данные, имеет тип Identity, то генератор не будет работать. С помощью счетчика Generator step задайте интервал с которым будет создавать значения генератор значений.

Constant value - в это поле вводится значение, которое заменяет все значения в столбце.

Null value - значение, которое устанавливается в ячейке, если значение после импорта в ней остается Null,

В поле Value укажите значение.

В поле Left quote задайте левую кавычку, в поле Right - правую.

Quote action - действие, выполняемое при нахождении в тексте кавычек.

Из раскрывающегося списка Character case - регистр текстовых данных.

Из раскрывающегося списка Charset - выберите кодировку.

Text to find Replace with Ignore case

На этом шаге мастера есть возможность в процессе импорта данных заменить некоторые значения в поле другими значениями. Замен текста для столбца можно создать несколько. С помощью кнопки iconPlus Add Replacement Вы можете добавить новый параметр замены. Все параметры отображаются в списке, где в столбце Text to find находятся те значения текста, которые необходимо заменить, в столбце Replace - текст которым надо заменить указанные фрагменты. Если установлен флажок Ignore case, то замена будет произведена без учета регистра. С помощью кнопки [image] Edit Replacement можно редактировать условие замены.

Import Data - Setting advanced field formats - Add Replacement

Кнопка iconMinus Delete Replacement удаляет условие замены.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Выбор метода импорта

На этом шаге укажите режим импорта.

Import Data - Setting import mode

Переключатель Insert mode позволяет задать те записи, которые будут импортироваться в таблицу.

RadioButton Insert all - вставить все записи,

RadioButton Insert new - вставить только новые записи,

RadioButton Update - обновить записи,

RadioButton Update or insert - обновить существующие и вставить новые записи,

RadioButton Delete - удалить те записи, где совпадает первичный ключ таблицы и значение поля, выбранного в качестве ключевого, импортируемого файла,

Delete or insert - удалить совпадающие записи и вставить новые.

С помощью переключателя Import type укажите тип импорта:

RadioButton Single commands - построчная вставка, (работает значительно быстрее, чем Universal, который в данный момент используется для обратной совместимости)

RadioButton Universal mode - универсальный режим,

RadioButton Batch insert - пакетный режим вставки.

В разделе Key columns выберите ключевое поле, по которому сравниваются поля таблицы и файла источника данных.

Из списка Available columns выберите доступные поля и с помощью кнопок переместите их в список ключевых полей - Selected columns.

Пример:

Таблица в базе данных | Данные из внешнего файла
Import Data - Setting import mode - Destination Table1 | Import Data - Setting import mode - Source Table_Rus

В качестве ключевого поля выбрано поле ID. Для режима Insert All выбирать ключевое поле не требуется.

Insert mode | Insert all | Insert new | Update | Update or insert | Delete | Delete or insert
Результат | Import Data - Setting import mode - Result - Insert All | Import Data - Setting import mode - Result - Update or insert_Rus | Import Data - Setting import mode - Result - Update_Rus | Import Data - Setting import mode - Result - Update or insert_Rus | Import Data - Setting import mode - Result - Delete_Rus | Import Data - Setting import mode - Result - Delete or insert_Rus

Следующий шаг


Настройка общих опций

В разделе Commit задайте параметры фиксации транзакции:

RadioButton Commit when done - фиксировать транзакцию после выполнения импорта,

RadioButton Commit after each block - фиксировать транзакцию после каждого блока. Применяется для больших таблиц. Размер блока указывается в счетчике Block size.

RadioButton Commit changes manually - автоматическая фиксация транзакции не производится (должна быть выполнена вручную).

В разделе Record count Вы можете задать количество импортируемых записей.

RadioButton Выберите пункт Import all records, чтобы импортировать сразу все записи.

RadioButton Задайте их количество в счетчике Import only n records.

Import Data - Customizing common options

Следующий шаг


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

Import Data - Importing data

В этом окне отображается следующая информация об операции:

  • Inserted - количество импортированных записей,
  • Updated - количество обновленных записей,
  • Deleted - число удаленных записей,
  • Errors - отображает число возникших при импорте ошибок,
  • Commited - число зафиксированных записей,
  • Time - время, затраченное на импортирование записей.

В процессе выполнения импорта ведется журнал операций, который позволяет пользователю просматривать операции и ошибки (если возникают).

Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Мастер экспорта в виде SQL скрипта

Экспорт в виде SQL скрипта можно осуществлять только из тех инструментов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор SQL и Конструктор запросов.

Этот инструмент открывается с помощью кнопки Export as SQL script, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Задание типа назначенного сервера

Указание имени файла назначения

Выбор метода экспорта полей типа BLOB

Выбор полей для экспорта

Настройка опций экспорта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер массового импорта

Использование шаблонов


Задание типа назначенного сервера

На первом шаге необходимо выбрать сервер назначения. Скрипт будет генерироваться в формате, совместимом с выбранным типом сервера.

Export as SQL Script - Defining type of destination server

Допустимые типы серверов:

RadioButton DB2,

RadioButton InterBase/Firebird,

RadioButton MS SQL,

RadioButton MySQL,

RadioButton Oracle,

RadioButton PostgreSQL.

CheckBox Если установлен флажок Add CREATE TABLE statement, то в скрипт будет добавлена инструкция CREATE TABLE, которая генерируется в соответствии с синтаксисом выбранного типа сервера.

Следующий шаг


Указание имени файла назначения

На втором шаге необходимо задать имя генерируемого скрипта и место его хранения.

Export as SQL Script - Setting destination file name

Укажите в разделе Script destination, будет ли созданный скрипт открыт в редакторе SQL скриптов или сразу сохранен в файл:

RadioButton Automatically load to Script Editor - созданный скрипт открывается в редакторе SQL скриптов.

RadioButton Если выберете Save to file, то созданный скрипт сохранится в файл. Имя и адрес файла укажите в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs .

В поле Table name (as it will be represented in the script file) укажите имя таблицы, которая будет создаваться с помощью этого скрипта. Имя схемы, в которой будет создаваться таблица, укажите в поле Schema name (as it will be represented in the script file, if need). Поле Schema name доступно только для СУБД, в которых имеется этот тип объектов.

Следующий шаг


Выбор метода экспорта полей типа BLOB

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Export as SQL Script - Setting BLOB options

RadioButton Если выберите пункт Don't extract BLOB Columns, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB Columns as strings - при выборе этого пункта поля типа BLOB будут экспортированы в виде строк.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB Columns into file. Опция доступна для серверов DB2, InterBase/Firebird, SQL Server, Oracle.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

  • имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs,
  • CheckBox создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,
  • способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Следующий шаг


Выбор полей для экспорта

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Из списка Available Columns выберите доступные поля и с помощью кнопок переместите их в список экспортируемых полей - Selected Columns, или перетащите мышкой из одного списка в другой. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Export as SQL Script - Selecting fields to export

Следующий шаг


Редактирование SQL скрипта

На этом шаге Вы можете просмотреть и отредактировать создаваемый SQL скрипт в редакторе SQL скриптов.

Этот шаг становится доступным только если на первом шаге установить флажок Add CREATE TABLE statement.

Export as SQL Script - Editing table definition

Следующий шаг


Настройка опций экспорта

На этом шаге настраиваются общие свойства экспорта.

Export as SQL Script - Setting export options

CheckBox Чтобы в тексте скрипта заменить непечатаемые символы пробелами установите флажок Replace non-print characters in strings with spaces.

CheckBox Quote identifiers - вставка в выражения квадратных скобок.

CheckBox Use multi insert statements - использовать выражение с множественной вставкой.

В разделе Data options укажите параметры фиксации транзакции.

CheckBox Если установлен флажок Insert COMMIT after each block, то после указанного в счетчике Records in a block числа записей транзакция будет фиксироваться.

Следующий шаг


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Export as SQL Script - Exporting as SQL Script

На вкладке Operation показаны все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный скрипт в Редакторе выполнения скриптов, то установите флажок Load generated script into Script Editor.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Мастер массового импорта

Мастер массового импорта данных - Bulk Insert Wizard - позволяет загрузить файл с данными в таблицу или представление в формате определенном пользователем. С помощью этого инструмента данные копируются из внешнего файла и добавляются к уже существующим в таблице или представлении данным. Файл должен иметь формат, совместимый с форматами сервера. Этот инструмент используется когда необходимо вставить большой объем данных.

Массовый импорт можно осуществлять только из тех инструментов, где есть вкладка Data. Это Редактор таблиц и Редактор представлений.

Этот инструмент открывается с помощью кнопки Bulk Insert, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Выбор файла данных

Настройка опций массового импорта

Настройка формата файла данных

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Использование шаблонов


Выбор файла данных

На этом шаге выберите файл данных и имя таблицы или представления для загрузки данных.

Из раскрывающегося списка Table or view выберите таблицу или представление, куда будут импортироваться данные.

В разделе Data file выберите место расположения файла и укажите путь к нему.

Выберите On server, если файл находится на сервере и On network, если он находится в локальной сети или на рабочем компьютере.

В поле File name укажите имя и путь к файлу, или выберите его с помощью открывающегося по нажатию кнопки ExplorerButton диалогового окна.

Bulk Insert - Selecting a table or view and the data file

Помните: файл данных должен находиться по существующему пути относительно запущенного SQL Сервера. Если файл данных находится на удаленной машине, используйте имя в формате UNC (Universal Naming Convention). В случае если файл находится в сети, пожалуйста, убедитесь, что учетная запись, под которой запущен SQL Сервер, имеет разрешения на доступ к указанному файлу по указанному сетевому пути.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Настройка опций массового импорта

На вкладке Bulk insert options задайте параметры массового импорта.

Bulk Insert - Setting bulk insert options

Из раскрывающегося списка Data file type - выберите, тип файла из которого выполняется загрузка данных. Типы: char, native, widechar или widenative.

Batch size (rows) - в этом поле укажите число строк в одном пакете. Каждый пакет копируется на сервер за одну транзакцию. SQL Server фиксирует или откатывает транзакцию для каждого из пакетов. По умолчанию все данные, содержащиеся в файле, передаются одним пакетом.

В поле Kilobytes per batch можно задать приблизительное число килобайт данных в пакете.

С помощью счетчика Rows per batch укажите приблизительное число строк в файле данных.

Если установлен флажок Check constraints, то при выполнении операции массового импорта следует проверять в целевой таблице или представлении все ограничения. Иначе все ограничения CHECK пропускаются, и после завершения операции ограничение таблицы помечается как ненадежное. Ограничения UNIQUE, PRIMARY KEY, FOREIGN KEY и NOT NULL проверяются в любом случае.

Установленный флажок File triggers указывает на то, что при массовой загрузке будут выполняться триггеры типа INSERT, определенные для целевой таблицы.

Установленный флажок Keep identity указывает, что в столбец идентификаторов будут загружаться значения идентификаторов или значения, содержащиеся в импортируемом файле данных. Если флажок не установлен, значения идентификаторов для этого столбца будут проверяться, но не импортироваться.

Пустым столбцам при массовой загрузке должны присваиваться значения NULL, а не значения по умолчанию, назначенные для этих столбцов, если установлен флажок Keep nulls.

Если установлен флажок Table lock, то таблица блокируется на время выполнения массовой загрузки. Блокировка таблиц при массовой загрузке значительно повышает производительность, позволяя снизить конфликты блокировок таблицы.

В поле Max errors укажите максимальное число ошибок синтаксиса, допустимых для файла данных, прежде чем операция массовой загрузки будет отменена. Каждая строка, которая при массовой загрузке не может быть импортирована, пропускается и считается за одну ошибку. Если аргумент max_errors не указан, значение по умолчанию равно 10.

Error file - в этом поле укажите файл, используемый для сбора строк, которые имеют ошибки форматирования и не могут быть преобразованы в набор строк OLE DB. Такие строки копируются из файла данных в файл ошибок без изменений. Файл ошибок создается на стадии выполнения команды. Если он уже существует, возникает ошибка. Дополнительно создается управляющий файл с расширением ERROR.TXT, в котором содержатся ссылки на каждую из строк в файле ошибок и диагностические сведения. После исправления ошибок эти данные могут быть повторно загружены.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Настройка параметров импортируемого файла

На вкладке Data file format задайте параметры импортируемого файла.

Bulk Insert - Customizing data file format

Из раскрывающегося списка Code page выберите кодовую страницу данных в файле. Имеет смысл только в том случае, если данные содержат столбцы типа char, varchar или text с символами, коды которых больше 127 или меньше 32.

  • ACP - столбцы типа char, varchar или text преобразуются из кодовой страницы ANSI/Microsoft Windows (ISO 1252) в кодовую страницу SQL Server,
  • OEM (по умолчанию) - столбцы типов данных char, varchar и text преобразуются из системной кодовой страницы OEM в кодовую страницу SQL Server,
  • RAW - преобразование кодовой страницы не производится. Это самый быстрый режим.

Из списка Field terminator можно выбрать признак конца поля, используемый для файлов данных типа char и widechar. По умолчанию признаком конца поля является символ табуляции (\t).

Из списка Row terminator выберите признак конца строки, используемый для файлов данных типа char и widechar. По умолчанию признаком конца строки является символ \r\n (символ перевода строки).

С помощью счетчика First row укажите номер первой строки для загрузки. Значение по умолчанию — первая строка указанного файла данных.

Номер последней строки для загрузки задайте в поле Last row. Значение по умолчанию 0, что показывает последнюю строку в указанном файле данных.

В поле Sort order можно указать, каким образом отсортированы данные в файле. Таким образом, повышается производительность операции массовой загрузки, если загружаемые данные будут отсортированы в соответствии с кластеризованным индексом для таблицы. Если файл данных отсортирован в другом порядке или для таблицы не определен кластеризованный индекс, параметр Sort order пропускается.

В поле Format file укажите полный путь к файлу форматирования. Этот файл содержит описание файла данных. Предназначен для случаев, когда:

  • файл данных содержит больше или меньше столбцов, чем таблица или представление;
  • столбцы расположены в другом порядке;
  • отличаются признаки конца столбцов;
  • имеются какие-либо другие изменения в формате данных.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Редактирование итогового SQL скрипта

На этом шаге Вы можете просмотреть и отредактировать SQL скрипт в редакторе SQL скриптов.

Bulk Insert - Viewing the result SQL statement

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы завершить операцию нажмите кнопку Finish.

Bulk Insert - Running bulk insert

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Close в этом окне. Если же флажок не установлен, то можно изменить свойства экспорта, не открывая мастер заново.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Инструменты

SQL Manager for SQL Server располагает набором инструментов, которые позволяют работать с базами данных.

Монитор SQL

Отображает все SQL операции, выполненные в течение одной сессии работы SQL Manager for SQL Server.

Редактор выполнения скриптов

Позволяет создавать и выполнять SQL скрипты.

Мастер извлечения баз данных

Извлекает метаданные таблиц в SQL скрипт, который потом может быть выполнен на другой машине, чтобы восстановить структуру базы данных.

Печать метаданных

Создает отчет по метаданным базы данных.

Мастер создания HTML отчетов

Создает отчет по метаданным базы данных в формате HTML.

Работа с отчетами

Набор инструментов, позволяющий создавать и печатать отчеты.

Дерево зависимостей

Позволяет представить зависимости объектов в виде диаграммы.

Инструменты доступа к серверу

Для обеспечения безопасности в SQL Manager for SQL Server предусмотрен ряд инструментов, с помощью которых можно задать права доступа пользователей к данным и метаданным баз данных.

Управление логинами (Login manager) - инструмент для добавления, удаления регистрационных имен пользователей сервера, а также для установления и редактирования пользовательских привилегий.

Управление правами (Grant manager) - инструмент для управления правами пользователей на работу с объектами базы данных.

Управление серверными ролями (Server roles) - инструмент для просмотра списка ролей сервера SQL Server и установления принадлежности логина ролям.

Визуальный конструктор баз данных

Позволяет создавать графическое представление базы данных.

Шаблоны

В SQL Manager for SQL Server для некоторых операций предусмотрена возможность сохранения последовательности действий и параметров в специальных файлах, которые называются шаблоны.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Службы

Настройки

Внешние инструменты

Как...


Дерево зависимостей

Чтобы открыть Дерево зависимостей, выберите пункт главного меню Tools | Dependency Tree или на основной панели инструментов нажмите кнопку Dependency Tree btnDependencyTree, или в контекстном меню базы данных выберите пункт Tasks | Dependency Tree.

В появившемся окне выберите схему, тип объекта и сам объект.

Dependency Tree - Select object

Этот инструмент позволяет просматривать зависимости всех объектов в виде диаграммы.

В главном окне этого инструмента отображается зависимость объектов, представленная в виде дерева.

Во время построения дерева прогресс операции отображается индикатором прогресса.

Все основные инструменты для работы с объектами и диаграммой зависимости располагаются на панелях инструментов:

  • на навигационной панели,
  • на панели инструментов,
  • в контекстном меню.

Чтобы просмотреть зависимость объекта его необходимо выбрать. Сделать это можно одним из этих способов:

  • нажать на кнопку Select object на навигационной панели,
  • перетащить объект из окна проводника баз данных в главное окно дерева зависимостей.

Выбранный объект, являющийся главным, отличается от остальных цветом рамки. У него она синего цвета, у всех остальных - черного. Зависимости между объектами показаны стрелками. Если на объекте, представленном в диаграмме зависимостей, щелкнуть мышкой, то он становится главным и все зависимости отображаются для него. Чтобы просмотреть информацию по предыдущему объекту нужно на навигационной панели, на панели инструментов или в контекстном меню выбрать пункт Previous object.

Слева от объекта - те объекты, на которые ссылается редактируемый объект. Справа - те объекты, которые ссылаются на объект.

Если существует циклическая ссылка, то на том месте где она должна быть отображается крестик.

В диаграмме зависимостей существует возможность отображать и скрывать подобъекты.

Делается это с помощью кнопки Hide subobjects на панелях инструментов.

Контекстное меню объекта:

Set as Root - посмотреть зависимости этого объекта.

Edit Object - открыть объект в соответствующем редакторе.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Навигационная панель

Dependency Tree - Using Navigation bar

на панели Database:

iconDB выбрать базу данных.

на панели General:

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

iconPrintSetup настройки печати - Print setup,

iconSaveAsPicture сохранить диаграмму как изображение - Save as image,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Object:

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

показать подобъекты - Show subobjects. (индексы, триггеры и внешние ключи).

выбрать объект - Select object.

Diagram layout

iconShowAllObjects показать все объекты - show all objects

iconShowDependingOnRoot показать объекты, зависящие от корневого - show objects depending on Root

iconShowRootDependsOn показать объекты, от которых зависит корневой - show Root depends on objects

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Открывается при нажатии правой кнопкой мыши в любой точке диаграммы зависимостей.

iconRefresh обновить - Refresh,

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

выбрать объект - Select object,

показать подобъекты - Show subobjects. (индексы, триггеры и внешние ключи).


Монитор SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for SQL Server на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор выберите в главном меню программы Tools | SQL Monitor, или на основной панели инструментов нажмите кнопку SQL Monitor, или в контекстном меню базы данных выберите пункт Tasks | SQL Monitor.

Смотрите также:

Настройки SQL Монитор


Панели инструментов

На навигационной панели находятся следующие инструменты:

SQL Monitor - Using Navigation bar

Clear contents - очистить содержимое окна,

Save to file - сохранить текст в файл,

iconFindText Find - найти в тексте,

iconOptions SQL Monitor option - настройка SQL монитора (эти же настройки есть и в Options | Environment Options | Tools | SQL Monitor),

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с монитором SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for SQL Server на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Для каждой операции отображается следующая информация:

Executed - дата и время выполнения операции,

Operation - SQL оператор,

Result - результат выполнения.

SQL Monitor - Working with SQL Monitor

Контекстное меню

С помощью этого меню Вы можете:

  • открыть подменю для работы с маркерами - Markers,
  • установить закладку - Toggle Bookmarks,
  • перейти к закладке (активна, если созданы закладки) - Goto Bookmarks,
  • отменить действие- Undo,
  • вернуть отмененное действие- Redo,
  • копировать выделенное- Copy,
  • выделить все - Select All,
  • найти - Find,
  • возобновить поиск - Search Again,
  • поиск по названию ключевого поля - Incremental Search,
  • перейти к строке под номером... - Go To Line By Number...,
  • изменить регистр - Change Case,
  • сохранить текст в файл - Save,
  • предварительный просмотр - Preview,
  • печатать - Print,
  • сохранить как избранный запрос - Save as Favorite Query,
  • просмотреть свойства - Properties.


Редактор выполнения скриптов

Используя редактор Execute Script, Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты. Чтобы открыть редактор SQL скриптов выберите Tools | Execute Script в главном меню программы, или на основной панели инструментов нажмите кнопку Execute Script, или в контекстном меню базы данных выберите пункт Tasks | Execute Script. Объекты базы данных, используемые в скрипте, представлены в проводнике редактора скриптов.

Область редактирования.

Работать с SQL скриптами позволяют инструменты редактора, располагающиеся на панелях инструментов.

Важно: В редакторе скриптов не выводятся результаты запросов. Для этого используйте Редактор SQL.

Если при выполнении скрипта возникнут ошибки, то все они будут показаны в специальном окне, расположенном под областью редактирования. Настройка отображения ошибок происходит с помощью Options | Environment Options | Tools | Execute Script, с помощью кнопки Execute Script Options на панели инструментов и на навигационной панели.

Смотрите также:

Редактор SQL

Настройки редактора выполнения скриптов

Настройки редакторов


Панели инструментов

Инструменты для работы с SQL скриптами.

Навигационная панель

SQL Script Editor - Using Navigation bar

Destination

iconHost выбрать хост,

iconDB выбрать базу данных.

General

iconExecute выполнить скрипт - Execute script,

iconCompile выполнить скрипт из файла - Execute script from file,

iconNew создать новый скрипт - New script,

iconLoadFromFile открыть скрипт (скрипты сохраняются в виде файлов с расширением ".sql") - Open script,

iconSaveToFile сохранить скрипт - Save script,

iconSaveToFileAs сохранить скрипт как - Save as,

iconDBExplorer показать/скрыть Проводник редактора скриптов - Show/Hide SQL Explorer,

включить журнал результатов - Enable result log,

iconOptions настройка свойств редактора выполнения скриптов - Execute Script options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Explorer расположен проводник редактора выполнения скриптов.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с областью редактирования Execute Script

Область редактирования позволяет эффективно работать с текстами SQL скриптов.

SQL Script Editor - Working with SQL Script editor area

Функциональные возможности:

  • Подсветка синтаксиса - используются разные цвета и шрифты для различных элементов текста, таких как ключевые слова, знаки препинания, комментарии, ссылки и т.д. Просмотреть и изменить настройки цвета Вы можете на вкладке Color. (Editor Options)
  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

Макросы

Для удобства использования существует возможность записывания и использования макросов.

Для начала записи макроса нажмите кнопку btnRecordMacro Record, доступную на панели управления, или используйте сочетание клавиш Shift+Ctrl+R.

Для остановки записи макроса, нажмите кнопку btnStopRecordMacro Stop, или используйте сочетание клавиш Shift+Ctrl+R.

Для вызова и использования существующего макроса, нажмите кнопку btnPlayMacro Play, или используйте сочетание клавиш Shift+Ctrl+P.

Контекстное меню

С помощью контекстного меню Вы можете:

  • выполнить скрипт - Execute Script,
  • выполнить только выделенное - Execute Selected Only,
  • выполнить ту часть текста, которая находится под курсором - Execute under Cursor,
  • отключить синтаксический анализ - Disable Parsing,
  • установить закладку - Toggle Bookmarks,
  • перейти к закладке (активна если созданы закладки) - Goto Bookmarks,
  • отменить действие- Undo,
  • вернуть отмененное действие- Redo,
  • вырезать выделенное- Cut,
  • копировать выделенное- Copy,
  • вставить - Paste,
  • выделить все - Select All,
  • найти - Find,
  • найти и заменить - Replace,
  • возобновить поиск - Search Again,
  • поиск по названию ключевого поля - Incremental Search,
  • перейти к строке под номером... - Go To Line By Number...,
  • изменить регистр - Change Case,
  • загрузить текст скрипта - Load,
  • сохранить текст скрипта в файл - Save,
  • предварительный просмотр - Preview,
  • печатать - Print,
  • форматировать скрипт SQL - Format SQL,
  • преобразовать выделенный текст в комментарии - Toggle Comment,
  • сохранить скрипт как избранный запрос - Save as Favorite Query,
  • просмотреть свойства - Properties.

Смотрите также:

Панели инструментов

Проводник редактора выполнения скриптов

Выполнение скрипта


Проводник редактора выполнения скриптов

На навигационной панели расположен инструмент Проводник, который позволяет отобразить в виде дерева все объекты, содержащиеся в SQL скрипте. С помощью проводника можно быстро перейти к нужному объекту в тексте скрипта. Достаточно щелкнуть на нужном объекте мышкой.

SQL Script Editor - Using Script Explorer

Важно: При выборе объекта в проводнике баз данных выделяется соответствующие ему участок текста скрипта.

При двойном нажатии на объект в проводнике соответствующий участок скрипта выделяется, и фокус перемещается к выделенному участку.

Смотрите также:

Панели инструментов

Работа с областью редактирования Execute Script

Выполнение скрипта


Выполнение скрипта

Когда все параметры скрипта заданы, Вы можете приступать к его выполнению.

Чтобы выполнить скрипт, выберите пункт btnExecuteQuery Execute script на одной из панелей инструментов или в контекстном меню. Также, Вы можете использовать клавишу F9.

SQL Script Editor - Script execution

Важно: Если установлен флажок CheckBox Execute selected text separately (Environment Options | Tools | Execute Script), и выделен фрагмент текста скрипта, то будет выполнен только выделенный фрагмент.

Если в тексте скрипта нет ошибок, то скрипт выполняется, а об успешном выполнении информирует появляющееся информационное окно.

SQL Script Editor - Script execution - Done

Если в тексте скрипта обнаружены ошибки, то список их будет выведен в нижней части формы редактора.

Важно: Когда Вы выбираете ошибку из появившегося списка ошибок, то соответствующий ей участок кода выделяется цветом. Если вы дважды щелкаете мышкой на ошибке, то в редакторе осуществляется переход к нужному участку кода.

Важно: Редактор Execute Script не отображает результатов выполнения запросов.

Для выполнения запросов существует специальный инструмент - Query Data.

Смотрите также:

Панели инструментов

Работа с областью редактирования Execute Script

Проводник редактора скриптов


Мастер извлечения баз данных

Используя Мастер извлечения баз данных, Вы можете извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных. Чтобы открыть мастер выберите пункт главного меню программы Tools | Extract Database, или на основной панели инструментов нажмите кнопку Visual Extract Database, или в контекстном меню базы данных выберите пункт Tasks | Extract Database.

Мастер извлечения баз данных

Выбор исходной базы данных

Выбор файла назначения

Выбор вида экспорта

Выбор объектов для извлечения

Выбор таблиц, из которых будут извлечены данные

Задание свойств скрипта

Выполнение операции

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов, который открывается при нажатии на кнопку Templates.

Важно: Не все функции этого мастера доступны в Lite версии.

Смотрите также:

Редактор выполнения скриптов

Управление объектами базы данных

Использование шаблонов


Выбор исходной базы данных

На первом шаге выберите базу данных, которую необходимо извлечь.

Из раскрывающегося списка Source database выберите нужную базу данных.

CheckBox Установите флажок Extract all metadata and data if database, если хотите извлечь все объекты базы данных и данные, хранящиеся в ней.

Extract Database - Selecting source database

Следующий шаг


Выбор файла назначения

На этом шаге Вы можете определить сохранить ли создаваемый скрипт в файл или сразу открыть в редакторе SQL скриптов.

RadioButton Чтобы автоматически открыть скрипт в редакторе SQL скриптов, нужно выбрать пункт переключателя Automatically load to Script Editor.

RadioButton Если хотите сохранить скрипт в файл, то выберите пункт Save to file. В этом случае в поле File name необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs . Для создаваемого файла можно указать кодировку, выбрав его из раскрывающегося списка File charset.

Extract Database - Specifying destination file name

Следующий шаг


Выбор типов объектов для извлечения

Этот шаг неактивен, если на первом шаге Вы указали, что извлекать нужно всю структуру и данные базы данных, установив флажок Extract all metadata and data if database.

Вы можете выбрать один из трех вариантов экспорта:

CheckBox извлечь объекты данные базы - Extract database objects,

CheckBox извлечь серверные объекты - Extract server objects,

CheckBox Извлечь только данные - Extract data,

Extract Database - Setting extraction mode

Опция CheckBox Allow selecting system objects to extract разрешает выбор системных объектов для извлечения.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Извлечение данных типа BLOB

Этот шаг появится, если Вы экспортируете данные, структуру базы вместе с данными или только данные.

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Extract Database - Setting BLOB options

RadioButton Если выберите пункт Don't extract BLOB columns, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB columns as strings - при выборе этого пункта поля типа BLOB и двоичные файлы будут экспортированы в виде строки.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB columns into file.

Важно: В случае сохранения полей типа BLOB в файл, восстановить такие данные можно только с помощью Редактор выполнения скриптов.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

  • имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs ,
  • CheckBox создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,
  • способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор объектов для извлечения

Этот шаг будет активен только в том случае, если Вы извлекаете структуру базы данных.

Вы можете выбрать объекты, структуру которых следует извлечь.

RadioButton Установленный Extract all objects указывает на то, что будет извлечена структура всех без исключения объектов.

RadioButton Если переключатель установлен в Extract all objects of schema, то копироваться будут объекты схемы, указанной в списке Schema name.

RadioButton Если выбрать Extract selected objects, то можно будет выбрать извлекаемые объекты.

Из раскрывающегося списка Objects to extract выберите тип объекта (таблица, представление и т.д.). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок переместите объекты из списка доступных - Available в список выбранных - Selected, или перетащите из одного списка в другой.

Extract Database - Selecting objects for structure extraction

Следующий шаг


Выбор таблиц из которых бyдyт извлечены данные

На этом шаге Вы можете выбрать те таблицы, из которых необходимо извлечь данные.

RadioButton Если выберите Extract all tables, то данные будут извлечены из всех таблиц базы.

RadioButton Пункт переключателя Extract data of tables selected on previous step указывает на то, что данные будут извлекаться только из тех таблиц, которые были выбраны на предыдущем шаге.

RadioButton Если выбран пункт Extract selected Tables, то Вы сможете выбрать таблицы из списка доступных - Available, и с помощью кнопок, перетаскивания или двойного щелчка мыши, переместить их в список выбранных - Selected.

Extract Database - Selecting objects for data extraction

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание свойств скрипта

На последнем шаге можно задать некоторые общие опции генерируемого SQL скрипта.

Extract Database - Customizing script options

CheckBox Если установлен флажок Generate "CREATE DATABASE" statement, то в скрипте будет создан оператор CREATE DATABASE.

CheckBox Установленный флажок Generate DROP statements указывает на то, что при извлечении будут созданы операторы DROP, которые будут удалять объекты соответствующие создаваемым скриптом объектам перед их созданием.

CheckBox Если установлен флажок With IF statements, то будут генерироваться операторы, удаляющие только существующие объекты.

CheckBox Флажок Use IF EXISTS clause for DROP statement позволяет автоматически использовать IF EXISTS условие при удалении объектов (если это поддерживается сервером).

CheckBox Установленный флажок Create empty procedures позволяет правильно обработать зависимости между процедурами. Используется в том случае, если есть сложные зависимости у процедур, чтобы избежать неоднозначности при формировании порядка выполнения. В этом случае в начале скрипта генерируются операторы создания процедур с пустыми телами, а в конце генерируются операторы их изменения с добавлением тел.

CheckBox Order by dependencies

В генерируемом скрипте объекты будут располагаться в порядке, определенном зависимостями объектов.

CheckBox Extract dependent objects

Извлекать зависимые объекты выбранного объекта.

Количество записей в одном блоке задается в счетчике Records in a block.

Если установлен флажок Insert "COMMIT" statement after each block, то после каждого блока добавляется оператор COMMIT.

CheckBox Операция извлечения будет прервана при возникновении ошибки, если установлен флажок Abort extraction on error. В противном случае скрипт будет выполняться без прерываний, а все возникшие ошибки отобразятся в специальном окне.

Генерируемый во время извлечения данных скрипт будет автоматически загружен в Редактор выполнения скриптов, если установлен флажок Load script to Script Editor.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать извлечение нажмите кнопку Finish.

Extract Database - Start of extraction process

CheckBox Если хотите сразу открыть полученный скрипт в Редактор выполнения скриптов, то установите флажок Load generated script into Script Editor.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Мастер сравнения баз данных

С помощью мастера сравнения баз данных можно создать SQL скрипт для синхронизации структуры баз данных.

Чтобы запустить Мастер сравнения баз данных, выберите пункт Tools | iconCompare Compare Database в главном меню программы.

Мастер состоит из следующих шагов:

Выбор исходной базы данных

Выбор назначенной базы данных

Выбор типа скрипта синхронизации

Задание параметров скрипта

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Выбор исходной базы данных

На этом шаге необходимо указать исходную базу данных для сравнения

Database Comparer Wizard - Selecting source database

Source host

Из этого раскрывающегося списка нужно выбрать сервер, на котором расположена исходная база данных.

Source database

Из списка зарегистрированных баз данных на выбранном сервере нужно выбрать исходную базу данных.

Следующий шаг>>

Шаблоны


Выбор назначенной базы данных

На этом шаге необходимо указать вторую базу данных для сравнения.

Database Comparer Wizard - Selecting target database

Target host

Сервер, на котором расположена назначенная база данных.

Target database

Назначенная для сравнения база данных выбирается из этого раскрывающегося списка.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор типа скрипта синхронизации

На этом шаге необходимо выбрать, в каком направлении будет производиться сравнение баз данных.

Database Comparer Wizard - Selecting type of synchronization script

RadioButton Target database into source database

Скрипт, приводящий назначенную базу данных базу в соответствие с исходной.

RadioButton Source database into target database

Скрипт, приводящий исходную базу (задается на шаге 1) в соответствие с назначенной (задается на шаге 2).

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание параметров скрипта

На этом шаге задаются дополнительные параметры генерируемого скрипта.

Database Comparer Wizard - Defining options for destination script

RadioButton Automatically load to Script Editor - автоматически открыть созданный скрипт в Редакторе выполнения скриптов.

RadioButton Save to file - сохранить созданный скрипт в файл.

File name - имя файла, в который нужно сохранить скрипт. Файл можно выбрать в стандартном диалоговом окне, открывающемся при нажатии кнопки btnSaveAs .

File charset - кодировка скрипта выбирается из этого раскрывающегося списка.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Database Comparer Wizard - Performing operation

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг

Шаблоны


Печать метаданных

Инструмент Print Metadata позволяет напечатать метаданные любого объекта базы данных и сервера. Чтобы открыть этот инструмент нужно выбрать Tools | Print Metadata в главном меню программы.

Панели инструментов

Настройки печати

Предварительный просмотр

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Настройки печати метаданных


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Навигационная панель

Print Metadata - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconPrint печатать - Print,

iconPreview предварительный просмотр - Preview,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

  • Database - объекты базы данных.
  • Server - объекты сервера.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Выбор объектов

В процессе настройки печати необходимо выбрать те объекты базы данных и сервера, метаданные которых необходимо напечатать.

Print Metadata - Printing options

На панели управления Show выберите тип объекта. После этого в списке Available <тип_объекта> появятся все объекты этого типа, содержащиеся в базе данных. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, перетаскивания или двойного щелчка мыши, переместите эти объекты в список выбранных - <тип_объекта> for Printing. Несколько объектов можно выделить с помощью клавиш Ctrl and Shift.

В нижней части списка выбранных объектов Вы можете указать, какую именно информацию об этом объекте следует печатать:

  • Columns/Params - поля/параметры,
  • Foreign Keys - внешние ключи,
  • Checks - ограничения CHECK,
  • Indices - индексы,
  • Triggers - триггеры,
  • DDL,
  • Description - описание.

Убрать объект из списка выбранных можно с помощью кнопок или двойного щелчка мыши.

После того, как выбрали нужные объекты, нажмите кнопку Preview или Print на одной из панелей инструментов.

Смотрите также:

Панели инструментов

Предварительный просмотр


Предварительный просмотр

При нажатии кнопки btnPrintPreview Preview, на одной из панелей инструментов, формируется представление печатного документа.

Print Metadata - Preview

Панель инструментов:

  • Начать печать отчета.
  • Открыть предыдущий сохраненный отчет.
  • Сохранить текущий отчет в файл, с расширением *.fr3.
  • btnPreviewExport Экспортировать файл предварительного просмотра в один из доступных форматов (HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF).
  • Искать текст.
  • Масштаб
  • Отобразить/скрыть содержание отчета.
  • Отобразить/скрыть иконки отчета.
  • Задать параметры страницы.
  • Редактировать страницу в Конструкторе отчетов.
  • Переход по страницам отчета.
  • Закрыть предпросмотр.

Смотрите также:

Панели инструментов

Настройки печати


Поиск по метаданным

Инструмент Search in Metadata предназначен для поиска некоторого сочетания символов в метаданных объектов. Результаты поиска можно просматривать.

Чтобы открыть iconSearch in Metadata Search in Metadata выберите пункт Tools | iconSearch in Metadata Search in Metadata в главном меню программы или используйте сочетание клавиш Ctrl+Alt+F.

  • Панели инструментов
  • Задание параметров поиска
  • Просмотр результатов поиска

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Навигационная панель

Search in metadata - Using navigation bar and toolbar

Database

iconDB база данных, в которой производится поиск

General

iconSearchInMetadata Search - открыть диалог задания параметров поиска

iconNextSearchMatch Next search match - перейти к следующему найденному элементу

iconRestoreDefaultSize Restore the default size - восстановить исходный размер окна

Explorer

список объектов базы данных

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание параметров поиска

В диалоге Search in Metadata необходимо задать параметры поиска по метаданным.

Search in metadata - Setting search condition

В поле Text to search задайте искомое слово. Из раскрывающегося списка Database выберите базу данных, в которой будет производиться поиск.

Case Sensitive - при поиске учитывать регистр.

Whole words only - учитывать слово целиком.

Regular Expressions - искать устойчивое словосочетание в тексте.

В разделе Direction укажите направление поиска:

  • Forward - вниз,
  • Backward - вверх.

После задания настроек нажмите кнопку OK. Откроется окно с результатами поиска.

Смотрите также:

Окно поиска


Просмотр результатов поиска

Результаты поиска выводятся в специальном окне.

Search in metadata - Viewing search result

На навигационной панели, в разделе Explorer отображаются все объекты, в метаданных которых встречается искомое слово и словосочетание.

Метаданные объекта отображаются в SQL редакторе при нажатии на название объекта в разделе Explorer.

В окне Object <object_name> можно просмотреть метаданные выбранного объекта. Искомая строка будет выделена.


Мастер создания HTML отчетов

Мастер создания HTML отчетов позволит Вам создать подробный развернутый отчет о метаданных выбранной базы данных. Открывается с помощью пункта меню Tools | HTML Report.

Выбор базы данных и выходной директории

Выбор типа объекта базы данных

Задание стиля отчета

Задание дополнительных параметров

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов, который открывается при нажатии на кнопку Templates.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Использование шаблонов


Выбор базы данных и выходной директории

На первом шаге необходимо выбрать базу данных, по метаданным которой необходимо сгенерировать отчет.

Source host

Из этого раскрывающегося списка нужно выбрать сервер, на котором расположена база данных.

Исходная база выбирается из раскрывающегося списка Source database, в котором содержатся все зарегистрированные и подключенные базы данных.

В поле Output directory, с помощью кнопки ExplorerButton укажите путь к папке, в которой будет создан HTML отчет.

HTML Report - Selecting database and directory

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор типа объекта базы данных

На втором шаге Вы можете выбрать тип объектов, информация о которых попадет в отчет. По умолчанию, выбраны все типы объектов.

HTML Report - Selecting object types

  • таблицы - Tables,
  • представления - Views,
  • процедуры - Procedures,
  • определенные пользователем функции - UDF's,
  • триггеры - Triggers,
  • индексы - Indices,
  • внешние ключи - Foreign Keys,
  • ограничения CHECK - Checks,
  • пользовательские типы данных - UDTs,
  • пользователи - Users,
  • роли - Roles,
  • сборки - Assemblies,
  • схемы - Schemas,
  • DDL триггеры - DDL Triggers,
  • синонимы - Synonyms,
  • функции секционирования - Partition Functions,
  • схемы секционирования - Partition Schemas,
  • полнотекстовые каталоги - Full-text catalogs,
  • агрегаты - Aggregates,
  • коллекция XML схем - XML Schema collection,
  • симметричные ключи - Symmetric keys,
  • асимметричные ключи - Asymmetric keys,
  • сертификаты - Certificates,
  • значения по умолчанию - Defaults,
  • правила - Rules.

С помощью кнопок перенесите объекты из списка доступных - Available Objects в список выбранных - Selected objects.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор серверного объекта

HTML Report - Selecting server object types

  • Logins - Логины,
  • Backup Devices - Устройства для резервного копирования,
  • Jobs - Задания,
  • Schedules - Расписания,
  • Alerts - Предупреждения,
  • Operators - Операторы,
  • Proxies - Учетные записи-посредники,
  • Credentials - Учетные данные,
  • Linked Servers - Связанные серверы,
  • Endpoints - Конечные точки,
  • DDL Triggers - DDL триггеры,
  • DTS Packages - Пакеты DTS.

С помощью кнопок перенесите объекты из списка доступных - Available Objects в список выбранных - Selected objects.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание стилей отчета

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Задание стиля отчета

На третьем шаге задайте стиль выходного HTML файла.

Текст описания стиля можно редактировать вручную на вкладке CSS Text.

HTML Report - Specifying CSS

На вкладке CSS Preview Вы можете выбрать один из предустановленных шаблонов из выпадающего списка Templates.

Также на этой вкладке можно просмотреть, как будет выглядеть создаваемый HTML отчет с заданным стилем.

HTML Report - Specifying CSS - Preview CSS

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание дополнительных параметров

На последнем шаге задаются параметры, общие для всего отчета. Такие как:

  • кодировка - выбирается из списка Charset,
  • верхний колонтитул - Report header,
  • нижний колонтитул - Report footer.

HTML Report - Setting additional report options

С помощью ползунка DDL font size задайте размер шрифта DDL секции.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Вкладка Operations.

HTML Report - Creating HTML report

На вкладке Operation показаны все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный отчет, то установите флажок Show report after generating.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Работа с отчетами

Отчет является эффективным средством представления данных в печатном формате. Можно отобразить сведения желаемым образом, управляя размером и внешним видом всех элементов отчета.

Создавать отчеты в SQL Manager for SQL Server можно с помощью таких инструментов:

Мастер создания отчетов и Настройщик отчетов - упрощенные способы создания отчетов.

Конструктор отчетов - основной инструмент для создания отчетов.

Просмотрщик отчетов - инструмент для просмотра результатов.

Хранить отчеты можно в директориях, определенных в базе данных при редактировании регистрационной информации базы данных на вкладке Directories, или во внешних файлах.


Мастер создания отчетов

Мастер создания отчетов предназначен для быстрого пошагового создания бланка отчета. Для него определен источник данных, отображаемые области и параметры страницы. Для запуска мастера необходимо выполнить одно из действий:

  • создать объект Report в проводнике баз данных,
  • выбрать пункт главного меню программы Database | New Object,
  • выбрать пункт Report из списка, открывающегося при нажатии на кнопку Create на панели инструментов проводника баз данных.

Задание основных свойств отчета

Выбор областей, отображаемых в отчете

Определение стиля отчета

Задание параметров страницы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Конструктор отчетов

Просмотрщик отчетов


Задание основных свойств отчета

На первом шаге создания отчета Вам необходимо выбрать базу данных, для которой будет сформирован отчет, из списка Database. Список состоит из зарегистрированных и подключенных баз данных.

Create Report - Specifying database name and report options

В разделе Report creation method выберите способ создания отчета:

RadioButton New report - будет создан новый отчет,

RadioButton Import from file - отчет будет импортирован из файла.

В разделе Save options можно задать параметры сохранения файла отчета.

Имя файла укажите в поле Report name,

RadioButton Если переключатель установить в Save to database, то отчет будет сохранен в папку базы данных, определенную для отчетов.

RadioButton Отчет будет сохранен в произвольный файл, если переключатель установить в Save to file. Если выбран Save to file, то в файл формата *.fr3.

Следующий шаг


Выбор областей отображаемых в отчете

На втором шаге необходимо выбрать области, в которых отображаются дополнительные данные, то есть колонтитулы, суммы, группировки полей и т.д.

Необходимые области выберите из списка доступных областей - Available Bands и с помощью кнопок Move to Selected Move all to Selected Move to Available Move all to Available , перетаскивания или двойного щелчка мыши, перенесите в список отображаемых областей - Report Bands.

Для областей Master data, Detail data и Subdetail data можно задать значения, используя кнопку [image] . При нажатии на эту кнопку открывается Конструктор запросов, с помощью которого Вы можете задать данные, которые будут отображаться в отчете.

Области, для которых указаны данные, отмечены галочкой.

Важно: Задавать данные для Detail data можно только после того как они заданы для Master data, а для Subdetail data только после Master data.

Create Report - Selecting report bands

Report title - заголовок отчета

Report summary - итоги отчета

Page header - верхний колонтитул страницы

Page footer - нижний колонтитул страницы

Master header - мастер заголовков

Master data - мастер данных

Master footer - мастер итогов данных

Detail data - детали данных

Subdetail data - дополнительные детали данных

Group header - заголовок групп при группировке данных

Group footer - итоги группы при группировке данных

Следующий шаг


Определение стиля отчета

На третьем шаге Вы можете выбрать стиль отчета. На форме расположены макеты оформления страниц. Для выбора макета достаточно щелкнуть на нужном левой кнопкой мыши.

Create Report - Selecting report style

Следующий шаг


Задание параметров страницы

На этом шаге Вам предстоит задать параметры страницы печатного документа отчета. Эти свойства задаются на трех вкладках:

Вкладка Paper

Create Report - Specifying paper settings

В разделе Size укажите размер страницы.

Из раскрывающегося списка выберите один из стандартных размеров. Если стандартные размеры не подходят, то выберите пункт Особая бумага. В этом случае станут доступными для редактирования поля, в которых указывается ширина и высота бумаги в миллиметрах - Width, mm (ширина) и Height, mm (высота).

С помощью переключателя в разделе Orientation Вы выберите ориентацию страницы.

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Вкладка Margins

Create Report - Specifying margins

На вкладке Margins можно указать размеры полей страницы.

CheckBox Если установлен флажок Stretch to print area, то автоматически устанавливается соответствие размеров полей размеру печатной области.

Установить размеры полей страницы вручную можно с помощью следующих полей:

  • Left, mm - левое поле,
  • Top, mm - верхнее поле,
  • Right, mm - правое поле,
  • Bottom, mm - нижнее поле.

Вкладка Others

Create Report - Specifying other page settings

На вкладке Others можно задать некоторые дополнительные характеристики макета отчета.

CheckBox Print to previous page. Эта опция позволит при печати отчета использовать пустое пространство предыдущей страницы. Функция используется, если отчет состоит из нескольких страниц.

CheckBox Если установлен флажок Two-pass report, то формирование отчета будет осуществляться в два этапа. На первом проходе отчет формируется, осуществляется его разбивка на страницы, но результат нигде не сохраняется. На втором проходе происходит обычное формирование отчета с сохранением результата в потоке.

CheckBox Установка флажка Page numbering указывает на то, что страницы отчета будут пронумерованы.

Columns

В счетчике Number задайте количество столбцов в отчете.

В поле Gap, mm укажите расстояние между столбцами.

CheckBox Если установлен флажок Open the report after the wizard has finished, то созданный мастером отчет после создания автоматически откроется в конструкторе отчетов.

Чтобы начать создание отчета нажмите кнопку Finish.


Конструктор отчетов

Конструктор отчетов позволяет Вам создавать и редактировать отчеты. Этот инструмент открывается при выборе пункта Tools | Report Designer или после создания отчета с помощью Мастера создания отчетов.

Модуль Report Designer является компонентом программы FastReport (http://www.fast-report.com). Поэтому для него существует отдельный файл справки, который открывается при нажатии клавиши F1 в окне дизайнера.

Основные элементы

Панели инструментов

Добавление объектов базы данных

Добавление компонентов отчета

Просмотр отчета

Создание диалоговой формы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Просмотрщик отчетов


Основные элементы

Рабочая область Конструктора отчетов состоит из следующих элементов:

Строка главного меню

Report Tree

Вспомогательное окно по умолчанию расположено в левой верхней части окна программы. В нем, в виде дерева, отображается структура отчета.

Report Designer_Report Tree

Вкладки позволяют переключаться между разными частями отчета, такими как Код, Данные, Страницы и Диалоговые формы.

Code

На этой вкладке отображается можно работать со скриптом отчета.

Data

Отображается структура данных отчета.

Page

Печатная форма отчета.

Form

Диалоговая форма отчета.

Data Tree

Вспомогательное окно, по умолчанию расположенное в левой нижней части окна программы. В нем, в виде дерева, отображается структура данных, указанных в [image] ADOTable и [image] ADOQuery - поля таблиц и запросов.

Report Designer_Data Tree

Workspace - рабочая область.

Расположена в центральной части окна.

Object Inspector

Отображает свойства активного объекта. Свойства объекта в этом окне можно менять.

Расположен по умолчанию в правой части рабочего окна программы.

Report Designer_Object Inspector

Важно: Object Inspector можно открыть нажав клавишу F11.


Панели инструментов

Основные панели инструментов программы расположены в верхней части окна программы.

Для разных вкладок Report Tree отображаются разные боковые панели инструментов:

Для вкладки Data

Для вкладки Page

Для вкладки DialogPage


Добавление объектов базы данных

Для начала работы с отчетом необходимо подключить источник данных - одну или несколько баз данных.

Report Designer - Adding database component

Подключиться к базе данных

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADODatabase на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В контекстном меню объекта ADODatabase выбрать пункт Edit.
  4. В открывшемся окне либо указать строку подключения, либо с помощью кнопки EllipsisButton вызвать стандартное окно Windows "Свойства связи с данными" и в нем задать необходимые параметры подключения. В качестве поставщика данных должен выступать SQL Native Client.
  5. В Object Inspector установить свойство Connection True.

Добавить таблицу в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOTable на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • TableName - выбрать одну из таблиц подключенной базы данных. Как только Вы выбрали таблицу, все поля её отображаются в Data Tree.

Добавить запрос в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOQuery на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • SQL - с помощью кнопки EllipsisButton вызвать окно редактора SQL, в котором задать текст запроса.


Добавление компонентов отчета

Для работы с макетом печатной формы отчета необходимо в Report Tree перейти на вкладку Page.

Report Designer - Adding bands

Для корректного отображения различных частей отчета, таких как данные, заголовки, колонтитулы в Report Designer используются Bands. Каждый тип Band может отображать определенные данные.

Вы можете автоматически создать отчет, в котором будут основные элементы.

Выберите в главном меню пункт File | New Report. или на панели инструментов нажмите кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.

Чтобы добавить Band на страницу необходимо:

  1. В Report tree перейти на вкладку Page1.
  2. На боковой панели инструментов нажать кнопку [image] Insert Band.
  3. Из появившегося раскрывающегося списка выбрать нужный Band.

Каждый добавленный Band появляется в Report Tree в виде узла.

Поля таблиц и отчетов необходимо добавлять в Band MasterData.

Заголовки столбцов - GroupHeader.

Заголовок отчета - ReportTitle.

Для правильного отображения данных используются различные типы Band-ов.

Данные таблиц и запросов отображаются в MasterData.

Чтобы добавить поля таблицы или запроса в отчет необходимо из DataTree перетащить нужные поля в Band MasterData.

Свойства каждого поля можно задать в Object Inspector.


Просмотр отчета

Чтобы просмотреть и распечатать полученный отчет, нажмите кнопку Preview на панели инструментов.

Report Designer - Preview

Сохранить отчет в файл другого формата.

На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт -> в появившемся окне выбрать директорию и указать имя файла.


Создание диалоговой формы

Чтобы добавить диалоговую форму, необходимо на панели инструментов нажать кнопку Add dialog form.

Report Designer - Adding dialog form

На форме можно размещать текстовые поля, кнопки, изображения, флажки, переключатели и т.д. Этим элементам можно назначать некоторые события.


Просмотрщик отчетов

Просмотрщик отчетов - инструмент, открывающийся при открытии отчета из проводника баз данных.

С помощью этого инструмента Вы можете просматривать, редактировать, сохранять и распечатывать отчеты.

Основные инструменты располагаются на панелях инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Конструктор отчетов


Панели инструментов

Навигационная панель

Report Viewer - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать отчет.

General

iconRefresh обновить - Refresh,

редактировать отчет в конструкторе отчетов - Edit report,

iconSaveToFile сохранить отчет - Save report,

iconSaveToFileAs сохранить отчет в файл - Save report as,

iconPrint распечатать отчет - Print,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Инструменты доступа к серверу

Для обеспечения безопасности в SQL Manager for SQL Server предусмотрен ряд инструментов, с помощью которых можно задать права доступа пользователей к данным и метаданным баз данных.

Управление логинами (Login manager) - инструмент для добавления, удаления регистрационных имен пользователей сервера, а также для установления и редактирования пользовательских привилегий.

Управление правами (Grant manager) - инструмент для управления правами пользователей на работу с объектами базы данных.

Управление серверными ролями (Server roles) - инструмент для просмотра списка ролей сервера SQL Server и установления принадлежности логина ролям.

Пользователь - это отдельный объект базы данных. Работать с ним можно в специальном редакторе пользователей.

Глобальные привилегии пользователей определяют права пользователей на доступ ко всем объектам базы данных. Права назначаются на доступ пользователя к базе данных, таблицам базы данных и полям таблиц. Привилегии на доступ к объектам базы данных дают пользователю возможность выполнять различные операции (создание, изменение, удаление) с базой данных, таблицами или полями.

Смотрите также:

Просмотр журналов сервера

Монитор процессов

Регулятор ресурсов


Управление логинами

Логин - объект, определяющий пользователя в базе данных и видимый в пределах той базы данных, в которой он был создан. Пользователю в базе данных может соответствовать только один логин.

Пользователи создаются для логинов, не являющихся участниками административных ролей. Права доступа к базе данных определяются для логина в редакторе логинов. Права доступа к объектам базы данных указываются для пользователя в редакторе пользователей.

Открыть Login manager можно, выбрав пункт главного меню программы Tools | Login Manager.

В появившемся окне содержится полный список всех созданных логинов.

Logins - Login manager

Создание логина

Чтобы добавить новый логин, необходимо выполнить следующую последовательность действий:

  • выбрать пункт главного меню программы Tools | Login Manager,
  • нажать Add login на одной из панелей инструментов.

Созданный объект автоматически откроется в соответствующем редакторе.

Редактирование логина

Все изменения свойств этого объекта осуществляются в редакторе логинов.

Чтобы открыть логин в редакторе нужно:

  • нажать Edit login на одной из панелей инструментов Login Manager (в редакторе откроется выделенный логин),
  • в общем списке на нужном объекте два раза щелкнуть мышкой.

Удаление логина

Чтобы удалить логин нужно:

  • выбрать команду Delete login на одной из панелей инструментов Login Manager,
  • или выбрать пункт Delete login в контекстном меню выбранного логина.

Панели инструментов

Основные инструменты, позволяющие работать с логинами, располагаются на панелях инструментов.

На панели Servers:

  • из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

На панели General:

  • Refresh - обновить содержимое списка,
  • Add login - создать новый логин,
  • Edit login - редактировать выделенный объект в редакторе логинов,
  • Delete login - удалить логин,
  • Export list - экспортировать список логинов в файл с помощью мастера экспорта данных,
  • Restore default size - восстановить исходный размер окна.

Смотрите также:

Управление правами


Управление правами

С помощью инструмента Grant Manager Вы можете предоставлять пользователям права доступа к защищенным объектам: базам данных, таблицам, функциям, схемам и т.д.

Чтобы открыть Grant Manager выберите Tools | Grant Manager в главном меню программы или выбрать пункт Tasks | Grant Manager в контекстном меню базы данных.

Использование панелей инструментов и контекстного меню

Управление привилегиями баз данных

Просмотр только тех объектов, которые обладают правами

Смотрите также:

Управление серверными ролями

Управление логинами

Редактор логинов

Редактор пользователей

Редактор ролей


Панели инструментов

Основные инструменты для работы с правами располагаются на панелях инструментов и в контекстном меню.

Навигационная панель

Grant Manager - Using Navigation bar

Database

iconDB Из раскрывающегося списка выберите базу данных для работы.

General

iconRefresh Refresh - обновить,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

iconAddUser Add user - добавить пользователя при этом открывается редактор пользователей,

iconEditUser Edit user - в открывшемся редактор пользователей можно изменить свойства пользователя,

iconDeleteUser Delete user - удалить пользователя,

iconAddRole Add role - добавить роль, при этом открывается редактор ролей.

iconEffectivePermissions просмотр действующих прав объекта

Privileges for

btnGroupManager Из списка User/Role можно выбрать пользователя или роль, для которых необходимо задать права.

В разделе Legend:

В этом разделе предоставлен список условных обозначений, используемых при присвоении прав.

Revoke - не установлен ,

Grant - предоставить ,

Grant with GRANT OPTION - предоставить с правами 'GRANT' ,

Deny - запретить ,

Has grants for column - права заданы для полей этой таблицы.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Контекстное меню открывается при нажатии на ячейку области Grant Manager и позволяет присваивать права на действия над объектами.

Grant Manager - Using context menu

  • Grant - предоставить права,
  • Grant with GRANT OPTION - предоставить с правами 'GRANT',
  • Deny - запретить,
  • Revoke - не установлены права,
  • Grant All - предоставить права на все действия для выделенного объекта,
  • Revoke All - не установлены для всех действий данного объекта,
  • Deny All - запретить все действия для выделенного объекта,
  • Grant with GRANT OPTION All - предоставить с правами 'GRANT' на все действия для выделенного объекта,
  • Grant on All - предоставить права на это действие для всех объектов,
  • Revoke on All - не установлены права на это действие для всех объектов,
  • Deny on All - запретить это действие для всех объектов,
  • Grant with GRANT OPTION on All - предоставить с правами 'GRANT' на это действие для всех объектов,
  • Sort by Type - сортировать объекты по типу,
  • Sort by Name - сортировать объекты по имени,
  • Effective Permissions - просмотр действующих прав объекта.


Управление правами

В основном окне Grant Manager расположена таблица, в которой строки - это объекты базы данных, а столбцы - действия, выполняемые над объектами.

Для задания прав для базы данных необходимо выбрать сервер и базу данных с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - Предоставить права на выполнение данного действия [image] ,
  • Revoke - Аннулировать права,
  • Deny - Запретить выполнение данного действия [image],
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image] .

Grant Manager - Object permissions

В верхней таблице - Database specific privileges - располагается список объектов базы данных и действий, выполняемых с этими объектами.

В нижней части - Column permissions - представлены столбцы активной таблицы, для которых тоже можно задавать права на выполнение действий.

Если для пользователя или роли установлено право на выполнение действия с отдельным столбцом, то в соответствующем действии таблицы появится символ iconHasGrantedColumn .


Просмотр действующих прав

Право действует, если:

  • назначено принципиалу напрямую, и не отменено, или
  • встроено в права более высокого уровня, которыми также обладает принципиал, и не отменено, или
  • назначено или имеется у роли или группы, членом которой является принципиал, и не отменено.

На вкладке Grants Tree диалогового окна Effective permissions в виде дерева отображается полный список назначенных пользователю прав, а также его роль по отношению к определенному объекту.

Для вашего удобства кнопки Refresh, Expand/Collapse доступны в нижней части окна.

Grant Manager - Viewing effective permissions - Tree

На вкладке Current Effective Permissions отображается список прав назначенных указанному принципиалу по отношению к определенному объекту.

Grant Manager - Viewing effective permissions - Current

Смотрите также:

Панели инструментов

Управление правами

Отбор объектов


Отбор объектов

В больших базах данных со множеством объектов бывает трудно найти нужный объект. Для этого в Grant Manager предусмотрены несколько инструментов, которые располагаются на панели над основной таблицей.

  • Из раскрывающегося списка All Objects можно выбрать один из типов объектов базы данных. С помощью этого списка Вы можете оставить в таблице только таблицы, или только представления и.т.д.
  • Специальный фильтр, который позволяет скрыть объекты, для которых не заданы права. Если установлен флажок Granted only, то видимыми останутся только те объекты базы данных, для которых заданы права.
  • Фильтр, который позволяет находить объект по первым буквам названия - это поле Filter.

Grant Manager - Filtering objects in list


Управление серверными ролями

Редактор серверных ролей позволяет вам просматривать список ролей сервера SQL Server и устанавливать принадлежность логина ролям.

Server Roles - Server Roles manager

Открыть Server Roles можно, выбрав пункт Tools | Server Roles в главном меню программы, или выбрать пункт Tasks | Server Roles в контекстном меню сервера в проводнике баз данных.

В верхней части формы отображается список всех существующих серверных ролей, с указанием количества членов каждой роли в столбце Members Count.

Контекстное меню списка, открывающееся при нажатии на списке правой кнопкой мыши, позволяет Вам:

  • обновить список ролей - Refresh,
  • отобразить/скрыть столбцы - Columns,
  • экспортировать список серверных ролей в файл одного из доступных форматов - Export List.

Все средства управления доступны на Навигационной панели.

В нижней части отображаются логины. В списке Available Logins отображаются доступные логины, в списке Server Role Members содержатся логины, принадлежащие роли, выбранной в списке Server Role Name.

Переместить элемент из одного списка в другой можно с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, или перетащив его мышкой.

Смотрите также:

Логины


Визуальный конструктор баз данных

Визуальный конструктор баз данных предназначен для визуального представления баз данных, объектов баз данных и связей между ними. Также он позволяет создавать, редактировать и удалять таблицы и поля таблицы и устанавливать отношения между таблицами.

Чтобы открыть конструктор необходимо выбрать пункт Tools | Visual Database Designer главного меню программы, или на основной панели инструментов нажать кнопку Visual Database Designer, или в контекстном меню базы данных выбрать пункт Tasks | Visual Database Designer.

Панели инструментов

Перемещение по диаграмме

Работа с объектами

Создание связей

Работа с несколькими страницами

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Навигационная панель

VDBD - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconOptions задать свойства диаграммы - Diagram options,

iconRefresh обновить диаграмму - Refresh.

Navigator

В окне навигатора уменьшенный макет диаграммы для удобного перемещения по ней.

Database Objects

VDBD - Database Objects pane

список элементов, которые могут быть помещены в диаграмму.

Нажатие правой кнопкой на списке вызывает контекстное меню. С помощью этого меню Вы можете:

iconFindText найти выбранный объект на диаграмме.

iconPlus добавить новый объект на с помощью обратного проектирования,

вид отображения объектов В виде дерева / В виде списка - As a tree / As a list;

сортировать объекты в списке по названию схемы, затем по имени объекта - Sort by schema, name.

сортировать объекты в списке по имени объекта, затем по названию схемы - Sort by name, schema,

iconRefresh обновить список объектов - Refresh.

Панель инструментов

VDBD - Toolbars - Main

  • выбрать базу данных Databases,
  • создать новую диаграмму - New Diagram,
  • открыть диаграмму - Open Diagram,
  • сохранить диаграмму - Save Diagram,
  • сохранить диаграмму как изображение - Save as Image,
  • поиск по названию ключевого поля - Incremental Search,
  • увеличить масштаб - Zoom In,
  • уменьшить масштаб - Zoom Out,
  • выбрать область для увеличения - Select rectangle to fit,
  • вписать диаграмму в экран - Fit model,
  • печатать диаграмму - Print,
  • настройки печати - Print setup,
  • предварительный просмотр - Print Preview,
  • компоновать объекты - Arrange objects,
  • сгенерировать скрипт метаданных объектов диаграммы и загрузить этот скрипт в редакторе Execute Script - Extract metadata,
  • обратный инжиниринг базы данных (генерация модели данных на основе анализа существующей БД) - Reverse Engineer,
  • задать свойства диаграммы - Designer options,
  • задать масштаб,
  • восстановить исходный размер и положение окна - Restore default size and position,
  • поиск по имени объекта (сущности) - Incremental Search,

VDBD - Toolbars - Pages

  • создать новую страницу в диаграмме - New Page,
  • удалить активную страницу диаграммы - Delete Page,
  • удалить все страницы диаграммы - Delete all.

Панель инструментов диаграммы позволяет:

VDBD - Toolbars - Alignment Palette

  • выровнять по левой границе выделенные объекты - Align left edges,
  • выровнять объекты по правой границе - Align right edges,
  • выровнять по верхней границе - Align tops,
  • выровнять по нижней границе - Align bottom,
  • выровнять по центру по горизонтали - Align horizontal centers,
  • выровнять по центру по вертикали - Align vertical centers,
  • равное пространство по горизонтали - Space equally, horizontal,
  • равное пространство по вертикали - Space equally, vertical.

Далее кнопками определяется режим работы курсора:

VDBD - Toolbars - New object

  • Select - режим выделения объектов,
  • Create table - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая таблица,
  • Create view - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создано новое представление,
  • Create procedure - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая процедура,
  • Create function - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая пользовательская функция,
  • если выбрана кнопка Create relation, то между таблицами можно создавать связи,
  • создать комментарий - Create comment.

Смотрите также:

Контекстные меню

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск

Создание связей

Работа с вкладками

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы


Контекстные меню

Контекстное меню

Контекстное меню области диаграммы позволяет:

VDBD - Using context menu

  • выделить все объекты диаграммы - Select All,
  • выделить заголовки всех объектов - Select All Headers,
  • выделить поля всех объектов - Select All Columns,
  • Zoom - из подменю выбрать масштаб диаграммы,
  • Create - выбрать тип создаваемого объекта (таблица, представление, процедура, функция, отношение, комментарий),
  • Grid - настроить вид сетки,
  • Style - настроить диаграмму,
  • обратное проектирование схемы данных (генерация модели данных на основе анализа существующей БД) - Reverse Engineer,
  • генерировать скрипт метаданных объектов диаграммы и загрузить этот скрипт в редакторе Execute Script - Extract Metadata,
  • задать настройки диаграммы - Designer options, при этом отрывается.

Контекстное меню заголовка таблицы позволяет работать с таблицей:

VDBD - Using entity context menu

  • открыть таблицу в редакторе - Edit Table "имя схемы.Имя_объекта",
  • создать таблицу - New Table...,
  • удалить таблицу из базы данных - Drop Table "имя схемы.Имя_объекта",
  • скрыть подобъекты - Hide Subitems.
  • удалить таблицу из диаграммы - Remove Table "имя схемы.Имя_объекта".

Контекстное меню поля позволяет редактировать, добавлять и удалять поля таблицы.


Перемещение по диаграмме

Для быстрого и удобного перемещения по диаграмме существует специальный инструмент - Навигатор, который располагается на навигационной панели.

Навигатор представляет собой макет окна диаграммы, в котором красным прямоугольником выделена видимая область диаграммы. Он позволяет увидеть всю диаграмму в уменьшенном виде. Работать с объектами - выделять, перемещать, создавать и редактировать - в навигаторе можно так же, как и в самом окне диаграммы.

При нажатии левой кнопкой мыши в окне навигатора, центр видимой области диаграммы перемещается в эту точку. Таким образом, можно перемещаться по диаграмме, не используя полосы прокрутки.

VDBD - Diagram navigator

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Работа с вкладками


Работа с объектами диаграммы

Объектами диаграммы являются таблицы и поля таблиц.

Жирным шрифтом в таблицах выделены обязательные для заполнения поля (NOT NULL). По умолчанию поля первичного ключа отделены от остальных полей таблицы и обозначены специальной иконкой. Вид представления таблиц и связей можно настроить.

Добавление объектов в диаграмму

Добавить таблицу в область диаграммы можно двумя способами:

  • перетащить объект из окна проводника баз данных (можно перетащить схему),
  • перетащить из списка доступных объектов, который расположен на навигационной панели.

Удаление объектов из диаграммы

Чтобы удалить таблицу из базы данных воспользуйтесь пунктом контекстного меню заголовка таблицы Drop Table "Имя_объекта".

VDBD - Removing objects from diagram

Создание нового объекта

В окне диаграммы можно создавать новые таблицы, используя пункт контекстного меню заголовка таблицы New Table.... Далее в открывшемся редакторе задайте все нового объекта и нажимите Compile. Созданный объект появится на диаграмме.

VDBD - Creating new table

Редактирование объекта

Чтобы открыть обхъект в редакторе нужно в контекстном меню объекта выбрать пункт Edit <object_type>.

Работа с полями таблицы осуществляется с помощью контекстного меню поля.

VDBD - Using field context menu

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Создание связей

Инкрементный поиск

Обратное проектирование

Управление объектами базы данных


Инкрементный поиск

Чтобы по названию найти объект на диаграмме необходимо:

  • Нажмите кнопку [image] Incremental Search на одной из панелей инструментов,
  • или используйте сочетание клавиш Ctrl+F

VDBD - Incremental Search

Искомое сочетание символов укажите в появившемся поле Incremental Search, появившемся в нижней части области диаграммы.

Смотрите также:

Перемещение по диаграмме


Создание связей

SQL Manager for SQL Server позволяет создавать связи между таблицами - внешние ключи - в окне диаграммы. Для этого на панели инструментов окна диаграммы надо нажать кнопку Create relation.

VDBD - Creating relations

Теперь, чтобы установить связь между двумя таблицами нужно нажать мышкой на каждой из них. После этого откроется редактор внешних ключей, в котором Вы сможете задать все свойства создаваемой связи.

VDBD - Creating relations - Context menu

Связь между таблицами отображается в виде соединительной линии.

Управление связью осуществляется с помощью контекстного меню, которое открывается при нажатии правой кнопкой мыши на связь.

С помощью этого меню Вы можете:

  • открыть связь в редакторе внешних ключей - Edit Foreign Key "имя_объекта",
  • удалить связь Drop Foreign Key "имя_объекта".

При создании связи с помощью кнопки Create relation на панели инструментов диаграммы выбранные поля автоматически заносятся в редактор внешних ключей.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск


Работа с вкладками

В одной диаграмме баз данных Вы можете создать несколько вкладок для разделения объектов на группы для удобства просмотра.

VDBD - Working with diagram pages

Работа с вкладками:

  • создать новую вкладку - New Page,
  • удалить вкладку - Delete Page,
  • удалить все вкладки - Delete All Pages,
  • переименовать вкладку - Rename Page.

Все эти команды находятся в контекстном меню страницы и на панели инструментов.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы


Обратное проектирование

Для того чтобы быстро перенести на диаграмму все таблицы базы данных с отношениями между ними нужно воспользоваться кнопкой Reverse Engineer btnReverseEngineer на панели инструментов. Это позволит совершить обратное проектирование базы данных.

Все таблицы базы будут выстроены на диаграмме, со всеми существующими между ними связями.

VDBD - Reverse engineering

В появившемся окне выберите схему, объекты которой хотите поместить на диаграмму:

VDBD - Reverse engineering - Select schema

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Работа с объектами диаграммы


Печать диаграммы

Визуальный конструктор баз данных позволяет открыть диаграмму в окне предпросмотра и распечатать её.

Чтобы распечатать диаграмму, нажмите кнопку btnPrintMetadata Print на панели инструментов.

Инструмент для предпросмотра диаграммы - Print Preview - открывается при нажатии кнопки btnPrintPreview Print Preview, на панели инструментов.

Для настроек печатного документа используйте Print Setup Dialog, который открывается при нажатии на кнопку btnPrintSetup Print setup, на панели инструментов. С помощью этого же инструмента можно распечатать документ.


Предварительный просмотр

Предварительный просмотр - это режим просмотра документа в том виде, в котором он будет напечатан.

С помощью инструмента Print Preview Вы можете просмотреть диаграмму перед печатью.

Действия, которые можно выполнить, используя панель инструментов:

  • указать номер просматриваемой страницы. С помощью кнопок можно открыть следующую или предыдущую страницу, в счетчике укажите номер желаемой страницы,
  • кнопка Print all позволяет напечатать все страницы или только текущую (раскрывающийся список кнопки),
  • настроить параметры печати - кнопка Print options,
  • установить масштаб просмотра - Preview zoom.

VDBD - Printing diagram - Print Preview


Настройки печати

Это диалоговое окно позволяет настроить опции печати:

  • параметры принтера - на вкладке Printer,
  • параметры страницы на вкладке Page options.

Инструменты, располагающиеся на вкладке Printer.

Database tools - VDBD - Print Setup - Printer

Имя принтера - отображается в поле Name.

Выбор активного принтера - кнопка Choose printer.

Сведения о драйвере принтера - поле Driver.

Порт подключения принтера - поле Port.

RadioButton Процент от натуральной величины - Use scale factor.

RadioButton Разместить не более чем на n страницах в ширину и n страницах в высоту - Arrange diagram at n pages horizontally and n pages vertically.

CheckBox Если установлен флажок Skip empty pages, то при печати будут пропущены пустые страницы.

CheckBox Установите флажок Print only selected objects, если хотите? чтобы напечатаны были только выделенные объекты.

CheckBox Установленный флажок Print page borders позволяет печатать границы страниц.

RadioButton All pages указывает на то что печататься будут все страницы.

RadioButton Pages from... to... позволяет задать диапазон печатаемых страниц.

Инструменты, располагающиеся на вкладке Page options.

Database tools - VDBD - Print Setup - Page options

Top margin (mm) - размер верхнего поля в мм.,

Bottom margin (mm) - размер нижнего поля в мм.,

Left margin (mm) - размер левого поля в мм.,

Right margin (mm) - размер правого поля в мм.,

В поле Page Header задайте текст верхнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.

Page Footer - параметры нижнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.


Сохранить/загрузить диаграмму

SQL Manager for SQL Server позволяет сохранять и загружать сохраненную диаграмму.

Файлы диаграммы сохраняются в формате *.msd.

Кнопки сохранить загрузить диаграмму расположены на панели инструментов:

  • открыть диаграмму - Open Diagram,
  • сохранить диаграмму - Save Diagram,
  • сохранить диаграмму как изображение - Save as Picture.

VDBD - Saving and Loading diagram

Чтобы открыть сохраненную ранее диаграмму нажмите на кнопку Open Diagram на панели инструментов.

Если попытаться открыть диаграмму для другой базы, то программа, не найдя соответствующих таблиц, выдаст ошибку.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Работа с объектами диаграммы


Настройка диаграммы

Настроить вид диаграммы можно с помощью инструментов, расположенных на вкладке Options | Environment Options | Tools | Visual Database Designer. Окно настроек можно открыть также с помощью кнопки Page options, расположенной на одной из панелей инструментов или соответствующего пункта контекстного меню.

Окно настройки, вызываемое нажатием btnEnvironmentOptions Page options, имеет две вкладки. На первой Вы можете указать настройки внешнего вида, на второй - отдельно настройки цветов диаграммы.

Инструменты вкладки Options.

VDBD - Setting diagram options

Подробная информация об опциях диаграммы описана в Настройки | Инструменты | Визуальный конструктор баз данных.

CheckBox Если после внесения изменений установить флажок Apply changes to all existent objects on the page, то все принятые изменения будут применены ко всем объектам, расположенным на странице.

Смотрите также:

Настройки визуального конструктора баз данных


Службы

SQL Manager for SQL Server предлагает удобные инструменты для работы с сервером баз данных. Для получения более подробной информации по каждой службе, смотрите документацию сервера Microsoft® SQL Server™.

Резервное копирование базы данных

С помощью мастера резервного копирования Вы можете создавать резервные копии баз данных.

Восстановление базы данных

С помощью этого мастера Вы можете восстановить и подготовить к работе базу данных из резервной копии.

Устройства для резервного копирования

Для хранения резервных копий баз данных используются специальные устройства для резервного копирования.

Присоединение базы данных

Позволяет присоединить скопированную или отсоединенную базу данных SQL Server.

Отсоединение базы данных

Отсоединение базы данных означает удаление ее с экземпляра SQL Server, но сама база данных остается неповрежденной со всеми своими файлами данных и журналов транзакций.

Сжатие базы данных

Сжатие базы данных позволяет сократить размер файлов данных и файлов журнала в заданной базе данных.

Управление индексами

С помощью мастера управления индексами Вы можете изменяет существующие индексы таблицы или представления.

Мастер обновления статистики

Мастер обновления статистики позволяет обновить данные о распространении значений ключей для одной или нескольких групп статистики.

Проверка базы данных

С помощью мастера проверки базы данных Вы можете проверять целостность выделения пространства, структурную и логическую целостность всех объектов в указанной базе данных.

SQL Server Agent

Задания

Задание - это определенный ряд операций, называемых шагами, которые последовательно выполняет агент SQL Server.

История заданий

История заданий отображает сведения о выполнении заданий.

Предупреждения

определенная пользователем реакция на событие SQL Server.

Операторы

Оператор - это объект, предназначенный для получения уведомлений,

Общие расписания

Для создания, удаления и редактирования расписаний

Учетные записи-посредники

Учетная запись-посредник (Proxy) агента SQL Server управляет безопасностью шагов задания, в которых задействованы подсистемы, отличные от подсистемы языка Transact-SQL.

Целевые сервера

Целевой сервер - это сервер, получающий задания от главного сервера.

Моментальные снимки базы данных

Моментальный снимок - это статическое, доступное только для чтения представление базы данных на момент создания снимка.

Связанные серверы

Связанный сервер - это источник данных OLE DB, используемый распределенными запросами SQL Server.

Пакеты DTS

Пакет DTS — это организованная коллекция подключений, элементов потока управления, элементов потока данных, обработчиков событий, переменных и конфигураций.

Регулятор ресурсов

Регулятор ресурсов - это инструмент, позволяющий управлять нагрузкой сервера и ограничивать потребление ресурсов исходя из текущих задач.

Просмотр журналов сервера

Инструмент, для просмотра серверных журналов.

Монитор процессов

С помощью инструмента Activity Monitor Вы можете просмотреть состояние процессов, происходящих на сервере.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Настройки

Внешние инструменты

Как...


Резервное копирование базы данных

С помощью мастера резервного копирования Вы можете создавать резервные копии баз данных.

Чтобы запустить этот инструмент необходимо выбрать Services | Backup Database в главном меню программы, или пункт Tasks | Backup Database в контекстном меню базы данных.

Важно: Резервные копии, созданные более поздними версиями SQL Server, не могут быть восстановлены в более ранних версиях SQL Server.

Все инструменты мастера располагаются на следующих шагах:

Выбор базы данных

Выбор типа и опций резервного копирования

Выбор файлов базы данных

Выбор устройств для резервного копирования

Установка опций расписания

Установка опций носителя

Установка дополнительных опций

Выполнение операции

Смотрите также:

Восстановление базы данных

Использование шаблонов


Выбор базы данных

На первом шаге необходимо выбрать сервер и базу данных для резервного копирования.

Из раскрывающегося списка Host выберите сервер. База выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных на выбранном сервере.

Backup Database - Selecting database to backup

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор типа и опций резервного копирования

На этом шаге Вы задаете свойства создаваемой резервной копи базы данных.

Backup Database - Setting backup type and options

В разделе Database Recovery Model отображается модель восстановления базы данных.

В поле Backup Name укажите имя резервной копии базы данных.

Краткое текстовое описание резервной копии можно задать в поле Backup Description.

В разделе Backup Type выберите тип резервного копирования:

RadioButton Database-full - копировать базу данных полностью,

RadioButton Database-differential - база данных будет скопирована частично (на следующем шаге можно будет выбрать нужные для копирования файлы),

RadioButton Transaction log - лог транзакции.

CheckBox Если установлен флажок Restart Interrupted Backup, то прерванная копия будет запущена заново. Эта операция применима, только если Вы создаете резервную копию на ленточном носителе. Она будет недоступна, если Вы создаете первую резервную копию на этом носителе.

CheckBox Если установлен флажок Copy only, то это указывает, что резервная копия является резервной копией только для копирования, которая не влияет на нормальную последовательность создания резервных копий. Резервная копия только для копирования создается независимо от обычных, регулярно создаваемых резервных копий. Процесс такого резервного копирования не влияет на обычные процедуры резервного копирования и восстановления базы данных.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор файлов базы данных

На этом шаге выберите те файлы базы данных, резервную копию которых необходимо создать.

В столбце File/Group name в виде дерева представлены файлы базы данных. В столбце Backup установите флажки напротив тех файлов, которые надо добавить в резервную копию.

CheckBox Если установить флажок Backup All Files, то будут выделены все файлы базы данных.

Backup Database - Selecting database files to backup

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор устройств для резервного копирования

На этом шаге необходимо выбрать носитель информации или устройство, на которое будет сохранена резервная копия базы данных.

Из списка Backup Device Name выберите устройство для резервного копирования.

Также можно добавлять устройства с помощью кнопки Add Item.

Удалить выбранное устройство можно, нажав на кнопку Delete Item.

Backup Database - Selecting backup devices

С помощью контекстного меню, открывающегося при нажатии на кнопку Add Item можно:

  • добавить в список устройство - Add Device (в появившемся списке представлены все существующие устройства),
  • создать новое устройство - Create Device,
  • добавить файл - Add File,
  • добавить ленту - Add Tape,
  • добавить канал - Add Pipe.
  • добавить Windows Azure URL (для серверов версии SQL Server 2014).

При выборе Windows Azure URL появляется диалог для задания URL-адреса.

Backup Database - Selecting backup devices - Setting URL

Формат URL-адреса используется для создания резервных копий в службе хранилища больших двоичных объектов Windows Azure.

В разделе Write mode - укажите: перезаписать файл резервной копии или добавить в него новую информацию.

RadioButton Append to Media - добавить на носитель,

RadioButton Overwrite Media - перезаписать носитель.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка опций носителя

Этот шаг доступен только в том случае, когда на втором шаге Вы указали, что резервную копию нужно дописать на носитель информации (раздел Overwrite переключатель установлен напротив Append media)

Backup Database - Setting media options

CheckBox Check that media has following name and password

Выбрать устройство, имеющее соответствующие имя и пароль.

Для нового устройства Вам необходимо будет указать только имя носителя - в поле Media name и пароль - в Media password.

Если на втором шаге Вы указали, что файл нужно перезаписать (раздел Overwrite переключатель установлен напротив Overwrite Media), то этот шаг будет выглядеть следующим образом.

Backup Database - Setting Overwrite media options

CheckBox Если установлен флажок Format Media, то программа записывает новые заголовки носителей на все тома, используемые в этой операции резервного копирования, перезаписывая все существующие заголовки носителей и резервные наборы данных. Все существующее содержимое носителя становится недействительным.

CheckBox Если установлен флажок Don't backup to existing media if..., то копирование на соответствующий носитель не будет произведено, если выполняются следующие условия:

  • он содержит не истекший набор резервных копий,
  • его имя и пароль не соответствуют указанным.

Имя носителя укажите в поле Media name, пароль - в Media password. Повторите ввод пароля в поле Re-enter Password.

В поле Media Description введите текстовое писание носителя.

С помощью календаря Backup Set Expiration Date установите дату истечения копии.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка дополнительных параметров

В разделе Block size задайте размер физического блока в байтах. Поддерживаются размеры 512, 1 024, 2 048, 4 096, 8 192, 16 384, 32 768 и 65 536 байт (64 КБ). Значение по умолчанию равно 65536 для ленточных устройств и 512 для других устройств.

Default - размер блока по умолчанию.

To restore from CD (2048) - если создается резервная копия, которую планируется копировать на компакт-диск и восстанавливать с него, выберите этот пункт.

С помощью счетчика Other задайте любое другое произвольное значение.

Backup Database - Setting advanced backup options

Инструменты Tape after backup применяются исключительно для работы с ленточными носителями информации и задают действия, которые будут выполнены с этими носителями информации по завершению копирования.

RadioButton Keep open - оставить открытым,

RadioButton Rewind - перемотать на начало,

RadioButton Rewind and unload - перемотать на начало и выгрузить.

Если хотите задать пароль для резервной копии, то введите его в поле Set backup password, а в поле Re-enter password - этот же пароль для подтверждения.

CheckBox Verify backup when finished - проверить копию после завершения операции.

CheckBox Perform checksum before writing to media - создать контрольную сумму перед записью копии на резервный носитель.

CheckBox Если установлен флажок Continue on error, то при возникновении ошибки в контрольной сумме, операция будет продолжена.

CheckBox Backup compression - включить сжатие резервной копии.

Для резервных копий, создаваемых на SQL Server 2014 и выше, доступны еще некоторые опции.

Backup Database - Setting advanced backup options - Setting encryption

Credential for Windows Azure

Это поле доступно, если Вы выбрали Windows Azure URL для загрузки файла резервной копии. Из выпадающего списка выберите учетные данные для доступа к хранилищу Windows Azure.

Encryption

Из выпадающего списка выберите шифрование для резервного копирования. Вы можете указать алгоритм шифрования резервной копии или выбрать значение <No encryption>, чтобы не шифровать резервную копию.

Важно: Настройка шифрования резервной копии доступна только в случае, если на предыдущем шаге была выбрана опция CheckBox Format media.

Encryptor

Если вы используете шифрование, необходимо указать параметры шифратора. Шифратором может служить сертификат или асимметричный ключ для базы данных master.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка дополнительных опций

На этой вкладке Вы можете задать некоторые дополнительные опции резервной копии.

Этот шаг доступен только при резервном копировании базы данных, хранящейся на SQL Server 2008.

Backup Database - Setting data transfer options

В поле Buffer count укажите общее число буферов ввода-вывода, которые будут использоваться для операции резервного копирования.

Наибольший объем пакета данных в байтах для обмена между SQL Server и носителем резервного набора задайте в поле Max transfer size, Kbyte. Поддерживаются значения, кратные 65 536 байтам (64 КБ), вплоть до 4 194 304 байт (4 МБ).

Transaction log backup options

(Этот раздел отображается только в том случае, если установлена опция RadioButton Transaction log на шаге Выбор типа и опций резервного копирования).

RadioButton Truncate inactive log items

Журнал очищается после того, как все записи в одном или нескольких виртуальных журналах становятся неактивными.

RadioButton No truncate inactive log items

Указывает, что усечение журнала не происходит, а компонент Database Engine пытается осуществить резервное копирование независимо от состояния базы данных. Следовательно, резервная копия, созданная с параметром NO_TRUNCATE, может иметь неполные метаданные. Данный параметр позволяет производить создание резервной копии журнала в тех ситуациях, когда база данных повреждена.

RadioButton No recovery (leaves database in restoring state)

Создает резервную копию остатка журнала и оставляет базу данных в состоянии RESTORING. Параметр NORECOVERY полезен при переключении на вспомогательную базу данных в случае возникновения ошибки, а также при сохранении остатка журнала после операции RESTORE.

RadioButton Standby (leaves database in read-only and standby mode)

Создает резервную копию остатка журнала и оставляет базу данных в режиме только для чтения и состоянии STANDBY. Предложение STANDBY записывает резервные данные (выполняя откат, но с возможностью дальнейшего восстановления).

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка опций расписания

Используйте инструменты, расположенные на этой форме, для задания расписания автоматического резервного копирования выбранной базы данных.

Backup Database - Setting schedule options

RadioButton Если переключатель установлен в положение Backup now, то резервная копия будет создана по завершению работы мастера.

RadioButton Если в Create schedule, то будет создано расписание, в соответствии с которым будут создаваться резервные копии базы данных со всеми заданными параметрами.

В поле Schedule Name укажите название расписания.

CheckBox Установив флажок Enabled, Вы указываете, что расписание вступает в силу сразу после создания.

Панель Execution Type позволяет Вам выбрать режим работы мастера:

RadioButton Start when SQL Server Agent starts - резервное копирование запускается тогда, когда запускается SQL Server Agent,

RadioButton Start when CPU usage is low - запускать при низкой загрузке CPU,

RadioButton Start once on - запустить один раз и далее указать дату и время для выполнения операции,

RadioButton Recurrent Execution - создание резервной копии будет происходить периодически.

Параметры периодичного создания резервных копий можно задать на панели с тремя вкладками, расположенной ниже.

На первой вкладке - Recurring Interval задаете периодичность создания резервных копий:

RadioButton Daily - каждые n дней,

RadioButton Weekly - каждые n недель,

RadioButton Monthly - каждые n месяцев.

Количество дней, недель или месяцев (n) задается в счетчике Every.

При указании недель можно выбрать день недели.

Для месяцев можно задать конкретный день месяца для выполнения операции и периодичность выполнения.

На вкладке Daily Frequency можно задать следующие параметры:

Backup Database - Setting schedule options - Daily Frequency

RadioButton Occurs once at - выполнять резервное копирование один раз в день. С помощью счетчика указать время выполнения.

RadioButton Occurs every - создавать резервную копию каждые несколько часов или минут. Интервал задайте с помощью счетчиков. Если указать дополнительный интервал from... to... то можно указать, в какое время резервные копии будут создаваться с заданной периодичностью. Таким образом, можно, например, создавать копии только в течение рабочего дня.

На вкладке Duration можно задать следующие параметры:

Backup Database - Setting schedule options - Duration

В календаре Start date укажите начало действия создаваемого расписания,

End date - окончание действия расписания.

CheckBox Если установлен флажок Unlimited, то конечная дата становится неактивной, и резервное копирование будет выполняться до тех пор, пока Вы не измените или не удалите это расписание.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в окне Operations.

Backup Database - Running database backup

Дополнительная информация об операции отображается на вкладке Result.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

CheckBox Если установлен флажок Show SQL, то будет показан SQL скрипт выполненной операции в окне просмотра результатов.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Восстановление базы данных

Восстановление — это процесс копирования данных из резервной копии и применения журналов транзакций для наката до целевой точки восстановления. Процесс применения зарегистрированных изменений к данным в базе данных для приведения данных к состоянию на более поздний момент времени называется накатом.

С помощью этого мастера Вы можете восстановить и подготовить к работе базу данных из резервной копии.

Чтобы запустить этот инструмент, необходимо выбрать Services | Restore Database в главном меню программы, или пункт Tasks | Restore Database в контекстном меню базы данных.

Все инструменты мастера располагаются на следующих вкладках:

Установка свойств подключения и выбор базы назначения

Выбор типа восстановления

Выбор набора резервных копий для восстановления

Выбор файлов для восстановления

Установка дополнительных опций

Выполнение операции

Смотрите также:

Резервное копирование базы данных

Использование шаблонов


Установка свойств подключения и выбор базы назначения

На этом шаге необходимо указать параметры соединения с сервером.

Restore Database - Selecting destination database

Из раскрывающегося списка Server name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Host name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда вводите его вручную.

Настройка подключения.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Host name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS)

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

CheckBox Trust server certificate

Если вы используете эту опцию, процесс подключения пропускает проверку цепочки доверия. В этом случае приложение подключается, даже если сертификат не может быть проверен.

В разделе Restore as выберите, каким образом будет сохранена на сервере восстановленная база данных:

  • New Database - будет создана новая база данных,
  • Existing Database - будет заменена уже существующая.

Если Вы добавляете восстановленную базу как новую, то в поле Database Name укажите имя создаваемой базы данных. Также, Вы можете установить флажок Register after Restoring, что позволит зарегистрировать базу данных сразу же после восстановления.

Если Вы выбрали Existing Database, то из списка Database Name надо будет выбрать ту базу, которую хотите заменить восстанавливаемой.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор типа восстановления

На втором шаге Вы можете выбрать тип восстановления базы данных

Restore Database - Setting restore type and recovery options

Выбрать тип восстановления базы данных можно с помощью переключателя в разделе Restore Type:

RadioButton Database - полное восстановление базы данных.

RadioButton Transaction Log - восстановление журнала транзакций.

RadioButton Recovery without Restore - восстановление без использования резервной копии.

RadioButton Restore from database snapshot - восстановить базу данных из моментального снимка. В поле From snapshot укажите необходимый моментальный снимок.

Установив флажок Restart Interrupted Restore, Вы можете перезапускать прерванное восстановление.

Далее необходимо задать опции восстановления.

RadioButton Recovery - восстановление (откат всех неподтвержденных транзакций). Настраивает операцию восстановления на откат любых незавершенных транзакций. После процедуры восстановления база данных готова к использованию.

RadioButton No Recovery - без восстановления (оставить базу данных в режиме восстановления). Настраивает операцию восстановления на отмену отката любых незавершенных транзакций. Если впоследствии должен применяться другой журнал транзакций, то следует указать параметр No Recovery или Standby.

RadioButton Standby - режим ожидания (оставить в режиме ожидания и только для чтения). Следует также указать резервный файл, с помощью которого можно отменить результаты восстановления. Этот параметр разрешается применять для автономного восстановления (в том числе частичного восстановления). Параметр не разрешается использовать при оперативном восстановлении. При попытке указать параметр Standby для оперативного восстановления операция восстановления заканчивается неудачей. Инструкцию Standby также не разрешается применять, если необходимо обновление базы данных.

Undo File Name - имя файла отката. Это резервный файл, местонахождение которого хранится в журнале базы данных. Если файл с таким именем существует, то он перезаписывается. В противном случае компонент Database Engine создает этот файл.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор набора резервных копий для восстановления

На этом шаге необходимо определить резервную копию, из которой будет восстановлена база данных или указать логическое или физическое устройство резервного копирования, используемое для операции восстановления.

Restore Database - Selecting backup set to restore

При нажатии кнопки Select Backup Set открывается окно выбора устройства резервного копирования.

Restore Database - Selecting backup set

В разделе Show Backup Sets from установите вид устройства:

Logical Device - логическое устройство,

File - файл,

Tape - ленточное устройство,

Windows Azure URL - хранилище Windows Azure (необходимо задать учетные данные для доступа к хранилищу),

Backup of Database - резервная копия базы данных.

В соответствующем поле укажите конкретное устройство резервного копирования.

В таблице, расположенной внизу, при нажатии на кнопку Show отображаются все резервные копии, имеющиеся на этом носителе.

Выберите нужную копию и нажмите кнопку Ok.

Выбранное устройство автоматически появляется в списке устройств Backup Device Name. В этот список устройства можно добавить с помощью кнопки Add Item. Кнопка Delete Item удаляет устройство из списка. Все устройства в списке должны содержать резервную копию одной базы данных. Насколько устройств назначается для увеличения скорости операции восстановления.

№ резервной копии установите с помощью счетчика Backup Number. Имя носителя укажите в поле Media name, пароль - в Media password. В поле Backup Password укажите пароль резервной копии.

Если в качестве устройства выбран Windows Azure URL, то необходимо задать учетные данные для доступа к хранилищу Windows Azure в поле Credential for Windows Azure.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор файлов для восстановления

На этом шаге Вы можете выбрать для восстановления отдельные файлы из базы данных.

Restore Database - Selecting files to restore

CheckBox Установленный флажок Restore All Files указывает на то, что база данных будет восстановлена полностью. Убрав этот флажок, Вы получаете возможность самостоятельно выбирать нужные для восстановления файлы.

CheckBox Установив флажок Partial Database Restore, Вы можете осуществить частичное восстановление базы данных. В этом случае указывается операция частичного восстановления, которая восстанавливает первичную файловую группу и любые указанные вторичные файловые группы.

В столбце File/Group Logical Name в виде дерева представлены файлы базы данных. В столбце Restore установите флажки напротив тех файлов, которые необходимо восстановить из резервной копии.

В столбце Physical File Name and Path Вы можете увидеть физические имена восстанавливаемых файлов.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Установка дополнительных опций

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Restore Database - Setting advanced restore options

На этом шаге укажите следующие дополнительные свойства:

CheckBox Если установить флажок Preserve Database Replication Settings, то можно предотвратить удаление параметров репликации, если резервная копия базы данных или резервная копия журналов восстанавливается на сервере «горячего» резервирования и база данных воссоздается.

CheckBox Установленный флажок Restrict Access for Database to dbo Only ограничивает доступ к вновь созданной базе данных для членов ролей db_owner, dbcreator и sysadmin.

В разделе Tape after Restoring выберите действие, которое будет произведено с ленточным носителем после завершения операции восстановления:

  • Keep open - оставить открытым,
  • Rewind - перемотать на начало,
  • Rewind and unload - перемотать на начало и выгрузить.

Transaction log restore options

Элементы управления в этом разделе становятся доступными для изменения, если на шаге Выбор типа восстановления был выбран тип Transaction log.

RadioButton Restore all records of transaction log

Сделать полное восстановление из резервной копии журнала транзакций.

RadioButton Restore all records of transaction log before

Восстановить все записи журнала, сделанные до указанной даты.

RadioButton Restore all records of transaction log up to marked transaction

Восстановить базу данных до состояния, когда была принята отмеченная транзакция.

Mark name

Имя отметки транзакции.

Look for marks at or after

С какой даты и времени необходимо начать поиск отмеченной транзакции.

CheckBox Perform checksum - проверка контрольной суммы перед восстановлением с устройства резервного копирования.

CheckBox Continue on error - при возникновении ошибки операция восстановления базы данных будет продолжена.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в окне Operations.

Restore Database - Running database restore

При восстановлении существующей базы данных Вы можете увидеть сколько пользователей работают с ней в настоящий момент.

Обновить отображаемое число пользователей Вы можете нажав на кнопку Refresh. Нажатие на кнопку Clear отключает от базы всех пользователей.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

CheckBox Если хотите просмотреть SQL скрипт выполнения операции восстановления, то установите флажок Show SQL.

Дополнительная информация об операции отображается на вкладке Result.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Устройства для резервного копирования

Для хранения резервных копий баз данных используются специальные устройства для резервного копирования.

Для создания, просмотра и редактирования этих устройств в SQL Manager for SQL Server существует специальный инструмент - Backup Devices, который открывается при выборе Services | Backup Devices в главном меню программы.

See also:

Резервное копирование базы данных

Восстановление базы данных

Устройства резервного копирования


Панели инструментов

Основные инструменты, позволяющие работать с устройствами для резервного копирования, располагаются на панелях инструментов.

Навигационная панель:

Backup Devices - Using navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

Refresh - обновить содержимое списка,

Add Device - создать новое устройство резервного копирования,

Edit Device - редактировать выделенный объект,

Delete Device - удалить устройство,

Restore default size - восстановить исходный размер окна,

Export list - экспортировать список устройств в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню:

  • Add Device - создать новое устройство резервного копирования,
  • Edit Device - редактировать выделенный объект,
  • Delete Device - удалить устройство,
  • Refresh - обновить содержимое списка,
  • Columns - выбрать отображаемые столбцы,
  • Export list - экспортировать список устройств в файл с помощью мастера экспорта данных.


Редактор устройств резервного копирования

Окно редактора состоит из трех частей:

Backup Devices - Backup devices manager

В верхнем окне отображается список всех существующих устройств для резервного копирования:

  • Device name - имя устройства,
  • Type - тип устройства,
  • в столбце Physical File - содержатся имена восстанавливаемых физических файлов.

В окне Device contents с помощью кнопки Show можно отобразить свойства выбранного устройства.

В самом нижнем окне, в просмотрщике данных, показано содержимое выбранного в верхнем окне устройства, то есть все резервные копии баз данных, располагающиеся на этом устройстве. А также, некоторая информация по этим копиям.

Если установлен флажок Auto Show, то при выделении устройства в верхнем окне в остальных окнах автоматически будет отображаться информация по выделенному.

Существует три типа устройств для хранения резервных копий баз данных:

  • файл - File,
  • ленточное устройство - Tape,
  • канал - Pipe. (Для всех версий сервера кроме 2005)

Тип устройства (Device Type), логическое имя (Logical name) и физическое имя (Physical Devise Name and Path) задаются при создании в специальном окне New Logical Backup Device, которое появляется при создании или редактировании устройства.

В поле Logical Name задается логическое имя устройства, а в поле Physical Device Name and Path - имя физического устройства и путь к нему.

Основные инструменты, позволяющие работать с устройствами для резервного копирования, располагаются на панелях инструментов.

Для хранения резервных копий баз данных используются специальные устройства для резервного копирования.

Создание нового устройства резервного копирования

Для создания устройства резервного копирования используйте:

  • контекстное меню группы серверных объектов Backup Devices,
  • сочетание клавиш <Ctrl + N>

Переименование

Если хотите сменить имя устройства резервного копирования, то Вам нужно:

  • выбрать пункт контекстного меню объекта Rename<тип объекта><имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Удаление устройства резервного копирования

Для того чтобы удалить объект необходимо для выбранного объекта выбрать пункт контекстного меню объекта Drop<тип объекта><имя объекта> или использовать сочетание клавиш <Ctrl + Del>

Созданное устройство невозможно редактировать. Можно только просматривать его параметры в окне Backup Device Properties, которое открывается при двойном щелчке мышью на устройстве резервного копирования в проводнике баз данных.

Backup Devices - Backup Device properties

В верхней части отображается информация об устройстве резервного копирования

В нижней части окна, в просмотрщике данных, показано содержимое устройства, то есть все резервные копии баз данных, располагающиеся на этом устройстве. А также, некоторая информация по этим копиям.

Finished on - дата и время завершения создания резервной копии.

Backup Type - тип резервной копии.

DB Name - имя базы данных для которой делалась резервная копия.

Backup Name - имя резервной копии.

Size (KB) - размер полученной резервной копии.

Number - количество копий.

Expire on - дата истечения действия копии.

Backup Description - текстовое описание копии.

Device Type - тип устройства резервного копирования.

Created On - сервер, на котором расположена созданная резервная копия.

Created By - кем создана резервная копия.


Присоединение базы данных

Можно присоединить скопированную или отсоединенную базу данных SQL Server с помощью мастера присоединения баз данных. В SQL Server 2005 полнотекстовые файлы, являющиеся частью базы данных, присоединяются вместе с базой данных.

Чтобы присоединить базу к серверу, выберите в главном меню программы Services | [image] Attach Database, или пункт Tasks | [image] Attach Database в контекстном меню группы объектов Databases. При этом откроется мастер присоединения базы данных.

Мастер состоит из следующих шагов:

  • Подключение к серверу,
  • Выбор файлов базы данных,
  • Выполнение операции

Смотрите также:

Отсоединение базы данных

Использование шаблонов


Подключение к серверу

На этом шаге необходимо указать параметры соединения с сервером.

Attach Database - Setting connection properties

Из раскрывающегося списка Host name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Host name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда его следует ввести вручную.

Настройка подключения.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Host name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS)

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

CheckBox Trust server certificate

Если вы используете эту опцию, процесс подключения пропускает проверку цепочки доверия. В этом случае приложение подключается, даже если сертификат не может быть проверен.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор файлов базы данных

На втором шаге укажите, какие файлы базы данных необходимо присоединить.

Attach Database - Defining database files and general options

В поле MDF file name укажите полное имя и путь к основному файлу базы данных, в котором уже содержатся ссылки на все остальные файлы.

Если нажать кнопку Get All Files, то все файлы базы данных будут помещены в список файлов присоединяемой базы данных.

В список файлы можно добавить самостоятельно при помощи пункта контекстного меню Add File. Пункт Delete file в этом меню удаляет файл из списка.

В поле Database Name необходимо указать имя базы данных, которую подключаете. Из списка Database Owner выберите владельца этой базы данных.

CheckBox Если установлен флажок Register Database, то сразу после присоединения база данных будет зарегистрирована с помощью Мастера регистрации баз данных.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в окне Operations.

Attach Database - Attaching database

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Дополнительная информация об операции отображается на вкладке Result.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Отсоединение базы данных

Отсоединение базы данных означает удаление ее с экземпляра SQL Server, но сама база данных остается неповрежденной со всеми своими файлами данных и журналов транзакций. Эти файлы затем можно использовать для присоединения базы данных к любому экземпляру SQL Server, включая сервер, от которого она была отсоединена.

Отсоединить базу Вы можете только, если нет действующих подключений к этой базе данных, и когда она не участвует в репликации.

Чтобы отсоединить базу от сервера, выберите в главном меню программы Services | Detach Database, или пункт Tasks | Detach Database в контекстном меню базы данных.

Мастер состоит из следующих шагов:

  • Подключение к серверу,
  • Выбор отсоединяемой базы данных
  • Выполнение операции

Смотрите также:

Присоединение базы данных

Использование шаблонов


Подключение к серверу

На этом шаге необходимо указать параметры соединения с сервером.

Detach Database - Setting connection properties

Из раскрывающегося списка Host name выберите сервер (хост), к которому хотите подключиться. В этот список программа автоматически добавляет серверы, найденные в локальной сети. Если SQL-DMO components установлены на клиентском компьютере, используется их функция ListAvailableSQLServers. Если SQL-DMO components не установлены, используется функция NetServerEnum из netapi32.dll. Если данная библиотека не установлена, то при первом открытии программы этот список будет пуст, и имя сервера необходимо будет задать вручную. В этом случае в списке Host name будут отображаться те серверы, базы данных которых уже зарегистрированы в программе.

Важно: имя сервера не всегда может отображаться в списке, тогда вводите его вручную.

Настройка подключения.

SQL Server может быть установлен как именованный экземпляр. То есть, по умолчанию, во время установки ему присваивается имя (например, SQL Server 2005 Express по умолчанию, устанавливается как именованный экземпляр с именем SQLEXPRESS).

В этом случае в Host name Вы должны будете указать "имя компьютера (или IP адрес)\ИМЯЭКЗЕМПЛЯРА" (127.0.0.1\SQLEXPRESS)

Если экземпляр сервера не именован, то достаточно указать имя компьютера или его IP адрес.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication

Программа распознает пользователя по его доменному имени и паролю. Имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

RadioButton SQL Server authentication

Программа распознает пользователя по его персональным имени и паролю на сервере.

Управление именами и паролями пользователей на сервере осуществляется с помощью Login Manager.

Если выбираете SQL Server authentication, то следует указать имя и пароль в полях User name и Password соответственно.

По имени и паролю система определяет ваши права доступа к информации и, в соответствии с этим, разрешает доступ к объектам.

CheckBox Trust server certificate

Если вы используете эту опцию, процесс подключения пропускает проверку цепочки доверия. В этом случае приложение подключается, даже если сертификат не может быть проверен.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор отсоединяемой базы данных

Из раскрывающегося списка выберите базу данных, которую хотите отсоединить.

Detach Database - Selecting the database

Ниже указаны условия, при которых база данных не может быть отсоединена от сервера:

  • существуют действующие подключения к этой базе данных
  • она участвует в репликации.

На форме показано соответствие выбранной базы данных условиям отключения.

Number of connections to the database - число подключений к базе данных.

Enabled for replication - участвует в репликациях или нет.

С помощью кнопки Refresh Вы можете получить текущее состояние базы данных.

Нажав кнопку Clear connections, Вы разорвете все подключения к этой базе данных. Если нет подключений, то кнопка неактивна.

CheckBox Перед отсоединением Вы можете обновить статистику по базе, установив флажок Update statistics before detaching.

CheckBox Если установить флажок Unregister database, то при отсоединении будет удалена регистрация базы данных.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Detach Database - Detaching database

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Сжатие базы данных

Сжатие базы данных позволяет сократить размер файлов данных и файлов журнала в заданной базе данных.

Сжать базу Вы можете только, если нет действующих подключений к этой базе данных, и она не участвует в репликации.

Чтобы сжать базу данных, выберите в главном меню программы Services | Shrink Database, или пункт Tasks | Shrink Database в контекстном меню базы данных.

Мастер состоит из следующих шагов:

  • Выбор сервера и базы данных
  • Выбор файлов базы данных
  • Просмотр SQL скрипта

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор сервера и базы данных

На первом шаге нужно выбрать базу данных, которую необходимо сжать, и сервер на котором эта база данных располагается.

Shrink Database - Selecting database and setting shrink mode

Из раскрывающегося списка Host выберите сервер, на котором располагается нужная база данных.

Базу данных выберите из раскрывающегося списка Database.

С помощью переключателя Shrink укажите, что именно должно быть сжато.

RadioButton Если выберите Database, то база данных будет сжата полностью.

RadioButton Если Вы хотите сжать только некоторые отдельные файлы, то выберите Files.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор файлов базы данных

Если на первом шаге Вы указали, что база данных будет сжата целиком, то на втором шаге необходимо задать следующие параметры операции:

Shrink Database - Defining shrink action for database

В поле Currently allocated space показано выделенное на диске для базы данных пространство.

Доступное свободное пространство отображается в поле Available free space.

CheckBox Если установлен флажок Reorganize file before realising free unused space, то с помощью счетчика Max. free space in files after shrinking можно установить процент свободного пространства, которое должно остаться в базе данных после сжатия.

Если на первом шаге в качестве сжимаемых объектов Вы выбрали файлы, а не базу данных, то второй шаг будет выглядеть следующим образом:

Shrink Database - Defining shrink action for files

В списке Вы можете выбрать тот файл базы данных, который необходимо сжать. Выберите файл, установив флажок рядом с его названием.

RadioButton Release unused space - реорганизовать неиспользуемое пространство.

RadioButton Reorganize pages before releasing unused space - сократить размер указанного файла данных или журнала для текущей базы данных.

RadioButton Empty file by migrating the data to other file in the same Filegroup - выполнить перенос всех данных из указанного файла в другие файлы в той же файловой группе.

Следующий шаг

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр SQL скрипта

На последнем шаге Вы можете просмотреть и изменить, при необходимости, полученный SQL скрипт.

Shrink Database - Shrinking database

Чтобы начать выполнение операции, нажмите кнопку Finish.


Управление индексами

С помощью мастера управления индексами Вы можете изменяет существующие индексы таблицы или представления (реляционного или XML) посредством отключения, перестройки, реорганизации или настройки индексных параметров.

Чтобы открыть мастер управления индексами, выберите в главном меню программы Services | Indices Management, или пункт Tasks | Indices Management в контекстном меню базы данных.

Мастер состоит из четырех шагов:

Выбор сервера и базы данных

Выбор полей

Задание параметров для каждого индекса

Просмотр SQL скрипта

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор индексов

Использование шаблонов


Выбор сервера и базы данных

На первом шаге нужно выбрать базу данных, и сервер на котором эта база данных располагается.

Indices Management - Selecting database for indices management

Из раскрывающегося списка Host выберите сервер, на котором располагается нужная база данных.

Базу данных выберите из раскрывающегося списка Database.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор таблиц

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Выбор экспортируемых полей

На этом шаге выберите таблицы и представления в которых Вы хотите изменить индексы.

Из списка Available Tables выберите доступные таблицы и представления и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available , перетаскивания или двойного щелчка мыши, переместите их в список выбранных таблиц - Selected Tables.

Indices Management - Selecting tables

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание параметров для каждого индекса

В верхней части формы располагается список индексов, содержащихся в выбранных на предыдущем шаге таблицах и представлениях.

Indices Management - Specifying actions and setting options

В столбце Name отображается название индекса.

В поле Fragmentation указан существующий коэффициент заполнения.

Из раскрывающегося списка в поле Action выберите действие, которое необходимо произвести с индексом:

  • REBUILD - индекс будет перестроен с использованием тех же столбцов, типов индекса, атрибута уникальности и порядка сортировки.
  • REORGANIZE - конечный уровень индекса будет реорганизован.
  • DISABLE - индекс будет помечен как отключенный и недоступный для использования

В нижней части формы отображаются параметры управления для каждого индекса.

Для действия REBUILD можно задать следующие параметры:

  • PAD_INDEX - определяет разреженность индекса.
  • FILLFACTOR - указывает значение в процентах, показывающее, насколько полным компонент Database Engine должен сделать конечный уровень каждой индексной страницы во время создания или изменения индекса.
  • SORT_IN_TEMPDB - указывает, следует ли сохранять результаты сортировки в базе данных tempdb.
  • STATISTICS_NORECOMPUTE - указывает, пересчитана ли статистика распределения.
  • ONLINE - определяет, будут ли базовые таблицы и связанные индексы доступны для запросов и изменения данных во время операций с индексами.
  • ALLOW_ROW_LOCKS - указывает, разрешена ли блокировка строк.
  • ALLOW_PAGE_LOCKS - указывает, разрешена ли блокировка страниц.
  • MAXDOP - переопределяет параметр конфигурации максимальная степень параллелизма на время операций с индексами.

Для действия REORGANIZE можно задать параметр LOB_COMPACTION, который указывает, что конечный уровень индекса будет реорганизован.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр SQL скрипта

На последнем шаге Вы можете просмотреть полученный SQL скрипт.

Indices Management - Editing and executing the result script

Чтобы начать выполнение операции, нажмите кнопку Finish.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Мастер обновления статистики

Мастер обновления статистики позволяет обновить данные о распространении значений ключей для одной или нескольких групп статистики (коллекций) в указанной таблице или индексированном представлении.

Чтобы открыть мастер обновления статистики, выберите в главном меню программы Services | Update Statistics, или пункт Tasks | Update Statistics в контекстном меню базы данных.

Мастер состоит из пяти шагов:

Выбор сервера и базы данных

Выбор экспортируемых полей

Задание параметров таблиц и представлений

Выбор индексов

Просмотр SQL скрипта

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Таблицы

Работа с индексами

Использование шаблонов


Выбор сервера и базы данных

На первом шаге нужно выбрать базу данных и сервер на котором эта база данных располагается.

Statistics Update - Selecting database for statistics update

Из раскрывающегося списка Host выберите сервер, на котором располагается нужная база данных.

Базу данных выберите из раскрывающегося списка Database.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Выбор экспортируемых полей

На этом шаге выберите таблицы и представления для которых Вы хотите обновить статистику.

Из списка Available Tables выберите доступные таблицы и представления и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, перетаскивания или двойного щелчка мыши, переместите их в список выбранных таблиц - Selected Tables.

Statistics Update - Selecting tables and views

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание параметров таблиц и представлений

В списке отображаются выбранные таблицы и представления. В столбце Option для каждой таблицы или представления Вы можете выбрать объект. по которому необходимо обновить статистику:

  • ALL - для всех объектов,
  • COLUMNS - для столбцов таблицы,
  • INDEX - для индексов таблицы

Если Вы выбрали INDEX, то появится дополнительный шаг, на котором Вы сможете выбрать из имеющихся индексов те, для которых необходимо обновить статистику.

Statistics Update - Specifying update statistics options

В разделе Options укажите дополнительные параметры обновления статистики для каждого выбранного объекта.

RadioButton Fullscan - все строки в таблицах и представления должны быть считаны, чтобы собрать статистические данные.

RadioButton Если выбран Sample, то вы можете указать долю таблицы или индексированного представления, подлежащих выборке при сборе статистических данных для крупных таблиц или представлений. С помощью счетчика укажите число строк или процентов, которые будут участвовать в выборке для обновления статистики. Из раскрывающегося списка выберите единицы выборки:

  • PERCENT - проценты, (если указать 100%, то это будет равносильно выбору Fullscan)
  • ROW - строки.

Поскольку выборка осуществляется путем просмотра всех страниц данных, реальный объем выборки может не вполне точно соответствовать указанному объему. Если для PERCENT или ROWS указано значение 0, результатом является пустой набор статистики.

RadioButton Resample - статистические данные будут собраны с использованием наследуемого коэффициента выборки для всех существующих статистик, включая индексы. Если с указанным коэффициентом выборки производится выборка недостаточного количества строк, компонент Database Engine автоматически корректирует выборку, основываясь на количестве существующих строк в таблице или представлении.

CheckBox Если флажок No recompute установлен, то устаревшая статистика не подлежит автоматическому пересчету. Статистические данные устаревают в зависимости от количества операций INSERT, UPDATE и DELETE, выполненных в индексированных столбцах.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр индексов

Этот шаг появляется, если на шаге Задание параметров таблиц и представлений Вы указали, что хотя бы у одной таблицы будет обновляться статистика индексов.

Statistics Update - Selecting indexes

На этом шаге Вы можете просмотреть те индексы таблиц и представлений, статистику по которым нужно обновить.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр статистик

Этот шаг появляется, если на шаге Задание параметров таблиц и представлений Вы указали, что хотя бы у одной таблицы будет обновляться статистика столбцов.

Statistics Update - Selecting statistics

На этом шаге Вы можете просмотреть те статистики столбцов таблиц и представлений, которые нужно обновить.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр SQL скрипта

На последнем шаге Вы можете просмотреть полученный SQL скрипт.

Statistics Update - Editing and executing the result script

Чтобы начать выполнение операции, нажмите кнопку Finish.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Проверка базы данных

С помощью мастера проверки базы данных Вы можете проверять целостность выделения пространства, структурную и логическую целостность всех объектов в указанной базе данных.

Чтобы открыть мастер проверки базы данных, выберите в главном меню программы Services | Check Database, или пункт Tasks | Check Database в контекстном меню базы данных.

Мастер состоит из трех шагов:

Выбор сервера и базы данных

Задание опций проверки

Просмотр SQL скрипта

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор сервера и базы данных

На первом шаге нужно выбрать базу данных, для которой необходимо выполнить проверку, и сервер на котором эта база данных располагается.

Check Database - Selecting database to check

Из раскрывающегося списка Host выберите сервер, на котором располагается нужная база данных.

Базу данных выберите из раскрывающегося списка Database.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Задание опций проверки

На втором шаге задайте параметры проверки базы данных.

Check Database - Specifying arguments and options

RadioButton None - не выполняется никаких действий.

RadioButton Disable intensive checks of nonclustered indexes for user tables - указывается, что не следует выполнять тщательную проверку некластеризованных индексов пользовательских таблиц. Это уменьшает общее время выполнения. Обработка системных таблиц проходит без изменений, поскольку для индексов системных таблиц всегда выполняются проверки целостности.

RadioButton Repair with data loss - по возможности исправляются все обнаруженные ошибки. Эти исправления могут привести к частичной потере данных.

RadioButton Fast repair - никакие действия по восстановлению не выполняются.

RadioButton Repair and rebuild indexes - выполняется незначительные быстрые процессы восстановления, например восстановление дополнительных ключей в некластеризованных индексах, и продолжительные процессы восстановления, например перестроение индексов. Этот вид исправления ошибок не приводит к потере данных при выполнении.

CheckBox Если установлен флажок All errors, то будут отображаться все сформированные для объекта ошибки. Если не установлен, то будут отображаться лишь первые 200 сообщений об ошибках для каждого объекта. Сообщения об ошибках, кроме сообщений, создаваемых базой данных empdb, сортируются по идентификатору объекта.

CheckBox Никакие информационные сообщения не будут появляться, если установлен флажок No info messages.

CheckBox Если вместо внутреннего моментального снимка базы данных Вы хотите получать инструкцию DBCC CHECKDB, то установите флажок Use exclusive database lock.

CheckBox Estimate only - будет отображаться оценочный объем пространства базы данных tempdb, необходимый для запуска инструкции DBCC CHECKDB со всеми остальными заданными аргументами. Сама проверка базы данных не выполняется.

CheckBox Physical only - проверка будет ограничена проверкой целостности физической структуры страниц и заголовков записей, физической структуры сбалансированных деревьев и целостности выделения пространства в базе данных.

CheckBox Purity of data - проверка таблицы на недействительность или выход из допустимого диапазона значений столбцов. Например, инструкция DBCC CHECKDB будет обнаруживать столбцы со значениями даты и времени, выходящими из допустимого диапазона значений типа данных datetime; столбцы типа decimal или приблизительных числовых типов данных с неверными значениями масштаба или точности.

CheckBox Max degree of parallelism - позволяет задать число потоков, на которые SQL Server может распределить запрос. По умолчанию имеет значение 0 – максимальную степень параллелизма.

Следующий шаг

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Просмотр SQL скрипта

На последнем шаге Вы можете просмотреть полученный SQL скрипт.

Check Database - Editing and executing the result script

Чтобы начать выполнение операции, нажмите кнопку Finish.

Для того, чтобы каждый раз не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Управление экземплярами сервера

С помощью инструмента Instance Manager Вы можете проверять статус сервисов SQL Server и SQL Server Agent, запускать или останавливать их, а также задавать некоторые параметры.

Важно: Чтобы управлять экземпляром сервера, Вам необходимо обладать правами Администратора на хосте, на котором запущен сервис SQL Server.

Чтобы запустить Instance Manager, выберите в главном меню программы пункт Services | Instance Manager.

  • Панели инструментов
  • Запуск и остановка сервиса
  • Конфигурация сервиса

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Навигационная панель и панель инструментов обеспечивают быстрый доступ к возможностям Управления экземплярами сервера.

Навигационная панель:

Instance Manager - Using navigation bar and toolbar

Host

iconHost выбрать экземпляр сервер

Service

iconInstanceManager выбрать сервис

Service Management

iconStartService Start service - запустить выбранный сервис

iconStopService Stop service - остановить выбранный сервис

iconRefresh Refresh - обновить содержимое окна

iconApplyChanges Apply changes - сохранить изменения

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Запуск и остановка сервиса

На этой вкладке отображается текущий статус сервиса. Вы можете остановить или запустить выбранный сервис.

Instance Manager - StartStop service

Чтобы остановить/запустить сервис, нажмите кнопку Stop/Start Service.

В текстовом поле Log Messages отображаются сообщения о процессе выполнения запуска и остановки сервиса.

Нажмите кнопку Clear Log, чтобы удалить все сообщения.


Конфигурация сервиса

На вкладке Configure Service можно задать некоторые параметры сервиса.

Instance Manager - Configure service

Service Settings

CheckBox Launch service on system start

Установите этот флажок, чтобы выбранный сервис запускался автоматически при запуске системы.

Display name

Укажите имя сервиса, которое будет отображаться в списке служб консоли управления компьютером.

Service description

Задайте описание выбранного сервиса.

Service parameters

В этом поле отображается исполняемый файл выбранного сервиса.

Чтобы применить сделанные изменения, нажмите кнопку iconApplyChanges , расположенную на панели инструментов или навигационной панели.


Задания

Задание - это определенный ряд операций, называемых шагами, которые последовательно выполняет агент SQL Server.

Для создания, удаления и редактирования заданий предназначен специальный инструмент - Jobs. Чтобы открыть это окно, нужно выбрать пункт главного меню программы Services | SQL Server Agent | Jobs.

В основном окне отображается список созданных пользователем заданий. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Jobs - Jobs manager

В основном окне отображается список всех заданий. Для редактирования заданий существует специальный инструмент - редактор заданий. Чтобы открыть задание в редакторе необходимо два раза щелкнуть по нему мышкой.

Редактор заданий позволяет задавать необходимые свойства заданий. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Задание

Шаги

Расписания

Уведомления

Целевой объект

Просмотр DDL

Контекстное меню:

Add job - добавить задание,

Edit job - редактировать задание,

Delete job - удалить задание,

Start job - начать выполнение задания,

Stop job - остановить выполнение задания,

Show job history - показать историю выполнения заданий,

Refresh - обновить содержимое списка,

Columns - настроить вид главного окна,

Export list - экспортировать список пакетов в файл с помощью мастера экспорта.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

История заданий

Редактор заданий


Панели инструментов

Основные инструменты, позволяющие работать с заданиями, располагаются на панелях инструментов.

Навигационная панель:

Jobs - Job Editor - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер, для которого необходимо создать задания. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefreshJobs Refresh - обновить содержимое списка,

iconAddJob Add job - добавить задание,

iconEditJob Edit job - изменить задание в редакторе заданий,

iconDeleteJob Delete job - удалить задание,

iconStartJob Start job - начать выполнение задания,

iconStopJob Stop job - остановить выполнение задания,

iconShowJobHistory Show job history - показать историю выполнения заданий,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Export list - экспортировать список серверов в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


История заданий

Этот редактор открывается при выборе Services | SQL Server Agent | Job history в главном меню программы и отображает сведения о выполнении заданий. В верхнем окне показан список выполнения заданий, дата и результат, в окне Steps - информация о выполнении каждого шага выделенного задания.

Сообщение об удачном или неудачном выполнении выделенного задания отображается в окне Messages. История добавляется в этот список автоматически при выполнении задания.

Работать со списком можно с помощью кнопок, располагающихся на панелях инструментов.

Job History - Viewing job history

Контекстное меню:

Filter - установить параметры отбора,

Clear - очистить список историй,

Refresh - обновить содержимое списка,

Add job - добавить задание,

Edit job - изменить задание в редакторе заданий,

Delete job - удалить задание,

Start job - начать выполнение задания,

Stop job - остановить выполнение задания.

Columns - настроить вид главного окна,

Export list - экспортировать список серверов в файл с помощью мастера экспорта.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление заданиями

Редактор заданий


Панели инструментов

Основные инструменты, позволяющие работать с историей задач, располагаются на панелях инструментов.

Навигационная панель:

Job History - Viewing job history - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер, для которого необходимо просмотреть историю выполненных заданий. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне. Если хост не зарегистрирован, то воспользуйтесь для регистрации Мастером регистрации серверов и баз данных.

General

iconRefreshJobs Refresh - обновить содержимое списка,

iconFilter Filter - установить параметры отбора,

iconClearJobHistory Clear all history - очистить список истории,

iconClearJobHistory Clear all history of selected job - очистить список истории выбранного задания,

Export list - экспортировать список серверов в файл с помощью мастера экспорта,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Job

iconAddJob Add job - добавить задание,

iconEditJob Edit job - изменить задание в редакторе заданий,

iconDeleteJob Delete job - удалить задание,

iconStartJob Start job - начать выполнение задания,

iconStopJob Stop job - остановить выполнение задания,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Применение фильтра

Для того, чтобы задать параметры фильтра необходимо нажать кнопку Filter на одной из панелей инструментов.

Job History - Filtering job history list

В разделе Execution Date Interval укажите интервал дат выполнения задания.

From - начальная дата, To - конечная дата. Таким образом, Вы можете просмотреть выполненные задания за какой-то определенный период, например, за месяц или за неделю.

В разделе Execution Day Time можно указать интервал в часах для одного определенного дня.

From - начальное время, To - конечное время. Таким образом, можно просмотреть историю выполнения заданий за час или минуту.

В разделе Running можно указать параметры отбора по минимальному количеству попыток выполнения задания:

  • Minimum Run Duration - минимальная длительность операции,
  • Minimum Number of Retries - минимальное количество попыток выполнения.

Также фильтровать можно и по отметке о выполнении:

  • Any - показать все,
  • Failed - показать с пометкой об ошибочном выполнении,
  • Succeeded - показать выполненные удачно,
  • Canceled - показать те, выполнение которых было прервано,
  • In-progress message - показать выполняющиеся в настоящий момент,
  • Unknown - показать выполненные задания, имеющие неопределенный статус.

Если при выполнении задания возникали ошибки, то эти ошибки попадают в историю выполнения.

С помощью этого фильтра можно отобрать те данные о выполнении заданий, которые содержат какую-либо определенную ошибку.

В разделе Execution Error можно задать параметры отбора по возникшим ошибкам.

Вы можете выбрать ошибку по номеру или по описанию с помощью счетчика и раскрывающегося поля строки Error ID или из раскрывающегося списка Error Severity выбрать уровень критичности ошибки. Ошибки разделены на несколько групп в зависимости от их серьезности. Первые - это сообщения и некритичные ошибки, а последние в этом списке - это Fatal Error.

Чтобы применить к списку заданные параметры фильтра, нажмите на кнопку OK.


Предупреждения

Предупреждение - это определенная пользователем реакция на событие SQL Server. Предупреждение выполняет определенную пользователем задачу, например, отправляет электронную почту или сообщение на пейджер указанному оператору.

Для создания, удаления и редактирования предупреждений предназначен специальный инструмент - Редактор предупреждений - Alerts. Чтобы открыть редактор, нужно выбрать пункт главного меню программы Services | SQL Server Agent | Alerts.

В основном окне отображается список созданных пользователем заданий. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Alerts - Alerts manager

Для редактирования объектов существует специальный инструмент - Редактор предупреждений. Чтобы открыть предупреждение в редакторе необходимо щелкнуть два раза мышкой на нем.

Контекстное меню:

Add alert - добавить предупреждение,

Edit alert - редактировать предупреждение,

Delete alert - удалить предупреждение,

Refresh - обновить содержимое списка предупреждений,

Columns - настроить вид главного окна,

Export list - экспортировать список предупреждений в файл с помощью мастера экспорта данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор предупреждений


Панели инструментов

Основные инструменты, позволяющие работать с уведомлениями, располагаются на панелях инструментов.

Навигационная панель:

Alerts - Alerts manager - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер, для которого необходимо создать предупреждения. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefreshJobs Refresh - обновить содержимое списка предупреждений,

iconAddAlert Add alert - добавить предупреждение,

iconEditAlert Edit alert - редактировать предупреждение,

iconDeleteAlert Delete alert - удалить предупреждение,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Export list - экспортировать список предупреждений в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Операторы

Оператор - это объект, предназначенный для получения уведомлений, который используется вместе с предупреждениями и заданиями.

Для создания, удаления и редактирования операторов предназначен специальный инструмент - Редактор операторов - Operators. Чтобы открыть редактор нужно выбрать пункт главного меню программы Services | SQL Server Agent | Operators.

В основном окне отображается список созданных пользователем операторов. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Operators - Operators manager

В основном окне отображается список всех операторов. Для редактирования объектов существует специальный инструмент - Редактор операторов. Чтобы открыть оператор в редакторе необходимо два раза щелкнуть на нем мышкой, или на любой панели инструментов редактора Operators выбрать пункт Add operator - добавить оператор или Edit operator - редактировать оператор.

Контекстное меню:

Add Operator - добавить оператор,

Edit Operator - редактировать оператор,

Delete Operator - удалить оператор,

Refresh - обновить содержимое списка,

Columns - настроить вид главного окна,

Export list - экспортировать список серверов в файл с помощью мастера экспорта данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор операторов


Панели инструментов

Основные инструменты, позволяющие работать с операторами, располагаются на панелях инструментов.

Навигационная панель:

Operators - Operators manager - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefreshJobs Refresh - обновить содержимое списка,

iconAddOperator Add Operator - добавить оператор,

iconEditOperator Edit Operator - редактировать оператор,

iconDeleteOperator Delete Operator - удалить оператор,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Export list - экспортировать список серверов в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Общие расписания

Для создания, удаления и редактирования расписаний предназначен специальный инструмент - Shared schedules. В нем отображается полный список расписаний выбранной базы данных. Чтобы открыть его нужно выбрать пункт главного меню программы Services | SQL Server Agent | Shared schedules.

В основном окне отображается список созданных пользователем расписаний. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Schedules - Shared schedules manager

В основном окне отображается список всех расписаний. Для редактирования объектов существует специальный инструмент - Редактор расписаний. Чтобы открыть расписание в редакторе необходимо два раза щелкнуть на нем мышкой, или на любой панели инструментов редактора Shared schedules выбрать пункт Add schedules - добавить расписание или Edit schedules - редактировать расписание.

Редактор расписаний позволяет задавать расписания для выполнения заданий. Открывается при создании или редактировании объекта Schedule.

Все свойства объекта задаются на следующих вкладках редактора:

Расписания

Задания

Просмотр DDL

Контекстное меню:

  • Add schedule - добавить расписание,
  • Edit schedule - редактировать расписание,
  • Delete schedule - удалить расписание,
  • Refresh - обновить содержимое списка,
  • Columns - настроить вид главного окна,
  • Export list - экспортировать список объектов в файл с помощью мастера экспорта данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор расписаний


Панели инструментов

Основные инструменты, позволяющие работать с расписаниями, располагаются на панелях инструментов.

Навигационная панель:

Schedules - Shared schedules manager - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefreshJobs Refresh - обновить содержимое списка,

iconAddSchedule Add schedule - добавить расписание,

iconEditSchedule Edit schedule - редактировать расписание,

iconDeleteSchedule Delete schedule - удалить расписание,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Export list - экспортировать список объектов в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Учетные записи-посредники

Учетная запись-посредник (Proxy) агента SQL Server управляет безопасностью шагов задания, в которых задействованы подсистемы, отличные от подсистемы языка Transact-SQL. Каждой учетной записи-посреднику соответствует учетная запись системы безопасности. Учетная запись-посредник может иметь доступ к любому числу подсистем.

Для создания, удаления и редактирования учетных записей-посредников предназначен специальный инструмент - Proxies. Чтобы открыть его нужно выбрать пункт главного меню программы Services | SQL Server Agent | Proxies.

Редактор учетных записей-посредников позволяет задавать необходимые свойства объекта. Открывается при создании или редактировании объекта.

Все свойства объекта задаются на следующих вкладках редактора:

Учетные записи-посредники

Задания, использующие учетные записи-посредники

Просмотр DDL

В основном окне отображается список созданных пользователем учетных записей-посредников. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Proxies - Proxies manager

В основном окне отображается список всех учетных записей-посредников. Для редактирования объектов существует специальный инструмент - Редактор учетных записей-посредников. Чтобы открыть объект в редакторе необходимо два раза щелкнуть на нем мышкой, или на любой панели инструментов редактора Proxies выбрать пункт Add Proxies - добавить оператор или Edit Proxies - редактировать оператор.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор учетных записей-посредников


Панели инструментов

Основные инструменты, позволяющие работать с объектами, располагаются на панелях инструментов.

Навигационная панель:

Proxies - Proxies manager - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefreshJobs Refresh - обновить содержимое списка,

iconAddProxy Add proxy - добавить учетную запись-посредника,

iconEditProxy Edit proxy - редактировать учетную запись-посредника,

iconDeleteProxy Delete proxy - удалить учетную запись-посредника,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Export list - экспортировать список объектов в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Целевые сервера

Целевой сервер - это сервер, получающий задания от главного сервера.

Только сервер SQL Server 2005 может быть прикреплен к другому серверу SQL Server 2005.

Для создания и удаления целевых серверов специальный инструмент - Target Servers. Чтобы открыть редактор нужно выбрать пункт главного меню программы Services | SQL Server Agent | Target Servers.

В основном окне отображается список подключенных пользователем целевых серверов. Работать с ними можно с помощью кнопок, расположенных на панелях инструментов.

Target Servers - Target Servers manager

На панелях инструментов и в контекстном меню располагаются кнопки для работы с целевыми серверами.

  • Add Target Servers - добавить целевой сервер,
  • Delete Target Servers - удалить целевой сервер,
  • Refresh - обновить содержимое списка,
  • Columns - выбрать отображаемые столбцы,
  • Restore default size - восстановить исходный размер окна,
  • Export list - экспортировать список объектов в файл с помощью мастера экспорта данных.

При добавлении сервера, в появившемся окне необходимо указать параметры подключения.

Target Servers - Add target server

Target server - имя добавляемого сервера

Location - местоположение связываемого целевого сервера.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Моментальный снимок базы данных

Создание моментальных снимков является новой функцией в Microsoft SQL Server 2005

Статическое, доступное только для чтения представление базы данных на момент создания снимка. Моментальный снимок базы данных соответствует базе данных-источнику на уровне транзакций в том виде, в котором она существовала в момент создания моментального снимка. База данных-источник может иметь несколько моментальных снимков. Моментальные снимки используются для восстановления базы данных.

Операция возврата базы данных (задаваемая при помощи моментальных снимков) переносит всю исходную базу данных назад во времени, возвращая ее к моментальному снимку базы данных, т.е. заменяя исходную базу данных указанным моментальным снимком. В данный момент может существовать только снимок, к которому производится возврат. Затем операция возврата вновь создает журнал (поэтому впоследствии нельзя будет выполнить накат возвращенной базы данных к точке пользовательской ошибки).

Редактор моментальных снимков открывается при выборе пункта главном меню программы Services | Database Snapshots.

Database Snapshots - Managing database snapshots

Управлять моментальными снимками базы данных, располагающимися в списке можно с помощью кнопок, располагающихся на панелях инструментов и в контекстном меню.

Add Snapshot - добавить моментальный снимок,

Delete Snapshot - удалить моментальный снимок,

Refresh - обновить список,

Export List - экспортировать список моментальных снимков в файл.

При создании снимка открывается диалоговое окно, в котором можно задать параметры создаваемого объекта.

Database Snapshots - Database snapshot properties

Snapshot name - название моментального снимка.

Source database - база данных.

В поле FileName Вы можете исправить имя и путь к файлу моментального снимка.

Если база данных не зарегистрирована, то установите флажок Register database.


Связанные серверы

Связанный сервер - это источник данных OLE DB, используемый распределенными запросами SQL Server. Определение связанного сервера указывает поставщика OLE DB, который необходим для обращения к данным, а также содержит достаточную для поставщика OLE DB адресную информацию для подключения к данным. На наборы строк, предоставляемые источником данных OLE DB, можно ссылаться как на таблицы в распределенных запросах SQL Server.

Для создания, удаления и редактирования связанных серверов предназначен специальный инструмент - Редактор связанных серверов - Linked Servers. Чтобы открыть редактор, нужно выбрать пункт главного меню программы Services | Linked Servers.

В верхнем окне редактора отображается список связанных серверов, в нижнем - содержимое активного сервера, которое появляется после нажатия на кнопку Show content.

Linked Servers - Linked servers manager

Основные инструменты, позволяющие работать со связанными серверами, располагаются на панелях инструментов.

Добавление сервера

Чтобы добавить сервер как связанный необходимо в редакторе серверов на любой из панелей инструментов или в контекстном меню нажать кнопку Add Linked Server.

Редактирование сервера

Чтобы исправить настройки добавленного сервера в специальном редакторе необходимо нажать Edit Linked Server на любой панели инструментов, или выбрать этот пункт в контекстном меню.

Удаление сервера

Чтобы удалить сервер, необходимо нажать Delete Linked Server на любой панели инструментов, или выбрать этот пункт в контекстном меню.

Контекстное меню:

  • Add linked server - добавить связанный сервер,
  • Edit linked server - редактировать выделенный объект в редакторе связанных серверов,
  • Delete linked server - удалить связанный сервер,
  • Show content - показать в нижнем окне редактора содержимое сервера,
  • Refresh - обновить содержимое списка,
  • Columns - выбрать отображаемые столбцы,
  • Export list - экспортировать список устройств в файл с помощью мастера экспорта данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

See also:

Редактор связанных серверов


Панели инструментов

Основные инструменты, позволяющие работать со связанными серверами, располагаются на панелях инструментов.

Навигационная панель:

Linked Servers - Linked servers manager - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер, для которого необходимо создать связанные серверы. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefresh Refresh - обновить содержимое списка,

Add linked server - добавить связанный сервер,

Edit linked server - редактировать выделенный объект в редакторе связанных серверов,

Delete linked server - удалить связанный сервер,

Export list - экспортировать список серверов в файл с помощью мастера экспорта данных.

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Пакеты DTS

Пакет DTS — это организованная коллекция подключений, элементов потока управления, элементов потока данных, обработчиков событий, переменных и конфигураций, которая собирается либо с помощью графических средств конструирования, предоставляемых SQL Server 2005 Integration Services (SSIS), либо программно. Затем собранный пакет сохраняется в SQL Server 2005, в хранилище пакетов SSIS или в файловой системе. Пакет — это рабочий блок, который можно получить, выполнить и выгрузить.

С помощью SQL Manager for SQL Server пакет нельзя редактировать.

Его можно только загружать, выгружать и выполнять. Все операции выполняются с помощью кнопок, располагающихся на панелях инструментов или в контекстном меню.

Чтобы открыть инструмент, позволяющий работать с DTS пакетами, необходимо выбрать пункт Services | DTS Packages в главном меню программы.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор пакетов DTS


Менеджер DTS пакетов

DTS Packages manager позволяет управлять списком DTS пакетов.

Вы можете просматривать и запускать DTS пакеты

С помощью этого инструмента Вы можете включить в список пакеты SQL Server 2000 и более поздних версий.

Чтобы запустить DTS Packages manager, необходимо выбрать пункт Services | DTS Packages в главном меню программы или пункт Tasks | DTS Packages в контекстном меню Пакета DTS в проводнике баз данных.

DTS Packages - DTS Packages manager

В верхней части окна содержится список загруженных пакетов и некоторая информация по каждому:

Name - имя пакета DTS.

Owner - владелец объекта.

Description - текстовое описание объекта.

Create Date - дата создания пакета DTS

ID - идентификационный номер объекта.

Size - размер пакета

Дополнительная информация по выделенному в верхнем окне DTS пакету отображается в нижнем окне:

Create Date - дата создания пакета DTS.

Version ID - идентификационный номер этой версии объекта.

Description - текстовое описание объекта.

Важно: Вы можете просматривать свойства пакетов DTS в диалоговом окне DTS Package properties, который открывается при выборе пункта DTS Package Properties... в контекстном меню Пакета DTS в проводнике баз данных.

Основные инструменты, позволяющие работать с пакетами DTS, располагаются на панелях инструментов и в контекстном меню объекта.

Навигационная панель:

На панели Servers:

  • из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

На панели General:

  • Refresh - обновить содержимое списка в главном окне,
  • Run package - выполнить пакет DTS,
  • Import package - импортировать пакет DTS,
  • Export package - экспортировать пакет DTS,
  • Restore default size - восстановить исходный размер окна,
  • Export list - экспортировать список пакетов в файл с помощью мастера экспорта данных.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню:

  • Run package - выполнить пакет DTS,
  • Import package - импортировать пакет DTS,
  • Export package - экспортировать пакет DTS,
  • Columns - настроить вид главного окна,
  • Restore default size - восстановить исходный размер окна,
  • Export list - экспортировать список пакетов в файл с помощью мастера экспорта данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Регулятор ресурсов

Регулятор ресурсов - это инструмент, позволяющий использовать технологию Resource Governor, появившуюся в SQL Server 2008. Данная технология позволяет управлять нагрузкой сервера и ограничивать потребление ресурсов исходя из текущих задач.

Чтобы запустить регулятор ресурсов, используйте пункт главного меню Services | Resource Governor, или вызовите контекстное меню сервера в проводнике баз данных и выберите пункт Task | Resource Governor.

Использование панелей инструментов

Работа с регулятором ресурсов

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Навигационная панель и панель инструментов обеспечивают быстрый доступ к возможностям Регулятора ресурсов.

Навигационная панель:

Resource Governor - Using Navigation bar

Servers

iconHost выбрать сервер, ресурсами которого Вы хотите управлять.

General

iconCompile Compile - компилировать изменения

iconRefresh Refresh - обновить содержимое окна

iconRestoreDefaultSize Restore default size - восстановить исходный размер и позицию окна.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с регулятором ресурсов

Окно Регулятора ресурсов состоит из трех основных разделов: Resource Governor Configuration - Конфигурация регулятора ресурсов, Resource Pools - пулы ресурсов и Workload Groups - Группа нагрузки.

Resource Governor - Working with Resource Governor

Конфигурация Регулятора ресурсов

CheckBox Resource Governor enabled

Включить/выключить регулятор ресурсов.

Classifier function

Из раскрывающегося списка выберите пользовательскую функцию, которая будет использована для классификации новых запросов и определения их в соответствующую группу нагрузки.

Чтобы создать новую функцию, нажмите кнопку btnAddItem. Чтобы обновить список функций нажмите кнопку btnRefreshList.

Важно: Если некоторые изменения конфигурации Регулятора ресурсов не были применены, Вам следует применить их, нажав на кнопку Reconfigure.

Список пулов ресурсов отображен в виде таблицы:

  • Resource Pool Name - имя пула ресурсов,
  • Minimum CPU (%) - минимальная нагрузка на процессор в процентах,
  • Maximum CPU (%) - максимальная нагрузка на процессор в процентах,
  • Minimum Memory (%) - минимальное использование памяти в процентах,
  • Maximum Memory (%) - максимальное использование памяти в процентах.

Вы можете изменить порядок столбцов, перетаскивая их за заголовки мышкой.

Щелкните мышкой на заголовке столбца, чтобы отсортировать элементы по значениям в порядке возрастания или убывания.

Чтобы изменить какой-либо параметр, щелкните мышкой на ячейке и укажите желаемое значение.

Щелкните правой клавишей мыши в разделе Resource Pools, чтобы вызвать контекстное меню.

С его помощью вы можете:

  • iconPlus добавить пул ресурсов,
  • iconMinus удалить,
  • экспортировать список пулов ресурсов в любой из доступных форматов.

Список Workload Groups представлен в виде таблицы:

  • Workload Group name - имя группы нагрузки,
  • Importance - важность,
  • Max Memory Grant for Request (%) - максимальный процент объема памяти, выделяемой для запроса,
  • Max CPU Use Limit for Request (sec) - максимальный объем процессорного времени, выделяемого для запроса,
  • Memory Grant Time-out for Request (sec) - время, на которое память выделяется для выполнения запроса,
  • Max Degree of Parallelism - максимальная степень параллельности,
  • Max Number of Requests - максимальное количество запросов,
  • Resource Pool - используемый пул ресурсов.

Вы можете изменить порядок столбцов, путем перетаскивания их заголовков.

Щелкните мышкой на заголовке столбца, чтобы отсортировать элементы по значениям в порядке возрастания или убывания.

CheckBox Show all workload groups

Установите флажок, если хотите, чтобы все группы нагрузки были отображены. В противном случае в список попадут только группы нагрузки, связанные с выбранным пулом ресурсов.

Чтобы изменить какой-либо параметр, щелкните мышкой на ячейке и укажите желаемое значение.

Чтобы связать группу нагрузки с пулом ресурсов, щелкните мышкой на нужной ячейке столбца Resource Pool и выберите подходящее значение из раскрывающегося списка.

Щелкните правой клавишей мыши в разделе Workload groups, чтобы вызвать контекстное меню.

С его помощью вы можете:

  • iconPlus добавить группу нагрузки,
  • iconMinus удалить,
  • экспортировать список групп нагрузки в любой из доступных форматов.

Для применения изменений используйте элемент навигационной панели iconCompile Compile.


Просмотр журнала сервера

SQL Manager for SQL Server
  • В начало
  • « Назад
  • Вперед »

Просмотр журналов сервера

С помощью журнала событий пользователь может просмотреть все действия, выполнявшиеся на сервере в течение сеанса.

Чтобы запустить этот инструмент, выберите пункт главного меню Services | Server Log Viewer, или в контекстном меню сервера в проводнике баз данных выберите пункт Tasks | Server Log Viewer.

На панелях инструментов располагаются кнопки для работы с журналом:

Select log - выбрать сохраненные на сервере файлы журналов,

Refresh - обновить журнал,

Load log - загрузить файл журнала с сервера,

Export log - сохранить файл журнала в файл,

Filter - фильтровать данные, используя конструктор фильтров,

Restore default size - восстановить исходный размер окна.

Server Log Viewer - Working with Server Log Viewer

Работать с таблицей можно также как с просмотрщиком данных.

В основной таблице отображается информация о выполненных операциях:

Date - дата и время выполнения операции,

Source - источник информации,

Message - сообщение о выполнении операции,

Log Type - тип журнала,

Log Source - файл журнала.

В нижней части отображается дополнительная информации о действии, выбранном в верхней части.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Монитор процессов

С помощью инструмента Activity Monitor Вы можете просмотреть состояние процессов, происходящих на сервере.

Чтобы запустить этот инструмент, выберите пункт главного меню Services | Activity Monitor, или в контекстном меню сервера в проводнике баз данных выберите пункт Tasks | Activity Monitor.

В верхней таблице отображается полный список процессов и следующая информация по каждому из них:

  • Process ID - идентификатор процесса,
  • Is System - является ли процесс системным,
  • Status - статус процесса,
  • ExecutionContext - контекст выполнения,
  • Blocking - заблокирован ли процесс,
  • Blocked By - если заблокирован, то чем,
  • CPU - загрузка центрального процессора,
  • Physical IO - ввод/вывод,
  • Wait Type - тип ожидания
  • Wait Time - время ожидания
  • Command - команда,
  • Application - приложение,
  • Open Transactions - открытые транзакции,
  • Database - база данных,
  • User - пользователь,
  • Net Address - сетевой адрес,
  • Net Library - сетевая библиотека,
  • Host - сервер,
  • Memory Usage - использование памяти,
  • Login Time - время подключения,
  • Last Batch - последний пакет.

Activity Monitor - Working with Activity Monitor

В верхней таблице отображается полный список процессов и следующая информация по каждому из них:

  • Process ID - идентификатор процесса,
  • Is System - является ли процесс системным,
  • Status - статус процесса,
  • ExecutionContext - контекст выполнения,
  • Blocking - заблокирован ли процесс,
  • Blocked By - если заблокирован, то чем,
  • CPU - загрузка центрального процессора,
  • Physical IO - ввод/вывод,
  • Wait Type - тип ожидания
  • Wait Time - время ожидания
  • Command - команда,
  • Application - приложение,
  • Open Transactions - открытые транзакции,
  • Database - база данных,
  • User - пользователь,
  • Net Address - сетевой адрес,
  • Net Library - сетевая библиотека,
  • Host - сервер,
  • Memory Usage - использование памяти,
  • Login Time - время подключения,
  • Last Batch - последний пакет.

В нижней части, в таблице All Lock показаны блокировки, которые устанавливают процессы, отображенные в верхней части.

Для каждой блокировки отображаются следующие сведения:

  • Process ID - идентификатор процесса,
  • Database ID - идентификатор базы данных,
  • Database - база данных,
  • Object ID - идентификатор объекта,
  • Object name - имя объекта,
  • Index - индекс,
  • Index ID - идентификатор индекса,
  • Lock type - тип блокировки,
  • Mode - режим
  • Status - состояние,
  • Owner - владелец,
  • Resource - ресурс.

Для управления списком процессов предусмотрен ряд элементов управления, позволяющих выбрать из общего списка нужные процессы.

Элементы управления списка процессов:

Из раскрывающегося списка All Processes выбрать номер того процесса, который необходимо найти.

Если установлен флажок Show system, то в списке не будут отображаться системные процессы.

Из раскрывающегося списка Filter выберите статус процесса. Тогда будут отображаться процессы, у которых статус соответствует выбранному.

Для управления блокировками в окне All Locks предусмотрены следующие элементы управления:

Если установлен флажок By processes то в списке будут отображаться блокировки процесса, выбранного в верхнем окне.

Из раскрывающегося списка Filter можно выбрать объект базы данных, которому принадлежат блокировки.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Настройки

SQL Manager for SQL Server предоставляет Вам возможность персонализировать приложение.

Настройки окружения

Основной инструмент для управления свойствами и внешним видом объектов баз данных.

Настройки редакторов

Параметры редакторов задаются с помощью этого инструмента.

Настройки внешнего вида

Задайте внешний вид элементов управления программы с помощью этого инструмента.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Сохранение настроек

Мастер, позволяющий сохранить настройки базы данных в один файл.

Локализация

SQL Manager for SQL Server позволяет изменять язык интерфейса программы для удобства пользователей.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Важно: На каждой вкладке настроек опций располагается кнопка Reset to defaults button. С её помощью Вы можете восстановить значения по умолчанию на одной вкладке Reset current category, или на всех вкладках Reset all categories.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Внешние инструменты

Как...


Настройки окружения

С помощью этого инструмента Вы можете изменять основные настройки программы SQL Manager for SQL Server.

Чтобы открыть настройки окружения необходимо в главном меню программы выбрать пункт Options | btnEnvironmentOptions Environment Options.

Предпочтения

Активация режима полной версии

Подтверждения

Окна

Инструменты

Таймауты

Проводник баз данных

Редакторы объектов

Редактор SQL

Монитор SQL

Выполнить скрипт

Конструктор запросов

Стиль и палитра цветов

Настройки по умолчанию для работы с данными

Визуальный конструктор баз данных

Печать метаданных

Экспорт данных

Руководство по SQL Server

Шрифты

Параметры сетки

Настройки данных

Настройки печати

Стиль и палитра цветов

Дополнительный настройки

Опции столбцов

Локализация

Поиск опций

Смотрите также:

Настройки редакторов

Мастер сохранения настроек

Локализация

Шаблоны клавиатуры


Предпочтения

На вкладке Preferences Вы можете задать следующие свойства программы:

Environment Options - Preferences

CheckBox Show splash screen on startup - показывать заставку при запуске,

CheckBox Restore desktop on connect - сохранять состояние рабочего стола при отключении. При следующем запуске программы все редакторы, которые были открыты перед выходом из программы, будут открыты заново.

CheckBox Do not restore if 'Refresh objects on connection' database registration option is off - не выполнять сохранение рабочего стола при отключении, если в Регистрационной информации баз данных не выбрана опция "Refresh objects on connection".

CheckBox Disable multiple instances - отключить возможность запуска нескольких копий программы,

CheckBox Show desktop panel - показать панель рабочего стола (активно только для MDI вида, настраиваемого при первом открытии программы).

Нажав на кнопку Reset all toolbars and menus, Вы восстановите настройки по умолчанию для всех панелей инструментов, навигационных панелей, а также проводника баз данных.


Активация режима полной версии

CheckBox Если у вас установлена Lite версия программы, то на этом шаге Вы можете установить флажок Show Full Version Features и посмотреть, какими возможностями обладает полная версия. Все возможности полной версии будут доступны для работы в течение тридцати дней. По истечении этого срока флажок будет недоступен.

Сравнительную характеристику Lite и Full версий смотрите в сравнительной таблице характеристик.

Environment Options - Full mode activation


Подтверждения

На вкладке Confirmations Вы можете задать следующие свойства программы:

Environment Options - Confirmations

CheckBox Confirm saving of object (or document) upon closing the editor - подтверждать сохранение объекта (или документации) при закрытии или после внесения изменений,

CheckBox Confirm dropping object - подтверждать удаление объекта,

CheckBox Confirm exit from SQL Manager - подтверждать выход из программы (если объект изменен),

CheckBox Confirm deleting records - подтверждать удаление записей,

CheckBox Confirm metadata changing (Changing Metadata window) - подтверждать изменение метаданных,

CheckBox Confirm addition into spell checking dictionary - подтверждать добавление слова в словарь проверки правописания,

CheckBox Confirm transformation of misprint into substitution - подтверждать исправление опечатки,

CheckBox Confirm transaction commit - подтверждать фиксацию транзакции (для просмотрщика данных фиксировать транзакцию нужно при изменении данных),

CheckBox Confirm transaction rollback - подтверждать откат транзакции,

CheckBox Confirm transaction commit on closing data in object editors - подтверждать фиксацию транзакции при закрытии вкладки Data в редакторах объектов,

CheckBox Confirm rebuilding of dependent objects metadata on closing the editor (if required) - подтверждать перестройку зависимых объектов после компиляции.

CheckBox Disable transaction confirmation on closing editor - отключить подтверждение транзакции. Если этот флажок установлен, то транзакции будут закрываться автоматически при выходе из Редактора SQL и Конструктора запросов.

Действие для транзакции, выполняемое по умолчанию, выбирается в списке Default action on closing the editor:

  • Commit - фиксация транзакции,
  • Rollback - откат.


Внешний вид

На этой вкладке можно задать параметры и количество отображаемых окон, а также общий вид всей программы.

Theme

Выберите основную цветовую схему программы: Light (Светлая), Blue(Голубая) или Dark (Темная).

Environment Options - Windows

В разделе Environment style задайте общий вид программы:

RadioButton MDI environment - программа будет иметь MDI форму (приложения MS Office).

RadioButton Floating windows environment - программа будет отображаться в виде плавающих окон (приложения Borland).

CheckBox Установив флажок Number of open editors is restricted, Вы можете ограничить число открытых редакторов, задав их число в поле Number.

В разделе Zoom option можно задать настройки масштаба для плавающих окон:

RadioButton Full screen - во весь экран,

RadioButton Restricted by Main form - ограничено главной формой,

RadioButton Restricted by Main form and DB Explorer - ограничено главной формой и проводником баз данных

RadioButton Justified by Main form and DB Explorer - выровнять по главной форме и проводнику баз данных.

В разделе Bar style for child forms укажите те панели инструментов, которые должны отображаться в редакторах:

RadioButton Navigation bar - навигационная панель (располагается слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (находится над основным окном редактора),

RadioButton Both - будут отображаться обе панели.

CheckBox Установленный флажок Enable floating toolbars указывает на то, что включены плавающие панели инструментов, то есть положение любой панели инструментов можно изменять по желанию.


Инструменты

На этой вкладке можно задать свойства внешнего окружения программы.

Environment Options - Tools

Miscellaneous - в этой группе задайте различные настройки внешнего окружения программы.

CheckBox Show only connected databases in drop-down menu - показывать только подключенные базы данных в раскрывающемся меню,

CheckBox Don't fill server lists in connection forms - не заполнять список серверов в формах подключения.

CheckBox Allow using parameters in query text - разрешить использование параметров в тексте процедур и запросов,

CheckBox Show collation in table DDL only if it is different from database collation - показывать сортировку в DDL таблице, только если она отличается от сортировки базы данных.

CheckBox Close DDL to Files progress form after successful execution - закрывать диалог процесса записи определений объектов в файлы автоматически при успешном завершении.

Object name display style

Выберите, в каком формате будет отображаться имя объекта в некоторых редакторах, заголовках редакторов и форм, диалоге выбора объекта, инструменте Печать метаданных.

RadioButton <schema>.<name>

Имя объекта будет отображаться в формате "<имя_схемы>.<имя_объекта>".

RadioButton <name> (<schema>) with hiding the 'dbo' schema

Имя объекта будет отображаться в формате "<имя_объекта> (<имя_схемы>)". Имя схемы 'dbo' отображаться не будет.

New tool form should be opened for

Задайте, какая база будет выбрана в окне открываемого инструмента.

RadioButton Database currently selected in DB Explorer

В окне инструмента будет выбрана база, которая выбрана в Проводнике баз данных.

RadioButton Database selected in currently focused form

В окне инструмента будет выбрана база, которая выбрана в текущем открытом окне инструмента.


Таймауты

На этой вкладке, с помощью счетчиков, Вы можете задать время ожидания событий для следующих операций:

  • Changing metadata - изменение метаданных,
  • Refresh database objects - обновление объектов базы данных,
  • Data tab of object editors, Query Data, Query Builder, Execute Script - открытие вкладки данных в редакторах объектов. (Редактор таблиц, Редактор представлений, Редактор SQL, Конструктор запросов).

Важно: установленный в поле "0" указывает на неограниченное время ожидания

По истечении этого времени будет выведена ошибка.

Environment Options - Tools - Timeouts


Проводник баз данных

Проводник баз данных можно настроить, используя инструменты, расположенные на вкладке DB Explorer.

Environment Options - Tools - DB Explorer

CheckBox Show hosts in DB Explorer - показывать хосты в проводнике баз данных.

Если флажок установлен, то базы данных будут разделены на группы по принадлежности к серверу. Если не установлен, то они будут представлены единым списком.

CheckBox Show Table Subobjects - показывать подобъекты таблицы (индексы, триггеры, ограничения CHECK и внешние ключи).

CheckBox Sort by aliases - упорядочить хосты и базы данных в проводнике баз данных по псевдонимам.

CheckBox Rename objects by editing in place - если установлен этот флажок, то объекты можно переименовывать в проводнике баз данных, нажав на выделенный объект мышкой.

CheckBox Hide empty schemas - скрывать пустые схемы.

Recent objects count - с помощью счетчика можно задать количество объектов, показанных на вкладке недавно использовавшихся объектов.

В разделе Tables' Details in SQL Assistant выберите, какие именно подобъекты таблицы следует отображать в окне SQL Assistant

В списке Expand on connection установите флажки напротив тех объектов, которые следует разворачивать при подключении базы данных.


Поиск

В данном разделе задаются параметры для поиска в дереве объектов:

Environment Options - Tools - Db Explorer - SearchSample

CheckBox Search by categories

Если этот флажок установлен, то поиск в проводнике баз данных можно будет производить внутри одной группы объектов данных.

CheckBox Use case-sensitive search

Если установлен этот флажок, то при поиске будет учитываться регистр символов.

Environment Options - Tools - DB Explorer - Search

CheckBox Don't search in collapsed nodes

При включенной опции поиск проивзодится только в раскрытых узлах.

CheckBox Start-with search

Включение данной опции позволяет искать объекты, начинающиеся с искомой комбинации.


Редакторы объектов

На вкладке Object Editors задайте параметры отображения редакторов объектов.

Environment Options - Tools - Object Editors

CheckBox Convert created object's names to lowercase - приводить имена создаваемых объектов к нижнему регистру,

CheckBox Always open the first tab - всегда открывать редактор на первой вкладке.

В разделе Table Editor Вы можете задать следующие параметры редактора таблиц:

CheckBox Show Object Explorer - отображать проводник объектов в навигационной панели,

CheckBox Do not retrieve record count for a table - не показывать количество записей в таблице, в этом случае количество записей отображается в нижней информационной панели.

В разделе Object list style задайте стиль отображения объектов в проводнике баз данных:

RadioButton Tree - в виде дерева,

RadioButton List, sorted by namespace - в виде списка, отсортированного по именам схем.

CheckBox Если установлен флажок Ignore case, то при сортировке не будет учитываться регистр букв.

Procedure Editor

CheckBox Get info messages in Procedure Editor on execution a procedure - получать информационные сообщения во время выполнения процедуры в Редакторе процедур.


Редактор SQL

На вкладке Query Data задайте параметры отображения редакторов SQL.

Environment Options - Tools - SQL Editor

CheckBox Show result for each query - если установлен этот флажок, то при выполнении двух и более запросов результаты будут отображаться для каждого запроса. Если не установлен, то только для того, который был выполнен последним.

CheckBox Show results on Edit tab - показывать результаты на вкладке редактирования, в противном случае результаты будут отображаться на отдельной вкладке.

CheckBox Execute selected text separately - выполнять выделенный текст отдельно.

CheckBox Write only successful executed queries to database SQL log file - записывать в файл журнала только успешно выполненные запросы.

CheckBox Don't save queries automatically for the next session - не сохранять запросы автоматически до следующего сеанса.

CheckBox Same queries for all database - если установить этот флажок, то Редактор SQL сохраняет все запросы в одном репозитории и переключение баз данных не вызывает загрузку запросов этой БД. Изменение опции не затрагивает текущие открытые копии Редактора SQL. Значение опции можно свободно изменять, это не приводит к потере содержимого репозитория запросов.

CheckBox Always save changes in Favorite Queries before closing - в избранных запросах всегда сохранять изменения перед закрытием.

CheckBox Refresh DB Explorer upon successful DDL statement execution - обновлять проводник баз данных при успешном выполнении триггера.

CheckBox Open server cursor - открывать серверный курсор. Если опция включена, набор данных (результат выполнения запроса) обслуживается с использованием серверных ресурсов. Если опция выключена, весь набор данных передается клиенту.

CheckBox Get info messages - получать информационные сообщения. Эту опцию нужно использовать для получения сообщений с сервера, а также для результатов выполнения команды PRINT.


Монитор SQL

На вкладке SQL Monitor можно задать некоторые параметры SQL монитора.

Environment Options - Tools - SQL Monitor

CheckBox Если установлен флажок Log SQL Monitor events to file, то вся информация о выполнении запросов, отображаемая в SQL мониторе будет сохраняться в файл. В поле укажите имя файла и путь к нему с помощью кнопки btnSaveAs .

CheckBox Вы можете задать максимальный размер файла журнала, установив флажок Clear log file when it is greater than (Очищать журнал регистрации при размере большем (Kб)) и задав c помощью счетчика максимальный размер в KB.

CheckBox Если необходимо регистрировать не только операцию, но и в какое время она была выполнена - установите флажок Show time of operation.

CheckBox Установленный флажок Show always on top позволяет всегда показывать Монитор SQL поверх остальных окон.


SQL скрипт

Задайте некоторые особенности выполнения SQL скрипта на вкладке Execute Script.

Environment Options - Tools - SQL Script

CheckBox Abort script execution on error - прекратить выполнение сценария при ошибке.

CheckBox Show statements explorer

Отображать Проводник редактора скриптов.

CheckBox Show message when done - показывать сообщение об окончании выполнения.

CheckBox Show info messages (slower execution) - показывать информационные сообщения. Получение этих сообщений может замедлять выполнение скрипта.

CheckBox Execute selected text separately - Если выделен фрагмент текста скрипта, то будет выполнен только выделенный фрагмент.

CheckBox Don't clear error list on selected text execution - не очищать список ошибок при выполнении фрагмента SQL скрипта.

CheckBox Disable all code features in Execute Script - отключить все возможности "Быстрого кода" в Execute Script и сбросить настройки цвета на значения по умолчанию.

CheckBox Register newly created databases

Если в скрипт содержит оператор CREATE DATABASE, то созданная база будет зарегистрирована после выполнения скрипта.

Transaction options

CheckBox Rollback on abort

Включите опцию, чобы автоматически срабатывал откат транзакции при прерывании выполнения скрипта. Эта опция доступна только при включенной опции Abort script on error.

CheckBox Start transaction automatically if needed

При включенной опции транзакция запускается автоматически после выполнения оператора. Иначе для запуска транзакции необходим оператор BEGIN.


Конструктор запросов

Задайте некоторые свойства Конструктора запросов на вкладке Query Builder.

Environment Options - Tools - Query Builder

CheckBox Allow SELECT queries only - разрешить выполнение только оператора SELECT.

CheckBox Select condition row - выделять другим цветом строку условия.

CheckBox Drag column name - отображать имя поля при перетаскивании.

CheckBox Hide selection when inactive - скрывать выделение полей объектов, когда отсутствует фокус.

CheckBox Show column types - показывать типы полей.

CheckBox Union all by default - связь "UNION ALL" для нескольких запросов по умолчанию

CheckBox Allow owner prefix for dbo objects - использовать префикс владельца для объектов DBO

В разделе Visible Tabs отметьте те вкладки, которые должны быть видимыми:

CheckBox Criteria - Критерии,

CheckBox Selection - Выбор,

CheckBox Group criteria - Критерии группы,

CheckBox Sorting - Сортировка,

В разделе Script Format можно задать некоторые особенности формата скрипта:

Из раскрывающегося списка Keywords format выбрать формат ключевых слов.

Вид отображения функций выберите из раскрывающегося списка Function format.

Для ключевых слов и функций предлагается четыре типа написания:

  • As is - Как есть,
  • Uppercase - ВСЕ ПРОПИСНЫЕ,
  • Lowercase - все строчные,
  • First upper - Начинать С Прописных.


Стиль и палитра цветов

На этой вкладке Вы имеете возможность задать стили и цвета оформления Конструктора запросов

Environment Options - Tools - Query Builder - Style & Color

в разделе Style задайте стиль отображения элементов управления:

Из раскрывающихся списков Condition button style и Object border kind выберите стиль отображения кнопок и вид границ объектов.

CheckBox Flat object's buttons - плоские кнопки.

CheckBox Flat objects - плоские объекты.

CheckBox XP tables style - стиль таблиц XP.

CheckBox Show icons on tabs - показывать значки на вкладках.

Далее в разделе Color palette Вы можете изменить цвета объектов и элементов управления визуального конструктора запросов. Вызвать палитру для выбора цвета можно, нажав на цветной квадрат рядом с наименованием элемента управления.

Элементы, для которых можно задавать цвета:

  • Active condition row - активная строка в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Active condition row

  • Condition text - текст условий отбора.

Environment Options - Tools - QB - Style & Color - Condition text

  • Condition item text - текст кнопок, расположенных рядом с условиями отбора.

Environment Options - Tools - QB - Style & Color - Condition item text

  • Table client area - фон объектов, помещенных в окно диаграммы.

Environment Options - Tools - QB - Style & Color - Table client area

  • Active table caption - заголовок активной таблицы.

Environment Options - Tools - QB - Style & Color - Active table caption

  • Inactive table caption - заголовок неактивной таблицы.

Environment Options - Tools - QB - Style & Color - Inactive table caption

  • Column text - текст поля
  • Selected column text - текст выделенного поля
  • Work space - основной цвет окна диаграммы.
  • Column - текст в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Field

  • Operation - знак операции в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Operation

  • Group - знак группировки в окне задания условий отбора, на вкладке Grouping criteria.

Environment Options - Tools - QB - Style & Color - Group

  • Predicate - предикат, если создан подзапрос.

Environment Options - Tools - QB - Style & Color - Predicate

  • Subquery - текст подзапроса в строке условия.

Environment Options - Tools - QB - Style & Color - Subquery


Настройки по умолчанию для работы с данными

Default data options for newly registered databases

На этой вкладке задайте опции данных для новых регистрируемых баз банных.

Environment Options - Tools - Default Data Options

CheckBox Asynchronous query execution - асинхронное выполнение запроса. Запрос будет выполнен в отдельном потоке, все элементы управления останутся активными при выполнении и его можно прервать.

CheckBox Use transactions in Data tab of object editors, Query Data and Query Builder - использовать транзакции на вкладке данных редактора объектов, в этом случае при открытии SQL Manager for SQL Server будет запущена транзакция, которую может быть зафиксировать или откатить вручную, либо автоматически при закрытии SQL Manager for SQL Server.

CheckBox Use separate connections for each data view within a database - использовать общее подключение для каждого просмотра данных внутри базы данных. Если флажок не установлен, то при открытии просмотрщика данных создастся новое подключение к БД. Не рекомендуется использовать, если установлено ограничение на число подключений к серверу.


Визуальный конструктор баз данных

На этой вкладке задайте параметры визуального конструктора баз данных.

Environment Options - Tools - VDBD

CheckBox Automaticalliy open last diagram file - позволяет загружать последний файл при открытии редактора

Инструменты раздела Visual settings.

Из раскрывающегося списка Model notation выберите стандарт отображения информации в диаграмме - IDEF1x или IE,

CheckBox Установив флажок Draw PRIMARY KEY columns separately, Вы указываете, что ключевое поле будет визуально отделено от всей остальной таблицы.

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox Если установлен флажок Draw entities icons, то рядом с заголовками таблиц будут отображаться иконки.

Environment Options - Tools - VDBD - Draw entities icons

CheckBox Draw only names of entities - отображать только названия объектов.

Environment Options - Tools - VDBD - Draw only names of entities

CheckBox Draw FOREIGN KEY name - отображать названия внешних ключей таблиц.

Environment Options - Tools - VDBD - Draw FOREIGN KEY name

В разделе Grid options задайте параметры сетки просмотрщика данных.

CheckBox Если установлен флажок Show grid, то будет отображаться сетка окна диаграммы,

CheckBox Установить привязку к сетке можно с помощью флажка Snap to grid, в этом случае объекты, расположенные на диаграмме, будут выровнены по линиям сетки.

CheckBox Задать параметры сетки диаграммы можно с помощью счетчиков Grid size. ширина - X, высота - Y.

Цвета объектов диаграммы настраиваются в разделе Style & Color.

В этом разделе Вы можете задать цвета для различных элементов диаграммы. Вызвать палитру для выбора цвета можно, нажав на цветной прямоугольник рядом с наименованием элемента управления.

В списке Element выберите элемент:

Workspace - рабочая область,

Environment Options - Tools - VDBD - Color Palette - Work area

Relation - текст связи между сущностями,

Environment Options - Tools - VDBD - Color Palette - Relation

Table - таблица,

Environment Options - Tools - VDBD - Color Palette - Entity

Selected item - выделенный объект,

Environment Options - Tools - VDBD - Color Palette - Selection

Comment - комментарий.

Environment Options - Tools - VDBD - Color Palette - Comment

Доступны следующие настройки:

  • Font name - вид шрифта,
  • Font size - размер шрифта,
  • Font color - цвет шрифта,
  • Brush color - цвет фона объекта,
  • Pen color - цвет рамки объекта.

CheckBox Bold - жирный

CheckBox Italic - курсив

CheckBox Underline - подчеркнутый

Нажав на кнопку Apply to all можно применить все настройки шрифта ко всем объектам.


Печать метаданных

На этой вкладке из всех параметров печати можно задать только размер бумаги, используемый по умолчанию, при создании отчетов в инструменте Печать метаданных.

Environment Options - Tools - Print Metadata


Экспорт данных

На этой форме Вы задаете, в каком формате по умолчанию будут отображаться данные разных типов.

Environment Options - Tools - Data Export

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL.

CheckBox Установив флажок Auto save format string, Вы сохраните все внесенные изменения.

Также можно восстановить в полях значения по умолчанию, нажав на кнопку Reset to defaults.

Также эти форматы можно задать на третьем шаге мастера экспорта данных.

Подробнее о форматах данных читайте в разделе задание форматов данных.


Руководство по SQL Server

Чтобы иметь возможность просматривать документацию не только по SQL Manager for SQL Server, но и по самому SQL Server, Вы можете подключить документацию по серверу на вкладке SQL Server reference.

В разделе Use specified SQL Server reference system выберите одну из двух систем ссылок SQL сервера:

RadioButton Microsoft Document Explorer (SQL Server 2005 Help) - как в проводнике,

RadioButton Microsoft HTML Help (SQL Server 2000 and earlier versions) - как в справке формата HTML.

В поле Microsoft Document Explorer path, с помощью кнопки ExplorerButton укажите полный путь к файлу и сам файл справки.

Environment Options - Tools - SQL Server Reference

CheckBox Установив флажок Open this help topic, и прописав в поле название раздела, Вы можете открыть справку на нужной странице.


Шрифты

На вкладке Fonts можно задать вид и размер шрифта для всей программы SQL Manager for SQL Server.

В поле System font name задается тот шрифт, который используется во всех элементах управления программы SQL Manager for SQL Server.

В поле System font size укажите размер шрифта.

В нижнем окне отображается образец текста, показывающий внесенные изменения.

Environment Options - Fonts

В поле Grid font name задается тот шрифт, который используется в просмотрщике данных в виде таблицы.

В поле Grid font size укажите размер шрифта в просмотрщике данных в виде таблицы.

В приведенном примере отображается таблица с примененными настройками шрифта.


Параметры сетки

На этой вкладке можно задать параметры отображения просмотрщика данных.

Environment Options - Grid

Общие настройки задайте в разделе General options.

CheckBox Striped grids - выделение четных строк другим цветом.

CheckBox Show editor immediately - переход в режим редактирования при получении фокуса ввода ячейкой.

CheckBox Always show editor - всегда использовать режим редактирования ячеек.

CheckBox Enable auto-search in grid - включить автоинкрементный поиск в таблице по записям.

CheckBox Row multi-selection - разрешить выбор нескольких записей.

CheckBox Invert selection - обращать выделение.

CheckBox Column auto-width - автоподбор ширины таблицы по ширине окна.

CheckBox Cell auto-height - автоподбор высоты ячейки, при этом ещё можно указать максимальное количество строк на странице в поле Cell max line count.

В разделе Grid layout preference задайте некоторые параметры размещения сетки просмотрщика данных.

Autofit column widths - автовыбор ширины столбцов.

Save and restore layout - сохранение расположения и ширины.

CheckBox Restore sorting (except SQL sort) - сохранять сортировку столбцов.

В разделе Root level options задайте настройки основного уровня.

CheckBox Show "Group by" box - показывать поле группировки.

CheckBox Show indicator - показывать указатель (панель слева от таблицы).

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу таблицы).

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

Далее, в разделе Detail level options задайте параметры отображения для дочернего уровня таблицы.

CheckBox Show "Group by" box - показывать поле группировки.

CheckBox Show indicator - показывать указатель (панель слева от таблицы).

Environment Options - Grid - Show indicator

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу подуровня).

Environment Options - Grid - Show navigator

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

CheckBox Hide tabs for single detail - скрывать вкладки в случае только одного подуровня.

Selection

Если выбрана опция RadioButton Row selection, то при клике на ячейку в таблице, будет выделена вся запись. В противном случае, будет выделена только та ячейка, по которой кликнули мышкой (опция RadioButton Cell selection).

Отметьте опцию CheckBox Row/cell multi-selection, чтобы разрешить выбор нескольких строк или ячеек в таблице.

Важно: Чтобы изменения параметров, отмеченных символом «*», вступили в силу, Вы можете открыть окно заново, щелкнуть «Обновить» в редакторе таблиц или заново выполнить запрос в редакторе SQL или конструкторе запроса.


Настройки данных

На этой вкладке задайте параметры представления данных в просмотрщике данных.

Environment Options - Grid - Data Options

RadioButton Select all records from a table - выбрать все записи таблицы.

RadioButton Select only N records - выбрать только указанное число записей.

В разделе Advanced - задайте расширенные свойства таблицы.

CheckBox Use SQL sorting in data view - данные упорядочиваются на SQL Server посредством задания ORDER BY части в SQL-запросе. Если эта опция не включена, данные сортируются средствами SQL Manager for SQL Server.

CheckBox Use SQL filter in data view of Table and View Editors - использовать SQL фильтр при просмотре данных таблиц и представлений. В этом случае фильтрация будет осуществляться на SQL Server посредством задания условия WHERE в SQL-запросе.

Load visible rows mode if records more than - перейти в режим "только видимые записи", если их больше чем заданное в поле количество.

В поле String columns width (chars) задайте фиксированную ширину строк полей.

CheckBox Allow editing queries with joins

Установите этот флажок, чтобы иметь возможность редактировать запросы со связыванием.

Режим сетки просмотрщика данных, используемый по умолчанию задайте на этой вкладке в разделе Default Grid Mode.

RadioButton Load all rows - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.

RadioButton Load visible rows - загрузить видимые записи. В таблицу из возвращаемого сервером набора данных загружается только строго определенное количество записей.

Важно: Чтобы изменения параметров, отмеченных символом «*», вступили в силу, Вы можете открыть окно заново, щелкнуть «Обновить» в редакторе таблиц или заново выполнить запрос в редакторе SQL или конструкторе запроса.

Смотрите также:

Выполнение запроса

Просмотр данных

Просмотрщик данных


Настройки печати

На этой вкладке задайте те настройки печати, которые будут сохранены и применены при последующем открытии диалогового окна:

Environment Options - Grid - Print Data

CheckBox Card view representation - вид карточного представления

CheckBox Detail view representation - вид представления подуровней

CheckBox Expanding - расширение

CheckBox Formatting - форматирование

CheckBox Level options - настройки уровня

CheckBox "On every page" options - параметры «На каждой странице»

CheckBox Pagination - нумерация страниц

CheckBox Preview options - настройка просмотра

CheckBox Image options (refinements) - параметры изображения (обработка)

CheckBox Selection options - параметры выбора

CheckBox Report size options - настройка размера отчета

CheckBox Showing grid elements - показ элементов сетки

CheckBox Page number format -формат номера страницы

CheckBox Page settings - параметры страницы

CheckBox Report title - заголовок отчета


Стиль и палитра цветов

На этой вкладке задайте настройки отображения данных различных типов.

Environment Options - Grid - Color & Formats

В разделе Display formats укажите или выберите формат отображения для следующих типов данных:

Integer columns - целое число,

Float columns - число с плавающей точкой,

Datetime columns - дата и время,

Date columns - дата,

Time columns - время.

В разделе Colors задайте цвета для следующих объектов:

  • Grid - таблица просмотрщика данных,
  • Row - строка,
  • Strip - выделение четных строк.

Для значений NULL Вы можете задать собственные цвета в разделе Null Values.

  • Text - текст,
  • Font Color - цвет шрифта.


Дополнительные настройки

На вкладке Advanced можно задать следующие параметры просмотрщика данных.

Environment Options - Grid - Advanced

CheckBox Cell hints for clipped text - отображать подсказки для обрезанного текста.

CheckBox Focus cell on cycle - фокусировать ячейки циклически при перемещении маркера.

CheckBox Focus first cell on new record - фокусировать ячейку в новой записи.

CheckBox Next cell on pressing Enter - перейти к следующей ячейке при нажатии на Enter.

CheckBox Show navigation hints - показывать подсказки навигатора.

CheckBox MRU list in column filter - список недавно использовавшихся фильтров.

CheckBox Expand buttons for empty details - отображать кнопки расширения для пустых частей.

Card width - в поле счетчика указывается ширина карточки.

CheckBox Large Memo Editor - использовать редактор больших записей, если размер редактора больше, чем задано в поле Number of lines.

CheckBox Word wrap in memo editor - перенос по словам в редакторе полей типа Memo.

CheckBox Word wrap in string editor - перенос по словам в редакторе строковых данных.

Grid lines - указать, какие линии таблицы будут отображаться ( CheckBox Horizontal - горизонтальные, CheckBox Vertical - вертикальные).

Detail tabs position - расположение вкладок подуровней ( RadioButton Top - вверху, RadioButton Left - слева).

Card layout direction - расположение карточек ( RadioButton Horizontal - по горизонтали, RadioButton Vertical - по вертикали).

Show edit buttons - показывать кнопки редактирования ( RadioButton Never - не показывать, RadioButton For focused record - для активной записи, RadioButton Always - показывать всегда).


Опции столбцов

Environment Options - Grid - Column Options

Общие настройки

CheckBox Auto-select text - автовыделение текста при переходе в режим редактирования.

CheckBox Hide selection on losing focus - скрывать выделение при потере фокуса.

Свойства редактора записи

CheckBox Inserting Return characters - Возможность вставки символов перехода на новую строку.

CheckBox Inserting Tab characters - Возможность вставки символов табуляции.

CheckBox Word wrap - Перенос по словам в редакторе Memo.

CheckBox Popup memo editors - раскрывающийся при наведении редактор полей типа Memo.

Настройки "быстрого" редактора

CheckBox Use Ctrl+Up instead of Up to increase spin values - использовать сочетание клавиш Ctrl+Up вместо Up для увеличения значения в ячейке.

CheckBox Show large increment buttons - Показывать кнопки большого приращения.

В поле Increment задайте приращение, большое приращение - в поле Large increment.

Положение кнопок "быстрого редактора"

RadioButton Vertical - вертикально.

RadioButton Horizontal / left and right - горизонтально / слева и справа.

RadioButton Horizontal / right - горизонтально / справа


Общие сочетания клавиш

На этой вкладке можно просмотреть и при необходимости задать сочетания клавиш для быстрого выполнения операций в SQL Manager.

Environment Options - Global Shortcuts

Для изменения сочетания клавиш необходимо двойным щелчком мышки на нужном пункте вызвать диалоговое окно.

Environment Options - Global shortcuts - Edit shortcut

В этом окне отображаются нажатые в настоящий момент клавиши или сочетания.

Поместив курсор в поле, выберите клавиши, которые следует использовать. В сочетаниях нельзя использовать клавиши TAB и PRINT SCREEN.

Список сочетаний клавиш приведен в разделе Сочетания клавиш.


Локализация

С помощью инструментов, расположенных на этой вкладке Вы можете задавать язык программы.

Environment Options - Localization

Вы можете выбрать один из предложенных языков, или создать свой. Также Вы можете изменить локализацию в редакторе локализаций.

В поле Default directory указан путь к папке, в которой по умолчанию находятся все файлы локализации, имеющие формат *.lng.

Из раскрывающегося списка Choose program language выберите язык программы.

CheckBox Если установлен флажок Auto scan languages on startup, то каждый раз при запуске SQL Manager for SQL Server папка Default directory будет проверяться на наличие новых файлов *.lng, которые затем автоматически будут добавлены в список доступных языков программы.

В списке Available languages показан список доступных локализаций, которые можно установить как основной язык программы.

При нажатии на кнопку Add defaults проверяется наличие новых файлов *.lng в папке по умолчанию, которые автоматически добавляются в список доступных языков программы.

Нажав на кнопку Add, Вы можете добавить в список Available languages файл локализации, указав в появившемся окне имя локализации и путь к файлу.

Кнопка Edit позволяет редактировать выбранную локализацию.

Нажав на кнопку Delete, Вы удалите выбранную локализацию из списка доступных.


Поиск опций

С помощью этого инструмента Вы можете найти опции программы по их названию.

Поиск осуществляется для каждого диалогового окна настроек в котором существует вкладка Find Option. Выбор производится только из опций, относящихся к данному диалоговому окну.

Environment Options - Find Option

Сочетание символов, содержащееся в названии опции введите в поле Option.

Все опции, в названии которых встречается искомое сочетание символов, выводятся в списке.

В поле Available Options отображается название найденных опций. В поле Option Kind отображается раздел к которому относится указанная функция.

Вкладка на которой расположена искомая функция показана в поле Category. Группа элементов управления, к которой относится искомая опция, отображается в столбце Group.

Чтобы перейти к искомой опции, выберите нужную опцию из списка и нажмите кнопку Show Option или два раза нажмите мышкой на нужной опции в общем списке.

После этого будет совершен переход на вкладку где эта опция находится, а сама опция будет обозначена символом iconFindOption


Настройки редакторов

С помощью этого инструмента Вы можете задать настройки для редактора SQL.

Открыть окно настройки можно, выбрав пункт Options | Editor Options в главном меню программы.

Вкладки:

  • Общие настройки
  • Отображение
  • Цвет
  • Быстрый код
  • Форматтер SQL
  • Задание сочетаний клавиш
  • Проверка правописания

Смотрите также:

Настройки окружения

Настройки внешнего вида

Поиск опций

Мастер сохранения настроек

Локализация

Шаблоны клавиатуры


Общие настройки

На этой вкладке задайте основные свойства редактора.

Editor Options - General

CheckBox Auto indent - каждый новый отступ такой же, как в предыдущей строке.

CheckBox Insert mode - включен режим автоматической вставки символов.

CheckBox Find text at cursor - слово, на котором стоит курсор, автоматически попадает в окно поиска при нажатии Ctrl+F.

CheckBox Always show hyperlinks - всегда отображать названия объектов в виде гиперссылок.

CheckBox Double click line - двойной щелчок в любом месте строки выделяет строку полностью.

CheckBox Trim trailing spaces - если флажок установлен, то все пробелы после последнего символа строки будут удалены.

CheckBox Fixed line height - фиксированная высота строки.

CheckBox Persistent blocks - не убирать выделение при перемещении курсора с помощью клавиш.

CheckBox Fixed column move - если установлен этот флажок, то при перемещении курсора в редакторе вверх-вниз он будет сохранять свою горизонтальную позицию, относительно начала строки.

CheckBox Optimal fill - установите этот флажок, если хотите включить автоматическое форматирование текста запроса в редакторе.

CheckBox Unindent keep align - сохранять выравнивание для строк без отступа.

CheckBox Smart caret - при перемещении курсора между строками с помощью клавиш, курсор перемещается на ближайший символ текста.

CheckBox Resolve aliases - включить/отключить подсветку синтаксиса и быстрый ввод текста для алиасов.

CheckBox Overwrite blocks - заменять выделенный текст текстом вводимым с клавиатуры. Если флажок не установлен, то новый текст будет вводиться сразу после выделенного, также выделенный текст нельзя будет сразу удалить нажатием клавиш Delete, Enter и пробел.

CheckBox Show caret in read only mode - в режиме "только для чтения" показывать курсор.

CheckBox Copy to clipboard as RTF - текст запроса копировать в буфер обмена как текст формата RTF.

CheckBox Drag and drop text - разрешить перетаскивание текста.

CheckBox Group undo - позволяет отменять несколько операций одного вида.

CheckBox Group redo - позволяет возвращать несколько операций одного вида.

CheckBox Cursor beyond EOL - если щелкнуть мышью по пустому пространству после текста в строке, то курсор автоматически переместится в конец текста. Также применяется и при перемещении курсора кнопками Up/Down.

CheckBox Enable column selection - включить возможность выделения столбца.

CheckBox Hide cursor on type - убирать курсор мыши когда пользователь набирает текст.

CheckBox Hide dynamic (no focus) - убирать подсветку, если окно неактивно.

CheckBox Collapse empty lines - автоматически убирать пустые строки.

CheckBox Scroll to last line - при прокрутке перейти к последней строке.

CheckBox Seek variables - не применять автоматическое форматирование текста к переменным.

CheckBox Word wrap - перенос по словам.

CheckBox Variable horizontal scrollbar - если нет текста, выходящего за границы видимой области, не отображать полосу прокрутки.

CheckBox Float markers - если установлен, то закладки не перемещаются вместе с текстом, а указывают на строку с определенным номером.

CheckBox Undo after save - не очищать список произведенных операций после сохранения, чтобы иметь возможность отменить действие даже после сохранения.

CheckBox Disable selection - отключить возможность выделения при редактировании.

CheckBox Draw current line focus - выделять редактируемую строку не только цветом, но ещё и пунктирной линией.

CheckBox Hide selection (no focus) - скрывать выделение, когда окно редактора становится неактивным.

CheckBox Greedy selection - если установлен этот флажок, то при выделении нескольких строк/столбцов захватывается дополнительно 1 строка/столбец.

CheckBox Keep selection mode - делает возможным выделение при перемещении курсора в тексте.

CheckBox Select search result - выделять результаты поиска.

CheckBox Smart paste - вставляемый из буфера обмена текст в кодировке Unicode и ANSI преобразовывается к кодировке, принятой в базе данных,

CheckBox Disable all code features - отключить все возможности "Быстрого кода" и сбросить настройки цвета на значения по умолчанию.

С помощью счетчика Collapse level задайте количество сворачиваемых подуровней.

В поле Undo limit задайте число сохраненных операций для отмены действия.

Tab mode - из этого раскрывающегося списка выберите действие, выполняемое при нажатии клавиши Tab: Use tab character - использовать символы табуляции, Insert spaces - использовать пробелы, Dialog behaviour - переключение между окнами, Smart tab - преобразует символы табуляции в пробелы и задает отступ для строки такой же, как отступ предыдущей.

Tab Stops - в этом поле задайте размер отступа при табуляции.

Из раскрывающегося списка Comment symbols выбрать сочетание символов, которое будет означать комментарии.

С помощью счетчика Block indent задайте размер отступа для блоков с установленными закладками.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Отображение

Default editor fonts

Font

Задайте шрифт для редактора SQL.

Size

Задайте размер шрифта для редактора SQL.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Gutter

В этом разделе вы можете задать параметры левого поля редактора SQL.

CheckBox Show line numbers - отображать номера строк,

CheckBox Gutter auto width - автоматически выравнивать внутренние поля,

CheckBox Display line state - если этот флажок установлен, то в левом поле будет отображаться вертикальная цветная линия, показывающая состояние строк. Состояний у строк существует три: измененная строка показана желтым цветом, новая - зеленым, сохраненная в файл - синим.

CheckBox Use code folding - Вы можете задать иерархическую структуру текста с возможностью скрывать подобъекты.

В счетчике Width задайте ширину левого поля.

Выберите значения Font, Size, Numbering style для задания шрифта и стиля текста в правом поле.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Editor Options - Display

Right margin

В этом разделе можно задать свойства правой границы, которая используется при автоматическом форматировании текста запроса. (Задать параметры автоматического форматирования можно на вкладке SQL Formatter).

CheckBox Visible - включает отбражение правой границы

CheckBox Word break - позволяет переносить слова в пределах правого поля.

С помощью счетчика Position задайте отступ от левого края для этой границы.

Из раскрывающегося списка Color выберите цвет границы.

Code staples

Задайте параметры отображения скобок в тексте.

CheckBox Visible - скобки видимы в тексте.

CheckBox Single color - установите этот флажок, если хотите задать единый цвет для всех скобок в тексте.

Offset - задайте значение сдвига для скобок.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Цветовая схема

Scheme

Выберите цветовую схему для всех редакторов:

Default (Light) - Светлая

Dark - Темная

Editor Options - Color Scheme

В списке Element list вы можете выбрать любой элемент из Редактора SQL и настроить опции его отображения. Все изменения можно посмотреть в области под списком.

CheckBox Bold

Элемент будет отображаться полужирным шрифтом.

CheckBox Italic

Элемент будет отображаться курсивом.

CheckBox Foreground

Выберите цвет шрифта для выбранного элемента.

CheckBox Background

Выберите цвет фона для выбранного элемента.

CheckBox Effects

Задайте дополнительные настройки для выбранного элемента.

Чтобы сохранить принятые изменения нажмите на кнопку Ok.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Быстрый код

На этой вкладке задайте параметры быстрого ввода текста при написании запроса. Быстрый код - это окно подстановки, которое появляется при введении слова в запрос.

Automatic features

В разделе задайте свойства автоматической подстановки.

CheckBox Code Completion - включает/отключает список автодополнения. При вводе первых символов слова, автоматически будет предложен список из слов, начинающихся с этих символов.

CheckBox Parameters completion - включает/отключает автодополнение списка параметров

Sensitivity (char) - задает количество введенных символов, после которых открывается список.

Delay (sec) - задает время ожидания появления подсказки.

CheckBox Group by type

Объекты в списке автодополнения будут сортироваться по типу, иначе они сортируются по имени.

CheckBox Sort column names

Включите опцию для сортировки полей таблицы.

CheckBox Show information hints - отображать всплывающие подсказки для каждого слова из списка автоподстановки.

CheckBox Auto launch keyboard templates

Шаблоны клавиатуры будут применяться автоматически, если Вы установите флажок.

CheckBox Accept by Space key too

Подходящий элемент списка будет подставляться по нажатию клавиши Пробел.

Editor Options - Code Completion

Completion list object

В данной секции вы можете можно задать цвет и стиль выбранного элемента списка автодополнения. Изменения отразятся на списке справа.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Форматтер SQL

Средства задания настроек автоматического форматирования SQL запросов расположены на вкладке SQL Formatter.

SQL Formatter также используется при форматировании SQL скриптов и в редакторах некоторых объектов.

На вкладке Settings задайте, какие части запроса следует форматировать автоматически.

Editor Options - SQL Formatter

CheckBox Установив флажки Format SQL query и Format subquery, Вы включаете автоматическое форматирование запросов и подзапросов.


Операторы SQL

На вкладке SQL Words задайте параметры форматирования текста запроса.

Editor Options - SQL Formatter - SQL Words

В списке Wrap first element выделите флажками те операторы, после которых необходимо выполнить перенос строки.

Params in line/list - в этом списке флажками отмечаются те операторы, для которых нужно изменить вид отображения параметров. Если при открытии запроса параметры отображались в столбец, то после установки этого флажка они будут отображаться в одну строку и наоборот.

В разделе OR - AND задайте положение операторов OR и AND относительно текста:

  • RadioButton Left - слева от текста,

WHERE

AND ...

AND ...

AND ...

RadioButton Separate - операторы выносятся каждый в отдельную строку,

WHERE

...

AND

...

AND

RadioButton Right - справа от текста.

WHERE

... AND

... AND

... AND

В разделах Keyword case и Identifiers case выберите регистр, в котором будут отображаться ключевые слова и идентификаторы в тексте запроса:

RadioButton Default - оставлять как есть,

RadioButton Upper - ВСЕ ПРОПИСНЫЕ,

RadioButton Lower - все строчные,

RadioButton Capitalize - Начинать С Прописных.

CheckBox Space before bracket - вставлять пробелы перед скобками.

CheckBox Space into brackets - автоматическая вставка пробелов между скобками и текстом внутри скобок.

С помощью счетчика Indents in list задайте отступ для элементов списка.

Чтобы отформатировать текст запроса с новыми изменениями нужно в редакторе SQL в контекстном меню выбрать пункт Format SQL.


Задание сочетаний клавиш

На вкладке Key Mapping можно задать сочетания клавиш для быстрого выполнения операций в редакторе SQL.

Editor Options - Key Mapping

Определенный набор сочетания клавиш для различных действий можно сохранить в виде схемы сочетания клавиш. После внесения изменений в существующие сочетания и добавления новых нажмите кнопку Save As, чтобы сохранить эти изменения. Чтобы применить схему достаточно из раскрывающегося списка Scheme name выбрать нужную и нажать кнопку OK. Нажав на кнопку Delete, Вы удалите выбранную схему.

Ниже задаются сочетания клавиш для всех действий, производимых в редакторе.

Из списка Commands, выберите действие, для которого хотите задать сочетание клавиш.

В окне Key combinations отображаются уже добавленные сочетания. Выделив сочетание и нажав кнопку Delete, Вы удалите это сочетание. Если нажать кнопку Clear, то удалятся все сочетания для выбранного действия.

Чтобы добавить новое сочетание нажмите кнопку New и в поле Key укажите нужное сочетание. Если такое уже существует для другого действия, то появится предупреждение, в котором будет название той операции, для которой используется нужное сочетание. Для одного действия допустимо создавать несколько сочетаний клавиш, и даже последовательность сочетаний клавиш. Если задана последовательность, то действие будет выполнено только после того как будут нажаты клавиши в указанной последовательности. Каждая строка в списке Key combinations - это сочетание для выполнения одного действия. С помощью кнопки Add Вы добавляете новое сочетание клавиш в уже существующее. Так создается последовательность сочетаний клавиш.

Схему можно экспортировать в файл, нажав на кнопку Export. При этом откроется Мастер экспорта данных, позволяющий быстро пошагово выполнить эту операцию.


Проверка правописания

На вкладке Spell Checking задайте параметры орфографического контроля.

Editor Options - Spell Checking

В разделе Spell checker mode выберите тип проверки правописания:

RadioButton Highlighting - слова с ошибками будут выделены,

RadioButton Autocorrection - ошибки будут автоматически исправляться,

RadioButton None - никаких действий производиться не будет.

Задать параметры учета разряда букв при проверке можно в разделе Case sensitivity:

CheckBox Support case consistency with substitution - разряд подставляемого во время замены слова совпадает с разрядом слова, в котором была допущена ошибка.

CheckBox Ignore case while spell checking - игнорировать разряд при проверке правописания.

CheckBox Keep the misprint case when replacing - сохранять разряд слова при замене опечатки.

В списке Substitutions находятся ключевые слова словаря проверки правописания. На эти слова будут заменяться те, которые написаны с ошибками, если установлена автоматическая замена. Чтобы добавить слово в этот список нужно нажать кнопку Add. Изменить выбранное слово можно с помощью кнопки Edit. Нажатие на кнопку Delete удалит выбранное слово.

Задать параметры проверки опечаток можно в разделе Misprints.

Для слова из списка Substitutions можно задать некоторое количество слов с опечатками, которые будут автоматически заменяться на нужное слово.

В списке Check содержатся варианты ошибок, которые может допустить пользователь в слове.

Чтобы добавить вариант в список нужно нажать на кнопку Add. С помощью кнопки Edit Вы можете изменить выбранный вариант ошибки. С помощью кнопки Auto Вы можете автоматически создать все варианты ошибок, которые могут быть допущены в этом слове. Нажав на кнопку Delete, Вы удалите выбранный вариант опечатки. Кнопка Clear очищает список опечаток полностью.

В список Ignore помещаются те варианты опечаток, которые при автоматической замене будут игнорироваться.

Кнопка Reset to defaults позволяет вернуть все настройки к принятым по умолчанию.


Мастер сохранения настроек

Мастер сохранения настроек позволяет экспортировать все настройки программы SQL Manager for SQL Server во внешний файл. Файл настроек имеет расширение *.reg (файл системного реестра Windows). Применить сохраненные настройки Вы можете как для этой программы, так и для заново установленного SQL Manager for SQL Server. Чтобы открыть Мастер сохранения настроек в главном меню программы выберите пункт Options | Save Settings.

Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK. Все настройки автоматически будут применены (добавлены в системный реестр Windows).

Мастер состоит из следующих шагов:

  • Задание файла
  • Выбор настроек для сохранения
  • Выбор баз данных

Save Settings - Specifying destination file

Смотрите также:

Настройки окружения

Настройки редакторов

Настройки внешнего вида

Локализация

Шаблоны клавиатуры


Задание файла

На первом шаге необходимо задать имя файла, в который будут сохранены настройки и путь к нему.

В поле Filename с помощью кнопки btnSaveAs , в открывшемся стандартном диалоговом окне укажите имя и адрес создаваемого файла.

Save Settings - Specifying destination file

Следующий шаг


Выбор настроек для сохранения

Отметьте флажками те настройки, которые необходимо сохранить:

  • Database Registration Info - Регистрационная информация баз данных,
  • Favorite objects - Избранные объекты,
  • Tabs - Вкладки,
  • Environment options - Настройки окружения,
  • Editor options - Настройки редакторов,
  • Visual options - Настройки внешнего вида,
  • Keyboard templates - Шаблоны клавиатуры,
  • Object templates - Шаблоны объектов,
  • External tools list - Внешние инструменты,
  • Form placement - расположение открытых окон,
  • MRU lists - Списки недавно использовавшихся объектов,
  • Favorite queries stored in registry - Избранные запросы, хранящиеся в реестре.

Save Settings - Selecting settings

Следующий шаг


Выбор баз данных

На этом шаге необходимо выбрать те базы данных, для которых нужно сохранить регистрационную информацию и настройки.

В списке Available Databases находятся доступные базы данных.

Выберите из списка те, для которых необходимо сохранить регистрационную информацию и настройки и переместите их в список Selected Databases с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available , или перетаскивания.

Save Settings - Selecting databases

Нажмите кнопку Finish для начала создания файла настройки


Выполнение операции

Процесс создания отображается в специальном окне.

Save Settings - Saving settings

С помощью этого окна Вы можете проследить выполнение сохранения, а также в окне Operations увидеть отчет о каждом шаге проделанной операции. Окно Operations открывается по нажатию на кнопку Details.

CheckBox Если установлен флажок Close the Wizard, то Мастер сохранения настроек закроется после того, как Вы нажмете кнопку Close в этом окне. Если не установлен, то, не закрывая мастера, можно изменить настройки сохранения.


Локализация

SQL Manager for SQL Server позволяет изменять язык интерфейса программы для удобства пользователей. Чтобы изменить это свойство необходимо:

Изменение языка программы

  • выбрать Options | Select Program Language в главном меню программы,
  • выбрать нужный язык интерфейса в окне выбора,
  • нажать OK для сохранения изменений.

Редактирование локализации программы

  • откройте любое окно программы, в котором хотите изменить заголовок или название элементов управления,
  • нажмите Shift+Ctrl+L, чтобы открыть окно редактора локализаций,
  • измените текст по своему усмотрению,
  • сохраните изменения, используя кнопку Save в окне редактирования локализации.

Замечание:

Локализацию можно изменить только в том случае, если она установлена и не является локализацией по умолчанию. Установить локализацию можно с помощью инструмента Environment Options | Localization.

Создание новой локализации

Чтобы создать новую локализацию необходимо:

  • создать новый файл локализации с расширением *.lng и поместить его в папку Languages в директории, в которой установлен SQL Manager for SQL Server,
  • выбрать Options | Environment Options в главном меню программы,
  • открыть вкладку Environment Options | Localization,
  • на этой вкладке нажать кнопку Add,
  • в появившемся окне в поле Language name указать название новой локализации, а в поле Language File указать путь до созданного *.lng файла,
  • после нажатия кнопки OK в списке локализаций появится новый язык, который можно редактировать и устанавливать как программный.

Смотрите также:

Настройки окружения

Настройки редакторов

Настройки внешнего вида

Мастер сохранения настроек

Шаблоны клавиатуры


Редактор локализаций

Редактор локализаций позволяет изменять любые заголовки, надписи, названия элементов и подсказки в программе SQL Manager for SQL Server, но только в том случае если этот язык не является локализацией по умолчанию.

Чтобы изменить названия элементов управления любого окна или редактора программы необходимо открыть это окно и нажать Shift+Ctrl+L.

Localization - Localization Editor

В появившемся окне редактора локализаций до знака "=" прописаны названия элементов управления, а после знака "=" - названия этих же элементов, но на языке выбранной локализации. Изменять можно только то, что написано после знака "=".

Для удобства работы с редактором предусмотрено использование стандартного диалогового окна поиска, открывающегося при нажатии клавиш Ctrl+F.

Чтобы сохранить внесенные изменения, нажмите кнопку Save btnSave на панели инструментов.

Смотрите также Environment Options | Localization


Выбор языка программы

Это диалоговое окно позволит Вам выбрать язык локализации программы SQL Manager for SQL Server.

Открыть это окно можно, выбрав Options | Select Program Language в главном меню программы.

В списке представлены все доступные языки программы, установленные с помощью Environment Options | Localization.

Localization - Select Program Language

Смотрите также:

Редактор локализаций

Локализация


Шаблоны объектов

С помощью инструмента Object Templates Вы можете задать шаблон текста, который будет вставлен в определение создаваемого объекта указанного типа, а также шаблоны имен создаваемых объектов.

Чтобы открыть этот инструмент, выберите пункт главного меню Options | Object Templates.

В дереве объектов выберите нужный тип объекта и задайте его шаблон в области редактора.

Columns - шаблон для поля задается в стандартной форме редактора полей;

Views - задайте шаблон для нового представления;

Procedures - задайте шаблон для новой процедуры;

Procedures for Select - задайте шаблон процедуры Select, создаваемой на основе таблицы;

Insert Procedures - задайте шаблон процедуры Insert, создаваемой на основе таблицы;

Update Procedures - задайте шаблон процедуры Update, создаваемой на основе таблицы;

Delete Procedures - задайте шаблон процедуры Delete, создаваемой на основе таблицы;

Functions - задайте шаблон для новой функции;

Triggers - шаблон для поля задается в стандартной форме редактора триггеров;

DB Object Names - задайте шаблоны имен для создаваемых объектов базы данных;

Server Object Names - задайте шаблоны имен для создаваемых объектов сервера.


Шаблоны представлений/функций/процедур

Для шаблонов Представлений, Процедур и Функций Вы можете задать описания по умолчанию, которые будут появляться при создании нового объекта, на вкладках Views, Procedures и Functions соответственно.

Object Templates - View template

Для задания имени объекта Вы можете использовать тэг {full_name}, который означает [имя_схемы].[имя_объекта].

Нажмите на тэг, чтобы вставить его в область редактора.

Шаблоны имен объектов задаются на вкладке DB Object Names.


Шаблоны SIUD процедур

Шаблоны процедур SELECT, INSERT, UPDATE и DELETE, создаваемых на основе таблицы, можно задать на соответствующих вкладках.

Для каждого типа процедуры Вы можете задать шаблон имени генерируемой процедуры. Используйте тэг {table_name}, который означает имя таблицы, на основе которой создается процедура.

В редакторе процедуры задайте шаблон описания процедуры. Вы можете использовать следующие тэги:

{full_name} - [имя_схемы].[имя_процедуры];

{table_name} - имя таблицы, на основе которой создается процедура;

{table_schema} - имя схемы, в которой содержится таблица;

{in_params} - входные параметры процедуры;

{columns} (для процедур select, insert) - список полей таблицы;

{where_clause} (для процедур select, update, delete) - условие WHERE в операторе select/update/delete;

{values} (для процедуры insert) - значения, которые будут вставляться в таблицу;

{set_clause} (для процедуры update) - предложение SET в операторе update.

Нажмите на тэг, чтобы вставить его в область редактора.

Шаблоны имен объектов задаются на вкладке DB Object Names.


Шаблоны имен объектов баз данных

На вкладке DB Object Names задаются шаблоны имен для создаваемых объектов базы данных.

Object Templates - DB object names

Для каждого типа объекта (Object Type) задайте шаблон имени объекта в колонке Name Template. Вы можете использовать тэг {num}, который означает порядковый номер создаваемого объекта. Порядковый номер применяется, если объект с таким именем уже существует.

Нажмите на тэг, чтобы вставить его в поле ввода.


Имена полей

На вкладке Column Names задайте шаблон имени создаваемого поля таблицы.

Object Templates - Field Names

Можно использовать следующие тэги:

{table_name} - имя таблицы, в которой создается поле;

{table_schema} - имя схемы, содержащей таблицу;

{num} - порядковый номер поля, если поле с таким именем уже существует;

{num_for_dup} - номер поля, который подставляется, если поле с таким именем (без порядкового номера) уже существует.

Нажмите на тэг, чтобы вставить его в поле ввода.


Имена триггеров

На вкладке Trigger Names задайте шаблон имени создаваемого триггера.

Object Templates - Trigger names

Можно использовать следующие тэги:

{table_name} - имя таблицы, в которой создается триггер;

{table_name} - имя таблицы, в которой создается триггер;

{num} - порядковый номер триггера, если триггер с таким именем уже существует;

{num_for_dup} - номер триггера, который подставляется, если триггер с таким именем (без порядкового номера) уже существует;

{trig_type} - значение тэга типа триггера, которое задается в полях Trigger type tag value;

{trig_events} - значение тэга событий триггера, которое задается в полях Trigger events tag parts.

Нажмите на тэг, чтобы вставить его в поле ввода.

Trigger type tag value

Также можно указать префиксы для разных типов поведения триггера:

  • After - после,
  • Instead of - вместо.

Trigger events tag parts

Можно задать префиксы для событий, на которые срабатывает триггер:

  • Insert - вставить,
  • Update - обновить,
  • Delete - удалить.


Имена внешних ключей

На вкладке Foreign Key Names задайте шаблон имени создаваемого внешнего ключа таблицы.

Object Templates - Foreign key names

Можно использовать следующие тэги:

{table_name} - имя таблицы, в которой создается внешний ключ;

{table_schema} - имя таблицы, в которой создается внешний ключ;

{num} - порядковый номер внешнего ключа, если поле с таким именем уже существует;

{num_for_dup} - номер внешнего ключа, который подставляется, если внешний ключ с таким именем (без порядкового номера) уже существует

{ref_table_name} - имя таблицы, с которой текущая связывается внешним ключом (имя внешней таблицы);

{ref_table_schema} - имя схемы, содержащей, таблицу, в которой создан внешний ключ, ссылающийся на внешнюю таблицу;

{columns} - имена полей исходной таблицы;

{ref_columns} - имена полей целевой таблицы.

Нажмите на тэг, чтобы вставить его в поле ввода.


Имена ограничений check

На вкладке Check Names задайте шаблон имени создаваемого ограничения CHECK

Object Templates - Check names

Можно использовать следующие тэги:

{table_name} - имя таблицы, в которой создается ограничение;

{table_schema} - имя таблицы, в которой создается проверка;

{num} - порядковый номер ограничения, если ограничение с таким именем уже существует;

{num_for_dup} - номер ограничения, который подставляется, если ограничение с таким именем (без порядкового номера) уже существует.

Нажмите на тэг, чтобы вставить его в поле ввода.


Имена индексов

На вкладке Index Names задайте шаблон имени создаваемого индекса.

Object Templates - Index names

Можно использовать следующие тэги:

{table_name} - имя таблицы, в которой создается индекс;

{num} - порядковый номер индекса, если индекс с таким именем уже существует;

{num_for_dup} - номер индекса, который подставляется, если индекс с таким именем (без порядкового номера) уже существует;

{index_type} - значение тэга типа индекса, которое задается в полях Index type tag value;

{clustered} - значение тэга для кластеризованного индекса, которое задается в полях Clustered tag value;

{columns} - имена полей, для которых создается индекс.

Нажмите на тэг, чтобы вставить его в поле ввода.

Index type tag value

Помимо шаблонов и тэгов в имя можно вставить префикс, определяющий тип созданного индекса.

Для этого в разделе Index type tag value задайте префикс для каждого типа индексов:

  • Primary key constraints - ограничение первичного ключа,
  • Unique constraints - ограничение уникальности,
  • Unique index - уникальный индекс,
  • XML index - XML индекс,
  • Index - обычный индекс.

Clustered tag value

Отдельно задайте префиксы для кластерных и некластерных индексов:

  • Clustered - кластерный,
  • Non-Clustered - не кластерный.


Шаблоны имен объектов сервера

На вкладке Server Object Names задаются шаблоны имен для создаваемых объектов сервера.

Object Templates - Server Object Names

Для каждого типа объекта (Object Type) задайте шаблон имени объекта в колонке Name Template. Вы можете использовать тэг {num}, который означает порядковый номер создаваемого объекта. Порядковый номер применяется, если объект с таким именем уже существует.

Нажмите на тэг, чтобы вставить его в поле ввода.


Шаблоны клавиатуры

С помощью инструмента Keyboard Templates задайте шаблоны для быстрого ввода текста.

Чтобы открыть редактор шаблонов клавиатуры выберите в главном меню пункт Options | Keyboard Templates.

Чтобы создать шаблон нажмите на кнопку Add Template. В появившемся окне укажите последовательность символов, которая должна будет при вводе замениться определенным текстом.

Чтобы изменить уже созданный шаблон выделите его в общем списке и нажмите кнопку Edit Template. Нажав на кнопку Delete Template, Вы удалите выбранный шаблон.

CheckBox Если установлен флажок Old Style, то в тексте шаблона будут использоваться обозначения, использовавшиеся в более ранних версиях SQL Manager for SQL Server.

В разделе Expansion укажите тот текст, которым должен быть заменен набор символов шаблона.

С помощью кнопок можно вставить автотекст:

  • Cursor - позиция курсора, при применении курсор будет переведен в указанное место,
  • Author - имя учетной записи,
  • Time - время редактирования
  • Date - дата редактирования,
  • Clipboard - содержимое буфера обмена,
  • Marker - маркер.

Также, в разделе Case of Templates, можно указать регистр, в котором должно вводиться сочетание символов, являющееся шаблоном.

RadioButton As is - оставлять как есть,

RadioButton Uppercase - ВСЕ ПРОПИСНЫЕ,

RadioButton Lowercase - все строчные,

RadioButton First upper - Начинать С Прописных.

Чтобы применить шаблон необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Восстановить значения шаблонов, принятые по умолчанию, можно, нажав на кнопку By Default.

Смотрите также:

Настройки окружения

Настройки редакторов

Настройки внешнего вида

Мастер сохранения настроек

Локализация


Внешние инструменты

Вы можете добавить к SQL Manager for SQL Server некоторое количество внешних программ для более эффективной работы программы.

Добавление внешнего инструмента

Чтобы добавить другую программу необходимо:

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов нажать кнопку Add,
  • в диалоговом окне указать параметры подключения,
  • нажать OK, чтобы сохранить внесенные изменения.

Эта последовательность действий добавит указанную программу в список внешних инструментов

Теперь программу, добавленную в список, Вы можете запускать с помощью SQL Manager for SQL Server.

Удаление внешнего инструмента

Чтобы удалить программу из списка внешних инструментов необходимо:

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов выбрать нужную программу
  • нажать кнопку Delete.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты

Службы

Настройки

Как...


Окно внешних инструментов

Это окно открывается при выборе пункта Options | External Tools в главном меню программы.

В окне Tools отображается список уже добавленных внешних инструментов.

External tools - External Tools dialog

С помощью кнопки Add можно добавить программу в список.

При нажатии кнопки Edit открывается окно редактирования внешних инструментов, с помощью которого можно изменить свойства подключенной программы.

Нажав на кнопку Delete, Вы удалите программу из списка.

Чтобы изменить порядок программ в списке воспользуйтесь кнопками [image] [image] или сочетанием клавиш Shift+Ctrl+Up / Shift+Ctrl+Down.

Смотрите также:

Редактирование внешних инструментов


Редактирование внешних инструментов

С помощью окна Edit External Tool Info можно добавлять и редактировать внешние инструменты программы SQL Manager for SQL Server.

Это окно открывается при нажатии кнопок Add и Edit в окне внешних инструментов.

External tools - External Tool Info editor

В поле Title укажите имя, которое для этой программы будет отображаться в списке внешних инструментов.

В поле Hot Key можно задать сочетание клавиш, при нажатии которых будет открываться программа. Это поле не доступно для обычного редактирования.

Укажите полный путь к программе (файлу с расширением *.exe) в поле Program или с помощью стандартного диалогового окна, открывающего при нажатии на кнопку ExplorerButton .

Working Dir - в этом поле укажите рабочую директорию для этой программы.

Параметры выполнения программы указываются в поле Parameters.


Интерфейс программы

Общими особенностями интерфейса программы SQL Manager for SQL Server являются:

Главное меню

С помощью главного меню Вы можете получить доступ ко всем инструментам программы и выполнить все действия над объектами базы данных.

Appendix - Program interface - MainMenu

Дополнительно смотрите страницу Настройка панелей управления.

Сплиттеры

Сплиттеры - разделительные полосы между окнами, позволяющие быстро свернуть и развернуть окно.

Для того чтобы свернуть окно достаточно одного нажатия на сплиттер левой кнопкой мыши.

Настройка внешнего вида и действий можно изменить на вкладке Splitters в окне настроек внешнего вида.

Навигационные панели

Для большего удобства навигационные панели можно сворачивать.

Appendix - Program interface - NavBar - Expanded

Чтобы свернуть некоторый раздел навигационной панели нужно нажать на кнопку, находящуюся рядом с названием раздела.

Свернутую панель можно развернуть, нажав на эту же кнопку [image] [image] .

Appendix - Program interface - NavBar - Collapsed

Панели инструментов

Панель инструментов - строка или столбец, с вынесенными на него кнопками, позволяющими совершать, практически, все операции с открытым объектом.

Appendix - Program interface - Toolbar

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Важно: Вы можете переместить панель инструментов в любое удобное для вас место.

Индикатор прогресса.

Во время длительного выполнения некоторых процессов в нижней части окна программы SQL Manager for SQL Server появляется индикатор прогресса, в котором в процентах отображается выполнение операции.

Панель инкрементного поиска

Эта панель доступна на панели статуса некоторых инструментов SQL Manager.

Вы можете вызвать эту панель, используя сочетание клавиш Ctrl+I. В поле поиска введите искомое сочетание символов, и на форме открытого инструмента встречающееся искомое сочетание будет выделено другим цветом.


Шаблоны

В SQL Manager for SQL Server для некоторых операций предусмотрена возможность сохранения последовательности действий и параметров в специальных файлах, которые называются шаблоны. Используются шаблоны в мастерах. Например, в мастере экспорта данных или импорта данных и т.п.

Если в мастере в левом нижнем углу расположена кнопка Templates, то все параметры, указанные с помощью мастера можно сохранить в файл соответствующего формата. Для каждого мастера предусмотрен специальный формат шаблона. Это позволяет избежать ошибок при открытии шаблона в другом мастере.

При нажатии на кнопку Templates открывается список действий.

Using templates - menuTemplates

С помощью этого списка можно:

  • загрузить шаблон - Load Template,
  • сохранить шаблон - Save Template,
  • сделать эти настройки настройками по умолчанию - Save Current Settings As Default,
  • сбросить настройки - Reset Saved settings.

Сохранять и загружать шаблон можно на любом шаге мастера.


Задание форматов данных

Форматы данных определяют вид данных разных типов.

Форматы Float/Integer

0 | Цифра от 0 до 9
# | Символ разряда. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.
. | символ, отделяющий десятичную часть
, | разделитель групп разрядов
E+ | экспоненциальное представление.

Форматы Date/Time format

с помощью следующих команд укажите какую часть даты и в каком виде нужно отображать.

c | Отображает дату, используя краткий формат даты.
d | День отображается в виде числа от 1 до 31 без нулевого старшего разряда.
dd | День отображается в виде числа от 01 до 31 с нулевым старшим разрядом.
ddd | День отображается в виде аббревиатуры (Sun-Sat).
dddd | Отображается полное название дня недели (Sunday-Saturday).
ddddd | Отображать краткий формат.
dddddd | Использовать полный формат даты.
m | Отображать месяц в виде числа без нулевого старшего разряда (1-12).
mm | Отображать месяц в виде числа с нулевым старшим разрядом (01-12)
mmm | Отображать месяц в виде аббревиатуры (Jan-Dec).
mmmm | Отображать полное название месяца (January-December).
yy | Отображать год в виде последних двух цифр (00-99).
yyyy | Отображать год в четырех цифр (0000-9999).
h | Отображать час в виде числа без нулевого старшего разряда (0-23).
hh | Отображать час в виде числа с нулевым старшим разрядом (00-23).
n | Отображать минуты в виде числа без нулевого старшего разряда (0-59).
nn | Отображать минуты в виде числа с нулевым старшим разрядом (00-59).
s | Отображать секунды в виде числа без нулевого старшего разряда (0-59).
ss | Отображать секунды в виде числа с нулевым старшим разрядом (00-59).
z | Отображать миллисекунды в виде числа без нулевого старшего разряда (0-999).
zzz | Отображать миллисекунды в виде числа с нулевым старшим разрядом (000-999).
t | Отображать время используя Short Time Format.
tt | Отображать время используя Long Time Format.
a/p | Использовать двенадцатичасовой формат даты с префиксом a/p.
am/pm | Использовать двенадцатичасовой формат даты с префиксом am/pm.
/ | Использовать этот разделитель даты (mm/dd/yy).
: | Использовать этот разделитель времени (hh:mm).
'xx'/"xx" | Символы, заключенные в одинарные или двойные кавычки не подлежат форматированию.


Окно поиска

С помощью окна Find Text можно найти сочетание символов в тексте.

В поле Text to Find укажите искомую последовательность символов или выберите одну з предыдущих.

Case Sensitive - при поиске учитывать регистр.

Whole words only - учитывать слово целиком.

Regular Expressions

Если отмечена эта опция, то введенный текст будет распознаваться как регулярное выражение.

Например, если Вы введете "empl*", то будет произведен поиск по метаданным всех строк, содержащих подстроку "empl". При вводе "^emp" результатом поиска будут объекты, в метаданных которых есть строки, начинающиеся на "emp", а при поиске

"^emp|emp$" - строки, содержащие "emp" в начале или конце строки.

Важно: Синтаксис регулярных выражений, которые могут быть использованы в поле Text to find, соответствует синтаксису регулярных выражений языка Perl. Более подробная информация может быть найдена по ссылке: http://perldoc.perl.org/perlre.html#Regular-Expressions.

В разделе Direction укажите направление поиска:

  • Forward - вниз,
  • Backward - вверх.

Global - искать во всем тексте.

Selected text - искать только в выделенном тексте.

From cursor - поиск начинается с того места где стоит курсор.

Entire scope - поиск с начала текста.


Список задач

Инструмент To-Do List позволяет создавать список задач базы данных. Чтобы открыть этот список выберите в главном меню пункт View | To-Do List.

Чтобы добавить в список новую задачу нажмите кнопку Add Item на одной из панелей управления или выберите пункт Add Item в контекстном меню.

Appendix - To-Do List

Для создания откроется окно редактора заданий.

Appendix - To-Do List - Edit To-Do item

В поле Text задаете описание задачи.

С помощью счетчика Priority задайте приоритет задачи.

В поле User Name укажите пользователя для которого предназначена эта задача.

В поле Category можно задать категорию создаваемой или редактируемой задачи.

Нажмите кнопку OK чтобы добавить задачу в общий список.

Открыть для редактирования уже созданную задачу можно нажав на ней два раза мышью, или выбрать пункт Edit Item на одной из панелей инструментов или выбрав пункт Edit Item в контекстном меню.

Выбрав на панели инструментов или в контекстном меню пункт Delete Item Вы удалите задачу.

Можно удалить все задачи нажав кнопку Delete All и подтвердив удаление в появившемся окне.

Выберите базу данных для которой создаете задачу из раскрывающегося списка Database на одной из панелей инструментов.

Все инструменты для работы располагаются на панелях инструментов и в контекстном меню, которое открывается при нажатии правой кнопкой мыши на задаче.


Настройка панелей управления

Любую панель инструментов можно настроить.

Её можно настраивать, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

В появившемся окне выберите те кнопки, которые нужны Вам для работы.

Нажав на любую панель управления правой кнопкой мыши и выбрав пункт Customize.

Если на панели инструментов нажать правой кнопкой мыши, то тоже появится кнопка Customize.

При нажатии на эту кнопку открывается окно редактирования панели инструментов.

Вкладка Toolbars:

Appendix - Customize - Toolbars

На этой вкладке можно создавать, редактировать и удалять панели инструментов.

New - добавить панель инструментов,

Rename - переименовать,

Delete - удалить.

Вкладка Commands:

На этой вкладке выберите кнопки, которые будут отображаться на панели инструментов.

Appendix - Customize - Commands

В списке Categories выберите категорию, а в списке Commands - команду, относящуюся к выбранной категории.

Чтобы поместить нужную кнопку на панель её нужно перетащить из списка Commands на панель инструментов.

Вкладка Customize:

Appendix - Customize - Options

  • Menus show recently used command first - всегда показывать полные меню,
  • Show full menus after a short delay - показывать полные меню после небольшой задержки,
  • Reset my usage data - сброс,
  • Large icons - крупные значки,
  • Show ToolTips on Toolbars - отображать подсказки для кнопок,
  • Show shortcut keys in ToolTips - включить в подсказки сочетания клавиш,
  • Menu animations - анимация при выборе меню.


Маркеры

Маркеры предназначены для навигации по тексту. Необходимо установить курсор в нужное место и нажать клавишу F2, В этом месте появляется маркер. Теперь при нажатии клавиши Esc курсор возвращается на указанную метку. Метки организованы по принципу стека LIFO.


Поддерживаемые форматы файлов

MS Excel 97-2003

Наиболее популярный формат файлов для хранения электронных таблиц, разработанный Microsoft.

(*.xls)

MS Access 97-2003

Файл этого формата представляет собой базу данных Access, с возможностью использования ADO connection.

(*.mdb)

MS Word 97-2003

Наиболее популярный формат текстовых документов, разработанный Microsoft.

(*.doc)

RTF

Межплатформенный формат хранения размеченных текстовых документов, предложенный Microsoft. RTF-документы поддерживаются большинством современных текстовых редакторов.

(*.rtf)

HTML

(от англ. Hypertext Markup Language — «язык разметки гипертекста»)

Формат для отображения web страниц

(*.html, *.htm)

PDF

Межплатформенный формат электронных документов, предназначен для представления в электронном виде полиграфической продукции.

(*.pdf)

Text file

Текстовый файл

(*.txt)

CSV

(от англ. Comma Separated Values — значения, разделенные запятыми)

Текстовый формат, предназначенный для представления табличных данных. Каждая строка файла — это одна строка таблицы. Значения отдельных колонок разделяются разделительным символом (delimiter), например, запятой (,), точкой с запятой(;), символом табуляции. Текстовые значения обрамляются символом двойные кавычки ("); если в значении встречаются кавычки — они представляются в файле в виде двух кавычек подряд.

(*.csv)

DIF

Стандарт для файлов обмена данными

(*.dif)

SYLK

Формат Символической Связи.

(*.slk)

LaTeX

Специфический формат файлов макрорасширений к TeX.

(*.tex)

XML

Расширяемый язык разметки. Предназначен для хранения структурированных данных

(*.xml).

DBF

Формат хранения данных, используемый в качестве одного из стандартных способов хранения и передачи информации системами управления базами данных, электронными таблицами и т.д.

(*.dbf)

MS Excel 2007

Разработанный Microsoft формат файлов для хранения электронных таблиц. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.xlsx)

MS Access 2007

Файл этого формата представляет собой базу данных Access, с возможностью использования ADO connection.

(*.accdb)

MS Word 2007

Разработанный Microsoft формат файлов для хранения электронных документов. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.docx)

ODF Spreadsheets

Открытый формат файлов документов для хранения и обмена редактируемыми офисными документами - электронными таблицами.

(*.ods)

ODF text

Открытый формат файлов документов для хранения и обмена редактируемыми текстовыми офисными документами

(*.odt)


Изменение метаданных

В SQL Manager for SQL Server существует специальный инструмент, с помощью которого можно выявить ошибки и проследить выполнение SQL скрипта изменения метаданных.

Окно изменения метаданных по умолчанию появляется всегда, когда производится изменение метаданных. Если Вы хотите, чтобы оно появлялось только тогда, когда при исполнении будут обнаружены ошибки, то отключите флажок Confirm metadata changing на вкладке Confirmations в Options | Environment Options, или установите флажок Don't show this window on success в самом окне Changing Metadata.

Appendix - Changing Metadata window

В главном окне - Compile SQL - показан SQL скрипт, который был сгенерирован в результате изменения метаданных. В этом окне Вы можете его редактировать по своему усмотрению. Если скрипт содержит ошибки, то становится видна область Error, в которой показано описание возникших при компиляции ошибок.

Оператор, который отображается в окне, уже выполнен в запущенной транзакции на изменение метаданных.

Применить эту транзакцию можно с помощью кнопки Commit, которая активна только в случае, если скрипт был выполнен успешно (т.е. транзакция может быть применена). Если Вы не хотите применять изменения, то воспользуйтесь кнопкой Rollback, которая откатит текущую транзакцию.

Если в операторе есть ошибки, то кнопка Commit будет недоступна. В этом случае необходимо исправить все ошибки и нажать кнопку Rollback and Recompile, которая применит внесенные Вами изменения.

Текст операторов и описание ошибок можно полностью скопировать в буфер обмена с помощью кнопки Copy information to clipboard.


Зависимости объектов

Эта вкладка позволяет просматривать зависимости объектов.

В правой части окна объекты, на которые ссылается редактируемый объект.

В левой - объекты, которые ссылаются на открытый в редакторе объект.

В нижнем окне Вы можете просмотреть DDL выделенного объекта.

Appendix - Browsing object dependencies

Любой объект можно открыть в соответствующем редакторе двойным щелчком мыши.


Описание объекта

Если Вы хотите добавить (изменить) текстовый комментарий к объекту, то Вы можете его создать (изменить) на вкладке Description.

Внесенные изменения вступят в силу только при переходе на другую вкладку, при выборе другого объекта или при нажатии кнопки Save Descriptions на панели инструментов.

Appendix - Editing object description


Просмотр DDL

На вкладке DDL Вы можете просмотреть DDL объекта. Текст на этой вкладке нельзя редактировать. Если хотите внести изменения, то скопируйте текст в буфер обмена и вставьте его в Query Data или Execute Script.

Appendix - Viewing DDL structure


Назначение прав

В главном окне расположена таблица, в которой строки - это группы и пользователи базы данных, а столбцы - действия, выполняемые над объектами.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Revoke).
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - Предоставить права на выполнение данного действия [image] ,
  • Revoke - Аннулировать права,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image] .

Appendix - Setting object permissions

Контекстное меню открывается при нажатии на ячейку области таблицы и позволяет присваивать права на объект.

  • Grant - предоставить права,
  • Grant with GRANT OPTION - предоставить с правами 'GRANT',
  • Revoke - запретить,
  • Grant All - предоставить права на все действия для выделенного объекта,
  • Grant with GRANT OPTION All - предоставить с правами 'GRANT' на все действия для выделенного объекта,
  • Revoke All - запретить все действия для выделенного объекта,
  • Grant on All - предоставить права на это действие для всех объектов,
  • Grant with GRANT OPTION on All - предоставить с правами 'GRANT' на это действие для всех объектов,
  • Revoke on All - запретить это действие для всех объектов.


Диалог выбора объекта

Диалог выбора объекта появляется каждый раз, когда для работы с инструментами приложения Вам необходимо выбрать объект базы данных. Например, такой диалог появляется при выборе корневого объекта при построении Дерева зависимостей или при выборе объекта для добавления в проект.

Appendix - Select Object

В левой части окна выберите тип объекта. Затем, в правой части окна выберите схему, которой принадлежит необходимый объект (для объектов схем). В основном окне появится список объектов выбранного типа. Выделите нужный объект и нажмите кнопку OK.


Директории SQL Server

Диалог SQL Server Folders позволяет просматривать и выбирать директории на сервере.

Server Properties - Database Settings - SQL Server Folders

Этот диалог появляется при выборе директорий в диалогах: Database properties | Filestream files and filegroups, Server Properties | Database Settings и Full-text catalog editor.


Сочетания клавиш

Управление базами данных:

Shift+Alt+R | Зарегистрировать базу данных с помощью Мастера регистрации баз данных
Shift+Alt+U | Удалить регистрацию выбранной базы данных
Shift+Ctrl+C | Подключиться к базе данных
Shift+Ctrl+D | Отключиться от базы данных

Управление объектами баз данных:

Ctrl+N | Создать новый объект.
Ctrl+O | Открыть выбранный объект в соответствующем редакторе
Ctrl+R | Переименовать выбранный объект
Shift+Del | Удалить выбранный объект
Ctrl+Shift+C | Свернуть текущую ветвь в Проводнике баз данных

Инструменты SQL Manager:

F11 | Открыть/закрыть Проводник баз данных
Ctrl+F | Открыть окно поиска в Проводнике баз данных
Shift+Ctrl+T | Открыть список заданий
F12 | Открыть Редактор SQL
Shift+F12 | Создать новый запрос в Редакторе SQL
Shift+Ctrl+M | Открыть Монитор SQL
Shift+Ctrl+S | Открыть Редактор выполнения скриптов
Shift+Ctrl+L | Открыть Редактор локализаций
Ins | Добавить новый подобъект в таблицу (Тип подобъекта определяется открытой вкладкой редактора)
Ctrl+Ins | Добавить параметр в Редакторе процедур
Ctrl+Del | Удалить параметр в Редакторе процедур

Работа с редактором запросов и редактором выполнения скриптов:

F9 | Выполнить запрос/скрипт
Alt+F9 | Выполнить только выделенную часть кода
Ctrl+Alt+F9 | Выполнить ту часть кода, на которой стоит курсор
Ctrl+Alt+F2 | Удалить контрольную точку (Только для редактора SQL запросов)
Shift+Ctrl+<digit> | Установить закладку #<digit>
Ctrl+<digit> | Перейти к закладке #<digit>
Ctrl+Q | Перейти к следующей закладке
F2 | Поставить маркер на текущую позицию
Ctrl+Z; Alt+BkSp | Отменить
Shift+Ctrl+Z; Shift+Alt+BkSp | Вернуть
Ctrl+F | Открыть окно поиска
Ctrl+R | Найти и заменить
F3 | Продолжить поиск
Ctrl+I | Начать инкрементный поиск
Alt+G | Перейти к строке под номером. Номер введите в появившемся диалоговом окне.
Ctrl+L | Загрузить скрипт из внешнего файла
Ctrl+S | Выгрузить скрипт во внешний файл
Ctrl+F1 | Показать справку SQL Server Books Online
Shift+Ctrl+F | Форматировать текст SQL с помощью Форматтера SQL
Alt+<symbol> | Перейти к запросу с символом <&symbol> в имени (только для редактора SQL запросов)
Ctrl+J | Вставить шаблон клавиатуры
Сtrl+D | Переключение режимов отображения результатов запроса (на вкладке Edit или на отдельной вкладке)
Ctrl+Alt+Left | Перейти к следующей вкладке Редактора SQL
Ctrl+Alt+Right | Перейти к предыдущей вкладке Редактора SQL
Ctrl+Alt+PgUp | Перейти к последней вкладке Редактора SQL
Ctrl+Alt+PgDown | Перейти к первой вкладке Редактора SQL
Shift+Ctrl+Left | Выделить символы до предыдущего слова
Shift+Ctrl+Right | Выделить символы до следующего слова
Shift+Home | Выделить текст до начала строки
Shift+End | Выделить текст до конца строки
Shift+PageUp | Выделить текст до начала страницы
Shift+PageDown | Выделить текст до конца страницы
Shift+Ctrl+PageUp | Выделить текст до первой строки на странице
Shift+Ctrl+PageDown | Выделить текст до последней строки на странице
Shift+Ctrl+Home | Выделить текст до начала
Shift+Ctrl+End | Выделить текст до конца
Shift+Alt+Left | Выделить колонку символа слева
Shift+Alt+Right | Выделить колонку символа справа
Shift+Alt+Up | Выделить колонку на строку вверх
Shift+Alt+Down | Выделить колонку на строку вниз
Shift+Ctrl+Alt+Left | Выделить колонку слова слева
Shift+Ctrl+Alt+Right | Выделить колонку слова справа
Shift+Alt+Home | Выделить колонку до начала строки
Shift+Alt+End | Выделить колонку до конца строки
Shift+Alt+PageUp | Выделить колонку на страницу вверх
Shift+Alt+PageDown | Выделить колонку на страницу вниз
Shift+Ctrl+Alt+Home | Выделить колонку до самого начала
Shift+Ctrl+Alt+End | Выделить колонку до самого конца
Ctrl+Up | Прокрутить страницу вверх на строку, не меняя позиции курсора
Ctrl+Down | Прокрутить страницу вниз на строку, не меняя позиции курсора
Alt+Down, Alt+Up | Переключить регистр слова
Ctrl+Alt+Up | Сменить регистр текущего или выделенного символа на верхний
Ctrl+Alt+Down | Сменить регистр текущего или выделенного символа на нижний
Ctrl+G,Ctrl+F | Свернуть блок в текущей строке
Ctrl+G,Ctrl+E | Развернуть блок на текущей строке
Ctrl+G,Ctrl+M | Свернуть все блоки в тексте
Ctrl+G,Ctrl+P | Развернуть все свернутые блоки в тексте
Ctrl+= | Свернуть/развернуть ближайший блок
Esc | Убрать маркер (вернуться назад)
Shift+Esc | Заменить маркер (сохранить позицию, вернуться назад)
Shift+Ctrl+B | Перейти к закрывающей/открывающей скобке
Shift+Ctrl+I | Сместить выделенный блок
Shift+Ctrl+U; Shift+Tab | Убрать отступ выделенного блока
Ctrl+/ | Закомментировать/раскомменитровать выделенные строки
Ctrl+Space | Автозаполнение кода
Shift+Ctrl+Space | Показывать параметры кода
Ctrl+Alt+Space | Показать таблицу символов
Ctrl+Alt+T | Показать список таблиц
Ctrl+Alt+V | Показать список представлений
Ctrl+Alt+M | Показать список синонимов
Ctrl+Alt+G | Показать список умолчаний
Ctrl+Alt+L | Показать список правил
Ctrl+Alt+H | Показать список пользователей
Ctrl+Alt+A | Показать список сборок
Ctrl+Alt+Y | Показать список UDT
Ctrl+Alt+W | Показать ключевые слова SQL
Ctrl+Alt+N | Показать список функций SQL
Ctrl+C; Ctrl+Ins | Скопировать выделенный текст в буфер обмена
Ctrl+X; Shift+Del | Вырезать выделенный текст в буфер обмена
Ctrl+V; Shift+Ins | Вставить текст из буфера обмена в текущую позицию
Ctrl+Del | Удалить выделенное
Ctrl+T | Удалить все от курсора до следующего слова
Ctrl+BkSp | Удалить все от курсора до начала слова
Ctrl+B | Удалить все от курсора до начала строки
Shift+Ctrl+Y | Удалить все от курсора до конца строки
Ctrl+Y | Удалить текущую строку
Ctrl+M; Enter; Shift+Enter | Разбить строку в текущей позиции, переместить каретку на следующую строку
Ctrl+Alt+I | Вставить символ табуляции Tab
Shift+Ctrl+P | Запустить макро
Shift+Ctrl+R | Начать запись макро
Alt+End | Пропустить опечатку
Ctrl+Alt+End | Пропустить все опечатки
Alt+Home | Исправить все опечатки

Работа с отчетами:

Ctrl+O | Загрузить отчет из файла
Ctrl+S | Сохранить отчет в файл
Ctrl+P | Открыть диалоговое окно Print
Ctrl+Home | Перейти к первой странице
Ctrl+Up | Перейти к предыдущей странице
Ctrl+Down | Перейти к следующей странице
Ctrl+End | Перейти к последней странице
Ctrl+D | Открыть Настройщик отчетов
Ctrl+\ | Масштаб 100%
Ctrl+0 | Масштаб по ширине страницы
Ctrl+1 | Целая страница
Ctrl+2 | Две страницы
Ctrl+4 | Четыре страницы
Ctrl+W | Выровнять по ширине
Ctrl+M | Отобразить/скрыть поля
Ctrl+K | Задать цвет фона для отчета

Работа с окнами и вкладками

Ctrl+Tab | Перейти к следующей вкладке
Ctrl+Alt-0 | Открыть список окон
Ctrl+Alt+D | Задать значения по умолчанию для всех окон
Ctrl+F6 | Перейти к предыдущему окну
F6 | Перейти к следующему окну
Ctrl+W | Закрыть активное окно


SQL Manager Direct

SQL Manager Direct позволит Вам получить быстрый доступ к соответствующим ресурсам Интернета и загрузить последнюю версию SQL Manager.

Чтобы открыть SQL Manager Direct выберите пункт Help | SQL Manager Direct в главном меню программы.

При открытии SQL Manager Direct и/или нажатии кнопки Update происходит проверка наличия обновлений SQL Manager на сервере EMS Database Management Solutions, Inc.

Ссылки на ресурсы sqlmanager.net объединены в несколько групп:

  • SQL Manager for SQL Server News - Новости
  • General Information - Основная информация
  • Downloads - Загрузки
  • Related Products - Сопутствующие продукты

Appendix - SQL Manager Direct

SQL Manager for SQL Server News

В этом разделе Вы можете открыть страницу новостей по продукту на сайте sqlmanager.net.

General Information

В этом разделе предлагается ряд ссылок на продукт - Новости, Таблица характеристик, Системные требования и т.д.

Downloads

Используя эту ссылку, Вы можете загрузить SQL Manager последней версии и документацию со страницы загрузки.

Related Products

Этот раздел позволяет вам просматривать список связанных продуктов, разработанных EMS Database Management Solutions, Inc.

Используйте кнопки btnBack btnForward для перемещения между страницами так же, как в веб-броузере.

Нажатие на кнопку Update позволит обновить программу.

Если существует более новая версия SQL Manager, то отобразится диалоговое окно, сообщающее о наличии новой версии. С его помощью Вы можете сразу загрузить эту версию с сервера.

Appendix - SQL Manager Direct - Question

После загрузки и установки SQL Manager будет перезапущен.

CheckBox Automatically poll network in interval (in days)

Если установлен этот флажок, то страница будет обновляться автоматически через указанное в соответствующем поле число дней. В Lite версии эту опцию отключить нельзя.

Важно: Корректность отображения данной страницы зависит от настроек подключения к интернету, задаваемых в Панели управления Windows. Если для подключения к интернету используется прокси-сервер, требующий авторизации, то при открытии страницы SQL Manager Direct, или при нажатии кнопки Update появится диалоговое окно, в котором необходимо задать параметры авторизации.


Преобразование скрипта

После завершения операции появляется диалоговое окно, в котором можно выбрать кодировку скрипта, загружаемого в Редактор SQL или Редактор выполнения скриптов.

Appendix - Script conversion

RadioButton Windows default - кодировка, используемая в операционной системе по умолчанию.

RadioButton Database default - кодировка, используемая в базе данных по умолчанию.

RadioButton Other encoding - другая кодировка, которая выбирается из общего списка.

Текст в выбранной кодировке Вы можете увидеть в поле Preview.


Как...

В этом разделе содержится краткая информация по основным операциям, которые можно выполнить в программе SQL Manager for SQL Server.

Работать с базами данных

Подключиться к базе данных

Создать базу данных

Изменить параметры подключения к базе данных

Ускорить работу с базой данных

Визуально спроектировать базу данных

Посмотреть ER-диаграмму базы данных

Сделать резервную копию базы данных

Восстановить базу данных из резервной копии

Создать копию базы данных

Задокументировать базу данных

Сохранить отчет о метаданных в файл другого формата

Вести журнал изменений метаданных и запросов

Получить SQL-дамп базы данных

Сжать базу данных

Перенести БД с одного сервера на другой

Работать с объектами базы данных

Найти объект

Группировать объекты

Посмотреть зависимости объектов

Получить DDL объекта

Работать с данными

Просматривать таблицы с большим количеством записей

Фильтровать данные

Сортировать и группировать данные

Экспортировать/импортировать данные

Экспортировать в виде SQL скрипта

Редактировать данные многоуровневых таблиц

Добавить изображение в таблицу

Настроить формат отображения данных

Работать с запросами и скриптами

Быстро создать SQL запрос

Контролировать производительность запроса

Работать с несколькими запросами одновременно

Сохранить часто используемые запросы

Выполнять запросы с параметрами

Экспорт результатов запроса в файл

Выполнять скрипты (сценарии)

Выполнить большой SQL скрипт

Ускорить работу SQL скрипта

Работать с текстом запроса/скрипта

Просмотреть все выполненные запросы и скрипты

Создать простой отчет в Конструкторе отчетов

Создать задачу, выполняемую по расписанию

Перенести настройки программы

Обновить программу

Сообщить об ошибках и предложениях

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Персонализация


Подключиться к базе данных

Чтобы подключиться к незарегистрированной базе данных выполните следующую последовательность действий:

  1. Запустите Мастер регистрации баз данных, выбрав пункт Database | btnRegisterDB Register Database... в главном меню программы.
  2. Если база данных находится на сервере, который еще не был зарегистрирован, то на первом шаге Мастера введите имя этого сервера в поле Server name, если же сервер уже зарегистрирован, то выберите его имя из выпадающего списка.

Важно: Если Вы хотите зарегистрировать несколько баз данных сразу, то убедитесь, что не отмечена флажком опция CheckBox Register a single database. В этом случае на следующем шаге выберите базы данных, которые Вы хотите зарегистрировать.

  3. На заключительном шаге Мастера выберите базу данных из выпадающего списка всех баз, находящихся на сервере и установите параметры регистрации.

Зарегистрированная база данных отобразится в Проводнике БД. Чтобы подключиться к ней, дважды щелкните по псевдониму БД или выберите пункт btnConnectToDB Connect to Database из контекстного меню.


Создать базу данных

Чтобы создать базу данных на зарегистрированном сервере выполните следующие действия:

  1. Запустите Мастер создания баз данных, выбрав пункт Database | btnCreateDB Create Database главного меню программы.
  2. На первом шаге задайте имя для новой базы данных.
  3. На втором шаге определите необходимые параметры соединения для новой базы: Server name, Authentication, User name и Password.
  4. Задайте файлы данных и файлы журнала транзакций базы данных на третьем и четвертом шагах Мастера соответственно. Первичный файл данных является отправной точкой базы данных. Он указывает на остальные файлы базы данных. Для имени первичного файла данных рекомендуется использовать расширение *.mdf. В файлах журнала транзакций содержится информация, которая используется для восстановления базы данных. Для имени таких файлов рекомендуется использовать расширение *.ldf. Если Вы работаете с сервером SQL Server 2008 (или выше), то на следующем шаге задайте необходимые параметры для файлов файлового потока и файловых групп. Файловые потоки используются для хранения данных типа varbinary(max).
  5. На следующем шаге задайте тип восстановления базы данных (Recovery model) и правило сравнения символьных данных (Database collation).
  6. Нажмите на кнопку Finish, чтобы просмотреть SQL запрос создания новой базы данных. Если Вы на первом шаге установили флажок CheckBox Register after creating, то после создания базы откроется окно Database Registration Info, в котором можно будет указать регистрационную информацию базы данных.


Изменить параметры подключения к базе данных

Если при создании и регистрирации базы данных была допущена ошибка, или указана неполная информация, то её можно исправить при помощи инструмента Database Registration Info. Регистрационную информацию можно посмотреть как для подключенной, так и для неподключенной базы.

Чтобы посмотреть Регистрационную информацию базы данных, необходимо выбрать базу данных в проводнике баз данных, затем в контекстном меню базы данных или в главном меню программы выбрать пункт btnDBRegistrationInfo Database Registration Info.

На вкладке Connection можно изменить следующие настройки подключения базы данных к серверу: имя сервера (Server name), имя пользователя (User name), пароль (Password), базу данных (Database name), псевдоним базы данных (Database alias), набор шрифтов (Font charset) и драйвер для доступа к базе данных при помощи OLE DB интерфейсов (OLE DB Provider).


Ускорить работу с базой данных

Если Ваша база данных содержит большое количество объектов или, если соединение с сервером слишком медленное, Вы можете ускорить работу с БД отключив опцию CheckBox Refresh objects on connection при регистрации базы данных или при редактировании Регистрационной информации баз данных.

Кроме того, Вы можете отключить опцию CheckBox Restore desktop on connect в Предпочтениях.


Визуально спроектировать базу данных

Чтобы спроектировать БД визуально, можно использовать Визуальный конструктор баз данных. Он позволяет создавать, редактировать и удалять таблицы и поля, устанавливать связи между таблицами и выполнять другие операции.

Чтобы создать объект щелкните правой копной мыши в окне конструктора и выберите пункт Create из контекстного меню. После этого новый объект отобразится на диаграмме.

После того, как Вы закончите проектирование, Вы можете создать структуру физически, выбрав пункт Compile на Панели инструментов.


Посмотреть ER-диаграмму базы данных

Построение диаграммы отношений происходит с помощью операции Обратного проектирования.

Чтобы просмотреть ER-диаграмму выбранной схемы выполните следующую последовательность действий:

  1. Запустите Визуальный конструктор баз данных;
  2. На панели инструментов выберите пункт btnReverseEngineer Reverse Engineer или соответствующий пункт контекстного меню.
  3. Выберите схему для обратного проектирования.

Полученную диаграмму можно сохранить как файл формат *.msd (кнопка btnSave Save Diagram) или как изображение (кнопка btnSaveAsPicture Save as Image).


Сделать резервную копию базы данных

Создать резервную копию базы данных можно с помощью Мастера резервного копирования. Чтобы его запустить нужно выбрать Services | [image] Backup Database в главном меню программы. В мастере Вы можете задать параметры и опции операции резервного копирования: базу данных, резервную копию которой Вы хотите сделать, тип резервного копирования, файлы базы данных, резервную копию которой необходимо создать, носитель информации или устройство, на которое будет сохранена резервная копия базы, опции носителя (дописать или перезаписать резервную копию на устройство) и некоторые другие опции.

Также Вы можете указать, хотите ли Вы создать резервную копию сейчас или задать расписание автоматического резервного копирования.


Восстановить базу данных из резервной копии

Восстановить базу данных из резервной копии можно с помощью Мастера восстановления базы данных. Чтобы его запустить нужно выбрать Services | [image] Restore Database в главном меню программы. В мастере Вы можете задать параметры и опции операции восстановления базы данных из резервной копии: имя базы данных, в которую будет произведено восстановление, тип восстановления, резервную копию, из которой будет восстановлена база данных, логическое или физическое устройство резервного копирования, используемое для операции восстановления, файлы для восстановления и некоторые другие свойства.


Создать копию базы данных

Чтобы создать копию базы данных или отдельных объектов необходимо выполнить одно из следующих действий:

  1. Извлечь структуру объектов базы данных и сами данные в SQL скрипт используя Мастер извлечения баз данных. Полученный скрипт можно использовать для копирования и восстановления базы данных.

Если опция CheckBox Generate CREATE DATABASE statement не была выбрана при задании свойств скрипта, то перед выполнением скрипта необходимо создать базу данных и после этого выполнить на ней скрипт. Скрипт лучше всего выполнять из файла используя Редактор выполнения скриптов.

  2. Создать резервную копию БД с помощью Мастера резервного копирования. Далее, при восстановлении базы данных из резервной копии необходимо выбрать опцию RadioButton New database в группе опций Restore as.
  3. Создать копии отдельных объектов, используя Мастер копирования объекта.


Задокументировать базу данных

Есть несколько способов документации базы данных:

  1. Вы можете сгенерировать подробный HTML отчет о метаданных объектов выбранной базы данных с помощью Мастера создания HTML отчетов.
  2. Вы можете создать и распечатать отчет о метаданных любого объекта БД. Отчет может быть сохранен в любом из следующих форматов:HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. Вы можете сохранить диаграмму, созданную в Визуальном конструкторе баз данных, в файл с расширением *.msd. При необходимости диаграмму можно сохранить как рисунок.


Сохранить отчет о метаданных в файл другого формата

Чтобы сохранить отчет о метаданных в файл другого формата, необходимо:

  1. Открыть инструмент Печать метаданных, выбрав пункт главного меню программы Tools | iconPrint Print Metadata.
  2. Нажать кнопку btnPrintPreview Preview на одной из панелей инструментов.
  3. На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт.
  4. В появившемся окне выбрать директорию и указать имя файла.


Вести журнал изменений метаданных и запросов

Если вы хотите вести журнал изменений метаданных и журнал SQL запросов, то:

  1. Установите флажок CheckBox Enable log of metadata changes и укажите, в какой файл следует записывать изменения.
  2. Установите флажок CheckBox Enable log of Query Data queries и укажите, , в какой файл сохранять эту статистику.

Задание этих опций производится в окне Регистрационная информация баз данных | Журналы.


Получить SQL-дамп базы данных

Чтобы получить SQL-дамп (файл с расширением *.sql) базы данных используйте Мастер извлечения баз данных. С его помощью можно извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных.


Сжать базу данных

Сжатие базы данных позволяет сократить размер файлов данных и файлов журнала в заданной базе данных.

Сжать базу Вы можете только, если нет действующих подключений к этой базе данных, и она не участвует в репликации.

Чтобы сжать базу данных необходимо выполнить одну из следующих последовательностей действий:

  1. В главном меню программы выбрать пункт Services | [image] Shrink Database -> задать необходимые настройки в открывшемся Мастере сжатия баз данных.
  2. В контекстном меню базы данных выбрать пункт Tasks | [image] Shrink Database -> задать необходимые настройки в открывшемся Мастере сжатия баз данных.


Перенести БД с одного сервера на другой

Исходный сервер - сервер, на котором находится база данных.

Назначенный (Target) - сервер, на который необходимо базу данных перенести.

Если версии исходного и назначенного серверов совпадают

Перенос базы данных можно осуществить одним из следующих способов:

  1. Из директории исходного сервера в директорию назначенного сервера скопировать файлы базы данных. Это делается без помощи программы SQL Manager for SQL Server -> для целевого сервера присоединить нужную базу данных с помощью [image] Attach Database Wizard - мастера присоединения баз данных. Полный список файлов базы данных можно посмотреть в Свойствах базы данных на вкладках Data files, Log files, Filestream files and filegroups.
  2. Создать полную резервную копию базы в файл (это указывается на шаге Выбор устройств для резервного копирования) с помощью мастера резервного копирования -> скопировать полученный файл в любую директорию назначенного сервера, в которую у сервера должен быть доступ на чтение -> Восстановить базу данных в новую базу (это указывается на шаге Установка свойств подключения и выбор базы назначения) с помощью Мастера восстановления баз банных.

Важно: Чтобы скопировать файлы необходимо либо остановить сервер, либо сделать отсоединить, а затем, присоединить базу данных. В обоих случаях БД временно отключится.

Если версии исходного и назначенного серверов не совпадают

Извлечь структуру объектов базы данных и данные в SQL скрипт с помощью Мастера извлечения баз данных -> выполнить полученный скрипт для назначенного сервера с помощью Редактора выполнения скриптов.

Важно: Если при извлечении Вы не указали, что в скрипте должен быть оператор CREATE DATABASE, то перед выполнением скрипта на назначенном сервере необходимо будет создать базу данных.

Важно: Если версии не совпадают, то в большинстве случаев для успешного выполнения полученного скрипта его необходимо будет отредактировать вручную

Важно: Для переноса баз из других форматов или серверов в SQL Server можно применить продукт EMS Data Pump for SQL Server.


Найти объект

Чтобы найти нужный объект Вы можете:

  1. Пунктом Find Object контекстного меню проводника или сочетанием клавиш Ctrl + F вызывать стандартное окно поиска, в котором указывается искомое слово.
  2. Введите первые символы искомого слова в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Важно: объекты по которым происходит поиск должны быть обновлены и узел объектов раскрыт.


Группировать объекты

Объекты можно сгруппировать с помощью проектов и вкладок проводника баз данных.

Группировка с помощью проектов

В проводнике баз данных, в дереве объектов, есть папка Projects. Если в Projects нет вложенных папок, то поместить туда объекты невозможно.

Объединить объекты в проект можно следующими способами:

  1. В проводнике баз данных создать вложенную папку внутри папки Projects, выбрав пункт контекстного меню New Sub Folder.-> в появившемся окне указать имя папки -> в эту папку мышкой перетащить нужные объекты.
  2. В проводнике баз данных создать вложенную папку внутри папки Projects, выбрав пункт контекстного меню New Sub Folder -> в появившемся окне указать имя папки -> в контекстном меню созданной папки выбрать пункт Add Object -> в появившемся окне выбрать нужный объект.

Важно: В контекстном меню объектов нет пункта "Поместить в проект", поэтому объекты в проект перетаскиваются мышью.

Группировка с помощью вкладок

Поместить объект на отдельную вкладку можно выбрав пункт btnNewTabFromHere New Tab from Here в контекстном меню объекта.

Важно: Если объект не является узлом дерева, то эта опция не доступна.


Посмотреть зависимости объектов

Посмотреть зависимости объектов можно одним из способов:

  1. Используя вкладку Dependencies в редакторе таблиц.
  2. Используя Дерево зависимостей.

Эти инструменты могут быть особенно полезны, когда Вы не можете определить из-за какого объекта не удаляется таблица.


Получить DDL объекта

Просмотреть DDL объекта можно одним из следующих способов:

  1. Дважды щелкните по объекту, чтобы открыть редактор объекта, затем перейдите на вкладку DDL.
  2. Выберите Script to Query Data | Create в контекстном меню объекта.

Для редактирования DDL объекта можно открыть в Редакторе SQL, нажав на панели инструментов btnShowSQLEditor Open DDL in Query Data.


Хранить определения объектов в системе контроля версий

Если Вы хотите использовать системы контроля версий для хранения определений объектов, выполните следующую последовательность действий.

  1. Откройте диалог Database Registration Info, перейдите на вкладку DDL to Filesи включите опцию CheckBox Write object definition to a file after compilation.
  2. Задайте директорию, в которой будут храниться файлы с определениями объектов в поле Root folder for storing object definitions. Для использования системы контроля версий данная директория должна являться частью рабочей копии системы управления версиями.
  3. Выберите типы объектов и добавьте файлы для хранения определений объектов в диалогах Options for storing object definitions и Object file names соответственно. Эти файлы могут быть добавлены в систему контроля версий.
  4. В следующих полях на вкладке DDL to Files задайте команды системы контроля версий, которые будут выполняться при соответствующих действиях с файлами объектов:
  • OS command after creating a file

Введите команду операционной системы, которая будет выполняться перед созданием файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, svn add {file_name} (при использовании Subversion), где в переменную {file_name} подставляется имя создаваемого файла.

  • OS command before updating a file

Введите команду операционной системы, которая будет выполняться перед изменением файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, ss checkout {file_name} -C- (при использовании Visual Source Safe), где в переменную {file_name} подставляется имя изменяемого файла.

  • OS command after deleting a file

Введите команду операционной системы, которая будет выполняться после удаления файла определения объекта. Здесь можно ввести любую команду системы управления версиями. Например, svn del {file_name} (при использовании Subversion), где в переменную {file_name} подставляется имя удаляемого файла.


Просматривать таблицы с большим количеством записей

Если Ваша таблица содержит большой объем данных, Вы можете уменьшить время ее загрузки посредством:

  1. Задания количества выбираемых записей;
  2. Установления опции RadioButton Load visible records для загрузки фиксированного числа записей в память.

Эти опции могут быть настроены для определенной БД на странице Свойства данных при редактировании Регистрационной информации баз данных.

Настройки по умолчанию для только что зарегистрированной БД могут быть заданы на странице Параметры сетки | Настройки данных в Настройках окружения.

На панели инструментов просмотрщика данных в счетчике Record Limit HowTo - Grid View - Set Record Limit можно указать максимальное число отображаемых записей -> нажать Enter или щелкнуть мышкой по сетке данных.

Если число записей больше указанного максимального числа, то становится активна кнопка Move all to Selected Fetch All, с помощью которой отображаются все записи.

Выбрав пункт Grid mode в контекстном меню просмотрщика данных можно установить режим отображения данных - отображать все записи (Load All Rows), отображать фиксированное количество записей (Load Visible Rows) или выбрать режим отображения данных по умолчанию (Default).


Фильтровать данные

Быстрая фильтрация (по текущему значению в ячейке)

Вызовите контекстное меню для столбца с данными -> выберите пункт контекстного меню Quick Filter -> выберите из открывшегося дочернего меню условие фильтрации.

Фильтрация по столбцам

HowTo - Grid View - Quick Filter

Нажать раскрывающийся список в заголовке столбца -> выбрать из списка условие фильтрации.

Более сложные условия задайте с помощью пункта списка значений Custom...

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Подробная фильтрация

Нажать кнопку btnSetFilter на панели инструментов просмотрщика данных -> задать параметры отбора в конструкторе фильтров -> применить условия фильтрации, нажав кнопку Apply.

Если для таблицы установлен фильтр, то в нижней её части появляется специальная панель, на которой отображаются условия фильтра и история модификации фильтра, которая открывается при нажатии на раскрывающийся список.

Data View - Grid View - Filtering records - Filtering panel

Убрать фильтрацию

Вызвать контекстное меню для столбца с данными -> выбрать пункт Disable filter.

Нажать кнопку btnClose на панели инструментов фильтра.


Сортировать и группировать данные

Чтобы отсортировать данные необходимо:

Открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Важно: Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце,а затем выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Чтобы сгруппировать данные перетащите мышкой заголовок столбца на специальную панель группировки над таблицей.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Важно: Чтобы убрать группировку перетащите заголовок столбца с панели группировки обратно в таблицу.


Экспортировать/импортировать данные

Копировать данные из таблицы базы данных во внешний файл допустимого формата (экспортировать) можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.

Копировать данные из внешних источников в таблицу или представление (импортировать) можно одним из следующих способов:

  1. Открыть вкладку Data -> нажать кнопку [image] Import Data на одной из панелей инструментов просмотрщика данных -> задать параметры импорта в открывшемся Мастере импорта данных.
  2. Открыть вкладку Data -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  4. Открыть вкладку Data -> использовать сочетание клавиш Ctrl+I.

Важно: Инструменты экспорта и импорта данных доступны только в полной версии SQL Manager for SQL Server.


Экспортировать данные в виде SQL скрипта

Копировать данные из таблицы базы данных в виде скрипта, содержащего операторы INSERT INTO, можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data as SQL Script на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.

Важно: Для извлечения DDL таблицы (оператор CREATE TABLE) установите флажок Add CREATE TABLE statement на первом шаге.


Редактировать данные многоуровневых таблиц

Вы можете работать с данными в многоуровневом режиме, то есть Вы можете просматривать и редактировать их в нескольких связанных таблицах одновременно. Чтобы добавить уровень таблицы щелкните правой кнопкой мыши в таблице и выберите пункт Grid Levels из контекстного меню. Далее выберите пункт Add Grid Level, чтобы запустить Мастер создания уровней. После того, как новый уровень будет добавлен, Вы можете редактировать данные в связанных таблицах.


Добавить изображение в таблицу

Это возможно сделать только при наличии в таблице поля типа BLOB.

Открыть таблицу на вкладке Data -> перейти в раздел BLOB View (кнопки перехода расположены в нижней части окна) -> перейти на вкладку Image -> если BLOB поле не одно, то из раскрывающегося списка Select BLOB Column на панели инструментов вкладки Blob View выбрать нужное поле ->

HowTo - Grid View - BLOBView - Select BLOB Column

-> на панели инструментов вкладки Blob View нажать кнопку iconLoadFromFile Load from File -> открывшемся диалоговом окне выбрать файл изображения.


Настроить формат отображения данных

Чтобы настроить формат отображения данных выберите пункт Options | btnEnvironmentOptions Environment Options в главном меню программы -> перейдите на вкладку Color & Formats -> в разделе Display formats укажите или выберите формат отображения для некоторых типов данных.


Быстро создать SQL запрос

Есть два способа быстрого создания SQL запроса:

В проводнике баз данных:

  1. Щелкните павой кнопкой мыши по имени объекта в проводнике баз данных.
  2. Выберите Script to Query Data в контекстном меню объекта.
  3. Определите тип запроса.

В Визуальном конструкторе запросов:

  1. Откройте Визуальный конструктор запросов.
  2. На вкладке Builder перетащите таблицу или представление из проводника баз данных или из списка на панели Object в рабочую область.
  3. Выберите отображаемые поля, установив флажки напротив нужных. Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка.
  4. Установите связь между объектами. Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле). После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.
  5. Задайте свойства связи. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой, или выбрать пункт контекстного меню связи Property. В появившемся окне указываете желаемые свойства редактируемой связи.
  6. На вкладке Edit Вы можете просмотреть и отредактировать свой запрос.


Контролировать производительность запроса

Посмотреть производительность запроса можно на плане запроса. На нем показана последовательность действий, выполняемых сервером базы данных, и объем системных ресурсов, используемых в процессе выполнения запроса.

Чтобы посмотреть план запроса откройте запрос в Редакторе SQL и выберите пункт btnExplainQuery Show estimated execution plan на панели инструментов.

Если включить опцию CheckBox Show actual execution plan on query execution в настройках окружения, то вкладка Plan будет появляться автоматически при выполнении запроса.


Работать с несколькими запросами одновременно

В btnShowSQLEditor Query Data Вы можете одновременно открывать и редактировать несколько запросов.

В нижней части окна редактирования запроса можно создавать вкладки. На каждой вкладке - отдельный запрос.

Создать вкладку можно следующими способами:

  1. Открыть btnShowSQLEditor Query Data -> на одной из панелей инструментов выбрать пункт btnNewSQLEditor Add New Query.
  2. Открыть btnShowSQLEditor Query Data -> в контекстном меню существующей вкладки выбрать пункт btnNewSQLEditor Add New Query HowTo - WorkWithQueries - AddNewQuery .
  3. Использовать сочетание клавиш Ctrl + N.

Важно: Каждую вкладку можно переименовывать, или для удобства добавлять запросы в Избранные.


Сохранить часто используемые запросы

Используйте инструмент Избранные запросы чтобы хранить часто выполняемые запросы. Чтобы получить доступ к списку избранных запросов используйте узел Favorite Queries проводника БД или создайте для них отдельную вкладку.

С помощью контекстного меню Вы можете создать новый избранный запрос, редактировать уже существующий в редакторе избранных запросов или удалить запрос при необходимости.


Выполнять запросы с параметрами

Если вы хотите использовать параметризованные запросы, установите флажок CheckBox Allow using of parameters in query text в окне Настройки окружения | Инструменты.

Эта функция позволяет устанавливать различные значения параметров в окне ввода параметров перед выполнением запроса. Используйте двоеточие перед идентификатором, чтобы указать параметр в запросе.


Экспортировать результаты запроса в файл

При выполнении запроса таблица результатов может отображаться на вкладке Edit или на вкладке Result в просмотрщике данных.

Копировать данные из таблицы базы данных во внешний файл допустимого формата можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.


Выполнять скрипты (сценарии)

Используя Редактор выполнения скриптов Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты (сценарии). Чтобы открыть редактор SQL скриптов выберите Tools | btnShowSQLScript Execute Script в главном меню программы. Этот инструмент предназначен для работы с большим количеством команд и работы со скриптами из файлов. Например, Вы можете выполнить скрипт из файла, не загружая его в редактор, что позволит сократить потребление памяти. Однако Execute Script позволяет оценить лишь успешность выполнения команд скрипта, но не возвращает результаты запросов.

Важно: Выполнять скрипты необходимо именно в Редакторе выполнения скриптов, а не в Редакторе SQL.

Последний предназначен для создания, редактирования и выполнения запросов. Из его окна можно перейти к редактированию запроса в Query Builder. Также он предоставляет возможность просмотра результата запроса, проведения различных операций с ним (импорт, экспорт и др.), управления транзакциями.


Выполнить большой SQL скрипт

Если вам надо выполнить большой SQL скрипт, необязательно загружать его из файла в окно редактора выполнения скриптов, так как это может занять много времени. Вместо этого, Вы можете выполнить этот скрипт напрямую из файла с расширением *.sql, *.zsql или *.txt. Чтобы сделать это, выберите пункт iconCompile Execute script from file на панели инструментов в редакторе выполнения скриптов.


Ускорить работу SQL скрипта

Чтобы ускорить работу скрипта можно отключить некоторые функции:

Парсинг

На одной из панелей инструментов редактора выполнения скриптов выбрать и отключить пункт iconDBExplorer Disable Parsing.

Автоматическое создание иерархической структуры текста

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> убрать флажок CheckBox Use code folding.

Подсветку синтаксиса и быстрый ввод текста для алиасов

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку General -> убрать флажок CheckBox Resolve aliases - отключить подсветку синтаксиса и быстрый ввод текста для алиасов.


Работать с текстом запроса/скрипта

Перейти по внутренней ссылке

В тексте запроса/скрипта имя объекта, существующего в базе данных, выделено цветом. Открыть объект, на который есть ссылка в тексте, можно щелкнув по нему левой кнопкой мыши, удерживая при этом клавишу Ctrl.

Вставить шаблон текста

Шаблоны используются для быстрого ввода текста. Чтобы применить шаблон клавиатуры необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Автоматическая подстановка (список объектов)

Вызвать список автоматической подстановки можно используя сочетание клавиш Ctrl + пробел.

Настроить параметры автоматической подстановки

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Quick Code -> настроить список и параметры списка автоматической подстановки.

Автоматически форматировать запрос/скрипт

В контекстном меню редактора SQL выбрать пункт Quick Code | Format или использовать сочетание клавиш Shift+Ctrl+F.

Настроить шрифт и формат скрипта на вкладке Display

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> настроить общие параметры формата и шрифта редактора.

Настроить шрифт и формат скрипта на вкладке Highlight

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Highlight -> настроить параметры шрифта для каждого отдельного элемента.

Важно: Если заданы параметры шрифта на вкладке Highlight, то к тексту будут применены именно они, а не те, которые заданы на вкладке Display.


Просмотреть все выполненные запросы и скрипты

Монитор SQL позволяет увидеть все скрипты, отправленные SQL Manager for SQL Server на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор необходимо:

  1. В главном меню программы выбрать пункт Tools | btnSQLMonitor SQL Monitor,
  2. На основной панели инструментов нажать кнопку btnSQLMonitor SQL Monitor,
  3. В контекстном меню базы данных выбрать пункт Tasks | btnSQLMonitor SQL Monitor.

Важно: В SQL монитор попадают те скрипты и запросы, которые были выполнены в SQL Manager for SQL Server, в течение того времени, когда он был запущен.

Важно: Постоянно открытый монитор замедляет работу программы.


Создать простой отчет в Конструкторе отчетов

Чтобы создать отчет в Конструкторе отчетов необходимо выполнить следующую последовательность действий:

  1. В главном меню программы выбрать пункт Tools | [image] Report Designer.
  2. В открывшемся Конструкторе отчетов, в главном меню выбрать пункт File | New Report. или на панели инструментов нажать кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.
  3. Подключиться к источнику данных.
  4. Добавить элементы ADOTable или ADOQuery.
  5. Подключить ADOTable или ADOQuery к ADODatabase.
  6. На странице Page1 разместите поля базы данных. Из DataTree перетащите нужные поля в Band MasterData.


Создать задачу, выполняемую по расписанию

Выполнение заданий может запускаться автоматически, без вмешательства пользователя. Вы можете определить дату или событие, при наступлении которых начнется выполнение задачи.

Автоматическое выполнение может быть запланировано путем создания нового расписания или присоединения существующего.

Есть два способа создать новое расписание:

  • В контекстном меню узла Schedules в проводнике баз данных выберите пункт New Schedule и задайте параметры планирования в редакторе расписаний.
  • В контекстном меню узла Jobs в проводнике баз данных выберите пункт New Job. В редакторе заданий на вкладке управления расписаниями щелкните правой кнопкой мыши в окне редактора и выберите пункт Add Schedules.... Задайте параметры нового расписания в появившемся диалоге.

Чтобы присоединить существующее расписание к заданию выберите пункт New Job в контекстном меню узла Jobs. Затем на вкладке управления расписаниями щелкните правой кнопкой мыши в окне редактора и выберите пункт Add Existing Schedule. Выберите необходимое расписание из списка.


Перенести настройки программы

Если вы хотите применить текущие настройки (частично или полностью) для программы SQL Manager for SQL Server установленной на другой машине, Вы можете сохранить их в *.reg файл с помощью Мастера сохранения настроек. Чтобы применить настройки, сохраненные в файл *.reg, необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK.

Важно: Избранные запросы не сохраняются в *.reg файл. Чтобы получить доступ к ним с другого устройства необходимо, чтобы они хранились в БД. Чтобы сохранить избранные запросы в базе данных необходимо выбрать пункт Database в поле Storage при создании или редактировании запроса.


Обновить программу

Обновить программу можно одним из следующих способов:

  1. Загрузите установочный файл со страницы загрузки сайта -> разархивируйте полученный файл в нужную директорию (например, c:\unzipped) -> закройте программу SQL Manager for SQL Server, если она запущена -> откройте файл MsManagerFullSetup.exe и следуйте инструкциям мастера обновления.
  2. В главном меню программы выберите пункт Help | SQL Manager Direct -> при наличии на сайте новой версии программы появится окно сообщений -> в этом окне нажмите Yes. Программа обновится автоматически.


Сообщить об ошибках и предложениях

  1. Перед тем как отсылать предложения и отчеты об ошибках, убедитесь, что Вы используете последнюю версию SQL Manager for SQL Server.
  2. Свяжитесь с нами через личный кабинет на сайте http://www.sqlmanager.net/ или отправьте нам электронное письмо по адресу support@sqlmanager.net. Также Вы может воспользоваться меню Help | Send bug reports to....
  3. Пожалуйста, не забудьте указать версию Вашей ОС, версию SQL Server и версию программы.
  4. Пошагово опишите свои действия перед появлением ошибки и проиллюстрируйте их скриншотами.


Панели и меню

Используйте вкладку Bars and menus для настройки внешнего вида панелей инструментов и меню программы SQL Manager for SQL Server.

Visual Options - Bars and menus

Из раскрывающегося списка Bar style выберите один из стандартных стилей панели инструментов.

Из списка Menu Animation можно выбрать один из вариантов анимации при открытии меню.

CheckBox Sunken border - утопленная рамка.

CheckBox Use F10 for menu - использовать F10 для меню.

CheckBox Menu shows recent command first - в сокращенном меню показывать недавно использовавшиеся операции.

CheckBox Show full menus after delay - показать всё меню после задержки.

CheckBox Flat close buttons - использовать плоские закрывающие кнопки.

CheckBox Gray-scale disabled images - полутоновые заблокированные изображения.


Деревья и списки

На вкладке Trees and Lists настройте внешний вид списков.

Visual Options - Trees and lists

Из раскрывающегося списка Look & Feel выберите один из стандартных стилей оформления списков.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Hide selection - скрыть выделение.

CheckBox Hide focus rectangle - прятать прямоугольник фокуса.

CheckBox Native style - Этот параметр определяет, будет ли к деревьям и спискам применен стиль, установленный в ОС Windows. Этот параметр имеет наивысший приоритет. Если выбрана эта опция, то к деревьям и спискам применен стиль, установленный в ОС Windows, независимо от других параметров.


Элементы управления редактирования

На вкладке Edit controls задайте стиль элементов управления и редактирования.

Visual Options - Edit controls

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

Из списка Button style - стиль кнопок.

3D - трехмерные,

Flat - плоские с тенью,

Simple - простые

Hotflat - плоские в рамке

Ultraflat - плоские.

Стиль кнопок, расположенных в пределах поля, можно задать с помощью раскрывающегося списка Button transparency.

None - непрозрачные,

Inactive - прозрачные, когда неактивные.

Always - прозрачные,

Hide inactive - показывать при редактировании,

Hide unselected - показывать при наведении курсора.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - стиль, примененный в ОС Windows.

CheckBox Autosize - автоподбор ширины поля по размеру содержимого.

Edges - границы:

CheckBox Left - слева;

CheckBox Right - справа;

CheckBox Top - сверху;

CheckBox Bottom - снизу.


Флажки

На вкладке Check boxes задайте вид флажков и переключателей.

Visual Options - Check boxes

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - стиль, примененный в ОС Windows.


Кнопки

На этой вкладке настройте внешний вид кнопок.

Visual Options - Buttons

Из списка Button kind выберите вид кнопок.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Native style - стиль, примененный в ОС Windows.


Вкладки

SQL Manager for SQL Server
  • В начало

Элементы управления окнами

В этом окне задайте стиль оформления вкладок.

Visual Options - Page controls

Из списка Tab Style выберите нужный стиль вкладок.

Tabs - в виде вкладок,

Buttons - в виде кнопок

Flat - плоские.

CheckBox Hot track - подсветка элементов управления.

CheckBox Multiline pages - расположение вкладок в несколько рядов.

CheckBox Native style - естественный стиль.

CheckBox Slants - наклонные значки вкладок.

Slants kind

Выберите вид наклона.

RadioButton Cut corner - Верхний правый/левый угол значка вкладки срезан.

RadioButton Slant - правая/левая сторона значка вкладки скошена.

Slants position

Сторона значка вкладки, с которой будет наклон при выборе вида Slants.

CheckBox Left - левая

CheckBox Right - правая.


Группа кнопок

Задайте стиль отображения групп кнопок на вкладке Group boxes.

Visual Options - Group boxes

Из раскрывающегося списка Border style выберите стиль рамки.

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Shadow - тень.

CheckBox Native style - стиль, примененный в ОС Windows.


Разделители

На вкладке Splitters задайте стиль разделителей (сплиттеров).

Visual Options - Splitters

Из раскрывающегося списка Hot zone style выберите стиль отображения разделителей.

Windows XP task bar - стиль Windows XP,

Media Player 8 - стиль Media Player 8,

Media Player 9 - стиль Media Player 9,

Simple - простой,

None - нет.

CheckBox Если установлен флажок Hot zone drags a splitter, то разделитель можно перемещать, потянув за среднюю рабочую область Splitter. Если не установлен, то по нажатию на эту область окно, ограниченное сплиттером будет сворачиваться и разворачиваться.


Панель навигации

Задайте внешний вид навигационной панели на этой вкладке.

Visual Options - Navigation bar

Из раскрывающегося списка View style выберите стиль представления навигационной панели.

Office 11 - стиль Office,

XP - стиль Windows XP,

Simple - обычный,

Advanced - улучшенный стиль.

CheckBox Если установлен флажок Border, то будет отображаться граница навигационной панели.